Benutzen der Mastercam-Hilfe

Hilfedialoge mit Registerkarten enthalten Informationen zu Dialogfeldern. Klicken Sie auf die Registerkarte „Felddefinitionen“, um Informationen zu Feldern und Einstellungen einzublenden.

  • Auf der Registerkarte „Felddefinitionen“ können per Mausklick Beschreibungen zu den Steuerelementen des jeweiligen Dialogfelds aufgerufen werden.

  • Am Ende jedes Themas befindet sich ein Link, über den Sie uns per E-Mail Fragen und Kommentare zusenden können.

Siehe auch...

  • Mastercam Hilfe-Menü

  • Mastercam-Dokumentation

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Mastercam Hilfe-Menü

Das Mastercam Hilfe-Menü bietet Zugriff auf eine Vielfalt von Information zu Mastercam. Die Menübefehle sind nachfolgend mit einer kurzen Beschreibung aufgelistet.

  • Inhalt… – Öffnet das Mastercam-Hilfesystem, in dem Sie Themen aus dem Inhaltsverzeichnis (Registerkarte „Inhalt“) aufrufen, den Index durchsuchen (Registerkarte „Index“) und das Hilfesystem nach Schlüsselwörtern oder -Ausdrücken durchsuchen (Registerkarte „Suchen“) können.

  • Registrieren auf Mastercam.com – Generiert einen Autentifizierungscode, über den Sie Ihren Account auf der Mastercam-Homepage registrieren können.

  • Über – Öffnet das Dialogfeld „Über Mastercam“, in dem Sie Mastercam-Produktinformationen, wie z.B. Lizenzinformationen, Version, Installierte Produkte und Seriennummer einsehen können.

  • Mastercam aktualisieren – Stellt automatisch eine Verbindung zum Onlinebereich von Mastercam her, mit dem Sie über eine Internetverbindung ausgewählte Updates für Ihre lokale Mastercam-Installation herunterladen und installieren können. Wahlweise können Sie die Update-Dateien auch zur späteren Installation speichern. Verwenden Sie die Informationen von der Seite „Downloads“ als Installationsanweisungen.

  • Zip2Go Utility – Öffnet Mastercams Zip2Go-Hilfsprogramm, welches die geöffneten Mastercam-Teiledaten zusammenfasst und in einer *.Z2G-Datei komprimiert. Diese Datei kann dann mit den meisten ZIP/UNZIP-Programmen geöffnet und eingesehen werden. Die Funktion eignet sich besonders zum Versenden von Daten an den technischen Support.

  • Kundenrückmeldungsprogramm… – Öffnet das Dialogfeld „Kundenrückmeldungsprogramm“. Verwenden Sie die angezeigten Optionen zum Aktivieren oder Deaktivieren dieser Servicefunktion. Das Aktivieren dieser Funktion liefert Nutzungsdaten. Diese tragen zur Verbesserung der Erfahrung des Nutzers mit Mastercam bei.

  • Was ist neu… – Öffnet die PDF Was ist neu?, die zusammen mit Mastercam installiert wurde. Diese liefert eine kurze Übersicht zu den neuen Features und Funktionen in Mastercam.

  • Kundenzufriedenheitsstudie – Öffnet in Ihrem Browser eine kurze Umfrage zu Ihrer Zufriedenheit mit Mastercam.

  • Übungshandbücher – Stellt automatisch eine Verbindung zum Onlinebereich von Mastercam her, über den Sie Übungshandbücher herunterladen können.

Siehe auch...

  • Benutzen der Mastercam-Hilfe

  • Mastercam-Dokumentation


Mastercam-Dokumentation

Mastercam wird mit einer Reihe zusätzlicher Dokumente ausgeliefert. Diese Dokumente befinden sich im Unterverzeichnis „\Dokumentation“ Ihres Mastercam-Installationsverzeichnisses (sofern nicht anders angegeben). Sie können mit dem Programm Adobe® Acrobat Reader® geöffnet oder ausgedruckt werden.

  • Mastercam Installationsanleitung (gedrucktes Dokument und PDF-Format) – Enthält detaillierte Anweisungen zur Installation von Mastercam, HASP und NetHASP. Es enthält außerdem Informationen zum Installieren von Upgrades und Updatecodes und zur Problembehandlung.

  • Mastercam Administratorhandbuch (PDF) – Behandelt Installations- und Konfigurationsszenarios, die komplexer als die in der Mastercam Installationsanleitung beschrieben sind.

  • Was ist neu in Mastercam? (PDF) – Liefert eine kurze Übersicht zu den neuen Features und Funktionen in Mastercam.

  • Mastercam Schnellreferenzkarte (Gedrucktes Dokument und PDF-Format) – Dies ist die Dateiversion der gedruckten Schnellreferenzkarte. Sie enthält eine Übersicht der Hauptfunktionen und Tastenkürzel von Mastercam und Informationen zur individuellen Anpassung von Mastercam.

  • Mastercam Transition Guide (PDF auf Englisch) – Liefert detaillierte Informationen zu den Verfahren, die Mastercam-Anwender befolgen sollten, um Ihre Einstellungen, Bibliotheken, Teile und Postprozessoren auf Mastercam zu aktualisieren.

  • Post Debugger User Guide (PDF in englisch) – Beschreibt die Art der Verwendung des „Post Debugger“-Programms von Mastercam. In diesem Handbuch wird die Programmoberfläche erläutert, wie der Debugger installiert und aktiviert wird, wie der Debugger zum Verfolgen von Ihrem Postprozessor verwendet wird und wie die Daten interpretiert werden, die im Fenster des Debuggers erscheinen.

  • ReadMe (PDF) – Liefert brandaktuelle Informationen und Updates.

Siehe auch...

  • Mastercam Hilfe-Menü

  • Benutzen der Mastercam-Hilfe

  • Mastercam-Schulung


Mastercam-Systemsteuerung (MCAMX Control Panel applet)

Erweiterte Mastercam-Konfiguration

Die Mastercam-Installation beinhaltet die Anwendung „Erweiterte Mastercam-Konfiguration“, mit der Sie auf globale Mastercam-Eigenschaften zugreifen und diese ändern können. So können Sie mit der Anwendung beispielsweise festlegen, ob beim Start ein Mastercam-Startbildschirm angezeigt werden soll („Startbildschirm anzeigen“).

Starten Sie die Anwendung, indem Sie im Windows-Startmenü auf Alle Programme, Mastercam, Utilities, Advanced Configuration klicken.

Öffnen Sie für spezifischere Informationen die Anwendung und klicken Sie dort auf die Schaltfläche „Hilfe“.

Siehe auch...

  • Mastercam Hilfe-Menü

  • Mastercam-Dokumentation

  • Mastercam-Benutzeroberfläche – Übersicht


Mastercam-Schulung

CNC Software, Inc. und Ihr Mastercam-Vertriebspartner bieten verschiedene Schulungsmöglichkeiten an, um Sie dabei zu unterstützen, den Umgang mit der Software schnell zu erlernen. Dazu zählen:

Mastercam University: CNC Software fördert die „Mastercam University“, eine günstige Online-Lernplattform, die Ihnen rund um die Uhr Zugang zu Übungsmaterial für Mastercam verschafft. Nutzen Sie die Vorteile von mehr als 180 Videos zum Steigern Ihres Fachwissens nach eigenem Ermessen und zur Hilfe bei Ihrer Vorbereitung für die Mastercam-Zertifizierung. Für weitere Informationen bezüglich „Mastercam University“ kontaktieren Sie bitte Ihren autorisierten Mastercam-Vertriebspartner, besuchen Sie unsere Internetseite www.mastercam.com oder schicken Sie eine E-Mail an training@mastercam.com.

Übungshandbücher: Auf der Mastercam Website (Englisch: www.mastercam.com/en-us/support/tutorials, Deutsch: downloads.mastercam.de), oder über Ihren zuständigen Vertriebspartner erhalten Sie eine Reihe von Übungshandbüchern für Mastercam, von einer Einführung in das Programm bis hin zu komplexeren Themen wie Messungen, Mill-Turn, Drahten und Mastercam für SOLIDWORKS. Diese Handbücher führen Sie anhand von Grafiken und Schritt-für-Schritt-Anleitungen durch Beispielprojekte, über die Sie die wichtigsten Funktionen von Mastercam kennenlernen.

Siehe auch...

  • Mastercam-Benutzeroberfläche – Übersicht

  • Gemeinsame Mastercam-Schaltflächen

  • Symbolleisten

  • Hinweisfenster


Mastercam Feedback Programm (Kundenrückmeldungsprogramm)

In Mastercam erscheint am Anfang eine optionale Funktion für ein Datenfeedback namens Mastercam Kundenrückmeldungsprogramm (Feedback Programm). Die Teilnahme daran ist komplett freiwillig. Wenn Sie diese Funktion aktivieren, läuft sie bei jeder Mastercam-Sitzung im Hintergrund und sammelt und versendet automatisch Nutzungsinformationen an die CNC Software, Inc. (CNC). Diese Daten werden, zusammen mit Hardware- und Softwaretrends bei den Anwendern, nur zu Qualitäts- und Produktverbesserungszwecken verwendet und helfen dabei, CNC eine Vorstellung davon zu geben, wie hoch der jeweilige Wert bestimmter Funktionen in seinen Produkten ist. Sie enthalten keinerlei Daten über das Benutzermodell, noch irgendwelche Informationen, die für eine Wiederherstellung von Modellen verwendet werden könnten. Dieses Programm wird und kann keine Daten für Zwecke der Datenrekonstruktion (reverse engineering) sammeln.

Das „Mastercam Feedback Programm“ sammelt ausschließlich Daten, die sich auf Mastercam beziehen. Es werden weder sensible oder persönliche noch sonstige private Daten gesammelt. Alle durch dieses Programm gesammelten Daten werden streng vertraulich behandelt.

Das Dialogfeld „Kundenrückmeldungsprogramm“ erscheint beim ersten Start von Mastercam nach der Installation. Um an dem Programm teilzunehmen, müssen Sie die Option „Ja, ich möchte am Mastercam Kundenrückmeldungsprogramm teilnehmen.“ aktivieren. Nachdem Sie die Option gewählt haben, klicken Sie auf die OK-Schaltfläche, um die Teilnahme zu bestätigen.

Unten sind einige Datentypen aufgelistet, die bei einer Teilnahme am Kunden-Feedback durch diese Funktion gesammelt werden:

  • Die Mastercam „Build“-Nummer

  • Ihre SIM-Nummer

  • Die Bezeichnung der aufgerufenen Funktion und wie sie geöffnet wurde (Symbolleistenschaltfläche, Tastenkürzel, Menü)

Die von Teilnehmern des „Mastercam Feedback Programms“ gesammelten Daten werden von CNC zur Beantwortung folgender Fragentypen verwendet:

  • Welche Mastercam-Funktionen werden am häufigsten verwendet und welche am seltensten?

  • Wie oft und wann wird die Mastercam-Hilfe verwendet?

  • Welche Datenschnittstellen werden verwendet und wie oft?

  • Welche C-Hooks werden verwendet und wie oft?

  • Welche Befehle werden aufeinanderfolgend oder miteinander verwendet?

Hinweis: Die Liste oben ist unvollständig. Die Listeneinträge sind Beispiele von Datentypen, die von CNC gesammelt werden.

Wenn Sie das „Mastercam Feedback Programm“ starten, wird in Ihrer Windows-Programmsymbolleiste unten rechts auf Ihrem Bildschirm ein Symbol (siehe unten) angezeigt.

Sie können zur Teilnahme an dem Programm jederzeit das unten dargestellte Dialogfeld „Mastercam Feedback Programm“ aufrufen, indem Sie im Menü Hilfe den Eintrag Kundenrückmeldungsprogramm wählen (siehe unten).

Hinweise:

  • Durch die Teilnahme an diesem Programm wird die Verarbeitungszeit oder die Performance Ihres Computers nicht beeinträchtigt.

  • Wenn Sie nicht daran teilnehmen möchten, werden Sie in einer Periode von sechs Monaten immer wieder daran erinnert.

  • Das „Mastercam Feedback Programm“ wird bei der Beendigung von Mastercam automatisch beendet.

  • Die durch dieses Programm gesammelten Daten werden beim Beenden von Mastercam oder nach einer bestimmten Anzahl von Transaktionen an CNC gesendet.

  • Falls keine Internetverbindung besteht, werden die Daten auf Ihrer lokalen Festplatte gespeichert. Beim nächsten Mastercam-Start versucht das Programm, die Daten zu versenden. Falls die Daten über einen Zeitraum von fünf Tagen nicht versendet werden können, werden sie automatisch von Ihrem System gelöscht.

  • Sie können Ihre Teilnahme-Einstellungen jederzeit während einer Mastercam-Sitzung mithilfe des Dialogfelds „Mastercam Kundenrückmeldungsprogramm“ (Feedback Programm) aktivieren oder deaktivieren.


Mastercam-Ereignisprotokolle

Mastercam führt bei jeder Sitzung ein Ereignisprotokoll, in dem Fehlermeldungen, ausgeführte Funktionen, Zeitangaben, Teilebezeichnungen und weitere Daten erfasst werden. Das Ereignisprotokoll wird vom Zusatzprogramm Event Logger erstellt, das unabhängig von Mastercam läuft; das bedeutet, dass das Protokoll auch dann aufgerufen werden kann, wenn Mastercam aufgrund eines unerwarteten Fehlers plötzlich beendet wird. Es wird in einer XML-Datei im Temp-Verzeichnis gespeichert, und wird beim nächsten Start von Mastercam überschreiben.

Der Event Logger wird automatisch mit Mastercam gestartet und sein Symbol, wie unten abgebildet, im Infobereich der Taskleiste angezeigt. Doppelklicken Sie zum Aufrufen des laufenden Protokolls auf das Symbol Mastercam event log.

Optionen des Kontextmenüs

  • Event log – Zeigt das Ereignisprotokoll an

  • Clear log – Löscht das Ereignisprotokoll

  • Stop logging – Unterbricht die Protokollierung, bis sie mit dem Befehl „Start logging“ neu gestartet wird.

  • Start logging – Startet die Protokollierung neu, nachdem Sie mit dem Befehl „Stop logging“ unterbrochen wurde.

  • About Mastercam event logger – Zeigt Informationen zum Ereignisprotokoll-Hilfsprogramm an.

  • Exit: Schließt das Mastercam-Ereignisprotokoll, womit die Protokollierung bis zum Neustart von Mastercam gestoppt wird.

Hinweise:

  • Mastercam leitet Fehlermeldungen standardmäßig sowohl auf den Bildschirm (in Form eines Dialogfelds) als auch in das Ereignisprotokoll. Stellen Sie die Option Fehlerreport bei WZ-Wegberechnung auf Nur Log-Datei, um zu vermeiden, dass Mastercam-Funkionen durch Fehlermeldungen unterbrochen werden. Diese Option befindet sich auf der Seite "Bildschirm" des Dialogfelds "Systemkonfiguration".

  • Bei der Batch-Verarbeitung von Werkzeugwegen wird unabhängig von der Konfigurationeinstellung automatisch die Option Nur Log-Datei verwendet.

  • Diese Datei heißt Mastercam Event Log.xml und befindet sich in C:\Benutzer\[Benutzername]\Application Data\Local\Temp.

  • Das Ereignisprotokoll kann mehrere Mastercam-Programme gleichzeitig protokollieren.

  • Falls eine Instanz des Event Loggers aus irgendeinem Grund nicht korrekt beendet wird, können Sie sie mithilfe der Option „Exit“ manuell beenden. Klicken Sie dazu mit der rechten Maustaste im Infobereich der Windows-Taskleiste auf das Symbol des Event Loggers ( [image] ) und dann im Kontextmenü auf Exit.

Siehe auch...

  • Eigenschaftenseite "Bildschirm"


Unterbrechen von Mastercam-Funktionen

Mit Hilfe des Unterbrechungsmodus’ können Sie eine laufende Funktion unterbrechen, eine einzelne weitere Funktion ausführen und dann mit der ersten Funktion dort fortfahren, wo sie unterbrochen wurde. Sie können beispielsweise die Verkettung unterbrechen, die Funktion „Trimmen / Trennen / Verlängern“ zum Trennen einer Linie verwenden und dann mit der Verkettung fortfahren. Der Unterbrechungsmodus wird durch einen einzigen Klick auf die Schaltfläche aktiviert.

Hinweise:

  • Das Löschen von Elementen bei aktiviertem Unterbrechungsmodus kann zu erheblichen Problemen führen. Daher sind die Löschfunktionen im Unterbrechungsmodus deaktiviert.

  • Sie können immer nur eine Funktion unterbrechen. So ist es nicht möglich, zuerst die Verkettung zu unterbrechen, dann einen Trennen-Befehl zu starten und darauf den Trennen-Befehl zu unterbrechen.

So fügen Sie die Schaltfläche „Unterbrechungsmodus“ in eine Symbolleiste ein:

  1. Klicken Sie in der Menüleiste von Mastercam auf Einstellungen, Anpassen….

  2. Wählen Sie auf der Registerkarte „Symbolleisten“ des Dialogfelds „Anpassen“ in der Dropdownliste Kategorie eine Kategorie aus, um deren Funktionsschaltflächen anzuzeigen, und verwenden Sie danach eine der folgenden Methoden:

  3. Klicken Sie auf eine der Funktionsschaltflächen, und ziehen Sie diese bei gedrückter Maustaste auf eine der Mastercam Symbolleisten (außerhalb des Dialogfelds „Anpassen“).

  4. Klicken Sie auf eine der Funktionsschaltflächen, klicken Sie auf die gewünschte Symbolleiste in der Symbolleistenliste des Reiters Symbolleisten, und klicken Sie auf die Schaltfläche Hinzu.
    Hinweis: Das Kontrollkästchen vor der Symbolleiste, der Sie die Funktion hinzufügen wollen, muss markiert sein. Ist dies nicht der Fall, wird die Symbolleiste nicht in Mastercam angezeigt.

  3. Ziehen Sie den Unterbrechungsmodus (In der Kategorie „Einstellungen“) in eine Symbolleiste, oder legen Sie eine neue Symbolleiste an, indem Sie das Symbol einfach in das Mastercam-Fenster ziehen.

So verwenden Sie den Unterbrechungsmodus:

  1. Wenn Sie sich in einer aktiven Funktion (wie z.B. Verkettung) befinden, die Sie anhalten möchten, klicken Sie auf die Unterbrechungsmodus-Schaltfläche.

  2. Führen Sie die Funktion aus, die Sie abschließen müssen. Nach Beenden dieser Funktion aktiviert Mastercam wieder die ursprüngliche, angehaltene Funktion.

  3. Fahren Sie mit der ursprünglichen Funktion fort.

Siehe auch...

  • Tipps zur Verkettung


Mastercam-Dateipfade

Seit Version X5 wird Mastercam im Ordner C:\Programme\mcamxN installiert, wobei N die Versionsnummer anzeigt. Ferner werden Dateien nun in drei Typen aufgeteilt, die jeweils an einer anderen Stelle gespeichert werden. Die Dateitypen und deren Speicherort sind wie folgt:

  • Nicht modifizierbare Dateien: werden im Hauptinstallationsverzeichnis gespeichert, das in allen Windows-Versionen standardmäßig C:\Programme\mcamxN ist.

  • Persönliche benutzermodifizierte Dateien: werden unter Dokumente\my mcamxN gespeichert.

    Der Ordner my mcamxN befindet sich standardmäßig unter C:\Benutzer\[Benutzername]\Dokumente\my mcamxN.

  • Gemeinsame benutzermodifizierte Dateien: werden unter Öffentliche Dokumente\shared mcamxN gespeichert.

    Der Ordner shared mcamxN befindet sich standardmäßig unter C:\Benutzer\Öffentlich\Öffentliche Dokumente\shared mcamxN.

    Klicken Sie hier, um Details zu den drei Dateitypen aufzurufen.

    Nicht modifizierbare Dateien

    Diese Dateien beinhalten unter anderem:

    • Voreingestellte Daten- und Konfigurationsdateien

    • Voreingestellte Maschinen- und Steuerungsdefinitionen

    • Voreingestellte OPERATION- und PST-Dateien

    • Voreingestellte Werkzeugbibliotheken

    • Dokumentation und Hilfe

    Persönliche benutzermodifizierbare Dateien

    Folgende Dateien werden durch den Benutzer für den persönlichen Gebrauch am eigenen Rechner modifiziert:

    • MCX-, NC- und NCI-Dateien

    • Personalisierte Konfigurationsdateien

    • Andere personalisierte Dateien

    Gemeinsam verwendete benutzermodifizierbare Dateien

    Folgende Dateien werden von allen Benutzern gemeinsam verwendet:

    • Angepasste Maschinen- und Steuerungsdefinitionen

    • Angepasste Operationsdateien

    • Angepasste Postprozessoren

    • Angepasste Werkzeug- und Materialbibliotheken

    • Andere gemeinsame Dateien

    Hinweis: Die angegebenen Pfade setzen voraus, dass die Positionen Ihrer Standardverzeichnisse (Eigene Dokumente oder Öffentliche Dokumente) nicht geändert wurden.


Mastercam-Dateinamenerweiterungen

Mastercam verwendet viele Datentypen, von denen jeder durch seine Dateinamenerweiterung identifiziert wird. Seit Version X5 wird den meisten Endungen die Versionsnummer angehängt.

Um die Hilfe von Mastercam und die Dokumentation zu vereinfachen, wird auf die generellen Dateinamenerweiterungen verwiesen und die Versionsnummer wird weggelassen. Der Dateityp MCX bezeichnet jede Mastercam-Teiledatei unabhängig von der Version oder der tatsächlichen Erweiterung (wie MCX-9). Genauso bezeichnet der Dateityp CONTROL immer eine Steuerungsdefinition unabhängig von der Version und der tatsächlichen Erweiterung (wie CONTROL-9).

In den meisten Fällen setzt sich die neue Erweiterung aus einem Bindestrich und der Versionsnummer zusammen, wie in der folgenden Liste zu sehen ist.

Dateityp | Erweiterung vor Mastercam X5 | Erweiterung nach Mastercam X5
Teile-Datei | .mcx | .mcx-#a
Schulversion-Teiledatei | .emcx | EMCX
Mastercam-Voreinstellungsdatei | .defaults | .defaults-#
Materialbibliothek | .materials | .materials-#
Operationenbibliothek | .operations | .operations-#
Komponentenbibliothek | .gmd | .gmd-#
Maschinendefinition (Drehen) | .lmd | .lmd-#
Maschinendefinition (Fräsen) | .mmd | .mmd-#
Maschinendefinition (Router) | .rmd | .rmd-#
Maschinendefinition (Drahten) | .wmd | .wmd-#
Steuerungsdefinition | .control | .control-#
WZ-Bibliothek | .tools | .tools-# .tooldb

  1. „#“ ist hierbei die aktuelle Mastercam-Version. Die Dateinamenerweiterung für eine Mastercam X9-Teiledatei ist beispielsweise .mcx-9.

Hinweis: Dies betrifft nicht die Dateinamenerweiterungen .power, .nc und .nci.

Für Postprozessordateien werden nun beide Dateinamenerweiterungen unterstützt, wie in der folgenden Tabelle dargestellt:

Dateityp | Alte Erweiterung | Neue Erweiterung
Postprozessordatei | .pst | .mcpost
Verschlüsselte binäre Postprozessordateien | .psb | .mcbpost
Quelldatei für verschlüsselte binäre Postprozessordateien | .psm | .mcdpost
Einstellblatt | .set | .set (unverändert)

WICHTIG: Das Ändern der Postprozessoren für die neuen Dateinamenerweiterungen ist ein manueller Vorgang. Bei einer Änderung der Erweiterung Ihrer .pst-Datei werden die neuen Erweiterungen nicht automatisch von vorhandenen Steuerungsdefinitionen erkannt. Sie müssen für jeden umbenannten Postprozessor eine neue Steuerungsdefinition erstellen und die Einstellungen aus der alten Steuerungsdefinition importieren. Die standardmäßigen Maschinen- und Steuerungsdefinitionen, die mit X9 zur Verfügung stehen, wurden bereits für eine Verwendung der umbenannten Postprozessoren aktualisiert.


Mastercam-Launcher (Start-Optionen)

Dialogfeld „Start-Optionen – …“ (Mastercam Launcher)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

In diesem Dialogfeld verwalten Sie die Start-Optionen für eine bestimmte Mastercam-Installation (Lizenz).

Dabei können Sie folgende Start-Optionen für Mastercam definieren:

  • Zuweisen von Produkt (Plattform), Level und Verfügbarkeit (z.B. Fräsen Entry oder Router)

  • Ändern der Verfügbarkeit von Mastercam Add-On-Produkten und deren Verwendungsstatus

  • Starten von Mastercam mit HASP, Software-Lizenzierung oder NetHASP

  • Verwenden der Funktionalität für Dealer (Vertriebspartner), Industrie, Schule oder Studenten (kann nur von Mastercam-Vertriebspartnern geändert werden)

  • Starten von Mastercam mit oder ohne Softwarewartung (kann nur von Mastercam-Vertriebspartnern geändert werden)

  • Erzeugen einer benutzerdefinierten Desktop-Verknüpfung für Mastercam anhand Ihrer aktuellen Einstellungen

  • Wahlweises Speichern der aktuellen Einstellungen in der Registry und Starten von Mastercam, wenn Sie auf OK klicken

Die Start-Optionen (Mastercam Launcher) wurden hauptsächlich für Kunden mit NetHASP und Mastercam-Vertriebspartner entwickelt. Sie sind dazu bestimmt, die Starteinstellungen für eine bestimmte Mastercam-Lizenz anzupassen. Einige Optionen aus diesem Dialogfeld (wie z.B. das Starten von Mastercam mit oder ohne Softwarewartung) stehen nur dann zur Verfügung, wenn Sie einen Händler-HASP besitzen. Für Kunden mit normalem HASP und NetHASP sind sie nicht verfügbar. Mastercam Launcher erkennt Ihren SIM-Typ und zeigt im Dialogfeld nur die Optionen an, die Sie ändern können.

Klicken Sie oben auf die Registerkarte Felddefinitionen, um detaillierte Informationen zu den Optionen dieses Dialogfelds aufzurufen.

Weitere Informationen zu...

  • Systemkonfiguration

  • Dialogfeld „Anpassen“

  • Dialogfeld „NetHASP Lizenzierung“


Dialogfeld „NetHASP-Lizenzierung“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Rufen Sie dieses Dialogfeld auf, um NetHASP-Lizenzen für Produkt-Level zu überprüfen oder freizugeben.

Wenn Sie Ihre Mastercam-Lizenzen mithilfe eines NetHASP verwalten, möchten Sie beim Arbeiten in Mastercam eventuell Ihren Produkt-Level ändern oder ein Add-On wählen. Wenn Sie beispielsweise mit einer Lizenz für Mastercam Fräsen 3D arbeiten und jemand anderes in Ihrem Netzwerk auf dieselbe Lizenz zugreifen muss, können Sie die Lizenz für einen anderen Anwender freigeben. Wenn Sie eine Lizenz eines Produkt-Levels oder Add-Ons wählen, die auf dem NetHASP nicht verfügbar ist, zeigt Mastercam eine Meldung an.

Hinweise:

  • In vorherigen Versionen von Mastercam mussten Sie einen Befehlszeilenparameter eingeben, um Add-Ons zu überprüfen oder einen Produkt-Level vom NetHASP zu wählen. Mit Hilfe des Mastercam Launchers konnte voreingestellt werden, welche Lizenzen beim Start von Mastercam überprüft wurden. Sie können zwar weiterhin mit dem Mastercam Launcher arbeiten, dies ist jedoch nicht erforderlich und alle Einstellungen werden durch die Änderungen überschrieben, die Sie im Dialogfeld „NetHASP-Lizenzierung“ vornehmen, während Sie in Mastercam arbeiten.

  • Wenn Ihr System nicht für den Netzwerkbetrieb von Mastercam eingerichtet ist, ist die Option NetHASP Lizensierung im Menü Einstellungen deaktiviert.

Weitere Informationen zu...

  • Benutzung von Aladdin Monitor

  • Mastercam-Launcher (Start-Optionen)


Benutzung von Aladdin Monitor

Aladdin Monitor ist eine Drittanbieteranwendung zur Überwachung der NetHASP-Verwendung. Aladdin Monitor ist bereits in Mastercam integriert. CNC Software, Inc. kann jedoch nur einen begrenzten Support für diese Anwendung bieten. Wenden Sie sich daher bei Problemen, die technischen Support erfordern, an den Herausgeber der Software. Es folgt eine kurze Gebrauchsanleitung für den Aladdin Monitor.

Starten Sie Aladdin Monitor, und suchen Sie im linken Fenster den NetHASP der überprüft werden soll. Klicken Sie auf den NetHASP-Eintrag, um in der rechten Fensterhälfte Informationen über den HASP einzublenden.

Nach der Auswahl eines NetHASPs werden in der Programmtabelle die folgenden Informationen aufgelistet:

  • Verwendete Mastercam-Produkte (Programm-Nummer)

  • Anzahl aller Benutzer, die momentan die jeweiligen Produkte verwenden

  • Maximal für jedes Produkt zulässige Anzahl von Benutzern

  • Restliche Produkt-Aktivierungen

Sehen Sie bitte in der Programnummmerntabelle nach, welche Programmnummer welchem Mastercam-Produkt entspricht.

Das Login-Tabellenfeld zeigt Details zum gewählten Produkt, wie z.B.:

  • Login ID des Benutzers (IP-Addresse)

  • Hostname des Benutzers

  • Verwendetes Netzwerkprotokoll

  • Erforderliche Inaktivitätsperiode vor dem Löschen des Produkteintrags

Hinweise:

Siehe auch...

  • Mastercam-Launcher (Start-Optionen)

  • Dialogfeld „NetHASP Lizenzierung“


Mastercam-Benutzeroberfläche – Übersicht

Die Mastercam-Benutzeroberfläche besteht aus vielen unterschiedlichen Elementen.

Menüleiste

Enthält Menüs, über die Sie alle Mastercam-Features und Funktionen aufrufen können. Klicken Sie die Menüauswahl an oder fahren Sie mit der Maus darüber, um ihre Befehle anzuzeigen. Neben einigen Befehlen stehen Abbildungen, so dass Sie den Befehl schnell mit dem Bild assoziieren können.

Symbolleisten

Symbolleisten bestehen aus gruppierten Schaltflächen mit verwandten Funktionen.

Symbolleisten sind standardmäßig unterhalb der Menüleiste angedockt. Sie können entkoppelt werden, indem Sie aus dem Symbolleistenbereich gezogen werden oder indem Sie einen Doppelklick darauf ausführen. Sie können die Symbolleisten auch anhand des Dialogfelds „Anpassen“ anpassen.

Einige Beispiele für Mastercam-Symbolleisten:

Datei –

Skizzierer –

Klicken Sie hier, um nähere Informationen zum Arbeiten mit Symbolleisten aufzurufen.

Optionsleisten

Benutzen Sie Mastercams Optionsleisten, um Geometrie zu erzeugen und zu ändern. Sie funktionieren wie Dialogfelder, ähneln aber den Symbolleisten. Sie können nicht entkoppelt, angekoppelt oder verschoben werden.

Beachten Sie, dass wenn keine Funktion aktiv ist, für die eine Optionsleiste eingeblendet wird, per Voreinstellung die leere Optionsleiste angezeigt wird.

Weitere Informationen siehe Optonsleisten.

AutoCursor

Über die Optionsleiste „AutoCursor“ können manuell Werte für die X-, Y, und Z-Koordinaten eingegeben werden, und Punkte im Grafikfenster identifiziert und gefangen werden. AutoCursor wird immer dann aktiviert, wenn Sie aufgefordert werden, eine Position im Grafikfenster auszuwählen.

Klicken Sie hier, um eine Abbildung der Symbolleiste "AutoCursor" einzublenden.

Allgemeine Selektion

Seitenleisten

Vertikale Darstellungsbereiche auf der linken und rechten Seite des Bildschirms.

In den Seitenleisten wird rechts die MRU-Symbolleiste (mit den zuletzt verwendeten Funktionen) angezeigt, sowie die auf der Eigenschaftenseite „Dateien“ der Systemkonfiguration festgelegten Symbolleisten.

Manager

Werkzeugweg-Manager

Listet die Werkzeugweggruppen und Maschinentypen für die aktuelle Datei auf. Über den WZ-Wegmanager können Operationen sortiert, bearbeitet, regeneriert, verifiziert und gepostet werden. Er umfasst sowohl assoziative als auch nicht-assoziative Werkzeugwege.

Weitere Informationen siehe WZ-Wegmanager – Übersicht.

Solids-Manager

Listet zusammen mit der Operationslegende und assoziierten Werkzeugwegen, jedes Solid in der aktuellen Datei auf. Über den Solids-Manager können Solids und deren Operationen geändert werden.

Weitere Informationen siehe Solids Manager.

Art-Manager

Mit dem Art-Manager können Sie die Elemente des aktuellen Art-Modells zentral verwalten. Er befindet sich, zusammen mit dem Werkzeugweg- und Solid-Manager im Operations-Manager.

Weitere Informationen siehe Art-Manager – Übersicht.

Grafikfenster

MRU-Symbolleiste

Nutzen Sie die MRU-Symbolleiste zum direkten Zugriff auf Funktionen, die Sie am häufigsten verwenden. Sie ist per Voreinstellung rechts vom Grafikfenster angedockt. Nachfolgend ist eine horizontal angedockte MRU-Symbolleiste abgebildet.

Hinweis: Die Schaltflächen der MRU-Symbolleiste werden aktualisiert, während Sie mit Mastercam-Funktionen arbeiten; Ihre MRU-Symbolleiste sieht daher wahrscheinlich anders aus als in diesem Beispiel.

Rufen Sie die Eigenschaftenseite Dateien im Dialogfeld „Systemkonfiguration“ auf, um maximale Anzahl von Schaltflächen einzustellen, die in der MRU-Symbolleiste angezeigt werden können.

Klicken Sie hier, um nähere Informationen zum Arbeiten mit Symbolleisten aufzurufen.

Statusleiste

Die Statusleiste befindet sich am unteren Rand des Mastercam-Fensters. Sie bietet schnellen Zugriff auf Funktionen zum Ändern von Attributen, Layern, Gruppen und Ausrichtung (Ansichten und Ebenen) von Geometrie und Werkzeugwegen im Grafikfenster.

Hinweis: Die meisten dieser Benutzeroberflächenelemente können individuell angepasst werden. Beachten Sie, dass sich Positionen und Beschreibungen von Elementen in dieser Hilfe auf die Installationsvoreinstellungen von Mastercam beziehen.

Siehe auch...

  • Gemeinsame Mastercam-Schaltflächen

  • Symbolleisten

  • Hinweisfenster


Grafikfenster – Übersicht

Das Grafikfenster ist die Arbeitsumgebung, in der Sie Ihre Teile darstellen, erzeugen und ändern können.

Um Ihre Arbeitsumgebung zu vergrößern, können Sie die Fensterbreite verändern, indem Sie die linke Ecke anklicken und bei gedrückter Maustaste aufziehen. Die geänderten Größeneinstellungen bleiben von Sitzung zu Sitzung konstant. Anders gesagt, wenn Sie die Größe des Grafikfensters ändern und Mastercam schließen, wird das Fenster beim nächsten Öffnen von Mastercam in derselben geänderten Größe angezeigt.

Das Grafikfenster zeigt außerdem Informationen über das aktuelle Maßsystem (Inch oder Millimeter), über derzeit verwendete Ansichten und Ebenen (Ansicht, KEbene, WEbene, WKS) sowie die aktuellen Koordinatenachsen. Für weitere Informationen siehe Anzeigen von Koordinatendaten auf dem Bildschirm.

Das Grafikfenster bietet auch ein eigenes Kontextmenü (Menü der rechten Maustaste). Dieses Menü kann über die Registerkarte „Kontext-Menü“ des Dialogfelds "Anpassen" angepasst werden.

Siehe auch...

  • Mastercam-Benutzeroberfläche – Übersicht

  • Eigenschaftenseite „Bildschirm“ (Systemkonfiguration)


Tastenkürzel in Mastercam

Mastercam bietet sowohl vordefinierte Tastenkürzel als auch die Möglichkeit, eigene Tastenkürzel auf der Registerkarte „Tastatur-Kurzbefehle“ im Dialogfeld „Anpassen“ selbst anzupassen.

Die folgende Liste enthält die meisten der voreingestellten Tastenkürzel von Mastercam:

[Alt+1] | Ansicht – Draufsicht | [Alt+U] | Letzte/s Aktion/Ereignis rückgängig
[Alt+2] | Ansicht – Vorderansicht | [Alt+V] | Mastercam Versions- und SIM-Seriennummer
[Alt+3] | Ansicht – Rückansicht | [Alt+X] | Farbe/Layer/Linienart/Linienbreite von Element festlegen
[Alt+4] | Ansicht – Ansicht von unten | [Alt+Z] | Layer-Manager
[Alt+5] | Ansicht – Rechts | [Pfeiltasten] | Verschieben
[Alt+6] | Ansicht – Links | [Strg+A] | Alle Elemente auswählen
[Alt+7] | Ansicht – Isometrie | [Strg+C] | In Zwischenablage kopieren
[Alt+A] | Automatisches Sichern | [Strg+F1] | Zoomen um Zielpunkt
[Alt+Pfeiltasten] | Rotieren | [Strg+S] | Speichern der aktuellen Datei
[Alt+C] | Zusatzapplikation starten (C-Hooks und NET-Hooks) | [Strg+Umschalt+S] | Speichern unter
[Alt+D] | Dialogfeld „Zeichnungsoptionen“ öffnen | [Strg+T] | Schattierung umschalten
[Alt+E] | Elemente ein- oder ausblenden | [Strg+U] | Letzte/s Aktion/Ereignis rückgängig
[Alt+F1] | Geometrie an Bildschirm anpassen | [Strg+V] | Aus Zwischenablage kopieren
[Alt+F2] | Auf 80% herauszoomen | [Strg+X] | In Zwischenablage ausschneiden
[Alt+F4] | Mastercam beenden | [Strg+Y] | Ereignis wiederherstellen, das rückgängig gemacht wurde
[Alt+F8] | Dialogfeld „Systemkonfiguration“ öffnen | [Strg+Z] | Letzte/s Aktion/Ereignis rückgängig
[Alt+F9 | Alle Achsen ein-/ausblenden (Systemansicht, KEbene, WEbene) | [F1] | Zoom mit Auswahlfenster
[Alt+F12] | Zentrumspunkt für einen Motion-Controller wählen | [F2] | Auf 50 % herauszoomen
[Alt+G] | Dialogfeld „Auswahlnetz“ wird geöffnet | [F3] | Neuaufbau
[Alt+H] | Hilfe | [F4] | Elemente analysieren
[Alt+L] | Ebenen-Manager | [F5] | Alle gewählten Elemente löschen
[Alt+O] | Werkzeugweg-Manager ein-/ausblenden | [F9] | Koordinatenachsen ein-/ausblenden
[Alt+P] | Zur vorherigen Ebene wechseln | [Bild ab] | Um 5% herauszoomen
[Alt+S] | Vollzeitschattierung an/aus | Seite nach oben | Um 5% heranzoomen
[Alt+T] | WZ-Weganzeige ein-/ausblenden | [Strg+Umschalt+R] | Gesamte Anzeige neu aufbauen

Hinweise:

  • Wenn Sie in einem Dialogfeld oder mit einer Optionsleiste arbeiten, drücken Sie die Taste O als Kürzel für OK und die Taste Z für Zuweisen.

  • Beim Aufrufen einer Mastercam-Funktion über eine Kombination der Taste [Alt] mit einer anderen Taste müssen Sie die Taste [Alt] gedrückt halten, während Sie die andere Taste drücken. Wenn Sie die Taste [Alt] drücken, sie loslassen und dann die andere Taste drücken, können unerwartete Resultate auftreten. Beispiel: Wenn Sie die Taste [Alt] gedrückt halten und S eintippen, wird das Drahtmodell im Grafikfenster schattiert. Wenn Sie jedoch die Taste [Alt] drücken, sie loslassen und dann S eintippen, wird das Dropdownmenü „Solids“ geöffnet.

Siehe auch...

  • Anpassen von Symbolleisten und Menüs

  • Anpassen von Tastenzuweisungen


Gemeinsame Mastercam-Schaltflächen

In Mastercam gibt es Schaltflächen, die in den meisten oder vielen Dialogfeldern und Optionsleisten erscheinen. Einige davon können sogar in Symbolleisten oder Menüs auftauchen. Diese allgemeinen Schaltflächen besitzen überall in der Benutzeroberfläche universale Funktionen. Nachfolgend finden Sie Abbildungen und Funktionsbeschreibungen dazu:

Hilfe – Öffnet das Mastercam-Hilfesystem zu dem Thema, das sich auf das aktive Dialogfeld oder Funktion bezieht.

OK – Fixiert das aktive Element (sofern vorhanden) und schließt das Dialogfeld oder die Optionsleiste.

Anwenden – Führt die aktuelle Aufgabe mit den gewählten Einstellungen aus. Beispiel: Wenn Sie eine Linie mittels zweier Endpunkte erzeugen, wird durch das Anklicken der Anwenden-Schaltfläche die Linie mit den gewählten Endpunkten, der Länge, der Position und dem Stil festgelegt. Beim Drücken der [Enter]-Taste wird dieselbe Funktion ausgeführt.
Hinweis: Wenn Sie auf die Schaltfläche „Anwenden“ klicken, wird das Dialogfeld oder die Optionsleiste nicht geschlossen und die jeweilige Funktion bleibt aktiv, bis Sie sie beenden, indem Sie auf die Schaltfläche OK klicken. Wenn Sie auf die Schaltfläche „Anwenden“ klicken, wird das Dialogfeld oder die Optionsleiste nicht geschlossen und die jeweilige Funktion bleibt aktiviert, bis Sie sie beenden, indem Sie auf die Schaltfläche „OK“ klicken.

Abbrechen – Schließt das Dialogfeld und bricht jede laufende Funktion ab. Durch Drücken der [Esc]-Taste wird dieselbe Funktion ausgeführt.
Hinweis: In Optionsleisten und einigen Dialogfeldern nicht verfügbar.

Sichern – Speichert die aktuellen Einstellungen. In Dialogfeldern wird diese Schaltfläche häufig benutzt, um Einstellungen in einer benutzerdefinierten Datei zu speichern, wie beispielsweise einer WZ-Bibliothek oder einer Konfigurationsdatei.

Öffnen – Öffnet eine vorhandene Datei. In Dialogfeldern wird diese Schaltfläche häufig benutzt, um vorher gespeicherte Dateien wie beispielsweise WZ-Bibliotheken oder Sortierungsoptionen zu öffnen.

oder

Suchen – Öffnet ein Dialogfeld, in dem Sie den Pfad zu einem Ordner angeben können, oder zu einer Datei, die Sie zum Öffnen wählen können.

Standardselektion – Schließt das jeweilige Dialogfeld oder die Optionsleite, damit Sie im Grafikfenster zum Beispiel eine Position oder ein Element markieren können. Sie werden normalerweise zum Auswählen eines Elementes aufgefordert. Danach wird das Dialogfeld oder die Optionsleiste erneut aktiviert. Manchmal wird diese Schaltfläche zum Öffnen eines zweiten Dialogfelds oder einer zweiten Optionsleiste verwendet, in der Sie Optionen für eine zusätzliche Definition von Einstellungen auswählen können.

Erweitern – Erweitert das Dialogfeld, damit zusätzliche Optionen angezeigt werden.

Minimieren – Minimiert das Dialogfeld, um die zusätzlichen Optionen auszublenden.

Positionieren – Erlaubt das Einstellen von Parameterwerten durch Auswahl eines Elements oder einer Position im Grafikfenster. Normalerweise können diese Werte eingegeben werden, indem ein anderer Wert in ein Feld eingetragen wird.

In einigen Fällen können Sie mit dieser Schaltfläche die Position(en) eines aktiven Elementes im Grafikfenster ändern und manchmal als Alternative zur Eingabe von Koordinatenwerten verwenden.

In anderen Fällen öffnet sie ein zweites Dialogfeld oder eine zweite Optionsleiste, in der Sie zusätzliche Optionen auswählen können.

Konfiguration, Optionen oder Anpassen: Öffnen ein Dialogfeld, in dem Sie die aktuelle Funktion konfigurieren, anpassen oder Optionen dazu wählen können.

Hinweis: Wenn die Bildschirmauflösung Ihres Monitors zu hoch eingestellt ist, kann es vorkommen, dass in den Optionsleisten von Mastercam nicht alle verfügbaren Optionen anzeigt werden können. Dann werden so viele Optionen wie möglich, und am Ende der Optionsleiste ein Doppelpfeil angezeigt (siehe Abbildung). Alternativ dazu können Sie die Bildschirmauflösung so einstellen, dass alle Optionen in den Optionsleisten angezeigt werden. Stellen Sie bei horizontalen Auflösungen unter 1280 Pixel 96 dpi und eine kleine Schriftart ein.

Siehe auch...

  • Optionsleisten

  • Anpassen von Symbolleisten und Menüs


Symbolleisten

Symbolleisten bestehen aus Gruppen verwandter Funktionen, die Sie durch Schaltflächen aufrufen können. Sie werden standardmäßig im oberen Bereich der Benutzeroberfläche unter der Menüleiste angekoppelt. Für eine leichte Wiedererkennung sehen die Mastercam-Symbolleistenschaltflächen genauso aus, wie diejenigen, die neben den entsprechenden Menübefehlen der Menüleiste stehen.

Einige Beispiele für Mastercam-Symbolleisten:

Datei –

Skizzierer –

MRU (zuletzt verwendete Funktionen) –

Hinweis: Die MRU-Symbolleiste ist per Voreinstellung rechts vom Grafikfenster vertikal angedockt. Sie wird bei jedem Aufruf einer neuen Funktion aktualisiert und daher anders als im Beispiel aussehen. Klicken Sie zum Ein- oder Ausblenden der MRU-Symbolleiste mit der rechten Maustaste in einen leeren Bereich zwischen den Symbolleisten, wählen Sie die Option „Anpassen…“, und in der dann erscheinenden Kontextmenüliste auf den Eintrag MRU-Funktionsleiste.

Sie können die Mastercam-Symbolleisten abdocken, andocken, verschieben, ausblenden und anpassen. Klicken Sie unten auf die Links, um weitere Informationen dazu einzublenden.

Koppeln, Entkoppeln und Verschieben von Symbolleisten

Symbolleisten können durch einen Doppelklick darauf abgedockt werden oder indem Sie einmal darauf klicken und ihren Trennzeichenbalken wegziehen (siehe unten).

Wenn die Symbolleiste abgedockt ist, können Sie sie einfach per Drag & Drop an einer beliebigen Stelle des Bildschirms als horizontales Fenster positionieren. Sie können sie erneut andocken, indem Sie das Fenster irgendwo im Symbolleistenbereich per "Drag & Drop" positionieren oder indem Sie in der Titelleiste der Symbolleiste einen Doppelklick ausführen.

Hinweis: Sie können Symbolleisten auf einfach Art vertikal ankoppeln, indem Sie sie im Seitenleistenbereich der Benutzeroberfläche ablegen.

Ändern der Größe entkoppelter Symbolleisten

Symbolleisten können in der Größe verändert werden, indem Sie den Cursor über einen beliebigen Rand bewegen, bis er sein Aussehen in einen Doppelpfeil ändert und dann den Rand der Symbolleiste mit gedrückter Maustaste aufziehen. Beim Aufziehen erscheint ein dynamisches Rechteck, welches die projizierte Größe und Form anzeigt. Lassen Sie die Maustaste los, wenn die gewünschte Größe/Form angezeigt wird.

Aus- und Einblenden von Symbolleisten

Um eine ausgeblendete Symbolleiste einzublenden, rechtsklicken Sie in eine beliebige Symbolleiste und wählen Sie die Option Anpassen…, um ein Dialogfeld mit allen verfügbaren Symbolleisten anzuzeigen. Verwenden Sie die Registerkarte „Symbolleisten“ um die gewünschten Symbolleisten ein- oder auszublenden.

Anpassen von Symbolleisten

Sie können neue Symbolleisten erzeugen, sie löschen, umbenennen und deren Schaltflächen verändern. Diese Änderungen werden im Dialogfeld „Anpassen“ vorgenommen. Weitere Details dazu finden Sie unter dem entsprechenden Hilfethema.

Hinweis: Sie können die Symbolleisten im Dialogfeld Anpassen jederzeit auf Ihre ursprüngliche Konfiguration zurücksetzen.

Navigieren von Symbolleisten

Klicken Sie einmal auf eine Symbolleistenschaltfläche, um ihre Funktion zu aktivieren. Neben einigen Symbolleistenschaltflächen befindet sich rechts ein kleiner schwarzer Pfeil (siehe unten).

Klicken Sie auf den Pfeil, um eine Dropdownliste mit Schaltflächen zu öffnen (siehe unten), die Zugriff auf ähnliche Funktionen wie die der angezeigten Standard-Schaltfläche bietet.

Wenn Sie auf eine Schaltfläche aus der Dropdownliste klicken, wird die Funktion aktiviert und die Schaltfläche für diese Funktion solange in der Symbolleiste angezeigt, bis Sie auf eine andere Funktion der Dropdownliste klicken oder Mastercam beenden.

Hinweis: Schaltflächen in Symbolleisten von Mastercam werden erhaben angezeigt, wenn Sie mit der Maus darauf zeigen.

Siehe auch...

  • Optionsleisten

  • Anpassen von Symbolleisten und Menüs

  • Mastercam-Benutzeroberfläche – Übersicht


Hinweisfenster

Wenn Sie eine Funktion verwenden, die eine Eingabe, wie das Auswählen eines Elementes, eines Punktes oder einer Kette erfordert, liefert Mastercam einige einfache Tipps in Form eines Hinweisfensters (siehe Beispiel unten):

Sie können diese Hinweisfenster per Drag & Drop (Ziehen & Ablegen) an einer anderen Stelle positionieren. Das Hinweisfenster erscheint immer auf der letzten Position, an der Sie es platziert haben. Wenn Sie das Hinweisfenster zum Beispiel vom Grafikfenster in den Symbolleistenbereich ziehen, wird das Hinweisfenster bei jeder weiteren Eingabeaufforderung genau in diesem Bildschirmbereich eingeblendet.

Klicken Sie mit der rechten Maustaste auf das Hinweisfenster, um seine Schriftgröße, Textfarbe und Hintergrundfarbe individuell anzupassen.

  • Wählen Sie unter den folgenden Einstellungen des Kontextmenüs, um die Schriftgröße anzupassen:

Klein

Mittel

Groß

  • Klicken Sie im Kontextmenü‘ auf Textfarbe oder Hintergrundfarbe, um die Farbe des Hinweistexts oder des Hintergrunds zu ändern. Wählen Sie dann im Dialogfeld „Farben“ eine neue Farbe.

Hinweise:

  • Da der Bereich unter dem Hinweisfenster immer verdeckt wird, sollten Sie es nicht auf eine Symbolleiste, die Statusleiste, die Anzeige im Werkzeugweg-Manager oder genutzte Seitenleistenbereiche verschieben.

  • Das Hinweisfenster kann nicht wie eine Symbolleiste angedockt werden.

Siehe auch...

  • Mastercam-Benutzeroberfläche – Übersicht

  • Symbolleisten


Kontextmenüs

In Mastercam sind zahlreiche Kontextmenüs verfügbar. Klicken Sie zum Beispiel mit der rechten Maustaste in den Werkzeugweg-Manager, um eine umfassende Liste mit Funktionen und Untermenüs zum Arbeiten mit Maschinengruppen, Werkzeugweggruppen, Werkzeugwegen, Operationen, Einstellblättern und weiteren Elementen aufzurufen. Im Dialogfeld mit der Registerkarte „Werkzeuge“ können Sie im Kontextmenü eine Vielzahl von Funktionen wählen, die sich auf Werkzeuge, Werkzeugbibliotheken und Werkzeugwegparameter für die gewählte Operation beziehen.

Es gibt zwei spezielle Kontextmenüarten: Das persönlich angepasste Kontextmenü– (konfigurieren Sie dieses Menü im Dialogfeld „Anpassen“, um beim Arbeiten im Grafikfenster schnellen Zugriff auf Ihre bevorzugten Funktionen zu erhalten) und das Kontextmenü mit Tastenkürzeln für die Dateneingabe, das in vielen Zahleneingabefeldern von Optionsleisten und Dialogfeldern verfügbar ist.

Hinweis: Kontextmenüs gibt es für viele Mastercam-Funktionen; drücken Sie im Zweifelsfall die rechte Maustaste, um zu sehen, ob eins verfügbar ist.

Siehe auch...

  • Anpassen von Symbolleisten und Menüs

  • Reiter „Kontext-Menü“ (Dialogfeld „Anpassen“)


Mastercam-Tooltips

Zum Identifizieren einzelner Elemente der Benutzeroberfläche gibt es in Mastercam Tooltips, die die jeweiligen Funktionen von Optionsleisten, Symbolleisten und Dialogfeldern kurz erklären. Ein Tooltip ist ein kleines Textfenster, eventuell mit Grafiken, das die entsprechende Funktion beschreibt (siehe unten). Halten Sie zum Anzeigen der Tooltips den Mauszeiger kurz über das Element in der Benutzeroberfläche.

Hinweise:

  • Tootips werden gegebenenfalls nicht für alle Elemente angezeigt.

  • Der Tooltip wird nur für einige Sekunden eingeblendet, während der Mauszeiger auf dem Element liegt.

Siehe auch...

  • Hinweisfenster

  • Dialogfeld „Systemkonfiguration“


Tastenkürzel für die Dateneingabe

Mastercam bietet bei fast allen Feldtypen bequeme Tastenkürzel für die Dateneingabe. Klicken Sie auf die nachfolgenden Links, um detaillierte Informationen dazu einzublenden.

Mastercams integrierter Rechner

Automatisches Umwandeln von inch- in metrische Werte

Mastercam kann bei der Dateneingabe automatisch eine Umwandlung zwischen englischen (inch) und metrischen Werten vornehmen. Geben Sie in das Feld den Wert gefolgt von entweder „mm“ für Millimeter oder „in“ für inch ein. Ungeachtet der aktuellen Konfigurationsdatei wandelt Mastercam die Zahl in den entsprechenden Wert des anderen Einheitensystems um. Beispiel: Wenn Sie in der metrischen Konfiguration „2.0 in“ eingeben und den Cursor in eine anderes Feld setzen, wandelt Mastercam diesen Inch-Wert in den entsprechenden metrischen Wert von 50.8 um.

Spezielle Datenbereichlimitierungen

Manche Datenfelder in Mastercam erlauben nur die Eingabe von Werten innerhalb eines bestimmten Bereiches. Wenn darin unzulässige Daten eingegeben werden, wird ein „Hinweisfenster“ mit dem jeweils zulässigen Zahlenbereich eingeblendet. Mögliche Meldungen hierfür sind:

größer als 0.0

Minimalwert oder größer (z.B.: 0.0 oder größer)

weniger als 0,0

Maximalwert oder weniger (z.B., 100,0 oder weniger)

ungültiger Ausdruck

Minimal- bis Maximalwert (z.B.: 0.0 bis 360.0)

Einlesen/Importieren von Werten aus Geometrie

Mastercam kann auch Bemaßungen, Koordinatenpositionen und andere Werte direkt aus der Geometrie im Grafikfenster einlesen/importieren. Beispiel: Geben Sie [X] in ein Feld ein und drücken Sie entweder die Taste [Tab] oder [Enter]. Mastercam bringt zur Auswahl einer Punkt- oder Elementposition das Grafikfenster in den Vordergrund und liest die entsprechende X-Koordinate direkt in das Feld ein. Führen Sie in dem Feld einen Rechtsklick aus, damit die komplette Liste der Tastenkürzel angezeigt wird. Sie können das Tastenkürzel entweder aus dem Menü auswählen oder es selbst eintippen.

Hinweis: Wenn Sie die Kontextmenü-Option Winkelmenü, T = Zwei Linien wählen, bestimmt der Zustand, wie die Linien ausgewählt sind, den Winkel zwischen den Linien.

Für Integer- (ganzzahlige) und Textfelder wird dieses Kontextmenü angezeigt:

Kreis- und Bogendurchmesser

Definieren Sie Durchmesser schnell und ohne ein Tabellenbuch heranzuziehen. Geben Sie [#] und eine Bohrernummer von 1-97 oder [#] und einen Bohrerbuchstaben von A-Z in ein berechnungsfähiges Feld ein und der korrekte Durchmesser wird automatisch eingetragen.

Sie können auch mit der rechten Maustaste in das Feld klicken und mithilfe der Menü-Optionen Durchmesser aus einer Bohr- oder Gewindetabelle wählen. Wählen Sie die Kontextmenüoption Solid Bohrdurchmesser, damit Mastercam den Durchmesser einer gewählten Solidbohrung übernimmt.

Siehe auch...

  • AutoCursor – Übersicht

  • Optionsleisten


Mastercams integrierter Rechner

Felder für Zahlenwerte besitzen einen integrierten Rechner, mit dem einfache Formeln direkt in das jeweilige Feld eingegeben werden können. Beispiel: Wenn Sie 9/32 in ein Feld eingeben, zeigt Mastercam den Wert 0.28125 an. Mit dem Rechner können Sie:

  • den kompletten Umfang arithmetischer Rechenzeichen nutzen

  • Klammern verwenden, um kompliziertere Ausdrücke zu erzeugen

  • Formeln in algebraischer Schreibweise eingeben

  • Maßeinheiten wie z.B. Grad oder cm definieren

  • mathematische Funktionen aufrufen

  • Kreis- und Bogendurchmesser bestimmen

Klicken Sie auf die nachfolgenden Themen, um weitere Informationen einzublenden.

Einheitensymbole

Symbol | Beschreibung | Symbol | Beschreibung
d | Grad | m | Meter
' | Gradminuten | km | Kilometer
" | Gradsekunden | um | Mikrometer
g | Gradient | in | Inch (Zoll)
r | Radiant | ft oder f | feet
mm | Millimeter | yd | yards
cm | Zentimeter |  |

Hinweise:

  • Platzieren Sie das Einheitensymbol immer hinter der Ziffer (z.B.: 45mm).

  • Wahlweise können zwischen Ziffer und Einheitensymbol eine oder mehrere Leerstellen eingefügt werden. So sind zum Beispiel die beiden folgenden Werte zulässig: 25mm, 25 mm.

  • Falls ein Wert kein Einheitensymbol besitzt, verwendet Mastercam die derzeit voreingestellten Einheiten (Inch oder Metrisch, eingestellt auf der Seite Start/Ende des Dialogfelds „Systemkonfiguration“).

  • Verwenden Sie zum Definieren nicht eindeutiger Werte Klammern oder zusätzliche Einheitensymbole. Angenommen, Mastercam ist beispielsweise auf Millimeter eingestellt. Wenn Sie dann 3 mm durch 4 cm teilen möchten, ist die Eingabe 3/4cm unzulässig. (Sie wird als 3/4 cm interpretiert.) Benutzen Sie für den Ausdruck stattdessen die Schreibweise 3mm/4cm oder 3/(4cm).

  • Um einen ganzen Ausdruck in einen Einheitentyp umzuwandeln, multiplizieren Sie den Ausdruck mit der gewünschten Einheit. Beispiel: Um den Ausdruck (22/7)*2.5^2 in Zentimeter zu konvertieren, geben Sie ((22/7)*2.5^2)*1cm ein. (Beachten Sie die Klammer um den ursprünglichen Ausdruck).

Arithmetische Rechenzeichen

Operator | Beschreibung | Beispiel
+ | Addition | 5+3 (Ergebnis = 8)
&minus; | Subtraktion | 5-3 (Resultat = 2)
* | Multiplikation | 5*3 (Resultat = 15)
/ | Division | 5/3 (Ergebnis = 1.666…)
\ | Ganzzahl-Division | 5\3 (Resultat = 1)
^ | Exponent | 5^3 (Resultat = 125)
Mod | Modul (Teilungsrest) | 5 Mod 3 (Resultat = 2)

Konstanten

Konstant | Beschreibung
#pi | pi
#e | e
#RadToDeg | Radiant in Grad
#DegToRad | Grad in Radiant

Hinweis: Bei Konstanten spielt Groß- oder Kleinschreibung keine Rolle. Beispiel: Die Eingaben #pi, #Pi und #PI sind gleichwertig.

Mathematische Funktionen

Funktion | Beschreibung
Abs() | Absoluter Wert
Acos() | Arkuskosinus
Asin() | Arkussinus
Atan() | Arkustangens
Atan2() | Arkustangens mit zwei Argumenten
Cos() | Cosinus
Exp() | Exponent (zur Basis e)
Fix() | Entfernt den gebrochenen Anteil einer Zahl. Bei einem negativen Wert x, liefert Fix(x) eine Ganzzahl größer oder gleich x.
Int() | Entfernt den gebrochenen Anteil einer Zahl. Bei einem negativen Wert x, liefert Int(x) eine Ganzzahl kleiner oder gleich x.
Log() | Natürlicher Logarithmus (zur Basis e)
Sgn() | Vorzeichen von
Sin() | Sinus
Sqr() | Quadratwurzel
Tan() | Tangente

Hinweis: Bei allen trigonometrischen Funktionen werden Winkel in Grad angenommen.

Kreis- und Bogendurchmesser

Definieren Sie Durchmesser schnell und ohne ein Tabellenbuch heranzuziehen. Geben Sie [#] und eine Bohrernummer von 1-97 oder [#] und einen Bohrerbuchstaben von A-Z in ein berechnungsfähiges Feld ein und der korrekte Durchmesser wird automatisch eingetragen.

In der metrischen Konfiguration konvertiert Mastercam die Bohrdurchmesser in Inch automatisch in ihr metrisches Äquivalent.

Hinweise:

  • Als Einheiten werden per Voreinstellung die aktuellen Systemeinheiten (Inch oder Millimeter) übernommen; diese können jedoch werteweise mit anderen Einheitensymbolen überschrieben werden.

  • Sie können mathematische Ausdrücke sowohl in Ganzzahl- als auch in Dezimal(Fließkomma)-Felder eingeben. Bei einem Ganzzahl-Feld verwirft Mastercam jedoch den Dezimalteil des Resultats.

  • Überall, wo Mastercam reelle Zahlen und Formeln akzeptiert, können Sie einen Winkelwert im Format Grad/Minuten/Sekunden oder Gradient/Radiant eingeben.

  • Geben Sie für „pi“ anstelle von 3.14159265 einfach #pi ein. Mastercam berechnet den Ergebniswert bis auf die Nachkommastellen des jeweiligen Felds.

  • Im Direkteingabemodus akzeptiert das Eingabefeld Zahlen, Brüche, Dezimalwerte und auch Formeln. Wenn Sie beispielsweise eine Punktposition mit X6, Y3, Z0.5 eingeben wollen, könnten Sie dafür auch X(2*3)Y(5-2)Z(1/2) eintippen.

  • Der Rechner behandelt ein Leerzeichen zwischen Werten wie ein Additions-Rechenzeichen (+). Wenn Mastercam beispielsweise auf inch eingestellt ist, führt die Eingabe von 5 8 3/4 zu dem Ergebnis von 13.75 inches. In einem anderen Beispiel, bei dem ebenfalls das System auf inch eingestellt ist, ergibt die Eingabe von 1m 5cm 4 ein Ergebnis von 45.338583 inches.

  • Felder in denen der Rechner aktiv ist, besitzen standardmäßig einen gelben Hintergrund. Diese Farbe kann auf der Seite „Farben“ des Dialogfelds „Systemkonfiguration“ geändert werden.

Siehe auch...

  • Tastenkürzel für die Dateneingabe


Basis-Funktionen und unmittelbare Modus-Funktionen

Mastercam hat zwei verschiedene Funktionstypen; Basis und unmittelbarer Modus.

Basis-Funktionen brechen vor ihrem Start alle vorhandenen aktiven Funktionen ab. Unmittelbare Modus-Funktionen unterbrechen eine Funktion und kehren nach ihrer Beendigung zur Funktion zurück. Ein „Unmittelbarer Modus“-Befehl ist eine Funktion, die ausgeführt wird, ohne dass zuerst die aktuelle Funktion abgebrochen wird.

Wenn Sie beispielsweise eine Linie zeichnen und [Alt+F1] zum Anpassen (der Ansicht) drücken, werden Sie nicht von der Funktion Entwerfen, Linie ausgeschlossen. Die Funktionen Anpassen und Zoom aus dem Mastercam-Menü „Ansicht“ sind Beispiele unmittelbarer Modus-Funktionen.

Unmittelbare Modus-Funktionen sind standardmäßig so eingestellt, dass sie in der MRU-Symbolleiste (zuletzt verwendete Funktionen) erscheinen. Sie können diese Voreinstellung ändern, indem Sie auf der Eigenschaftenseite „Bildschirm“ (Systemkonfiguration) das Kontrollkästchen „Inkl. unmittelbare Modus-Funktionen“ deaktivieren.

Weitere Informationen zu...

  • Ändern der Anzeige im Grafikfenster


Werkzeugweg-Manager – Übersicht

Im Werkzeugweg-Manager können Sie sämtliche Elemente des aktuellen Jobs zentral verwalten. Er befindet sich auf der linken Seite des Mastercam-Fensters, zusammen mit dem Solids-Manager und – wenn Art installiert ist – dem Art-Manager im Operations-Manager.

In der Abbildung oben sehen Sie, wie die Maschinengruppen (Maschinengruppe 1) und Werkzeugweggruppen-Unterordner im Werkzeugweg-Manager erscheinen. Detaillierte Informationen zu Elementen der oben abgebildeten Liste finden Sie unter Werkzeugweg-Manager-Liste.

Sobald Sie Werkzeugwege für das Teil erstellt haben, arbeiten Sie in Mastercam hauptsächlich im Werkzeugweg-Manager. Jedesmal wenn Sie einen Werkzeugweg erstellen, wird automatisch eine Werkzeugweg-Operation erzeugt. Werkzeugwege können erst dann erzeugt werden, wenn Sie die Maschinen-Eigenschaften definiert haben, indem Sie entweder eine Maschinengruppe gewählt oder erzeugt haben. Weitere Informationen zum Konfigurieren der Maschinen-Eigenschaften finden Sie unter Steuerungsdefinition – Übersicht und Maschinendefinition – Übersicht.

Hinweis: Sie können die Werkzeugweg- und Solids Manager andocken, abdocken, in der Größe ändern und schließen. Klicken Sie hier, um nähere Informationen dazu aufzurufen.

Siehe auch…

  • Werkzeugweg-Manager

  • Tastenkürzel im Werkzeugweg-Manager

  • Werkzeugweg-Manager – Kurzübersicht

  • Kontextmenü des Werkzeugweg-Managers


Werkzeugweg-Manager

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Über den WZ-Wegmanager können Operationen sortiert, bearbeitet, regeneriert, verifiziert und gepostet werden.

Um die Anzeige im Grafikfenster übersichtlicher zu gestalten können Sie die Optionen des Werkzeugweg-Managers so einstellen, dass Werkzeugwege und assoziative Geometrie nur für markierte Werkzeugweg-Operationen angezeigt werden. Sie können die Anzeige von G0-Rückzugsbewegungen auch für das ganze teil ausschalten.

Im Werkzeugweg-Manager sind Werkzeugwegdaten in Maschinen- und Werkzeugweggruppen aufgegliedert. Jede Maschinengruppe enthält Details der Maschinen-Eigenschaften (Support-Dateien, WZ-Einstellungen, Rohteileinstellungen, usw.) und jede Operation Werkzeugwegdetails (Parameter, Werkzeuge, eingebundene Operationen, usw.).

Sie können Ihre Operationen auch in Untergruppen (Werkzeugweggruppen genannt) gliedern. Weitere Informationen zum Einrichten des Werkzeugweg-Managers finden Sie unter Liste des Werkzeugweg-Managers und Werkzeugweg-Manager – Kurzübersicht.

Optionen des Kontextmenüs

Das Kontextmenü des Werkzeugweg-Managers enthält ein umfassende Liste von Funktionen. Informationen zu den einzelnen Funktionen finden Sie unter Kontextmenü des Werkzeugweg-Managers.

Hinweis: Sie können die Werkzeugweg- und Solids Manager andocken, abdocken, in der Größe ändern und schließen. Klicken Sie hier, um nähere Informationen dazu aufzurufen.

Weitere Informationen zu…

  • Werkzeugweg-Manager – Übersicht

  • Richtlinien für die Arbeit mit dem Werkzeugweg-Manager

  • Tastenkürzel im Werkzeugweg-Manager

  • Maschinengruppen

  • WZ-Weganzeige


Kontextmenü des Werkzeugweg-Managers

Der Werkzeugweg-Manager bietet eine Reihe von Hilfsmitteln, Funktionen und Befehlen, die über ein Kontextmenü aufgerufen werden können. Nachfolgend ist eine Auswahl von Funktionen aus diesem Menü aufgeführt. Klicken Sie unten auf ein Menü-Element, um eine Beschreibung dazu einzublenden.

Fräsen-Werkzeugwege | DOC-Dateien
Dreh-Werkzeugwege | Wählen
Drahten-Werkzeugwege | Sortieren
Router-Werkzeugwege | Importieren
Selektierte Operationen ändern | Exportieren
Gruppen | Batch
Ausschneiden | Darstellungsoptionen
Kopieren | Einstellblatt
Einfügen | WZ-Liste
Löschen | Drehen: Rohteilvorschau
Wiederherstellen | Drehen: Rohteilaktualisierung
Rückgängig machen | Dreh-Rohteil-Vorschau (nur Mill-Turn)
Öffnen | Dreh-Rohteil-Aktualisierung (nur Mill-Turn)
Schließen | WZ-Wegeditor

Mill-Turn-spezifische Optionen

Fräsen (Fräs-Werkzeugwege)

Drehen (Drehwerkzeugwege)

Teile-Handling

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Werkzeugweg-Manager-Liste

  • Werkzeugweg-Manager – Kurzübersicht

  • Tastenkürzel im Werkzeugweg-Manager


Werkzeugweg-Manager-Liste

Die Liste des Werkzeugweg-Managers enthält die folgenden Haupteinträge zu Werkzeugwegen in der aktuellen Teiledatei:

Maschinengruppen-Ordner ()

Wenn Sie in Mastercam eine Maschinendefinition wählen oder erzeugen, werden die entsprechenden Informationen in einen Maschinengruppen-Ordner des Werkzeugweg-Managers eingefügt. Beim Erzeugen dieses Ordners wird automatisch ein Unterordner mit der Bezeichnung „Eigenschaften – Maschine“ angelegt, der Werkzeugweggruppen und Operationen enthält, und ein WZ-Weggruppen-Ordner mit Operationen dieser Maschinengruppe.

Maschinen-Eigenschaften-Ordner ( [image])

Ein einzelnes Teil kann mehrere Maschinengruppen besitzen, die jeweils Maschinen-Eigenschaften-Ordner mit Angaben zu den Eigenschaften der Maschine enthalten (d.h. zugehörige Dateien, WZ-Einstellungen, Rohteileinstellungen, usw.). Jeder Ordner enthält Details für die Maschinengruppeneinstellungen. Dieser Informationen stehen an Anfang jeder Werkzeugweggruppenliste. Die entsprechenden Details werden im Dialogfeld „Eigenschaften der Maschinengruppe“ definiert.

Jeder Maschinen-Eigenschaften-Ordner ist in drei Teile untergliedert:

Dateien ( [image])

Öffnet die Registerkarte „Dateien“ des Dialogfelds „Eigenschaften der Maschinengruppe“. Auf dieser Registerkarte können Sie Bezeichnungen und Datenpfade von Dateien, die für die Operationen dieser Maschinengruppe erforderlich sind, angeben und andere wichtige Eigenschaften der Maschinengruppe festlegen.

WZ-Einstellungen ( [image])

Öffnet die Registerkarte „WZ-Einstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“. Auf dieser Registerkarte können Sie steuern, wie WZ-Nummern, WZ-Versatznummern und Voreinstellungswerte für Vorschübe, Drehzahlen, Kühlmittel und andere Werkzeugwegparameter zugewiesen werden.

Rohteileinstellungen ( [image])

Öffnet die Registerkarte Rohteileinstellungen im Dialogfeld „Eigenschaften der Maschinengruppe“. In diesem Dialogfeld können Sie Rohteilmodelle definieren, die dazu dienen, Ihre Werkzeugwege möglichst realistisch zu visualisieren.

Werkzeugweggruppen-Ordner ( [image])

Per Voreinstellung fügt Mastercam Operationen automatisch in Werkzeugweggruppen genannte Untergruppen ein, die zusätzliche Ebenen zum Verwalten der Daten bieten.

Diese Untergruppen bieten nicht nur die Möglichkeit, Ihre Operationen folgerichtig anzuordnen, sondern erlauben auch die schnelle Auswahl mehrerer Werkzeugwege: durch Markieren einer Werkzeugweggruppe werden automatisch alle enthaltenen Operationen markiert.

Sie können mithilfe von Untergruppen auch die Anzeige von Operationsgruppen maximieren oder minimieren und so die Arbeit mit dem Werkzeugweg-Manager übersichtlicher gestalten.

Sie können eine unbegrenzte Anzahl an Untergruppen in andere Untergruppen einbetten.

Operations-Ordner ( [image])

Die Bezeichnungen der einzelnen Operationen beschreiben den jeweiligen Bearbeitungsvorgang (z.B. Flächenschruppen – Radial). Ein einzelnes Teil kann viele Operationen besitzen, die in Werkzeugweggruppen enthalten sind.

Unter jeder Operation sind mindestens vier Symbole aufgeführt. Hier nun die vier Hauptsymbole:

Parameter ( [image])

Enthält alle Bearbeitungsinformationen wie Werkzeugauswahl, Anzahl der Bearbeitungsdurchgänge usw..

Werkzeugdefinition ( [image])

Hier können Sie Daten zu Größe und Form des Werkzeugs ändern.

Teile-Geometrie ( [image])

Enthält die Geometrieselektionen für das Teil oder den Bereich, den Sie bearbeiten.

Werkzeugweg ( [image])

Eine separate Datei im Zwischenformat, die alle Werkzeugwegdaten enthält. Der Postprozessor erzeugt anhand dieser Daten eine NC-Datei für Ihre spezielle Maschine/Steuerung.

Zusätzlich werden bei einigen Operationen weitere spezifische Details für die jeweilige Maschine und den Werkzeugwegtyp angezeigt:

Drehen-spezifisch

Das Rohteilupdate liefert jeweils aktuelle Daten zum Material, das vom Teil entfernt wird.

Flächenwerkzeugwege

Bei Flächen-Werkzeugwegen können Sie auf Bearbeitungsflächen, Begrenzungsflächen, Begrenzungskonturen, Startpunkt-Menüs und CAD-Dateien zugreifen.

Flowline-Werkzeugwege

Bei Flowline-Werkzeugwegen besteht Zugriff auf Flowline-Daten.

Nachfolgend ist ein Beispiel des Werkzeugweg-Managers mit einigen Details einer Flowline-Operation abgebildet.

Einfügepfeil für Operationen ( [image])

Sobald im Werkzeugweg-Manager eine Gruppe eingerichtet wurde, wird ein Einfügepfeil angezeigt (siehe unten), der die Position markiert, an der neue Operationen in diese Gruppe eingefügt werden.

Per Voreinstellung befindet sich der Einfügepfeil am Ende der Liste der aktuellen Operationen. Um in der Liste eine Operation an einer anderen Position als der voreingestellten zu erzeugen, ziehen Sie den Pfeil mit der Maus und legen ihn unterhalb der Operation ab, nach der die neue Operation erzeugt werden soll. Sie können dazu auch oben im Werkzeugweg-Manager auf die Navigationsschaltflächen des Einfügepfeils klicken (siehe unten).

Siehe auch…

  • Werkzeugweg-Manager

  • Werkzeugweg-Manager – Übersicht

  • Kontextmenü des Werkzeugweg-Managers

  • Tastenkürzel im Werkzeugweg-Manager


Richtlinien für die Arbeit mit dem Werkzeugweg-Manager

Nachfolgend finden Sie Hinweise und Erläuterungen zur Arbeit mit dem Werkzeugweg-Manager:

  • Ähnlich wie im Windows-Explorers, kann die Liste im Werkzeugweg-Manager (siehe unten) per Klick auf die Plus- und Minus-Symbole geöffnet und geschlossen werden. Sie können zum Öffnen und Schließen auch einen Doppelklick auf eine Gruppe, eine Untergruppe oder ein Verzeichnis ausführen.

  • Ziehen Sie die Maus über den Werkzeugweg-Manager, um ihn zu aktivieren. Wenn Sie Ihre Maus dann wieder ins Grafikfenster ziehen, wird dieses aktiviert und der Werkzeugweg-Manager deaktiviert.

  • Maschinengruppen beinhalten Werkzeugweg-Gruppen, die wiederum Untergruppen bzw. Operationen enthalten. Ein Werkzeugweg kann nicht direkt unterhalb einer Maschinengruppe ohne eine Werkzeugweg-Gruppe erzeugt werden.

  • Bei der Erzeugung eines Werkzeugwegs wird die Operation an der Position des Einfügepfeils eingefügt. Falls der Einfügepfeil dabei nicht unter einer Werkzeugweggruppe positioniert ist, erzeugt Mastercam eine Werkzeugweggruppe für diese Operation. Diese Werkzeugweggruppe wird an der letzten Position in der Maschinengruppe eingefügt, in der sich der Einfügepfeil befindet (siehe unten).
    .

  • Klicken Sie zum Markieren einer Operation einmal auf ihre Bezeichnung oder ihr Symbol. Auf dem Symbol der markierten Operation wird danach ein grünes Häkchen angezeigt (siehe unten):

  • Klicken Sie einmal auf die Bezeichnung oder das Symbol einer Maschinengruppe, um alle Untergruppen und Operationen innerhalb dieser Gruppe zu markieren.

  • Klicken Sie einmal auf die Bezeichnung oder das Symbol einer Untergruppe, um alle Elemente in dieser Untergruppe zu markieren.

  • Halten Sie zum Markieren mehrerer Elemente die [Strg]-Taste gedrückt und klicken Sie auf die Bezeichnungen oder Symbole von Operationen oder Untergruppen.

  • Halten Sie zum Aufheben der Markierung die [Strg]-Taste gedrückt und klicken Sie erneut auf das betreffende Element, oder klicken Sie auf ein anderes. Wenn keine Elemente ausgewählt sein sollen, klicken Sie auf den Einfügepfeil.

  • Verschieben Sie den Einfügepfeil per Drag & Drop, um die Einfügeposition eines neuen Elementes zu ändern. Sie können den Einfügepfeil auch mit einem Klick hervorheben und dann mit den Tasten [Bild-auf] und [Bild-ab] verschieben.

  • Verschieben Sie Gruppen und Operationen innerhalb der Liste per Drag & Drop. Untergruppen können auch auf Positionen von Obergruppen verschoben werden. Wenn Sie eine Gruppe auf einer neuen Position ablegen, wird ein Popup-Menü eingeblendet (siehe unten), über das Sie die neue Position genauer definieren müssen oder das Verschieben abbrechen können.

    Weitere Informationen dazu finden Sie unter Verschieben und Kopieren von Elementen im Werkzeugweg-Manager.

  • Kopieren Sie Gruppen und Operationen und fügen Sie sie in andere Gruppen ein, indem Sie das zu kopierende Element markieren und im Kontextmenü auf „Kopieren“ klicken; markieren Sie dann die Gruppe, in der die Kopie eingefügt werden soll und klicken Sie im Kontextmenü auf „Einfügen“. Danach können Sie das kopierte Element per Drag and Drop neu positionieren. Sie können dazu auch die Tastenkürzel des Werkzeugweg-Managers verwenden.

  • Ansicht, KEbene, WEbene und WKS werden mit jeder Maschinengruppe im Werkzeugweg-Manager gespeichert. Diese Daten werden in jeder Gruppe nur für die Dauer der Sitzung gespeichert und nicht in der MCX-Datei gespeichert. Wenn Sie im Werkzeugweg-Manager durch Verschieben des Einfügepfeils in eine andere Maschinengruppe wechseln, wird die letzte in dieser Maschinengruppe verwendete Ansicht wiederhergestellt.

  • Sie können eine Gruppe löschen, indem Sie sie markieren und die [Entf]-Taste drücken oder im Kontextmenü auf „Löschen“ klicken.
    Hinweis:     Maschinengruppen können nicht gelöscht werden, wenn sie aktiv sind. Es werden nur die die darin enthaltenen Operationen gelöscht. Um eine aktivierte Maschinengruppe zu löschen, ziehen Sie den Einfügepfeil auf eine andere Maschinengruppe und löschen Sie die Gruppe.

  • Sie können gelöschte Operationen wiederherstellen, indem Sie im Kontextmenü auf „Wiederherstellen“ klicken. Hinweis: Sie können eine Operation im Werkzeugweg-Manager nur sofort nach dem Löschen wiederherstellen, bevor Sie eine andere Funktion aufrufen.

  • Klicken Sie zum unwiderruflichen Löschen aller Maschinengruppen und verknüpften Werkzeugwege aus dem Werkzeugweg-Manager in der Menüleiste auf Maschinentyp, Design und dann im Werkzeugweg-Manager auf die Schaltfläche Operationen, Gruppen und Werkzeuge löschen (siehe unten).

    Hinweise:
    – Hierdurch wird keine Geometrie gelöscht, sondern nur Maschinen- und Werkzeugwegdaten.
    –     Sie können diesen Löschvorgang nicht mit Undo wieder rückgängig machen.

  • Um eine vorhandene Maschinengruppe während der Arbeit in Mastercam Design zu aktivieren, klicken Sie im Werkzeugweg-Manager mit der rechten Maustaste auf die Maschinengruppe und dann im Kontextmenü auf Maschinengruppe aktiv setzen.

  • Wenn Sie einer Operation einfach und schnell einen Kommentar hinzufügen wollen, klicken Sie einmal darauf und dann erneut, als ob Sie sie umbenennen wollen. Geben Sie Ihren Kommentar ein, sobald der Text nicht mehr angezeigt wird und klicken Sie danach entweder auf eine andere Stelle oder drücken Sie [Enter]. Der Kommentar wird dann am Ende der Operationsbezeichnung und im Kommentarfeld der Registerkarte „Werkzeuge“ der betreffenden Operation angezeigt.
    Warnung:     Wenn Sie auf diese Weise Text eingeben, überschreiben Sie damit alle Kommentare, die Sie bereits für diese Operation eingegeben haben.

  • Um den größten Teil der Texts neben den Listensymbolen auszublenden, klicken Sie im Kontextmenü auf „Darstellungsoptionen“.

  • Sie können die Werkzeugweg- und Solids Manager andocken, abdocken, in der Größe ändern und schließen. Klicken Sie hier, um nähere Informationen dazu aufzurufen.

Siehe auch…

  • Werkzeugweg-Manager

  • WZ-Weganzeige


Werkzeugweg-Manager – Kurzübersicht

Im Werkzeugweg-Manager werden folgende Symbole zur Information über Operationen eines Jobs verwendet.

Maschinengruppe – Maschinen-Eigenschaften, Werkzeugweggruppen und Werkzeugweg-Operationen, die unterhalb dieses Symbols eingerückt sind, sind Bestandteile dieser Gruppe. Eigenschaften wie Maschinendefinition, Postprozessor, N-Nummerierung, Job-Setup und NC-Dateinamen sind unterhalb jeder Maschinengruppe aufgelistet.

Eigenschaften – Unter diesem Oberbegriff sind Maschinen-Eigenschaften aufgelistet (d.h. zugehörige Dateien, WZ-Einstellungen, Rohteileinstellungen, usw.).

Dateien – Klicken Sie auf dieses Symbol, um die Registerkarte „Dateien“ (Dialogfeld „Eigenschaften der Maschinengruppe“) zu öffnen, auf der Sie die Bezeichnungen und Datenpfade von Dateien angeben können, die für Operationen der Basis-Werkzeugweggruppe erforderlich sind.

WZ-Einstellungen – Klicken Sie auf dieses Symbol, um die Registerkarte „WZ-Einstellungen“ (Dialogfeld „Eigenschaften der Maschinengruppe“) zu öffnen, auf der Sie steuern können, wie WZ-Nummern, WZ-Versatznummern und Voreinstellungswerte für Vorschübe, Drehzahlen, Kühlmittel und andere Werkzeugwegparameter zugewiesen werden.

Rohteileinstellungen – Klicken Sie auf dieses Symbol, um die Registerkarte „Rohteileinstellungen“ (Dialogfeld „Eigenschaften der Maschinengruppe“) zu öffnen, auf der Sie ein Rohteilmodell zur Visualisierung von Werkzeugwegen bei der Simulation und Prüfung mit Verify/Volumensimulation definieren können.

Job-Setup (Mill-Turn) – Klicken Sie auf dieses Symbol, um die Registerkarte „Job-Setup“ (Dialogfeld „Eigenschaften der Maschinengruppe“) aufzurufen, auf der Sie Parameter für Rohteil, Teile-Handling, Werkstück-Geometrie, Spannbackenmaße, Übergabewerte und Werkzeugebenen-Daten einstellen können. Für weitere Informationen dazu, siehe Ausführen eines Mill-Turn-Job-Setups.

Werkzeugweggruppe – Werkzeugweggruppen sind Untergruppen von Maschinengruppen, in die Maschinen- und andere wichtige Eigenschaften der Basisgruppen übernommen werden. Diese Gruppen enthalten sowohl Werkzeugwegoperationen als auch andere Untergruppen. Mastercam unterstützt eine unbegrenzte Anzahl an Untergruppen.

Werkzeugweg-Ordner – Enthält Operationskomponenten wie Werkzeugwegparameter, Werkzeugparameter und Geometrie oder Solids.
Hinweis: Wenn die Operation ausgewählt ist, wird auf dem Ordnersymbol ein grünes Häkchen angezeigt (siehe unten).

Werkzeugweg-Ordner (grau) – Werkzeugweg-Ordner werden grau, wenn Sie in einer anderen Maschinendefinition zusätzliche Werkzeugwege erstellen. Vorhandene Operationen, die nicht von der Maschinengruppe unterstützt werden, werden grau angezeigt.

Rohteilmodell-Operation – beinhaltet die Operationsparameter. Klicken Sie hier, um weitere Informationen dazu aufzurufen.
Hinweis: Wenn die Operation ausgewählt ist, wird auf dem Ordnersymbol ein grünes Häkchen angezeigt (siehe unten).

Werkzeugweg-Parameter – Klicken Sie hier, um den stand-alone WZ-(Bearbeitungs)-Assistenten von Mastercam zu öffnen, in dem Sie ein Werkzeug auswählen und Vorschübe, Drehzahlen und andere allgemeine Werkzeugweg-Parameter einstellen können.

Unterprogramm – Zeigt an, dass der Werkzeugweg ein oder mehrere Unterprogramme enthält (ein NC-Programm, das vom Haupt-NC-Programm aufgerufen wird, um Code innerhalb einer Operation zu wiederholen). Klicken Sie auf dieses Symbol, um das entsprechende Dialogfeld für transformierende oder nicht-transformierende Operationen zu öffnen.

Werkzeugparameter – Klicken Sie hier, um den WZ-(Bearbeitungs)-Assistenten zu öffnen, wo Sie das Werkzeug und seine Parameter für die Operation definieren können.

Geometrie – Klicken Sie hier, um das für die Änderung der Geometrie passende Dialogfeld, wie den Verkettungs-Manager oder das Dialogfeld „WZ-Weg / Flächenselektion“ aufzurufen, in denen Sie die Geometrie ändern können.
Hinweis: Wenn Sie bei erweiterten Mehrachsen-Werkzeugwegen hier klicken, öffnet sich das entsprechende Mehrachsen-Dialogfeld (normalerweise mit der Seite „WZ-Wegtyp“).

Geometrie-Bearbeitungsflächen – Öffnet das Dialogfeld „WZ-Weg / Flächenselektion“ (Ändern/Auswählen von Bearbeitungsflächen) für Flächenwerkzeugwege.

Begrenzungsflächen – Klicken Sie hier, um das Dialogfeld „WZ-Weg / Flächenselektion“ (Ändern/Auswählen von Begrenzungsflächen) aufzurufen, in dem Sie die Auswahl von Begrenzungsflächen oder Solids für einen Flächen- oder Mehrachsen-Werkzeugweg ändern können.

Geometrie-Begrenzungskontur – Klicken Sie hier, um den Verkettungs-Manager zur Auswahl von Begrenzungskonturen für Flächen-Werkzeugwege zu öffnen.

Startpunkte – Weist Startpunkte von Flächengeometrie aus. Wenn Sie auf dieses Symbol klicken, können Sie einen neuen Startpunkt wählen.

Flowline – Nur bei Flowline-Flächenwerkzeugwegen verfügbar. Klicken Sie auf dieses Symbol, um Flowline-Parameter zu ändern.

CAD-Datei – Zeigt an, dass eine CAD-Datei für einen Flächenwerkzeugweg gewählt wurde. Klicken Sie auf dieses Symbol, um eine andere CAD-Datei auszuwählen.

Solid – Zeigt an, dass die Werkzeugweggruppe ein Solid oder eine Kombination aus Solids und Geometrie enthält. Klicken Sie auf dieses Symbol, um das Dialogfeld „WZ-Weg / Flächenselektion“ (Ändern/Auswählen von Bearbeitungsflächen) zu öffnen, in dem Sie das Solid ändern können.

Werkzeugweg ein – Die Werkzeugweganzeige ist eingeschaltet (das Symbol ist dunkel). Die Werkzeugweganzeige können Sie durch Tastenkürzel ein- und ausschalten. Weitere Informationen zum Ein- und Ausschalten der Werkzeugweganzeige im Grafikfenster, siehe Hilfethema Werkzeugweganzeige.

Werkzeugweg aus – Die Werkzeugweganzeige ist ausgeschaltet (Symbol ist grau).

Verarbeite einen Mehrfach-Prozess-Werkzeugweg (Multithreading) – Weist darauf hin, dass der Werkzeugweg im Mehrfach-Prozess-Modus von Mastercams Multithreading-Manager (MTM) verarbeitet wird. Mastercam splittet in diesem Verarbeitungsmodus die Programme, die ihre größten, komplexesten Werkzeugwege regenerieren, in kleinere und separate Programmprozesse, die gleichzeitig ausgeführt werden. Klicken Sie hier für weitere Informationen.

Warte auf die Verarbeitung eines Mehrfach-Prozess-Werkzeugwegs – Wird abhängigen Werkzeugweg-Prozessen wie Restmaterial-Werkzeugwegen von Mastercams Multi-Threading-Manager (MTM) zugewiesen. Diese benötigen Daten von vorherigen „Basis“-Werkzeugweg-Prozessen. Abhängige Prozesse (threads) werden erst dann verarbeitet, wenn der Multithreading-Manager die Verarbeitung des Basis-Prozesses komplett abgeschlossen hat (einschließlich der Übergabe der binären NCI-Daten). Klicken Sie hier für weitere Informationen.

Werkzeugweg nicht wiederhergestellt – Die NCI-Datei wurde seit dem Öffnen nicht wiederhergestellt (über eine Werkzeugweg-Regenerierung). Per Voreinstellung werden beim Öffnen einer Datei alle Werkzeugwege regeneriert. Auf der Eigenschaftenseite „Dateien“ (Systemkonfiguration) können Sie dies ändern.

Werkzeugweg gesperrt – Der Werkzeugweg wurde nach der Regenerierung bearbeitet. Sowohl eine Bearbeitung mit dem WZ-Wegeditor, eine Highfeed-Bearbeitung als auch eine Batchverarbeitung bewirken eine Sperrung des Werkzeugwegs. Die Sperrung verhindert unbeabsichtigtes Regenerieren. Um die Sperrung aufzuheben, klicken Sie oben im Werkzeugweg-Manager auf die Schaltfläche Sperren der selektierten OPs umschalten [image] . Wenn Sie die Werkzeuganzeige deaktiviert haben, ist das Symbol weiß statt gelb.

Werkzeugweg gesperrt, Werkzeugwegdarstellung aus – Der Werkzeugweg ist gesperrt (siehe oben) und die Anzeige für diese Operation ist deaktiviert. Sie können die Werkzeugweganzeige erneut einschalten, auch wenn der Werkzeugweg gesperrt ist. Weitere Informationen zum Ein- und Ausschalten der Werkzeugweganzeige im Grafikfenster, siehe Hilfethema Werkzeugweganzeige.

Ungültiger Werkzeugweg – Der Werkzeugweg muss regeneriert werden. Dieser Fall tritt auf, wenn Sie bestimmte Parameter der Basisgeometrie geändert haben. Zum Regenerieren von Werkzeugwegen klicken Sie oben im Werkzeugweg-Manager auf eine der Regenerierungs-Schaltflächen [image] [image] .

Werkzeugweg gesperrt und ungültig – Der Werkzeugweg muss regeneriert werden, er ist jedoch momentan gesperrt. Sie müssen den Werkzeugweg entsperren, bevor Sie ihn regenerieren können.

  • Drücken Sie die „Sperren…“-Schaltfläche [image] oben im Werkzeugweg-Manager, um den Werkzeugweg zu sperren oder zu entsperren.

  • Regenerieren Sie die Werkzeugwege, indem Sie oben im Werkzeugweg-Manager auf die „Regenerierungs“-Schaltfläche(n) [image] [image] klicken.

Posting aus – Der Postprozessorlauf ist für den Werkzeugweg deaktiviert. Drücken Sie die „Posting“-Schaltfläche [image] oben im Werkzeugweg-Manager, um das Posten ein- oder auszuschalten.

Posting aus, Werkzeugweg gesperrt – Der Werkzeugweg ist gesperrt und das Posten des Werkzeugwegs ist deaktiviert.

  • Drücken Sie die „Posting“-Schaltfläche [image] oben im Werkzeugweg-Manager, um das Posten ein- oder auszuschalten.

  • Drücken Sie die „Sperren…“-Schaltfläche [image] oben im Werkzeugweg-Manager, um den Werkzeugweg zu sperren oder zu entsperren.

Posting aus, ungültiger Werkzeugweg – Der Werkzeugweg muss regeneriert werden und das Posten des Werkzeugwegs ist deaktiviert.

  • Drücken Sie die „Posting“-Schaltfläche [image] oben im Werkzeugweg-Manager, um das Posten ein- oder auszuschalten.

  • Regenerieren Sie die Werkzeugwege, indem Sie oben im Werkzeugweg-Manager auf die „Regenerierungs“-Schaltfläche(n) [image] [image] klicken.

Posting aus, ungültiger und gesperrter Werkzeugweg – Der Werkzeugweg muss regeneriert werden, ist jedoch momentan gesperrt. Außerdem ist das Posten des Werkzeugwegs deaktiviert. Das Posten kann jedoch jederzeit aktiviert werden. Sie müssen den Werkzeugweg entsperren, bevor Sie ihn regenerieren können.

  • Drücken Sie die „Posting“-Schaltfläche [image] oben im Werkzeugweg-Manager, um das Posten ein- oder auszuschalten.

  • Drücken Sie die „Sperren…“-Schaltfläche [image] oben im Werkzeugweg-Manager, um den Werkzeugweg zu sperren oder zu entsperren.

  • Regenerieren Sie die Werkzeugwege, indem Sie oben im Werkzeugweg-Manager auf die „Regenerierungs“-Schaltfläche(n) [image] [image] klicken.

Getrimmter Werkzeugweg – Der Werkzeugweg wurde getrimmt. Weitere Informationen dazu siehe Hilfethema Trimmen von Werkzeugwegen.

WZ-Parameter (Drehen) – Klicken Sie darauf, um das Dialogfeld „WZ-Definition“ zu öffnen, in dem Sie Werkzeugtyp, Wendeschneidplatten, Halter und Bearbeitungsparameter definieren können.

Rohteilaktualisierung an – Symbol für die Rohteilaktualisierung in Mastercam Drehen. Wenn es aktiviert ist, liefert Mastercam Drehen während der Bearbeitung laufend aktuelle Daten zur Rohteilform.

Rohteilaktualisierung aus – Symbol für die deaktivierte Rohteilaktualisierung in Mastercam Drehen.

Batch – Für diese Operation wurde auf der Registerkarte „Werkzeuge“ im Operationsparameter-Dialogfeld die Option „In Batch-Liste“ markiert. Das heißt, dass der Batchmodus für die Operation aktiviert ist, damit sie getrennt von anderen Operationen mit der Batchverarbeitung von Mastercam verarbeitet wird. (In Mastercam Drahten nicht verfügbar.) Weitere Informationen dazu siehe Hilfethema Batchverarbeitung von Werkzeugweg-Operationen.

Siehe auch…

  • Werkzeugweg-Manager

  • Tastenkürzel im Werkzeugweg-Manager

  • Kontextmenü des Werkzeugweg-Managers


Tastenkürzel im Werkzeugweg-Manager

Folgende Tastenkürzel sind bei der Arbeit im Werkzeugweg-Manager verfügbar.

E – Öffnet oder schließt alle Operationen.

L – Schaltet die Werkzeugwegsperrung für markierte Operationen ein und aus.

P – Schaltet das Posten für markierte Operationen ein und aus.

T – Schaltet die Werkzeugweganzeige für markierte Operationen ein und aus.

Entf-Taste – Löscht markierte Operationen.

Pfeil nach oben – Verschiebt den Einfügepfeil nach oben.

Pfeil nach unten – Verschiebt den Einfügepfeil nach unten.

Pfeil nach links – Verschiebt den Einfügepfeil hinter die markierte Operation bzw. Gruppe.

Pfeil nach rechts – Macht den Einfügepfeil per Bildlauf in der Liste des Werkzeugweg-Managers sichtbar.

[Strg+C] – Kopiert eine oder mehrere markierte Operationen.

[Strg+X] – Schneidet eine oder mehrere markierte Operationen aus.

[Strg+V] – Fügt eine oder mehrere kopierte oder ausgeschnittene Operationen ein.

[Strg+A] – Markiert alle Operationen.

[Strg+Z] – Stellt eine oder mehrere gelöschte Operationen wieder her.

Siehe auch…

  • Werkzeugweg-Manager

  • Werkzeugweg-Manager – Übersicht

  • WZ-Weganzeige

  • Werkzeugweg-Manager – Kurzübersicht


Ziehen und Ablegen von Werkzeugweggeometrie

Der Werkzeugweg-Manager von Mastercam ermöglicht das Importieren von Werkzeugweggeometrie zwischen markierten Operationen per Drag & Drop. Gehen Sie dazu folgendermaßen vor:

Beispiel (Schritt für Schritt)

  1. Wählen Sie im Werkzeugweg-Manager einen oder mehrere Werkzeugwege, die durch die Geometrie aktualisiert werden, die Sie importieren wollen.

  2. Rechtsklicken Sie auf das Geometrie-Symbol des Werkzeugwegs mit der Geometrie, die importiert werden soll. Halten Sie die Maustaste gedrückt, während Sie es (per Drag & Drop) auf dem Geometrie-Symbol des gewählten Werkzeugwegs ablegen.

Hinweise:

  • Wenn mehr als ein Werkzeugweg für den Import ausgewählt ist, legen Sie die Geometrie nur auf einer der gewählten Operationen ab.

  • Sie können ebenfalls auf das Geometrie-Symbol des Werkzeugwegs mit der Geometrie, die importiert werden soll, linksklicken, und es (per Drag & Drop) auf dem Geometrie-Symbol des gewählten Werkzeugwegs ablegen. Dies ersetzt die existierende Geometrie automatisch, ohne vorher ein Menüfenster anzuzeigen.

  3. Wählen Sie eine der folgenden Optionen, wenn sich das Popup-Menü öffnet:

  4. Hinzu: Fügt die Geometrie der bereits in der selektierten OP vorhanden Geometrie hinzu.

  5. Ersetzen: Löscht die existierende Geometrie des markierten Werkzeugwegs und ersetzt sie mit der importierten Geometrie.

  6. Alle Selektierten ersetzen: Löscht die vorhandene Geometrie aller gewählten Werkzeugwege und ersetzt sie durch die importierte Geometrie.

  7. Abbrechen: Bricht den aktuellen Vorgang ab.

Falls Mastercam die Geometrie aufgrund einer Inkompatibilität nicht importieren kann, werden Sie in einer Meldung darüber informiert, dass nicht alle Operationen durch die importierte Geometrie modifiziert wurden.

Hinweis: Sie können Geometrie nur aus kompatiblen Operationen importieren, die ähnliche Typen von Geometrie enthalten. In der folgenden Liste sind Werkzeugwegtypen angegeben, die kompatibel sind:

  • Kontur, Tasche, Planen, Linear, Rotation, 2D-Swept, 3D-Swept, Coons und Loft enthalten Geometrie aus Ketten.

  • Bohren, Punkt, Kreisfräsen, Gewindeschneiden und AutoBohren enthalten Geometrie in Form von Punkten.

  • Alle Flächen-Werkzeugwege enthalten Geometrie aus Flächen.

Siehe auch...

  • Richtlinien für das Importieren von Werkzeugweg-Operationen

  • Werkzeugweg-Manager


Verschieben und Kopieren von Elementen im Werkzeugweg-Manager

Maschinengruppen, Werkzeugweggruppen, Untergruppen und Operationen können alle auf verschiedene Positionen im Werkzeugweg-Manager kopiert oder verschoben werden. Sie können Elemente innerhalb der Liste per Drag & Drop verschieben. Sie können Elemente kopieren und Sie an einer anderen Stelle einfügen, indem Sie die Funktionen „Kopieren“ und „Einfügen“ des Kontextmenüs verwenden.

Bei Elementen, die von einer Maschinengruppe in eine andere verschoben oder kopiert werden, werden die Eigenschaften der neuen Maschinengruppe übernommen. Wenn die Operationen, die verschoben oder kopiert werden, nicht mit dem Maschinensetup der Gruppe kompatibel sind, in die sie eingefügt werden sollen, werden Sie aufgefordert, den Vorgang abzubrechen oder zuzulassen, dass Mastercam versucht, die Operationen an die Maschinendefinition anzupassen.

Beim Verschieben oder Kopieren der Operationen prüft Mastercam jede einzelne auf ihre Kompatibilität mit der Maschinendefinition der neuen Gruppe. Dabei können folgende Arten von Kompatibilität festgestellt werden:

Nicht kompatibel

Das Kopieren oder Verschieben einer Operation, die nicht vollständig kompatibel zum Maschinen-Setup der Gruppe ist, in die Sie sie einfügen wollen, ist nicht zugelassen. Ein Dialogfeld wird eingeblendet, das besagt, dass inkompatible Operationen verändert oder aus der Auswahl entfernt werden. Wenn Sie darin auf „OK“ klicken, werden Operationen, die nicht vollständig kompatibel sind, nicht verschoben oder kopiert.

Dies kann beispielsweise passieren, wenn Sie eine 5-Achsen-Fräsmaschine wählen und 5-Achsen-Werkzeugwege erzeugen und dann versuchen, die Operation in eine 3-Achsen-Fräsen-Maschinengruppe zu kopieren oder zu verschieben.

Kompatibel, jedoch Änderung erforderlich

Wenn eine Operation, die Sie kopieren oder verschieben, nicht vollständig mit dem Maschinensetup für die Gruppe kompatibel ist, in die Sie sie einfügen, Mastercam die Inkompatibilität jedoch beheben kann, ist das Kopieren bzw. Verschieben zulässig. Ein Dialogfeld wird eingeblendet, das besagt, dass inkompatible Operationen verändert oder aus der Auswahl entfernt werden. Wenn Sie auf „OK“ klicken, passt Mastercam die Operation an die Eigenschaften der Maschinengruppe an.

Diese Art von Kompatibilität tritt auf, wenn Sie beispielsweise eine Konturoperation mit einer Maschinendefinition erzeugen, die in der Steuerungsdefinition die Verwendung eines WZ-Versatzes unterstützt und dann die Maschinendefinition in eine mit einer Steuerung ändern, die keinen WZ-Versatz unterstützt. Sie können dann zulassen, dass Mastercam automatisch die Maschinendefinition durch eine kompatible ersetzt und bei Bedarf eine oder mehrere Operation ändert.

Wenn Mastercam eine Operation ändern soll, können Sie im Warn-Dialogfeld auf die Schaltfläche „Details“ klicken, um eine Vorschau der Änderungen aufzurufen, die an der Operation durchgeführt werden. Nachdem Mastercam eine Operation modifiziert hat, müssen Sie sie möglicherweise regenerieren.

Wenn Sie die Änderungen nicht zulassen, wird die Operation verschoben/kopiert, und ihr Status bleibt unbereinigt. Sie müssen das Problem dann vor dem Regenerieren des Werkzeugwegs manuell korrigieren.

Vollständig kompatibel

Wenn eine Operation, die Sie kopieren oder verschieben, vollständig mit dem Maschinensetup für die Gruppe kompatibel ist, in die Sie sie platzieren, wird die Operation ohne Unterbrechung verschoben/kopiert. Der Werkzeugwegstatus bleibt bereinigt und es ist keine Regenerierung notwendig.

Siehe auch…

  • Löschen aller Maschinengruppen aus dem Werkzeugweg-Manager

  • Werkzeugweg-Manager

  • Werkzeugweg-Manager – Übersicht


WZ-Weganzeige

Wenn Sie einen Werkzeugweg erzeugen, zeigt Mastercam die Werkzeugbewegung im Grafikfenster an. Manchmal kann die Darstellung mehrerer Werkzeugwege die Geometrie und andere Werkzeugwege verdecken. Daher ist es oft einfacher, die WZ-Weg-Darstellung mithilfe von Optionen des WZ-Weg-Managers bzw. durch Tastenkombinationen auszuschalten.

Werkzeugweg-Manager – Anzeige-Optionen

Arbeiten Sie mit den folgenden Optionen des Werkzeugweg-Managers, um die Werkzeugwege bzw. assoziative Geometrie nur für die Operationen anzuzeigen, die Sie in der Liste des Werkzeugweg-Managers markieren:

Nur selektierte WZ-Wege zeigen: Zeigt nur die Werkzeugwege der markierten Operationen an.

Nur assoziative Geometrie zeigen: Zeigt sämtliche Geometrie an, die mit den markierten Operationen assoziiert ist. Dazu zählt auch Geometrie, die zuvor mit Funktionen des Menüs Bildschirm verborgen oder ausgeblendet wurde, und Geometrie auf Layern, die im Layer-Manager nicht als Sichtbar markiert wurden.

G0-Rückzugsbewegung verbergen – Schaltet die Anzeige für G0-Rückzugsbewegungen für das gesamte Teil aus.

Hinweise:

  • Durch die Anzeigeoptionen des Werkzeugweg-Managers werden alle anderen Werkzeugweg-Anzeigezustände und -Einstellungen überschrieben.

  • Rohteilmodell-Operationen werden durch die Anzeigeoptionen des Werkzeugweg-Managers beeinflusst. Zusätzlich können Sie mit der rechten Maustaste in den Werkzeugweg-Manager klicken und die Kontextmenüoption Fräsen-Werkzeugwege, Rohteilmodell zeigen wählen. Limitieren Sie dann mit Hilfe der Optionen im Dialogfeld „Rohteilvergleich“ die Vergleichsanzeige ausschließlich auf gewählte Komponenten.

Tastaturbefehle der WZ-Weg-Darstellung

Drücken Sie zum Umschalten der Anzeige aller Werkzeugwege im Grafikfenster gleichzeitig die Tasten [Alt] und [T], also [Alt+T]. Dazu müssen Sie sich im Grafikfenster befinden, nicht im Werkzeugweg-Manager.

Diese Funktion ändert nicht den Anzeigestatus von Werkzeugwegen (welche einzelnen Werkzeugwege angezeigt werden und welche nicht). Sie schaltet nur die Anzeige von Werkzeugwegen im Grafikfenster ein und aus.

Wenn Sie den Anzeigestatus bestimmter Werkzeugwege ändern möchten, markieren Sie im Werkzeugweg-Manager einen oder mehrere Werkzeugweg-Operationen und drücken Sie die Taste [T]. Mastercam deaktiviert dann die Werkzeugweganzeige der markierten Werkzeugwege. Drücken Sie erneut die [T]-Taste, um die Anzeige wieder zu aktivieren. Dies ist besonders hilfreich, wenn Sie mit komplexen Teilen arbeiten und nur bestimmte Werkzeugwege anzeigen möchten.

In der Abbildung unten sehen Sie eine Operation mit Anzeigestatus „Ein“. Beachten Sie das dunkle Werkzeugweg-Symbol. Ziehen Sie die Maus über die Grafik unten, um die Abbildung eines deaktivierten WZ-Weg-Anzeigestatus einzublenden. Beachten Sie, dass das Werkzeugweg-Symbol grau wird, wodurch angezeigt wird, dass der Werkzeugweg-Anzeigestatus für diese Operation deaktiviert ist. Wenn der Anzeigestatus für diese Operation ausgeschaltet ist und Sie im Grafikfenster [Alt+T] drücken, wird dieser Werkzeugweg nicht angezeigt.

Hinweise:

  • Eventuell müssen Sie nach dem Umschalten der Werkzeugweganzeige den Bildschirm neu aufbauen.

  • Werkzeugwege werden für unbereinigte Operationen so lange nicht dargestellt, bis sie regeneriert werden.

Siehe auch…

  • Werkzeugweg-Manager – Übersicht

  • Werkzeugweg-Manager – Kurzübersicht

  • Tastenkürzel im Werkzeugweg-Manager


Dialogfeld „Warnung: Ungültige Operationen selektiert“

Dieses Dialogfeld erscheint, wenn Sie eine oder mehrere ungültige Operationen ausgewählt haben, um sie zu posten, zu simulieren oder sie mit Verify zu überprüfen. Sie können dann wahlweise alle markierten ungültigen Operationen regenerieren und den jeweiligen Vorgang fortsetzen (Posten, Simulieren oder Prüfen in Verify) oder den Vorgang fortsetzen, ohne die ungültigen Operationen zu regenerieren.

Hinweise:

  • Wenn Sie gesperrte und entsperrte Operationen ausgewählt und ungültige Operationen zum Regenerieren ausgesucht haben, werden gesperrte Operationen nicht regeneriert. In dem Fall verwendet Mastercam die Daten aus der binären NCI-Datei für diese gesperrten Operationen.

  • Wenn Sie nur gesperrte, ungültige Operationen markiert haben, wird dieses Dialogfeld nicht angezeigt und Mastercam verwendet die Daten aus der binären NCI-Datei für diese Operationen.

Weitere Informationen zu…

  • Werkzeugweg-Manager – Übersicht

  • Simulieren von Werkzeugwegen

  • Überprüfen von Werkzeugwegen mit Verify

  • Postprozessoren – Übersicht


Importieren von Operationen aus einer MCX-Datei

  1. Positionieren Sie im Werkzeugweg-Manager den roten Einfügepfeil an der Stelle, an der die importierten Operationen erscheinen sollen.

  2. Rechtsklicken Sie in den Werkzeugweg-Manager und dann mit der linken Maustaste im Kontextmenü auf Import.

  3. Klicken Sie im Dialogfeld „Werkzeugweg-Operationen importieren“ auf die Schaltfläche Operationsdatei selektieren.

  4. Navigieren Sie zum Speicherort der *.MCX-Datei mit den zu importierenden Operationen, wählen Sie die Datei und klicken Sie auf Öffnen.

  5. Wählen Sie dann im Dialogfeld „Werkzeugweg-Operationen importieren“ die zu importierenden Operationen aus.

  6. Klicken Sie auf die Schaltfläche Import Operationen.

  7. Klicken Sie in der daraufhin erscheinenden Meldung auf Ja, wenn alle Operationsgruppen importiert werden sollen oder auf Nein, wenn nur die Operationen importiert werden sollen.

  8. Wenn Sie nach Mastercam zurückkehren wollen, klicken Sie auf die OK-Schaltfläche (rotes X).

Für weitere Informationen dazu, siehe Dialogfeld „Werkzeugweg-Operationen importieren“.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Dialogfeld „Werkzeugweg-Operationen exportieren“


Dialogfeld „Darstellung“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie in diesem Dialogfeld, welche Informationen zu den einzelnen Operationen und Elementen der Maschinen-Eigenschaften im Werkzeugweg-Manager angezeigt werden. Wählen Sie die gewünschte Kombination von Darstellungsoptionen, indem Sie diejenigen markieren, die Sie aktivieren möchten.

Zusätzlich können Sie in diesem Dialogfeld die Anzeigefarben der Geometrie für Drahtmodelle und Bearbeitungs- und Begrenzungsflächen einstellen. Ebenso können Sie hier die Abfrage zum Bestätigen des Löschens von Werkzeugwegen aktivieren und deaktivieren.

Hinweise:

  • Wenn keine Darstellungsoptionen aktiviert sind, können Sie trotzdem alle Elemente der Operationen bearbeiten, indem Sie auf das weiterhin angezeigte Symbol klicken.

  • Gruppenbezeichnungen bleiben immer sichtbar.

  • Die Darstellungsoptionen bleiben solange eingestellt, bis sie durch dieses Dialogfeld verändert werden, sogar wenn Sie Mastercam schließen und erneut öffnen.

Weitere Informationen zu...

  • Werkzeugweg-Manager

  • Kontextmenü des Werkzeugweg-Managers


Erzeugen einer Doc-Datei

  1. Markieren Sie im Werkzeugweg-Manager eine Operation.

  2. Klicken Sie mit der rechten Maustaste auf die Operation und dann auf DOC-Dateien.

  3. Geben Sie im Dialogfeld „Öffnen“ eine Bezeichnung für die Datei ein und wählen Sie ihren Speicherort.

  4. Klicken Sie auf Speichern, um die neue Textdatei in den präferierten Texteditor zu laden.

  5. Ändern Sie die Datei nach Bedarf und speichern Sie sie dann.


Selektierte Operationen ändern

Öffnen Sie dieses Untermenü des Kontextmenüs des Werkzeugweg-Managers, um unter folgenden Optionen wählen zu können:

  • Hauptparameter ändern – Öffnet die Registerkarte mit Werkzeugparametern des zur gewählten Operation gehörigen Dialogfelds.

  • NC-Dateibezeichnung ändern: Öffnet das Dialogfeld Neue NC-Dateibezeichnung eingeben, in dem Sie den voreingestellten Dateinamen der später erzeugten NC-Datei mit einem neuen überschreiben können.

  • Programm-Nr. ändern – Öffnet das Dialogfeld „Neue Programm-Nr.", in dem Sie markierten Operationen eine neue Programmnummer zuweisen können.

  • WZge nummerieren: Öffnet das Dialogfeld „WZge umnummerieren“, in dem Sie die im Werkzeugweg-Manager angezeigten Werkzeuge der aktuellen Mastercam-Datei neu nummerieren können.

  • Arbeitsversätze nummerieren: Öffnet das Dialogfeld „Arbeitsversätze umnummerieren“, in dem Sie die Arbeitsversätze für nicht-transformierende Operationen im Werkzeugweg-Manager neu nummerieren können.

  • WZ-Weg umdrehen – Dreht die Richtung der markierten Operation um.

  • Vorschübe/Drehzahlen neu berechnen – Berechnet die Vorschübe und Drehzahlen für die hervorgehobene Operation neu und markiert die Operation für eine Regenerierung.

Siehe auch...

  • Kontextmenü des Werkzeugweg-Managers


Dialogfeld „Werkzeugweg-Operationen exportieren“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Exportieren Sie mithilfe dieses Dialogfelds Operationen aus der aktuellen Mastercam-Datei in eine Operations-Bibliothek. Exportieren Sie diese Operationen mit oder ohne ihre zugehörige Geometrie. Sie können außerdem automatisch nach doppelten Werkzeugen (Duplikate) suchen lassen und sie aus exportierten Operationen ausschließen.

Markieren Sie die Operation für den Export. Mastercam kennzeichnet gewählte Operationen mit einem grünen Häkchen. Drücken Sie [Strg], und markieren oder deaktivieren Sie mehrere einzelne Operationen. Drücken Sie [Umschalt], und markieren Sie einen Bereich. Klicken Sie auf OK, um die ausgewählten Operationen zu exportieren.

Weitere Informationen zu...

  • Werkzeugweg-Manager

  • Dialogfeld „Werkzeugweg-Operationen importieren“


Dialogfeld „Werkzeugweg-Operationen importieren“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Benutzen Sie dieses Dialogfeld, um gespeicherte Werkzeugweg-Operationen, mit oder ohne deren Geometrie, in die aktuelle Mastercam-Datei zu importieren. Importieren Sie diese Operationen aus einer vorher erzeugten Operationenbibliothek oder einer anderen Mastercam-Datei derselben Version.

Sie können auch:

  • Vorschübe und Drehzahlen anhand des auf der Registerkarte „WZ-Einstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“ gewählten Rohmaterials automatisch neu berechnen lassen.

  • die Operation in spezifischen Werkzeug- und Konstruktionsebenen speichern.

  • nach doppelten Werkzeugen suchen und diese löschen.

Klicken Sie auf die Operation, um sie für den Import zu markieren. Mastercam kennzeichnet gewählte Operationen mit einem grünen Häkchen. Drücken Sie [Strg], und markieren oder deaktivieren Sie mehrere einzelne Operationen. Drücken Sie [Umschalt], und markieren Sie einen Bereich. Klicken Sie auf OK, um die markierten Operationen zu importieren.

Hinweise:

  • Wenn Sie nur die Operationsparameter importiert haben, werden die Operationen im Werkzeugweg-Manager für eine Regenerierung markiert.

  • Wenn Sie Parameter ohne Geometrie importieren, wird die Operation als ungültig/unbereinigt gekennzeichnet. Sie können die Parameter anderer Geometrie in Ihrer aktuellen Datei zuweisen und dann den Werkzeugweg regenerieren.

Weitere Informationen zum Import von Werkzeugweg-Operationen finden Sie unter Importieren von Operationen aus einer MCX-Datei und Richtlinien für das Importieren von Werkzeugweg-Operationen.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Dialogfeld „Werkzeugweg-Operationen exportieren“


Maschinengruppen

Maschinengruppen werden automatisch erzeugt, wenn Sie im Menü Maschinentyp eine Maschine wählen. Maschinengruppen werden in Mastercam im Werkzeugweg-Manager angezeigt:

Speichern Sie mithilfe von Maschinengruppen komplette Jobs für eine bestimmte Maschine. Sie enthalten:

    • Werkzeugwege und andere Operationen

    • Werkzeuge

    • Rohteilmodell und Materialauswahl

    • Verknüpfungen zu Operationsvoreinstellungen, Postprozessor und Operationsbibliotheken

    • Job-Setup-Daten wie Werkzeug- und Programmnummern

Eigenschaften der Maschinengruppe

  • Maschinengruppen besitzen drei Eigenschaftensätze. Jeder davon ist auf einer separaten Registerkarte des Dialogfelds Eigenschaften der Maschinengruppe aufgeführt. Klicken Sie zu deren Anzeige im Werkzeugweg-Manager unter Eigenschaften auf das entsprechende Symbol.

    • Rufen Sie die Registerkarte „Dateien“ auf, um die in den Operationen in der Maschinengruppe verwendete Voreinstellungsdatei, Operationsbibliothek und WZ-Bibliothek aufzurufen und zu ändern. Sie können auf dieser Registerkarte auch Job-spezifische Änderungen an der Maschinendefinition vornehmen oder eine neue Maschinendefinition wählen.

    • Definieren Sie auf der Registerkarte „WZ-Einstellungen“ die NC-Datei-Nummerierung, die WZ-Nummerierung, voreingestellte Vorschübe/Drehzahlen und das Material.

    • Definieren Sie auf der Registerkarte Rohteileinstellungen ein Rohteilmodell oder wählen Sie eine Datei, die das Rohteilmodell enthält. In Mastercam Drehen können Sie auf dieser Registerkarte auch Spannvorrichtungen, Reitstöcke und Lünetten definieren.

Siehe auch…

  • Löschen aller Maschinengruppen aus dem Werkzeugweg-Manager

  • Verwenden mehrerer Maschinengruppen

  • Maschinengruppen – Tipps und Tricks


Drehen: Rohteilaktualisierung

Klicken Sie im Kontextmenü des Werkzeugweg-Managers auf diese Option, um die Rohteilaktualisierung beim Bearbeiten einer Operation ein- oder auszuschalten. Diese Option ist nur dann verfügbar, wenn sich der Einfügepfeil in einer Dreh-Maschinengruppe befindet und ein Rohteil für den Job definiert ist. Weitere Informationen zur Rohteilaktualisierung siehe unter Registerkarte „Werkzeuge“ (Drehen).

Siehe auch…

  • Kontextmenü des Werkzeugweg-Managers


Dialogfeld „Selektionsoptionen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie in diesem Dialogfeld die Werkzeugweginformation (d.h. WZ-Nr., Operationstyp, Maschinendefinition, usw.) die bestimmt, welche Operationen im Werkzeugweg-Manager ausgewählt sind.

Die Optionen in diesem Dialogfeld schließen sich gegenseitig aus. Mit anderen Worten: Sie können jeweils nur eine Auswahlmethode aktivieren.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Kontextmenü des Werkzeugweg-Managers


Dialogfeld „Sortieroptionen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie in diesem Dialogfeld die Methode (d.h. WZ-Nr, Nach Erzeugung, Operationstyp, usw.) ein, nach der die markierten Operationen sortiert werden sollen. Markieren Sie die Operationen, die Sie sortieren wollen, rufen Sie das Dialogfeld „Sortieroptionen“ auf und wählen Sie die Methode, nach der Ihre Operationen sortiert werden sollen.

Sie können Ihre Sortieroptionen auch als Sortierungsdatei (*.PRM) speichern, um häufig verwendete Sortieroptionen erneut aufrufen zu können.

Hinweise:

  • Die Optionen der Sortiermethoden schließen sich einander aus. Mit anderen Worten: Sie können jeweils nur eine Methode aktivieren.

  • Die Einstellungen in diesem Dialogfeld werden nur auf ausgewählte Operationen angewendet. Wenn Sie oben links die Optionsschaltfläche „Selektierte OP’s“ markieren, müssen Sie im Werkzeugweg-Manager die gewünschten Operationen markieren, bevor Sie mit diesem Dialogfeld arbeiten.

  • Klicken Sie auf die Pfeile neben den Kontrollkästchen, um zwischen auf- und absteigender Sortierreihenfolge umzuschalten.

  • Klicken Sie im Kontextmenü (Rechtsklick) des Werkzeugweg-Managers auf Sortieren, Unsortiert, um eine Sortierung rückgängig zu machen. Sie können jedoch nur die letzte Sortierung rückgängig machen. Wenn Sie die Sortierung rückgängig gemacht haben, ist diese Funktion nicht mehr verfügbar.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Kontextmenü des Werkzeugweg-Managers

  • Dialogfelder „Sortierungsart: WZ“ / „Sortierungsart: Operation“


Mastercam Arbeitsbereiche

Über Mastercam Arbeitsbereiche (.WORKSPACE-Dateien) haben Sie Zugriff auf personalisierte Designs, wie beispielsweise Symbolleistenanzeigen, Grafikfenster-Kontextmenü-Optionen und Tastenkürzel, die häufig verwendeten Mastercam-Funktionen zugewiesen sind.

In Mastercam werden zwei Arten von Arbeitsbereichen verwendet:

  • Standard: Wird zusammen mit Mastercam installiert. Dieser Standard-Arbeitsbereich kann bearbeitet, zurückgesetzt und zum Erstellen neuer Arbeitsbereiche kopiert werden. Er kann weder umbenannt noch gelöscht werden.

  • Personalisiert: Vom Nutzer erstellte Mastercam-Umgebung, die auf den Workflow und die Produktionsumgebung optimiert ist. Personalisierte Arbeitsbereiche können umbenannt, kopiert und gelöscht werden. Wenn Sie einen neuen Arbeitsbereich erstellen, werden zunächst die Voreinstellungen aus dem Standard-Arbeitsbereich Design herangezogen, die sie anschließend bearbeiten können. Wenn Sie einen personalisierten Arbeitsbereich zurücksetzen, werden wieder die Einstellungen aus dem Standard-Arbeitsbereich Design angewandt.

Erstellen oder passen Sie einen Arbeitsbereich über das Dialogfeld „Anpassen“ an.

Klicken Sie zum Laden eines Arbeitsbereiches in der Menüleiste auf Einstellungen, Arbeitsbereich laden, oder rechtsklicken Sie in einen ungenutzen Berecih der Symbolleisten und wählen Sie die Option „Arbeitsbereich laden“.

Hinweise:

  • Wenn Sie bereits personalisierte Arbeitsbereiche haben, werden diese ebenfalls in der Liste angezeigt. Personalisierte Arbeitsbereiche haben einen Stern vor dem Namen, damit Sie schnell erkannt werden können, wie beispielsweise *Neuer Mill-Turn-Arbeitsbereich, *Basic Solids-Design, etc.

  • Im Maschinendefinitions-Manager können Sie einer Maschinendefinition einen Arbeitsbereich zuweisen. Wenn Sie dann (zur Werkzeugwegerzeugung) die Maschinendefinition einer Maschinengruppe zuweisen, wird der assoziierte Arbeitsbereich automatisch in das Mastercam-Fenster geladen. Wenn Sie beispielsweise eine 5-Achsen-Fräsmaschine definiert und den 5-Achsen-Werkzeugweg-Arbeitsbereich angepasst haben, können Sie den Arbeitsbereich in der 5-Achsen-Maschinendefinition speichern. Immer wenn Sie dann diese 5-Achsen-Maschinendefinition wählen, zeigt Mastercam automatisch den benutzerdefinierten Arbeitsbereich. Die in Maschinendefinitionen gespeicherten Arbeitsbereiche stehen bei einem Rechnerwechsel auch auf dem anderen Rechner für die jeweilige Maschine zur Verfügung.

Siehe auch...

  • Registerkarte „Symbolleisten“ (Dialogfeld „Anpassen“)

  • Anpassen von Symbolleisten und Menüs


Anpassen von Symbolleisten und Menüs

Sie können die Benutzeroberfläche von Mastercam auf einfache Art anpassen, damit Ihre wichtigsten Funktionen immer bequem verfügbar sind; nicht benötigte Funktionen können ausgeblendet werden. Sie können Symbolleisten und das Kontextmenü des Grafikfensters auch über das Dialogfelds „Anpassen“ anpassen.

In Mastercam Symbolleisten werden Dropdownmenüs extensiv verwendet, um viele Funktionalitäten in einem kompakten Format zu präsentieren. Auf der Registerkarte „Symbolleisten“ des Dialogfelds „Anpassen“ können Sie diese genauso anpassen, wie die Symbolleisten selbst.

Hinweise:

  • Sie können dieselbe Schaltfläche oder Funktion mehreren verschiedenen Symbolleisten hinzufügen.

  • Änderungen an den Symbolleisten oder dem Kontext-Menü werden alle zusammen im Arbeitsbereich gespeichert. Klicken Sie hier für weitere Informationen zu Arbeitsbereichen.

Siehe auch...

  • Reiter „Kontext-Menü“ (Dialogfeld „Anpassen“)

  • Registerkarte „Symbolleisten“ (Dialogfeld „Anpassen“)


Dialogfeld „Anpassen“

Über dieses Dialogfeld können Sie den Mastercam-Arbeitsbereich anpassen, wie beispielsweise das Layout der Symbolleisten, das Kontextmenü des Grafikfensters oder verschiedene Tastenkürzel.

Das Dialogfeld besitzt die folgenden vier Registerkarten:

Symbolleisten

Kontext-Menü

Tastatur-Kurzbefehle

Optionen

Mit den Funktionen im oberen Bereich des Dialogfelds können Sie einen Arbeitsbereich (.WORKSPACE-Datei) öffnen, erzeugen, kopieren, löschen oder zurücksetzen. Weitere Informationen dazu, siehe Mastercam Arbeitsbereiche.

Hinweis: Sie können Symbolleisten in Mastercam verschieben und bearbeiten, ohne das Dialogfeld „Anpassen“ zu schließen.

Siehe auch...

  • Anpassen von Symbolleisten und Menüs

  • Dialogfeld „Systemkonfiguration“


Registerkarte „Symbolleisten“ (Dialogfeld „Anpassen“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieser Registerkarte können Sie Mastercam-Symbolleisten erzeugen, löschen und anpassen. Dabei können Sie folgende Aktionen ausführen:

Hinzufügen oder Entfernen von Symbolleisten-Schaltflächen

Wählen Sie zum Einfügen von Funktions-Schaltflächen in eine vorhandene Symbolleiste in der Dropdownliste „Kategorie“ eine Kategorie, um ihre Schaltflächen einzublenden und verfahren Sie dann wiefolgt:

  • Klicken Sie auf eine der Funktionsschaltflächen, und ziehen Sie diese bei gedrückter Maustaste auf eine der Mastercam Symbolleisten (außerhalb des Dialogfelds „Anpassen“).

  • Klicken Sie auf eine der Funktionsschaltflächen, klicken Sie auf die gewünschte Symbolleiste, und klicken Sie auf die Schaltfläche Hinzu >.
    Hinweis: Das Kontrollkästchen vor der Symbolleiste, der Sie die Funktion hinzufügen wollen, muss markiert sein. Ist dies nicht der Fall, wird die Symbolleiste nicht in Mastercam angezeigt.

Klicken Sie zum Entfernen einer Funktionsschaltfläche aus einer Symbolleiste auf die gewünschte Schaltfläche, und ziehen Sie sie per Drag & Drop ins Grafikfenster, oder wählen Sie sie im Dialogfeld „Anpassen“ aus, und klicken Sie auf die Schaltfläche < Entfernen.
Hinweis: Wenn Sie eine Funktionsschaltfläche aus einer Symbolleiste löschen, können Sie sie später trotzdem verwenden.

Erzeugen neuer Symbolleisten

Rechtsklicken Sie zum Anlegen einer neuen Symbolleiste in die Liste „Symbolleisten“, und wählen Sie die Option Neue Symbolleiste. Sie können die Symbolleiste direkt beim Anlegen benennen, oder dies später über das Kontextmenü erledigen.

Hinweis: Alle neu erstellten Symbolleisten mit der Bezeichnung “Neue Symbolleiste” werden durchnummeriert (z.B. Neue Symbolleiste, Neue Symbolleiste(1), Neue Symbolleiste(2), usw.). Auf diese Weise wird jeder neuen Symbolleiste eine eindeutige Bezeichnung zugewiesen. Wenn Sie die Symbolleiste umbenennen, kann die betreffende Standardbezeichnung erneut verwendet werden.

Umbenennen von Symbolleisten

Wählen Sie zum umbenennen die Neue Symbolleiste in der Liste „Symbolleisten“ aus, rechtsklicken Sie sie, und wählen Sie Symbolleiste umbenennen. Geben Sie den neuen Namen ein, und drücken Sie [Enter].

Löschen von Symbolleisten

Zum Löschen einer Symbolleiste markieren Sie diese, rechtsklicken sie und wählen im Kontextmenü die Option „Symbolleiste löschen“. Alternativ dazu können Sie auch die Symbolleiste auswählen und [Entf] drücken.

Symbolleisten ein Untermenü hinzufügen

Um einer Symbolleiste ein Untermenü hinzuzufügen, rechtsklicken Sie auf die Funktion, bei der ein Untermenü erzeugt werden soll, und wählen Sie die Option Untermenü erzeugen. Mastercam erzeugt nun an dieser Stelle ein Untermenü.

Ziehen Sie die Funktionen, die in das Untermenü sollen, per Drag & Drop auf den Namen des Untermenüs. Die Funktionen erscheinen nun im Untermenü.

Hinweise:

  • Um einem Untermenü Funktionen hinzuzufügen, müssen diese Bereits in der Symbolleiste vorhanden sein. Sie können Funktionen nicht direkt über die Schaltfläche Hinzu anfügen.

  • Der Name des Untermenüs ändert sich gegebenenfalls, wenn Sie sie auf die anderen Funktionen ziehen, und nicht auf das Untermenü.

Hinweis: Kategorien repräsentieren keine Standard-Symbolleisten. Standard-Symbolleisten entsprechen normalerweise den unveränderlichen Mastercam-Menüs und Untermenüs. Unter den Symbolleisten-Kategorien sind verwandte Funktionen gruppiert.

Kontextmenüoptionen des Dialogfelds

Im Kontextmenü der Liste stehen die folgenden Menüoptionen zur Verfügung:
Hinweis: Die Verfügbarkeit der Optionen ist abhängig davon, wo in der Liste „Symbolleisten“ Sie rechtsklicken.

Ausschneiden – Schneidet die Symbolleiste aus der Liste aus. Sie können die Symbolleiste in einem anderen Arbeitsbereich wieder einfügen.

Kopieren – Kopiert die Symbolleiste. Sie können die Symbolleiste in einen anderen Arbeitsbereich kopieren.

Einfügen – Fügt eine kopierte oder ausgeschnittene Symbolleiste ein.

Trennlinie einfügen – Fügt oberhalb des markierten Elements eine Trennlinie in die Symbolleiste ein.

Neue Symbolleiste – Erzeugt eine neue Symbolleiste. Siehe Erzeugen neuer Symbolleisten oben für weitere Informationen dazu.

Symbolleiste löschen – Löscht eine hervorgehobene Symbolleiste aus der Liste.
Hinweis: Wenn eine voreingestellte Symbolleiste gelöscht wurde, kann sie nur dann wiederhergestellt werden, wenn Sie alle Menüs auf die originale Mastercam-Standardkonfiguration zurücksetzen.

Symbolleiste umbenennen – Ermöglicht das Umbenennen einer hervorgehobenen Symbolleiste.

Entfernen – Entfernt das markierte Element aus der Symbolleiste.

Untermenü erzeugen – Erzeugt ein Untermenü an der entsprechenden Stelle der Symbolleiste. Das Untermenü wird in Mastercam realisiert, indem neben dem entsprechenden Symbol ein Pfeil erscheint, über den Sie in das Dropdown-Untermenü gelangen.

Untermenü löschen – Entfernt das Untermenü und verschiebt dessen Funktionen direkt in die Symbolleiste.

Siehe auch...

  • Dialogfeld „Anpassen“

  • Ziehen und Ablegen visueller Hinweise per „Drag and Drop“

  • Anpassen von Symbolleisten und Menüs


Registerkarte „Kontext-Menü“ (Dialogfeld „Anpassen“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Verwenden Sie diesen Reiter, um das Kontext-Menü des Grafikfensters anzupassen.

So fügen Sie dem Mastercam Kontext-Menü Elemente hinzu:

  1. Wählen Sie aus der Kategorie-Dropdownliste eine Kategorie, um die dazugehörigen Funktions-Schaltflächen einzublenden.

  2. Wählen Sie eine der Funktions-Schaltflächen, und klicken Sie auf Hinzu >.

  3. Sobald die Funktion dem Kontext-Menü hinzugefügt wurde, können Sie sie per Drag & Drop an eine beliebige Position in der Liste ziehen. Stattdessen können Sie auch in der Kontext-Menü-Liste eine Funktion markieren, und wenn Sie dann auf Hinzu > klicken, wird die neue Funktion unterhalb der markierten Funktion eingefügt.

Um ein Element aus der Kontext-Menü des Grafikfensters zu entfernen, wählen Sie das entsprechende Element in der Kontext-Menü-Liste aus, und klicken Sie auf < Entfernen. Sie können stattdessen auch auf die Funktion rechtsklicken, und dann Entfernen auswählen.

Verwenden Sie die Schaltfläche Importieren, um ein benutzerdefiniertes Kontext-Menü aus einer .MTB-Datei einer vorherigen Version von Mastercam zu importieren.

Hinweise:

  • Wenn Sie ein Element aus dem Kontext-Menü entfernen, können Sie die Funktion später trotzdem verwenden.

  • Kategorien repräsentieren keine Standard-Symbolleisten. Standard-Symbolleisten entsprechen normalerweise den unveränderlichen Mastercam-Menüs und Untermenüs. Unter den Symbolleisten-Kategorien sind verwandte Funktionen gruppiert.

Kontextmenüoptionen des Dialogfelds

Im Kontextmenü (Rechtsklick) der Liste stehen die folgenden Optionen zur Verfügung:
Hinweis: Die Verfügbarkeit der Optionen ist abhängig davon, wo in der Kontext-Menü-Liste Sie rechtsklicken.

Ausschneiden – Schneidet das angeklickte Element aus dem Kontext-Menü aus. Verwenden Sie diese Option, um ein Element an einer Stelle auszuschneiden, und an einer anderen wieder einzufügen.

Kopieren – Kopiert das angeklickte Element aus dem Kontext-Menü. Verwenden Sie diese Option, um eine Kopie eines Elementes an einer anderen Stelle des Kontextmenüs einzufügen.

Einfügen – Fügt ein ausgeschnittenes oder kopiertes Element von einer Stelle des Kontext-Menüs an einer anderen wieder ein.

Trennlinie einfügen – Fügr oberhalb des markierten Elements eine Trennlinie in das Kontextmenü ein.

Entfernen – Entfernt das markierte Element aus dem Kontext-Menü.

Untermenü erzeugen – Erzeugt ein Untermenü an der entsprechenden Stelle des Kontextmenüs.

Untermenü löschen – Entfernt das Untermenü und dessen Funktionen aus dem Kontext-Menü.

Siehe auch...

  • Dialogfeld „Anpassen“

  • Registerkarte „Symbolleisten“ (Dialogfeld „Anpassen“)

  • Anpassen von Symbolleisten und Menüs


Registerkarte „Tastatur-Kurzbefehle“ (Dialogfeld „Anpassen“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieses Dialogfelds können Sie Mastercam-Funktionen Tastenkürzel zuweisen. Dabei können Sie folgende Aktionen ausführen:

Neue Tastenkürzel festlegen

    1. Wählen Sie aus der Dropdown-Liste Arbeitsbereich den Arbeitsbereich aus, in dem das Tastenkürzel gespeichert werden soll.

    2. Wählen Sie aus der Dropdownliste Kategorie eine der Kategorien für Tastenkürzel aus.

    3. Wählen Sie eine Funktion, der Sie ein Tastenkürzel zuweisen wollen.

    4. Geben Sie das gewünschte Tastenkürzel in das Feld Neue Tastenzuweisung drücken: ein.

    5. Wenn das Tastenkürzel der Funktion zugewiesen werden kann, werden die entsprechenden Tasten in dem Feld angezeigt, und Sie können auf die Schaltfläche Zuweisen klicken.

Hinweise:

    • Wenn das eingegeben Tastenkürzel bereits einer anderen Funktion zu gewiesen ist, wird dazu eine kurze Nachricht eingeblendet. Sie können das Tastenkürzel der neuen Funktion zuweisen. Klicken Sie auf Ja um die vorherige Funktion aufzuheben, und das Tastenkürzel neu zuzuweisen. Klicken Sie auf Nein um das Tastenkürzel aus dem Feld Neue Tastenzuweisung drücken zu entfernen, und ein neues Tastenkürzel einzugeben.

    • Sie können einer Funktion mehrere Tastenkürzel zuweisen.

Entfernen von Tastenzuweisungen

  • Wählen Sie in der Dropdownliste Kategorie die entsprechende Kategorie.

  • Wählen Sie die Funktion, die der Tastenzuweisung zugeordnet ist, die sie entfernen wollen.

  • Wählen Sie im Textfeld „Aktuelle Tasten:“ das Tastenkürzel aus und klicken Sie auf die Schaltfläche Entfernen.

Verwenden Sie die Funktion Importieren, um Tastenzuweisungen über .kmp-Dateien aus Vorgängerversionen von Mastercam zu importieren.

Siehe auch...

  • Anpassen von Tastenzuweisungen

  • Anpassen von Symbolleisten und Menüs


Registerkarte „Optionen“ (Dialogfeld „Anpassen“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Legen Sie in dieser Registerkarte des Dialogfelds verschiedene Anzeige-Einstellungen fest:

  • Symbolleisten

  • Menü

  • Registerkarten

  • Benutzeroberfläche

Weitere Informationen zu den Optionen erhalten Sie, indem Sie oben auf die Registerkarte Felddefinitionen klicken.

Siehe auch...

  • Anpassen von Tastenzuweisungen

  • Anpassen von Symbolleisten und Menüs


Ziehen und Ablegen visueller Hinweise per Drag & Drop (Anpassen von Symbolleisten)

Wenn Sie eine Funktion aus einer vorhandenen Symbolleiste oder aus dem Dialogfeld „Anpassen“ ziehen, fügt Mastercam dem Mauszeiger einen visuellen Hinweis hinzu. Visuelle Hinweise geben an was geschieht, wenn Sie die Funktion auf der aktuellen Position ablegen.

Kein Ablagebereich: Das mit der Maus gezogene Symbol befindet sich an einer Stelle, an der es nicht abgelegt werden kann. Wenn Sie es hier ablegen, findet keine Änderung statt. Das Symbol bleibt in der Symbolleiste, aus der es gezogen wurde oder wird, falls es aus dem Dialogfeld „Anpassen“ stammt, keiner neuen oder vorhandenen Symbolleiste hinzugefügt.

Funktion hinzufügen: Das gezogene Symbol befindet sich an einer Stelle, an der es beim Ablegen entweder einer bestehenden Symbolleiste hinzugefügt wird, oder eine neue Symbolleiste erzeugt wird.

Funktion entfernen: Das Symbol befindet sich an einer Stelle, an der es beim Ablegen aus der gewählten Symbolleiste entfernt wird. Dabei wird die Funktion NICHT aus Mastercam gelöscht; sie wird nur aus der Symbolleiste entfernt. Sie können die Symbolschaltfläche jedoch jederzeit wieder einfügen.

Siehe auch...

  • Anpassen von Symbolleisten und Menüs

  • Registerkarte „Symbolleisten“ (Dialogfeld „Anpassen“)


Anpassen von Tastenzuweisungen

Mastercam wird mit vielen vordefinierten Tastenkürzeln installiert. Sie können auch eigene Tastenkürzel definieren und dem Arbeitsbereich hinzufügen, um das Arbeiten mit Mastercam individueller und effizienter zu gestalten.

Im Reiter „Tastatur-Kurzbefehle“ des Dialogfelds „Anpassen“ können Sie Mastercam-Funktionen selbstdefinierte Tastenkombinationen zuweisen. Sobald Sie einer häufig verwendeten Funktion ein Tastenkürzel zugewiesen, und den entsprechenden Arbeitsbereich geladen haben, können Sie die Funktion darüber aufrufen, statt mit der Maus über ein Menü oder eine Symbolleiste.

Die Tastenkombinationen, die Sie zum Erzeugen von Tastenkürzeln verwenden können, sind unten aufgelistet (wobei „Taste“ ein alphanumerisches Zeichen oder die Funktionstaste der Tastatur [F1] bis [F12] bedeutet).

  • [Alt]+[Taste]

  • [Strg]+[Taste]

  • [Strg]+[Alt]+[Taste]

  • [Umschalt]+[Alt]+[Taste]

  • [Umschalt]+[Strg]+[Taste]

  • [Umschalt]+[Strg]+[Alt]+[Taste]

  • [F1] bis [F12]

Hinweis: Sie können Funktionen keine Tastenkombinationen zuweisen, die sich aus einzelnen alphanumerischen Tasten oder aus einer davon in Kombination mit der [Umschalt]-Taste zusammensetzen. Diese Tasten sind für die voreingestellten Tastenkürzel von Mastercam reserviert. Viele der einzelnen alphanumerischen Tasten oder [UMSCHALT]+[Taste]-Kombinationen, werden beispielsweise zur Dateneingabe, für die Optionsleiste und in Dialogfeldern verwendet. Weitere Informationen dazu, siehe Tastenkürzel in Mastercam.

Siehe auch...

  • Anpassen von Symbolleisten und Menüs

  • Dialogfeld „Anpassen“


WZ-Manager an/aus

Verwenden Sie diese Funktion zum Ein- oder Ausblenden des Werzeugweg-Managers. Das Ausblenden des Werkzeugweg-Managers erlaubt ein Vergrößern des Grafikfensters.

Hinweis: Um mehr Raum für die Grafikansicht zu schaffen, können Sie den Werkzeugweg-Manager abdocken und ihn auf einen zweiten Monitor verschieben, anstatt ihn zu verbergen.

WZ-Manager an

WZ-Manager aus

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster

  • Verwenden von Darstellungen


Andocken, Schließen und Ändern der Größe des Werkzeugweg-/Solids-Managers

An-/Abdocken, Schließen und Ändern der Größe des Werkzeugweg-/Solids-Managers

Sie können den Werkzeugweg-Manager und den Solids-Manager in Mastercam an eine andere Position verschieben, deren Fenstergröße ändern und das Fenster jederzeit schließen und erneut öffnen.

Der Werkzeugweg-Manager und der Solids-Manager sind standardmäßig auf der linken Seite des Grafikfensters angedockt. Sie können die Manager jedoch abdocken und beliebig an anderer Stellle andocken. Ziehen Sie dazu das Manager-Fenster an eine beliebige Position im Fenster oder auf eines der Icons, die beim Verschieben angezeigt werden.

Sie können den Werkzeugweg-Manager schließen, indem Sie in der oberen rechten Ecke auf die Schaltfläche Schließen klicken. Klicken Sie zum erneuten Öffnen der Manager in der Menüleiste auf Ansicht, WZ-Manager an/aus oder Solids Manager an/aus.

Hinweis: Die Einstellungen für die Manager sind zwischen Mastercam-Sitzungen modal. Dies bedeutet, dass Mastercam sich die Einstellungen (Position und Größe der Manager) „merkt“ und sie beibehält, auch wenn Sie Mastercam beenden und neu starten.

Siehe auch...

  • Werkzeugweg-Manager

  • Art-Manager

  • Solids-Manager


Arbeiten mit Darstellungs-Lesezeichen

  1. Öffnen Sie in Mastercam eine Teiledatei.

  2. Klicken Sie, falls keine Darstellungen angezeigt werden, in der Menüleiste auf Ansicht, Darstellungen, Aktiviert.

  3. Klicken Sie mit der rechten Maustaste unten auf die Registerkarte Hauptdarstellung und dann auf Neu. Mastercam zeigt eine neue Darstellungs-Registerkarte für das Teil an.

  4. Geben Sie einen Namen für die neue Darstellung ein und drücken Sie [Enter].

  5. Ändern Sie die Ansicht, Skalierung und Layereinstellungen des Teils nach Bedarf.

  6. Klicken Sie mit der rechten Maustaste auf die neue Darstellungs-Registerkarte und dann im Kontextmenü auf die Option Als Lesezeichen speichern. Mastercam speichert die aktuelle Ansicht, die Skalierung und die Layereinstellungen des Teils als Lesezeichen. Ein Lesezeichen erscheint an der Registerkarte.

  7. Ändern Sie die Ansicht, Skalierung und die Layereinstellungen nach Belieben.

  8. Klicken Sie mit der rechten Maustaste auf die Registerkarte und dann im Kontextmenü auf die Option Lesezeichen wiederherstellen. Mastercam stellt die Einstellungen, die Sie in Schritt 6 gespeichert haben, wieder her, solange Sie im Dialogfeld Einstellungen gespeichert sind. Klicken Sie mit der rechten Maustaste auf die Registerkarte und wählen Sie Einstellungen um zu prüfen, ob Sie aktiviert sind. Durch den Doppelklick auf die Registerkarte wird außerdem das Lesezeichen wiederhergestellt.

  9. Rechtsklicken Sie zum Löschen des Lesezeichens auf die Registerkarte, und wählen Sie die Option Lesezeichen löschen.

Hinweis: Jede Darstellung besitzt ein einzelnes Lesezeichen. Wenn Sie Ihre Teile-Datei speichern, sichert Mastercam zusammen mit dem Teil auch die Darstellungs-Einstellungen (einschließlich des Lesezeichens).

Siehe auch…

  • Erzeugen einer Darstellung, die auf eine andere Teile-Ansicht eingestellt ist

  • Verwenden von Darstellungen


Ändern der Teileansicht einer Darstellung

  1. Öffnen Sie in Mastercam eine Teiledatei.

  2. Klicken Sie, falls keine Darstellungen angezeigt werden, in der Menüleiste auf Ansicht, Darstellungen, Aktiviert.

  3. Klicken Sie mit der rechten Maustaste unten auf die Registerkarte Hauptdarstellung und dann auf Neu.

  4. Geben Sie eine neue Bezeichnung ein (z.B. Isometrische Ansicht) und drücken Sie [Enter].

  5. Klicken Sie auf die neue Registerkarte, um sie zu aktivieren.

  6. Wechseln Sie in eine andere Ansicht (drücken Sie dazu beispielsweise [Alt+7] für die isometrische Ansicht).

  7. Klicken Sie auf die Darstellungs-Registerkarten, um zwischen den beiden Ansichten zu wechseln.

Hinweis: Beim Speichern Ihrer Teile-Datei, werden die Darstellungs-Einstellungen zusammen mit dem Teil gespeichert.

Siehe auch…

  • Arbeiten mit Darstellungs-Lesezeichen

  • Verwenden von Darstellungen


Anpassen

Benutzen Sie diese Funktion, um die Ansicht der sichtbaren Geometrie im Grafikfenster zu maximieren. Wenn Sie diese Funktion aufrufen, platziert das System die dargestellte Geometrie und passt ihre Größe an, um das Grafikfenster möglichst ganz auszufüllen.

Außer im Menü „Ansicht“, können Sie die Funktion auch über das Kontextmenü, über die Symbolleiste, mit der Tastenkombination [Alt+F1] oder durch Drücken der Taste [Pos1] aufrufen.

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster


Ansichten kombinieren

Kombinieren Sie mit Hilfe dieser Funktion alle parallelen Ansichten zu einer Einzelansicht und verschieben Sie Bögen aus Parallelansichten in die Einzelansicht. Parallele Ansichten sind die Konstruktionsebenen, die in derselben zweidimensionalen Ebene (XY, XZ oder YZ) liegen, sich aber durch Rotation oder Lage unterscheiden. Diese Funktion ist hilfreich, wenn Sie Dateien aus anderen Anwendungen importieren und die Anzahl der verschiedenen Ansichten verringern möchten, um das Bearbeiten der Geometrie zu erleichtern.

Hinweis: Mastercam wählt für die kombinierte Ansicht die Ansicht mit der niedrigsten Nummer. Befinden sich beispielsweise auf Ansicht 4 (Unten) und Ansicht 1 (Oben) Bögen, werden diese alle in Ansicht 1 verschoben. Ansicht 4 wird zu einer leeren Ansicht, die nicht mit der Datei gespeichert wird.

Weitere Informationen zu...

  • Ebenen-Manager

  • Dialogfeld "Ebenen-Manager" (Info)


Neuaufbau

Bauen Sie mit Hilfe dieser Funktion Abbildungen im Grafikfenster neu auf, wenn sie unvollständig oder verzerrt angezeigt werden. Dies kann die Folge von häufigen Änderungen an Elementen sein, insbesondere dort, wo sie sich überlappen.

Hinweise:

  • Die Anzeigequalität und -stabilität von Abbildungen im Grafikfenster hängt von der Grafikleistung Ihres PCs und der Größe des verfügbaren Speichers ab.

  • Rufen Sie die Funktion Bildschirm, Bildschirm neu aufbauen auf, um die Displayliste (bzw. den Bildschirm) neu aufzubauen, falls der Inhalt des Grafikfensters durch die Funktion „Neuaufbau“ nicht vollständig wiederhergestellt wird.

Weitere Informationen zu...

  • Ändern der Anzeige im Grafikfenster


Verschieben

Benutzen Sie diese Funktion, um Geometrie innerhalb des Grafikfensters zu bewegen. Klicken und ziehen Sie das Fenster, wie es die Situation erfordert.

Stellt man sich das Fenster als eine Kameralinse vor, können Sie das „Objektiv“ mit den Pfeiltasten nach rechts, links, oben oder unten über die Elemente schwenken. Wenn Sie dabei das Mausrad drücken, und die Abbildung in eine beliebige Richtung ziehen, rotieren Sie das Teil. Wenn Sie dabei [Umschalt] drücken, wird das Teil stattdessen verschoben.

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster


Zoom-Funktionen

Mastercam bietet eine Reihe von Zoomfunktionen, die Sie zum Ändern der Elementansicht im Grafikfenster verwenden können, wie:

Zoom-Fenster: Vergrößert einen Grafikfensterbereich. Wenn Sie diese Funktion aufrufen, werden Sie von Mastercam aufgefordert, ein Auswahlfenster um den Bereich des Grafikfensters zu ziehen, den Sie vergrößern möchten. Der Inhalt des Auswahlfensters wird dann im gesamten Grafikfenster angezeigt.

Auf Zielpunkt zoomen: Vergrößert einen bestimmten Bereich, der durch zwei gewählte Punkte definiert ist. Die erste Position, die Sie auswählen, zeigt das Zentrum des Zielbereichs an. Wenn Sie den Cursor zur Auswahl der zweiten Position bewegen, ziehen Sie einen rechtwinkligen Bereich auf, der die Zielbegrenzung definiert. Wenn Sie die zweite Position auswählen, wird alles im Zielbereich so weit vergrößert, bis das Grafikfenster ausgefüllt ist, und zwar zentriert um den zuerst definierten Punkt.

Vorheriges Un-Zoomen / 0.5: Stellt die vorherige Zoomeinstellung wieder her. Falls der Zoom-„Speicher“ keine vorherige Zoom-Einstellung enthält, reduziert diese Funktion die dargestellte Geometrie bis auf 50 % seiner aktuellen Größe.

Un-Zoom auf 0.8: Reduziert die dargestellte Geometrie auf 80 % ihrer aktuellen Größe.

Zoom +/&minus; : Dynamisches Ein-/Auszoomen. Wählen Sie im Grafikfenster zuerst einen „Fokussierpunkt“ aus. Verwenden Sie dann eine der folgenden Zoom-Methoden:

  • Schieben Sie die Maus vorwärts und rückwärts oder drücken Sie fortlaufend die Tasten [Bild-auf] und [Bild-ab], um in das Zentrum des Grafikfensters hinein- oder herauszuzoomen.

  • Drehen Sie das Mausrad in beide Richtungen, um von der Position des Fokussierpunktes aus, hinein- oder herauszuzoomen.

Tipp: Sie können jederzeit das Mausrad zum Zoomen im Grafikfenster benutzen —ohne eine Funktion auszuwählen—.

Auf Element Zoomen: Funktioniert nur mit vorgewählten Elementen. Skaliert die gewählten Elemente automatisch so, dass sie das Grafikfenster ausfüllen.

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster


Standardansichten

Benutzen Sie diese Funktion, um die Geometrieansicht im Grafikfenster zu ändern, indem Sie eine der vordefinierten Standard-Grafikansichten von Mastercam auswählen, wie:

Draufsicht | Ansicht von unten
Links | Rechts
Vorderansicht | Rückansicht
Isometrie (zeigt die Ober-, Vorder- und die rechte Seite eines Objektes)

Durch das Ändern der Ansicht wird die Geometrie weder verschoben noch kopiert; es wird nur Ihr Ansichtspunkt verschoben. Die Geometrie scheint sich jedoch zu drehen, wenn Sie die Grafikansicht verändern.

Tipps:

  • Beim Erzeugen einer Geometrie kann es hilfreich sein, wenn die Grafikansicht so eingestellt wird, dass sie mit der Konstruktionsebene (KEbene) übereinstimmt.

  • Sie können Mastercam so konfigurieren, dass die Konstruktionsebene (KEbene) und die Werkzeugebene (WEbene) automatisch so eingestellt wird, dass sie mit der Grafikansicht übereinstimmen, wann immer sie sich ändert. Für weitere Informationen dazu, siehe Eigenschaftenseite „Start/Ende“ (Systemkonfiguration).

Hinweis: Alle Ebenen sind relativ zum WKS definiert. Wenn Sie das WKS neu ausrichten, werden auch alle vordefinierten Ebenen neu ausgerichtet. Für weitere Informationen, siehe Ansichten, Ebenen und Koordinatensysteme.

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster

  • Verwenden von Darstellungen


Orientierung (Menü „Ansicht“)

Mastercam bietet eine Reihe von Ansichtenfunktionen, die Sie zum Ändern der Elementansicht im Grafikfenster verwenden können, wie:

Dynamisches Drehen: Dreht die Geometriedarstellung im Grafikfenster. Für detaillierte Informationen dazu, siehe Dynamisches Drehen.

Normale: Erzeugt eine neue Ebene, die auf einer Ebene basiert, die normal zu einer gewählten Linie ist.

Klicken Sie hier, um weitere Informationen dazu aufzurufen.

Ebenenliste: Öffnet das Dialogfeld „Ebenenselektion“.

Vorherige Ebene: Kehrt zur vorherigen Ebene zurück. Siehe Funktion „Vorherige Ebene“ für weitere Informationen.

Ansicht durch Element: Definiert eine Ebene anhand vorhandener Elemente im Grafikfenster. Sie können die Ebene anhand einer der folgenden Auswahlmöglichkeiten festlegen:

  • Ein flaches Element wie ein 2D-Spline, ein Bogen, ein Solidface oder ein beliebiges anderes Einzelelement, das auf nur einer Ebene liegt.

  • Zwei Linien, die auf derselben Ebene liegen. Die Linien brauchen sich nicht zu schneiden, dürfen aber nicht kollinear sein. Dabei ist die Reihenfolge wichtig, in der Sie die Linien wählen. Die erste Linie, die Sie wählen, bestimmt die positive X-Richtung und die Konstruktionstiefe (Z-Tiefe). Die zweite definiert die positive Y-Richtung.

  • Drei einzelne Punkte, die nicht kollinear sind.

Klicken Sie hier, um weitere Informationen dazu aufzurufen.

X für Y tauschen, X für Z tauschen und Y für Z tauschen: Dreht die Achsen der existierenden Ebene, um eine neue parallele Ebene zu erzeugen, indem X mit Y, X mit Z und Y mit Z getauscht wird. Hierdurch bekommen Sie eine bessere Kontrolle bei der Erzeugung von Werkzeugwegen.

Hinweis: Durch diese Funktionen werden nur „Rechte-Hand-Ansichten“ erzeugt.

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster

  • Verwenden von Darstellungen


Dynamisches Drehen

Benutzen Sie diese Funktion, um die Elemente im Grafikfenster dynamisch um einen gewählten Punkt oder eine Position zu rotieren. Die Geometrie bleibt relativ zu den System- und WKS-Achsen jedoch in der ursprünglichen Lage. Es wird nur die Grafikansicht geändert.

Wenn Sie diese Funktion über das Menü oder die Symbolleiste wählen, wählen Sie zuerst einen AutoCursor-Fangpunkt, einen skizzierten Punkt oder eine Position im Raum und bewegen dann die Maus, um die Elemente um den gewählten Punkt zu rotieren.

Hinweis: Wenn Sie den „Frei“-Modus beim dynamischen Drehen aktivieren möchten, verwenden Sie dazu die Eigenschaftenseite „Bildschirm“ im Dialogfeld „Systemkonfiguration“.

Falls Sie diese Funktion über das Mausrad aufrufen, bestimmt die Cursorposition im Grafikfenster den Rotationspunkt. Wenn Sie über einer Geometrie klicken, erscheint ein Fadenkreuzsymbol und die Geometrie ist hervorgehoben. Das Fadenkreuzsymbol ist das Rotationszentrum. Falls durch den Mausklick keine Geometrie hervorgehoben wird, wird der Rotationspunkt zum Zentrum des Bildschirms auf der aktuellen Z-Tiefe. Halten Sie die Taste [Umschalt] (beim Drehen) gedrückt, um von der normalen dynamischen Rotation in die 2D-Rotation um das Rotationszentrum zu schalten. Der „Frei“ Modus muss für die 2D-Rotation aktiviert sein.

Normale Rotation | 2D-Rotation

Dynamisches Drehen erfolgt standardmäßig im freien Modus. Der freie Modus erlaubt ohne Einschränkungen das Rotieren der Geometrie um alle Achsen. Ist der freie Modus ausgeschaltet, beschränkt sich die Bewegung beim dynamischen Drehen auf die Z-Achse. Ein Verschieben des Cursors nach links und rechts dreht die Geometriedarstellung dynamisch in der XY-Ebene um die Z-Achse. Die Z-Achse bleibt in vertikaler Lage. Ein Verschieben des Cursors nach oben oder unten dreht die Geometrie dynamisch durch Neigen der Z-Achse in den Bildschirm.

Weitere Informationen zu…

  • Ändern der Anzeige im Grafikfenster

  • Verwenden von Darstellungen


Funktion „Vorherige Ebene“

Verwenden Sie diese Funktion um zur vorherigen Ebene zurückzukehren.

Hinweis: Wenn Sie in der aktuellen Mastercam-Sitzung nur eine Ansicht benutzt haben, erscheint eine Meldung, die besagt, dass keine vorherige Ansicht existiert.


Ausblenden und Verbergen (Hide) von Elementen

Das Bildschirmmenü enthält Optionen, mit denen Sie die Anzeige gewählter Elemente im Grafikfenster vorübergehend unterdrücken und dann wiederherstellen können.

Element ausblenden: Blendet gewählte Elemente auf beliebigen Layern aus und macht so die Bildschirmanzeige übersichticher.

Element einblenden: Nur verfügbar, wenn die Datei ausgeblendete Elemente enthält. Blendet alle zuvor ausgeblendeten Elemente wieder ein.

Element verbergen (Hide): Verbirgt alle nicht markierten Elemente zwecks gezielter Bearbeitung bestimmter weniger Geometrie-Elemente. Falls die Datei verborgene Elemente enthält, werden sie mit dieser Funktion wieder eingeblendet.

Weitere Elemente verbergen +: Nur verfügbar, wenn die Datei verborgene Elemente enthält. Erlaubt in der aktuellen Anzeige zusätzliche Elemente zu markieren, und verbirgt nicht markierte Elemente.

Einige Elemente nicht mehr verbergen –: Nur verfügbar, wenn die Datei verborgene Elemente enthält. Zeigt nur die Elemente an, die verborgen sind, und erlaubt die Auswahl zusätzlicher Elemente, die angezeigt werden sollen.

Zwischen den Funktionen „Ausblenden“ und „Verbergen“ (Hide) gibt es wichtige Unterschiede:

  • Bei der Funktion „Verbergen“ markieren Sie die Elemente, die weiterhin im Grafikfenster angezeigt werden sollen; alle nicht markierten Elemente werden verborgen. Bei der Funktion „Ausblenden“ markieren Sie nur die Elemente, die ausgeblendet werden sollen.

  • Ausgeblendete Elemente können gespeichert werden; verborgene Elemente jedoch nicht.

  • Arbeiten Sie mit der Funktion „Verbergen“, um viele Elemente aus der Anzeige zu entfernen, oder um verborgene Elemente schnell wieder anzuzeigen.

  • Arbeiten Sie mit der Funktion „Ausblenden“, um die Anzeige einer begrenzten Anzahl von Elementen selektiv zu unterdrücken und wiederherzustellen..

Hinweis: Rufen Sie den C-Hook „BlankDuplicates.dll“ auf, um doppelte Elemente auszublenden. Weitere Informationen zu C-Hooks finden Sie unter C-Hooks und NET-Hooks.

Siehe auch...

  • Elemente löschen

  • Wiederherstellen von Elementen


Ändern der Anzeige im Grafikfenster

Mastercam bietet verschiedene Funktionen und Methoden zum Ändern der Darstellung der Geometrie und Werkzeugwege im Grafikfenster. Einige der üblicherweise am meisten verwendeten Methoden sind unten aufgelistet.

Anpassen: Maximiert die Darstellung sichtbarer Geometrie im Grafikfenster. Für weitere Informationen dazu, siehe Anpassen.

Neuaufbau: Baut das Grafikfenster neu auf. Für weitere Informationen dazu, siehe Neuaufbau.

Verschieben: Verschiebt Geometrie innerhalb des Grafikfensters. Für zusätzliche Informationen dazu, siehe Verschieben.

Zoom Funktionen: Vergrößert oder verkleinert die Skalierung von Abbildungen im Grafikfenster. Für zusätzliche Informationen dazu, siehe Zoom Funktionen.

Tipp: Sie können jederzeit das Mausrad zum Zoomen im Grafikfenster benutzen —ohne eine Funktion auszuwählen—.

Siehe auch…

  • Grafikfenster – Übersicht


Dialogfeld „Auswahlnetz“ (Funktion „Fangraster“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieses Dialogfelds können Sie die Anzeige des Auswahlnetzes aktivieren, deaktivieren und anpassen. Das Auswahlnetz ist eine Matrix aus Bezugspunkten, auf denen der Cursor einrastet, wenn Sie einen Punkt zeichnen. Durch das Einrasten des Cursors können Punkte präziser eingegeben werden als beim Freihandzeichnen.

Sie können Auswahlnetzparameter in der Mastercam-Konfigurationsdatei speichern oder temporäre Änderungen vornehmen, die nur für die aktuelle Sitzung gelten.

  • Öffnen Sie zum Einstellen und Speichern von Auswahlnetzparametern in einer Konfigurationsdatei die Eigenschaftenseite Konstruktionsnetz des Dialogfelds Systemkonfiguration (klicken Sie dazu auf Einstellungen, Konfiguration, Bildschirm). Nach dem Speichern der Auswahlnetzparameter werden sie zu Beginn einer neuen Mastercam-Sitzung aus der Mastercam-Konfigurationsdatei geladen.

  • Rufen Sie zum Einstellen von Auswahlnetzparametern für die aktuelle Sitzung das Dialogfeld „Auswahlnetz“ auf (klicken Sie dazu im Menü Bildschirm auf Fangraster). Ihre Änderungen setzen die anfangs geladene Konfiguration außer Kraft und gelten bis zum Ende der laufenden Sitzung.

Weitere Informationen zu...

  • Eigenschaftenseite „Konstruktionsnetz“


Temporäre Farben entfernen

Entfernt die Gruppen- und Resultatfarben von den betreffenden Elementen und aus der Datenbank. Beim Transformieren von Elementen (mit X-Form) erzeugt Mastercam aus den Originalelementen eine temporäre Gruppe (rot) und aus den transformierten ein Resultat (violett). Diese Systemgruppen werden im Dialogfeld „Gruppenmanager“ angezeigt. Systemgruppen und Systemresultate bleiben jedoch nur solange erhalten, bis Sie die Funktion Bildschirm, Temporäre Farben entfernen oder eine andere Transformfunktion ausführen.

Weitere Informationen zu...

  • Arbeiten mit Gruppen


Bildschirmkopie in die Zwischenablage

Kopieren Sie mithilfe dieser Funktion das gesamte aktuelle Grafikfenster oder einen Ausschnitt als Rastergrafik (Bitmap) in die Zwischenablage von Windows. Diese Grafik können Sie dann in eine andere Anwendung einfügen (bei Windows-Anwendungen üblicherweise mit der Tastenkombination [Strg+V]).

Ziehen Sie nach dem Aufrufen der Funktion Bildschirmkopie in die Zwischenablage mit der Maus ein Fenster um den zu kopierenden Bereich oder drücken Sie [Esc], um den gesamten Inhalt des Grafikfensters zu kopieren.

Weitere Informationen zu...

  • Richtlinien zum Selektieren von Elementen (Allgemeine Selektion)


Bildschirm neu aufbauen

Rufen Sie diese Funktion auf, um den Bildschirm (Displayliste) in der aktuellen Bildschirmskalierung neu aufzubauen. Die Displayliste ist Mastercams Speicher für die Punkte, die die Geometrie im Grafikfenster definieren, und sie basiert auf der Bildschirmskalierung, die beim Erzeugen der Geometrie aktiv war. Das Regenerieren dieser Liste kann die Anzeigegeschwindigkeit und -qualität verbessern.

Rufen Sie die Funktion bei folgenden Anzeigeproblemen auf:

  • Die Anzeige reagiert bei Funktionen wie Zoom und Unzoom nur träge.

  • Geometrie wird fehlerhaft oder teilweise gar nicht angezeigt.

Weitere Informationen zu...

  • Ändern der Anzeige im Grafikfenster


Bildschirmstatistik

Mit dieser Funktion blenden Sie eine Statistik zur Anzahl folgender Elemente der aktuellen Datei ein: sichtbare Elemente nach Typ, Operationen und Werkzeuge.

Beispiel:

Weitere Informationen zu...

  • Benutzung der Analysefunktion


Optionsleisten

Sie funktionieren wie Dialogfelder, ähneln aber den Symbolleisten. Optionsleisten werden beim Aufrufen vieler Funktionen wie denen des Skizzierers geöffnet, und dienen zum Erzeugen und Positionieren Ihrer Geometrie. Wenn Sie Geometrie mit Optionsleisten erzeugen, können Sie ein Element so lange bearbeiten, wie es aktiv bleibt.

Es gibt auch einige Optionsleisten zur Bearbeitung von Geometrie, wie die Optionsleiste „Trimmen/Verlängern/Trennen“. Mastercam bietet zusätzlich die Funktionen „AutoCursor“ und „Allgemeine Selektion“ als Optionsleisten an.

Unterhalb der Symbolleisten, direkt über dem Grafikfenster, wird eine leere Optionsleiste angezeigt, wenn kein Optionsleiste aktiviert ist. Beim Aufrufen einer Funktion wird dort statt der leeren die entsprechende Optionsleiste angezeigt.

Optionsleisten können weder entkoppelt oder angekoppelt, noch angepasst werden.

Klicken Sie auf die folgenden Themen, um weitere Informationen dazu aufzurufen:

Arbeiten mit Optionsleisten

Es gibt drei Möglichkeiten zwischen Schaltflächen und Feldern in Optionsleisten zu navigieren. Dabei können Sie folgende Aktionen ausführen:

    • Benutzen Sie die Maus zum Anklicken von Schaltflächen und zum Platzieren Ihres Cursors in Feldern.

    • Drücken Sie die [Tab]-Taste, um von einem aktiven Feld ins nächste zu wechseln.

    • Geben Sie ein Tastenkürzel ein, um die Schaltfläche oder das Feld zu aktivieren, die/das damit assoziiert ist. Beispiel: Drücken Sie [T], um auf die Schaltfläche Tangente zu „klicken“.

Hinweis: Je nachdem, welche Optionen Sie zum Erzeugen der Geometrie gewählt haben, sind einige Schaltflächen und Felder eventuell nicht verfügbar (grau hinterlegt).

Für folgende Funktionen können Sie auch die [Esc]-Taste drücken:

    • Bei einem bereits erzeugten Element wird das Element durch Drücken der [Esc]-Taste fixiert und die Optionsleiste geschlossen.

    • Bei angefangenen, noch nicht fertiggestellten Elementen wird das unfertige Element durch Drücken der [Esc]-Taste gelöscht – die Funktion bleibt jedoch aktiv und die Optionsleiste geöffnet.

Sperren und Entsperren von Feldern

Werte in Optionsleistenfeldern können gesperrt werden, um eine automatisch Aktualisierung zu verhindern. Jedes Feld besitzt drei Zustände:

Entsperrt

Soft-gesperrt

Hart-gesperrt

Eingabe von Werten in Felder

Zusätzlich zum Eingeben von Werten in Optionsleistenfelder in und der Verwendung des Cursors zum dynamischen Aktualisieren Ihrer Felder, können Sie eine der folgenden Methoden verwenden, um Werte in Felder einzugeben:

  • Klicken Sie auf die Pfeilschaltfläche, um aus einer Liste von Werten auszuwählen, die vorher in die Optionsleiste eingegeben wurden.

  • Klicken Sie auf die Pfeile neben den Feldern, um die Werte in inkrementalen Abständen zu erhöhen.

  • Klicken Sie mit der rechten Maustaste in ein Feld, um ein Menü mit folgenden Auswahlmöglichkeiten aufzurufen:

    Weitere Informationen finden Sie unter Tastenkürzel für die Dateneingabe.

Hinweise:

  • Bei vielen Steuerelementen von Optionsleisten wird der letzte Zustand in der laufenden Sitzung gespeichert. Wenn Sie also eine Optionsleiste erneut aufrufen, sind diese Steuerelemente wie zuvor eingestellt und Sie können sich viele Eingaben ersparen.

  • Die Bildschirmauflösung Ihres Monitors kann dazu führen, dass in den Optionsleisten von Mastercam nicht alle verfügbaren Optionen anzeigt werden. Dann werden so viele Optionen wie möglich, und am Ende der Optionsleiste ein Doppelpfeil angezeigt (siehe Abbildung).

    Klicken Sie auf den Doppelpfeil, um eine Dropdownliste mit weiteren wählbaren Optionen aufzurufen. Alternativ dazu können Sie die Bildschirmauflösung so einstellen, dass alle Optionen in den Optionsleisten angezeigt werden. Stellen Sie bei horizontalen Auflösungen unter 1280 Pixel 96 dpi und eine kleine Schriftart ein.

Siehe auch...

  • Symbolleisten

  • Skizzierer

  • Optionsleiste „Allgemeine Selektion“

  • Optionsleiste „AutoCursor“


Sperren und Entsperren von Feldern

Die Werte in den meisten Mastercam Dateneingabefeldern können gesperrt werden, damit die Daten nicht automatisch aktualisiert werden. Diese Felder (wie unten in den Beispielen aus einer Längen-Schaltfläche/Feld-Kombination dargestellt) besitzen die folgenden drei Zustände:

Entsperrt

Der normale und Standard-Status eines Optionsleisten- oder Dialogfeld-Feldes ist „entsperrt“. Dieser Status erlaubt eine dynamische Aktualisierung des Feldes durch die Bewegung des Cursors auf dem Grafikbildschirm.

Beispiel:

Soft-gesperrt

„Soft-gesperrt“ ist der Status eines Feldes, in dem die Daten für das nächste Element, das Sie erzeugen wollen, gesperrt sind. Um einem Feld den Status „soft-gesperrt“ zu verleihen, geben Sie einen Wert in das Feld ein und drücken Sie [Enter]. Beachten Sie, dass die Schaltfläche neben dem Feld gedrückt ist, wodurch der Status „soft-gesperrt“ gekennzeichnet wird. Stellen Sie sicher, Felder mit dem Status „soft-gesperrt“ zu versehen, bevor Sie das Element erzeugen. Nach dem Erzeugen eines Elementes kehrt das Feld in den Status „entsperrt“ (standardmäßig voreingestellt) zurück.

Beispiel:

Beachten Sie die gedrückte Schaltfläche.

Hart-gesperrt

"Hart-gesperrt" ist der Status eines Feldes, in dem die Daten gesperrt sind, bis sie manuell entsperrt werden. Sie können ein Feld mit dem Status „hart-gesperrt" versehen, wenn Sie während der Erzeugung mehrerer Elemente einen bestimmten Wert wiederholt verwenden möchten. Um ein Feld zu sperren, geben Sie einen Wert ein und klicken Sie auf die Schaltfläche neben dem Feld.

Beispiel:

Beachten Sie, dass die Schaltfläche gedrückt und der Feldhintergrund rot erscheint, wodurch angezeigt wird, dass der Wert gesperrt ist. Klicken Sie zum Entsperren eines Feldes auf die Schaltfläche daneben.

Hinweis: Wenn Sie beim Eingeben des Tastenkürzels eines Felds die [Umschalt]-Taste gedrückt halten, wird das entsprechende Feld auch hart gesperrt.

Siehe auch...

  • Optionsleisten

  • Tastenkürzel für die Dateneingabe


AutoCursor™ – Übersicht

Mit dem AutoCursor können Sie in komplizierten und überfüllten Geometrien schnell Punkte auswählen und eingeben. Sie gelangen zu den AutoCursor-Funktionen über die AutoCursor-Optionsleiste.

Der AutoCursor erkennt und markiert End- und Mittelpunkte von Kurven und Linien, Zentrumspunkte von Bögen sowie Punktelemente. Zusätzlich kann der AutoCursor in folgende Fangoptionen wechseln: Winkel, Nächstgelegenden, Tangente, Lotrecht, Horizontal / Vertikal.

Die X-, Y- und Z-Felder im AutoCursor fangen die Position Ihres Cursors. Auch wenn der AutoCursor nicht aktiviert ist, zeigen die X-, Y- und Z-Felder die Koordinaten des Cursors an.

Klicken Sie für weitere Informationen auf die folgenden Links:

Verwenden von Kurzbefehlen („Hotkeys“ oder Tastenkürzel)

Sie können die folgenden Tastenkürzel jederzeit verwenden, wenn der AutoCursor aktiv ist:

X – in das Feld X „springen“

Y – in das Feld Y „springen“

Z – in das Feld Z „springen“

Leertaste – Direkteingabemodus

Sie können die folgenden Tastenkürzel in dem Dialogfeld AutoCursor Einstellungen aktivieren:

N – Nullpunkt Objektfang

C - Bogenzentrum Objektfang*

E - Endpunkt Objektfang*

G - Entlang Objektfang*

I – Schnittpunkt Objektfang*

M - Mittelpunkt Objektfang*

Q - Quadrant Objektfang*

P – Punkt Objektfang

Andocken und Abdocken des AutoCursors

Der AutoCursor ist im Symbolleistenbereich von Mastercam standardmäßig geöffnet und angedockt. Er kann abgedockt werden, indem Sie irgendwo auf der Optionsleiste einen Doppelklick ausführen oder einen einfachen Klick ausführen und ihn ins Grafikfenster ziehen. Wenn der AutoCursor abgedockt ist, können Sie ihn einfach per „drag & drop“ an einer beliebigen Stelle im Grafikfenster als horizontales Fenster positionieren. Sie können ihn erneut andocken, indem Sie das Fenster irgendwo im Symbolleistenbereich per „drag & drop“ positionieren oder indem Sie in der Titelleiste einen Doppelklick ausführen.

Falls Sie den AutoCursor abdocken, verschwindet die Optionsleiste bei Funktionen, die den AutoCursor nicht benötigen. Er erscheint immer dann erneut, wenn Sie eine Funktion aufrufen, die eine Interaktion erfordert. Zum Beispiel bei der Erzeugung von Geometrie unter Verwendung der Skizzierer-Funktionen.

Hinweis: Der AutoCursor kann nicht vertikal angedockt werden.

Navigieren mit dem AutoCursor

Es gibt drei Möglichkeiten sich zwischen Schaltflächen und Feldern im AutoCursor zu bewegen. Dabei können Sie folgende Aktionen ausführen:

    • Benutzen Sie die Maus zum Anklicken von Schaltflächen und zum Platzieren Ihres Cursors in Feldern.

    • Wenn eins der X-, Y- oder Z-Felder aktiviert ist, verwenden Sie die [Tab]-Taste, um zwischen diesen drei Feldern hin- und her zu schalten.

    • Verwenden Sie ein Tastenkürzel, um die damit assoziierte Schaltfläche oder das Feld zu aktivieren. Beispiel: Drücken Sie auf [X], um das X-Feld zu aktivieren.

    • Geben Sie in das X-Feld einen Wert ein und drücken Sie [Enter], um ins Y-Feld zu wechseln. Geben Sie dann im Y-Feld einen Wert ein und drücken Sie [Enter], um ins Z-Feld zu wechseln.

Sperren und Entsperren von Feldern

Die Daten in den AutoCursor X-, Y- und Z-Feldern können gesperrt werden, damit die Daten nicht automatisch aktualisiert werden. Jedes Feld besitzt drei Zustände:

Entsperrt

Soft-gesperrt

Hart-gesperrt

Wird im AutoCursor ein Wert angewendet, wird die Schaltfläche für dieses Feld auf einer niedrigen Position gesperrt, wobei der Zustand „Soft-gesperrt“ angezeigt wird. Um eins der Felder hart zu sperren, halten Sie die [UMSCHALT]-Taste gedrückt und verwenden Sie das Tastenkürzel für das Feld.

Verwenden des Direkteingabemodus

AutoCursor bietet einen Direkteingabemodus, in dem Sie einfach mit dem Eingeben von Werten für die X-, Y- und Z-Positionen beginnen können. Der Direkteingabemodus ersetzt die normale AutoCursor Punkteingabemethode und erlaubt das Eingeben von 1,1,0 oder X3, Z4 für Positionen. Sie können den AutoCursor so konfigurieren, dass der Direkteingabemodus voreingestellt ist. Für weitere Informationen, siehe Direkteingabemodus (AutoCursor).

Anpassen des AutoCursor-Verhaltens

Sie können im Dialogfeld „AutoCursor Einstellungen“ das Verhalten des AutoCursors anpassen, indem Sie die Punktpositionen auswählen, die gefangen werden sollen, und indem Sie Standardeinstellungen für Direkteingabemodus und Kurzbefehltasten vornehmen.

Eingabe von Werten in Felder

Sie können Werte in die X-, Y- und Z-Felder eingeben indem Sie den Cursor in jedem Feld platzieren und sie eintippen. Wenn Sie einen Wert eingeben und [Enter] drücken, wird der Wert verwendet und der Cursor wandert ins nächste Feld. Wenn Sie einen Wert eingeben und die [Tab]-Taste drücken, wird der Wert verwendet und der Fokus wandert zum nächsten Feld (von links nach rechts). Für detaillierte Informationen, siehe Eingabe von Werten in AutoCursor-Felder.

Relatives Positionieren mit dem AutoCursor

Sie können den AutoCursor in Verbindung mit der Optionsleiste „Relative Position“ verwenden, um eine neue Position relativ zu einer existierenden Position zu definieren. Für weitere Informationen siehe Optionsleiste Relative Position.

Hinweise:

  • Wenn der AutoCursor zeitweise so eingestellt werden soll, dass nur ein Punktpositionstyp erkannt und gefangen wird, verwenden Sie den AutoCursor-Objektfang. Sie können unter der Voraussetzung, dass sie im Dialogfeld „AutoCursor Einstellungen“ festgelegt sind, auch Kurzbefehltasten zum Überschreiben von AutoCursor-Einstellungen verwenden.

  • AutoCursor erkennt keine Endpunkte auf Flächen.

  • Wenn der AutoCursor aktiviert ist, können Sie jederzeit die Optionsleiste Relative Position öffnen, indem Sie die [UMSCHALT]-Taste gedrückt halten und auf eine Position im Grafikfenster klicken. Hierdurch können Sie eine neue Position relativ zu einem existierenden Element erzeugen.

  • Immer wenn der AutoCursor aktiviert ist, können Sie die automatische Positionsauswahl deaktivieren, indem Sie die [Strg]-Taste gedrückt halten, wenn Sie eine Auswahl mit Ihrer Maus durchführen. Wenn Sie die [Strg]-Taste loslassen, ist der AutoCursor wieder aktiviert.

  • In komplexen Geometrien können auch mehrere Punkte innerhalb des Aktionsradius des Cursors liegen. In diesen Fällen erkennt und fängt der AutoCursor Punkte nach folgender Gewichtung:

    1. Punktelemente

    2. Endpunkte von Kurven oder Linien

    3. Mittelpunkte von Kurven oder Linien

    4. Quadrantenpunkte von Bögen bzw. Kreisen

    5. Zentrumspunkte von Bögen bzw. Kreisen

    6. Tatsächliche Schnittpunkte von Kurven oder Linien (keine von Mastercam projizierten)

    7. Punkte auf dem aktiven Auswahlnetz

Siehe auch...

  • Optionsleiste „AutoCursor“

  • Visuelle Hinweise

  • Dialogfeld „AutoCursor Einstellungen“

  • Tastenkürzel für die Dateneingabe


Optionsleiste „AutoCursor™“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Verwenden Sie die Optionsleiste AutoCursor®, um X-, Y- und Z-Positionen manuell einzugeben oder um Punkte zu erkennen und zu fangen, wenn Sie den Cursor über die Geometry auf dem Bildschirm ziehen. Der AutoCursor wird immer dann aktiviert, wenn Mastercam Sie auffordert eine Position auf dem Bildschirm auszuwählen.

Hinweis: Falls Sie den AutoCursor abdocken, verschwindet die Optionsleiste bei Funktionen, die den AutoCursor nicht benötigen. Er erscheint immer dann erneut, wenn Sie eine Funktion aufrufen, die eine Interaktion erfordert. Zum Beispiel bei der Erzeugung von Geometrie unter Verwendung der Skizzierer-Funktionen.

Klicken Sie auf die folgenden Links, um mehr über die AutoCursor-Funktionen von Mastercam zu erfahren:

Visuelle Hinweise

Wenn eine Position erkannt wird, stellt AutoCursor rechts vom Cursor einen Visuellen Hinweis dar. Der visuelle Hinweis zeigt an, welcher Positionstyp erkannt wird. Falls der AutoCursor keine Punkte erkennt, wird standardmäßig auf die aktive Skizziererfunktion umgeschaltet, mit der Sie an jeder beliebigen Stelle einen Punkt eingeben können.

AutoCursor-Objektfang-Modus

Die [image] [image] Sperrung des AutoCursors erlaubt die Auswahl einer Punktart, die erkannt und gefangen wird.

Während die Punktart-Sperrung in Kraft ist, werden alle anderen Punktarten ignoriert, die für den AutoCursor konfiguriert sind. Sie können vorübergehend Sperrungen einstellen, indem Sie einen Linksklick ausführen, um eine Punktart aus der Liste auszuwählen. Sie können außerdem Objektfang-Sperrungen für Bogenzentren, Endpunkte, Schnittpunkte, Mittelpunkte, Punkte und Quadranten einstellen, indem Sie zu deren Auswahl in der Dropdownliste einen Rechtsklick ausführen.

Wenn sich der AutoCursor im gesperrten Modus befindet, ist keine der Schaltflächenoptionen in der Optionsleiste aktiviert. Aktive Elemente können mit der Schaltfläche „Anwenden“, der Schaltfläche „OK“ oder der [ENTER]-Taste weder geändert noch akzeptiert werden. Sie müssen zum Fortfahren mit der Taste [ESC] den AutoCursor-Sperr-Modus deaktivieren.

Tastenkürzel (Kurzbefehle)

X - X-Feld

Y - Y-Feld

Z - Z-Feld

Leertaste - Direkteingabemodus

O - Nullpunkt Objektfang*

C - Bogenzentrum Objektfang*

E - Endpunkt Objektfang*

G - Entlang Objektfang*

I – Schnittpunkt Objektfang*

M - Mittelpunkt Objektfang*

Q - Quadrant Objektfang*

P - Punkt Objektfang*

N - Temporäre Mittelpunkte*

*Die Tastenkürzel stehen nur zur Verfügung, wenn das Kontrollkästchen Kurzbefehle für die Tasten aktivieren im Dialogfeld „AutoCursor Einstellungen“ markiert ist.

Hinweise:

  • Wenn Sie während der Eingabe eines Tastenkürzels für ein Feld die [UMSCHALT] gedrückt halten, wird das Feld hart-gesperrt.

  • Wenn Sie im Dialogfeld AutoCursor Einstellungen die Kurzbefehle für Tasten aktivieren, können Sie bei der Punktauswahl ein Tastenkürzel drücken, um den Objektfang zu aktivieren.

Weitere Informationen zu...

  • AutoCursor – Übersicht

  • Verwendung der AutoCursor-Funktion „Temporäre Mittelpunkte“

  • Optionsleisten

  • Tastenkürzel für die Dateneingabe


Dialogfeld „AutoCursor™ Einstellungen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Dieses Dialogfeld erlaubt die Konfiguration des AutoCursor-Verhaltens. Wählen Sie aus der Liste mit den Kontrollkästchen die Optionen, die definieren welche Punkte der AutoCursor fängt. Wenn Sie z.B. das Kontrollkästchen „Horizontal / Vertikal“ markieren, fängt der Cursor beim nächsten mal, wenn Sie eine Linie zeichnen, eine nahegelegene horizontale oder vertikale Position.

Sie können den AutoCursor auf den Direkteingabemodus voreinstellen, wodurch ein langes Eingabefeld anstelle der bestehenden X-, Y- und Z-Eingabefelder erscheint, in dem Sie Koordinaten und Formeln eingeben können.

Aktivieren Sie Kurzbefehle für einige der Punktarten indem Sie das Kontrollkästchen Kurzbefehle für die Tasten aktivieren markieren.

Weitere Informationen zu...

  • AutoCursor

  • Optionsleisten


AutoCursor-Objektfang

Beim Auswählen von Positionen im Grafikfenster können Sie die AutoCursor-Objektfangfunktion von Mastercam verwenden, damit nur ein Punktpositionstyp erkannt und gefangen wird. Das Einstellen eines Objektfangs eignet sich besonders bei der Arbeit mit komplexer Geometrie. Wenn Sie dieses Feature verwenden wollen, klicken Sie auf die Objektfang-Dropdownpfeilschaltfläche (neben der Objektfang-Schaltfläche).

Um temporär alle Selektionsmodi des Autocursors zu deaktivieren und nur einen einzigen Punktpositionstyp auszuwählen, wählen Sie diesen (mit einem Linksklick) in der Dropdownliste aus und wählen Sie die gewünschte Position. Die Schaltfläche Objektfang wird als aktiviert angezeigt (siehe unten).

Aktivierte Objektfang-Schaltfläche –

Nach der Auswahl einer Einzelposition, können Sie jeden Positiontyp wählen. Die Schaltfläche Objektfang wird deaktiviert angezeigt (siehe unten).

Deaktivierte Objektfang-Schaltfläche –

Sie können bei einigen Objektfang-Typen mehrere Positionen des gleichen Typs markieren, indem Sie die Schaltfläche Objektfang im Aktiviert-Modus sperren. Zum Sperren einer Objektfangposition (so dass der Objektfangtyp für mehrere Selektionen aktiviert bleibt) klicken Sie mit der rechten Maustaste auf eine der unten hervorgehobenen Objektfangoptionen:

Die Schaltfläche Objektfang bleibt solange aktiviert, bis Sie sie deaktivieren (entsperren), indem Sie sie erneut anklicken oder [Esc] drücken.

Sie können unter der Voraussetzung, dass sie im Dialogfeld „AutoCursor Einstellungen“ festgelegt sind, auch Kurzbefehltasten zum Überschreiben von AutoCursor-Einstellungen verwenden.

Siehe auch...

  • AutoCursor – Übersicht

  • Optionsleiste „AutoCursor“

  • Visuelle Hinweise

  • Dialogfeld „AutoCursor Einstellungen“


Verwendung der AutoCursor-Funktion „Temporäre Mittelpunkte“

Der AutoCursor von Mastercam beinhaltet Einstellungen für „Temporäre Mittelpunkte“, die Sie als Referenz oder als Auswahlpunkte verwenden können. Sie können beispielsweise unter Verwendung eines temporären Mittelpunkts einen Bogen auf dem Mittelpunkt eines rechteckigen Solids erzeugen, indem Sie in folgenden Schritten vorgehen:

  1. Erzeugen Sie ein rechteckiges Solid.

  2. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Zentrumspunkt….

  3. Klicken Sie in der Optionsleiste „AutoCursor“ auf die Schaltfläche Konfiguration. Dies öffnet das Dialogfeld „AutoCursor Einstellungen“.

  4. Markieren Sie im Dialogfeld „AutoCursor Einstellungen“ das Kontrollkästchen Temporäre Mittelpunkte und klicken Sie auf OK.

  5. Fahren Sie mit der Maus über den Mittelpunkt einer Kante des Solids, bis ein grüner Punkt angezeigt wird.

  6. Fahren Sie mit der Maus über die gegenüberliegende Kante des Solids, bis dort ein grüner Punkt, und auf halber Strecke zwischen den beiden grünen ein roter Punkt angezeigt wird.
    Ihr Solid sollte in etwa so aussehen:

    All diese Punkte sind temporär, und verschwinden wenn Sie den Mittelpunkt für den Kreis oder Bogen ausgewählt haben.

  7. Wählen Sie den roten Mittelpunkt als Mitte für den Kreis. Er sollte in etwa so aussehen:

Hinweise:

  • Wenn Sie mit der Maus über einen Mittelpunkt fahren, dauert es einen Moment, bis ein temporärer Mittelpunkt erzeugt wird. Verwenden Sie das Tastenkürzel für temporäre Mittelpunkte für unmittelbare Resultate. Siehe Dialogfeld „AutoCursor Einstellungen“ für weitere Informationen.

  • Das Entwerfen eines Kreises ist nur ein Beispiel für die Möglichkeiten von temporären Mittelpunkten. Verwenden Sie dieses Feature für jegliche Geometrie, die mit dem AutoCursor erzeugt wird.

  • Verwenden Sie den temporären Mittelpunkt als Startmittelpunkt indem Sie mit der Maus darüber fahren, und dann über einen Mittelpunkt der Kanten fahren. Dies erzeugt einen temporären Mittelpunkt zwischen dem Zentrumspunkt und dem Mittelpunkt der Kante, und markiert damit ein Viertel des Abstandes zwischen den beiden Kanten.

Weitere Informationen zu...

  • AutoCursor – Übersicht

  • Optionsleiste „AutoCursor“

  • Eingeben von Werten in AutoCursor-Felder

  • Visuelle Hinweise


Eingeben von Werten in AutoCursor™-Felder

Im AutoCursor können Sie Werte in die X-, Y- und Z-Felder eingeben, indem Sie den Cursor in jedes Feld setzen und einen Wert eintippen. Wenn Sie einen Wert eingeben und entweder die [Tab]-Taste oder die [Enter]-Taste drücken, wird der Wert verwendet und der Fokus wandert zum nächsten Feld (von links nach rechts). Sobald Sie beim dritten Feld entweder die [Tab]-Taste oder die [Enter]-Taste drücken, werden die eingegebenen Koordinaten verwendet.

Wird ein Wert in ein Feld eingegeben, wird die Schaltfläche für dieses Feld in „gedrückter“ Position gesperrt, wodurch der Zustand „soft-gesperrt“ angezeigt wird. Für weitere Informationen zum Sperren von Feldern, siehe Felder sperren und entsperren

Zusätzlich können Sie eine der folgenden Methoden verwenden, um Werte in diese Felder einzugeben:

  • Verwenden Sie die X-, Y- oder Z-Tasten als Tastenkürzel, um den Cursor im Feld zu platzieren und Werte einzugeben.

  • Klicken Sie auf die Pfeilschaltfläche, um aus einer Liste von Werten auszuwählen, die vorher in die Optionsleiste eingegeben wurden. Die Liste wird jedesmal gelöscht, wenn Sie Mastercam beenden.

  • Klicken Sie mit der rechten Maustaste in ein Feld, um ein Menü mit folgenden Auswahlmöglichkeiten aufzurufen:

    Weitere Informationen zu den Popup-Menüs der Optionsleistenfelder finden Sie unter Tastenkürzel für die Dateneingabe.

Siehe auch...

  • Optionsleiste „AutoCursor“

  • AutoCursor – Übersicht


Direkteingabemodus (AutoCursor™)

Wenn der AutoCursor aktiv ist, kann der Direkteingabemodus aktiviert werden, indem Sie die Leertaste Ihrer Tastatur drücken oder indem Sie direkt rechts neben den X-, Y- und Z-Feldern auf die Direkteingabe-Schaltfläche drücken (siehe unten).

Sie können den AutoCursor, wenn er aktiviert ist, durch das Dialogfeld AutoCursor Einstellungen auf den Direkteingabemodus voreinstellen und mit der Eingabe einer Zahl oder einer numerischen Formel beginnen. .

Wenn aktiviert, öffnet der Direkteingabemodus ein langes leeres Feld anstatt der X-, Y-, Z-Eingabefelder (siehe unten).

Direkteingabemodus deaktiviert

Direkteingabemodus aktiviert

Der Direkteingabemodus ist modal, was bedeutet, dass Sie bei dessen Aktivierung nicht aus diesem Feld in einen anderen Teil der Anwendung wechseln können, bis Sie die Daten eingeben und [Enter] drücken. Sie können auch die [ESC]-Taste drücken, um zu Ihrer Arbeit zurückzukehren, dadurch werden jedoch alle Werte aufgehoben, die in das Direkteingabefeld eingegeben wurden.

Immer wenn eine Koordinateneingabe erforderlich ist, können Sie die Koordinaten in das Direkteingabefeld eingeben. Wenn Mastercam beispielsweise zur Eingabe eines Endpunktes auffordert, aktivieren Sie den Direkteingabemodus und geben die Koordinaten direkt ein. Geben Sie den Tastenkürzelbuchstaben (X, Y, Z) und den Wert ein und drücken Sie dann [Enter].

Das Direkteingabefeld akzeptiert sowohl Brüche (z.B. 3/8) als auch Dezimalwerte (z.B. .375).

Das Direkteingabefeld akzeptiert sowohl Formeln als auch Zahlen. Sie können dabei mit Addition [+], Subtraktion [-], Multiplikation [*], Division [/] und Klammern [( )] arbeiten. Verwenden Sie bei der Eingabe von Formeln die algebraische Schreibweise. Beispiel: Für die Punktposition „X6, Y3, Z0,5“, können Sie „X(2*3)Y(5-2)Z(1/2)“ eingeben. Außerdem können Sie die Werte auch in Millimeter (mm) oder Zoll (in) eingeben. Mastercam konvertiert die Werte dann in die aktuell verwendete Einheit.

Sie können die Werte auch ohne einige oder alle dazugehörigen Koordinatenbuchstaben (X, Y, Z) eingeben. Solange Sie die Werte durch Kommata trennen, wird jede der folgenden Eingabearten für die Position X6,Y3,Z.5 funktionieren:

  • 6,3,.5

  • X6,3,.5

  • 6,Y3,.5

  • 6,3,Z0,5

Mastercam behält die zuletzt eingegebenen XYZ-Koordinaten im Speicher. Wenn Sie nur einen der Koordinatenwerte ändern möchten, geben Sie einfach den Buchstaben und den Wert ein, den Sie ändern möchten und drücken [Enter]. Die Werte für die Koordinaten, die Sie nicht eingegeben haben, werden automatisch aus Ihrem letzten Eintrag übernommen.

Siehe auch...

  • Optionsleiste „AutoCursor“

  • Visuelle Hinweise

  • Tastenkürzel für die Dateneingabe


Optionsleiste „Relative Position“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste, um eine neue Position relativ zu einem existierenden Element zu erzeugen. Geben Sie relative Positionswerte anhand einer der folgenden Methoden ein:

  • Wählen Sie einen vorhandenen Punkt, auf den sich Ihr neues Element beziehen soll, geben Sie im Deltafeld die XYZ Koordinatenpositionen ein, wie Sie es auch im Direkteingabemodus machen würden und drücken Sie [ENTER].

  • Wählen Sie einen vorhandenen Punkt, auf den sich Ihr neues Element beziehen soll, geben Sie Werte in die Felder „Abstand“ (Vektorlänge) und „Winkel“ ein und drücken Sie [ENTER].

  • Klicken Sie auf die „Wählen“-Schaltfläche (Pfeilsymbol), um den Länge-Modus zu aktivieren (platziert Punkte in Richtung eines existierenden Elementes), folgen Sie den Anweisungen auf dem Bildschirm und drücken Sie danach [ENTER].

  • Bei der Verwendung des AutoCursors können Sie die [UMSCHALT]-Taste gedrückt halten und auf eine Position klicken. Dadurch wird nicht nur die Optionsleiste „Relative Position“ geöffnet, sondern auch die ausgewählte Position als relative Position festgelegt.

Wenn Sie [ENTER] drücken, um die Werte anzuwenden, wird die Optionsleiste „Relative Position“ geschlossen und die Optionsleiste oder das Dialogfeld für die aktuelle Funktion bleibt geöffnet.

Weitere Informationen zu...

  • AutoCursor – Übersicht

  • Dialogfeld „AutoCursor Einstellungen“


Länge (bzw. Längsmodus) (Optionsleiste „Relative Position“)

Durch Anklicken der Schaltfläche „Wählen“ in der Optionsleiste „Relative Position“ wird der Längs-Modus aktiviert. Dieser Modus erlaubt das Erzeugen eines neuen Elements längs (in Richtung) eines existierenden Elements. Im Längs-Modus werden Sie aufgefordert, eine Linie, einen Bogen oder einen Spline auszuwählen. Wählen Sie das Element in der Nähe des Endpunkts, von dem Sie die „Richtungs“-Länge festlegen wollen. Wenn Sie eins dieser Elemente wählen, werden die Felder Delta, Abstand und Winkel deaktiviert und Sie werden aufgefordert, einen Wert für die Länge einzugeben.

Im Längs-Modus ist der AutoCursor deaktiviert. Ihr Cursor ist nicht in der Lage, existierende Punkte zu fangen (Mittelpunkte, Endpunkte, Zentrumspunkte und Quadrantenpunkte) und die visuellen Hinweise zeigen keine bestehenden Bedingungen an. Wenn Sie den Punkt auswählen möchten, auf den sich Ihr neues Element beziehen soll, klicken Sie auf das Element in der Nähe dieses Punktes.

Hinweise:

  • Falls das Element, das Sie auswählen, in mehrere Bögen oder Liniensegmente unterteilt ist, wird das Element hervorgehoben, über das Sie den Cursor ziehen. Dann klicken Sie auf dem Segment in die Nähe des Endpunktes, auf den sich der neue Punkt beziehen soll.

  • Wenn Sie geschlossene Bögen (Kreise) auswählen, liegt der Endpunkt, der für die Berechnung verwendet wird, immer auf dem 0-Grad-Quadrantenpunkt. Wenn Sie den Kreis irgendwo in der unteren Hälfte anklicken, wird der Abstand zum Nullpunkt in Richtung des Uhrzeigersinns berechnet. Wenn Sie den Kreis irgendwo in der oberen Hälfte anklicken, wird der Abstand zum Quadrantenpunkt 0 in Richtung des Gegegnuhrzeigersinns berechnet.

Siehe auch...

  • Optionsleiste „Relative Position“

  • Optionsleiste „AutoCursor“

  • Visuelle Hinweise


Visuelle Hinweise

Visuelle Hinweise sind grafische Symbole, die rechts vom Cursor erscheinen. Wenn Sie zum Beispiel den AutoCursor in die Nähe eines Endpunkts bewegen, fängt er die Position des Endpunktes ein und der visuelle Hinweis für Endpunkte erscheint.

Visuelle Hinweise in Mastercam:

Nullpunkt | Nächstgelegenen
Bogenzentrum | Horizontal / Vertikal
Endpunkt | Tangente
Schnittpunkt | Lotrecht
Mittelpunkt | Solid-Rand
Punkt | Solid-Face
Quadrant | Solid-Körper

Hinweis: Die AutoCursor-Filterbedingung „Relative Position“ zeigt keinen visuellen Hinweis an.

Siehe auch...

  • Optionsleiste „Relative Position“

  • Optionsleiste „AutoCursor“

  • Grafikfenster – Übersicht


Optionsleiste „Allgemeine Selektion“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Verwenden Sie für die meisten Mastercam-Funktionen die Optionsleiste „Allgemeine Selektion“ zur Auswahl von Elementen im Grafikfenster. Diese Optionsleiste besitzt einen Standard- und einen Solidselektionsmodus. Weitere Informationen dazu finden Sie unter Standardselektion/Solidselektion – Übersicht.

Die Optionsleiste „Allgemeine Selektion“ ist immer dann aktiviert, wenn Sie sich nicht bereits in einer Funktion wie „Skizzierer“, „Analyse“ oder „Ansicht“ befinden. Wenn Sie mit dieser Art von Funktionen arbeiten, werden Sie möglicherweise aufgefordert, ein Element oder eine Position zu markieren – diese Optionsleiste ist dabei jedoch deaktiviert.

Sie können den Cursor oder den Cursor in Kombination mit der Tastatur zur Auswahl von Elementen verwenden. Die Auswahlmethoden in Mastercam sind mit denen von Windows identisch. Weitere Informationen dazu finden Sie unter Richtlinien zum Selektieren von Elementen (Allgemeine Selektion).

Hinweise:

  • Der AutoCursor ist nicht verfügbar, wenn die Optionsleiste „Allgemeine Selektion“ aktiviert ist.

  • Mit einem Linksklick auf eine Selektionsmethode wird diese für eine einzelne Selektion ausgewählt. Klicken Sie mit der rechten Maustaste auf eine Methode, um sie für mehrere Auswahlvorgänge zu fixieren.

  • Arbeiten Sie zum Eingrenzen der Auswahl von Elementen mit Mastercams Maskierungsfunktionen. Klicken Sie dazu entweder auf die Schaltfläche Alle oder Nur, um Dialogfelder zur Auswahl der Elementtypen zu öffnen, die bei der allgemeinen Selektion einbezogen oder ausgeschlossen werden sollen.

  • Um die Mehrfachselektion (Mehrfachauswahl) zu beenden, drücken Sie [Enter] oder klicken Sie in der Optionsleiste auf die Schaltfläche Selektion beenden. Hinweis: Sie können eine Mehrfachauswahl auch durch ein Doppelklick auf das letzte Element beenden. Beispiel: Wenn mit der Einzelselektionsmethode drei Linien ausgewählt werden sollen, klicken Sie auf die ersten beiden Linien. Machen Sie dann ein Doppelklick auf die dritte Linie, um die Auswahl zu beenden. (Die Doppelklickmethode funktioniert nicht bei Polygon- und Vektor-Selektionen, da der Doppelklick dabei zum Vervollständigen des Polygons oder Vektors verwendet wird.)

  • Um aktuell ausgewählte Elemente zu de-selektieren und gleichzeitig alle de-selektierten Elemente auszuwählen, klicken Sie auf die Schaltfläche Invertierte Selektion.

  • Für eine Neu-Auswahl von Elementen, die für die vorherige Operation ausgewählt wurden, klicken Sie auf die Schaltfläche Letztes selektieren.

  • Verwenden Sie bei Funktionen, die nach dem Selektieren der Geometrie Basispunkte erfordern, wie beispielsweise Dynamisches X-Form, die Schaltfläche Temporärer Zentrumspunkt (unten abgebildet), um einen temporären, zentrierten Zielpunkt zu erzeugen.

    Wählen Sie die gewünschte Funktion, selektieren Sie Elemente, klicken Sie auf die Schaltfläche Temporärer Zentrumspunkt und lassen Sie den Mauszeiger an diesem einrasten, um das Element zu bearbeiten. Der temporäre Zentrumspunkt berücksichtigt die 2D-Option und die Einstellungen der KEbene.

Weitere Informationen zu...

  • Optionsleisten

  • Optionsleiste „AutoCursor“

  • Bereichsauswahl

  • Verwenden der Schnellselektion


Standardselektion/Solidselektion – Übersicht

Die Optionsleiste „Allgemeine Selektion“ besitzt zwei Modi: Standardselektion und Solidselektion (siehe unten). Die Standardselektion ist der voreingestellte Modus. Klicken Sie zur Vergrößerung auf die Abbildungen.

Standardselektionsmodus

Solidselektionsmodus

Die Optionsleiste „Allgemeine Selektion“ ist „intelligent“. Wenn Sie eine Solid-spezifische Mastercam Funktion aktivieren, schaltet die Optionsleiste automatisch in den Solidselektionsmodus. Falls in Ihrer Datei keine Solids existieren, ist der Solidselektionsmodus nicht verfügbar.

Wenn sowohl Solids als auch andere Elementtypen in derselbe Datei vorhanden sind, wird je nach gerade verwendeter Mastercamfunktion entweder der Standard- oder der Solidselektionsmodus aktiviert.

Wenn Sie eine Mastercam-Funktion aufrufen, die auf beide Elementtypen angewendet werden kann, können Sie die Schaltfläche „Aktiviere Solidselektion“ drücken, um vom voreingestellten Standardselektions-Modus in den Solidselektionsmodus zu schalten und die Schaltfläche „Standardselektion“ drücken, um wieder in die Standardselektion zu wechseln.

Wenn Sie zum Beispiel sowohl eine Fläche als auch ein Solid erzeugt haben und einen Flächen-Werkzeugweg zum Taschenschruppen erzeugen, können Sie zur Auswahl des Solids oder der Fläche zwischen den beiden Modi wechseln.

Hinweise:

  • Beim Erzeugen von Werkzeugwegen in Dateien, die sowohl Solids als auch andere Elementtypen enthalten, müssen Sie mit der Standardselektion und der Solidselektion arbeiten. Benutzen Sie die Solidselektions-Schaltfläche, um zwischen den Modi hin- und herzuschalten. Um die Abfragen für Bearbeitungsflächen, Begrenzungsflächen und Begrenzungskontur-Geometrie zu steuern, müssen Sie auf der Seite WZ-Wege des Dialogfelds „Systemkonfiguration“ die Optionen für die „WZ-Weg/Flächenselektion“ einstellen.

  • Die Standardselektion-Schaltfläche ist nicht verfügbar, wenn Sie Funktionen verwenden, die eine Solidselektion erfordern.

  • Wenn die Datei keine Solids enthält oder die Funktion, für die Elemente gewählt werden müssen, keine Solids unterstützt, ist die Schaltfläche „Aktiviere Solid-Selektion“ nicht verfügbar.

  • Die Optionen Letztes selektieren, Selektionsprüfung umschalten, Alle de-selektieren, Selektion beenden und Hilfe sind ganz gleich welcher Modus aktiv ist verfügbar.

  • Der Solidselektionsmodus ist nicht verfügbar, wenn Sie eine Vorauswahl von Elementen treffen, um Funktionen durchzuführen (Vor-Auswahl).

Siehe auch...

  • Optionsleiste „Allgemeine Selektion“

  • Bereichsauswahl

  • Optionsleisten

  • Auswählen von gruppierter Geometrie für Flächen-Werkzeugwege


Richtlinien zum Selektieren von Elementen (Allgemeine Selektion)

Mastercams Selektionsmodus ist immer dann aktiviert, wenn Sie keine Funktion, wie das Erzeugen einer Geometrie oder das Analysieren eines Elementes verwenden. Nachfolgend sehen Sie die Richtlinien zur Auswahl von Elementen:

Einzelne Elemente

  • Klicken Sie auf ein vorhandenes Element, um es zu selektieren oder zu deselektieren. Wenn ein Element selektiert ist, ist es markiert bzw. hervorgehoben.

Mehrere Elemente

  • Klicken Sie zur Auswahl mehrerer Elemente mit der Selektionsmethode „Einzel“ einmal auf jedes gewünschte Element. Beachten Sie, dass angeklickte Elemente markiert werden und es bleiben, um ihre Auswahl anzuzeigen. Klicken Sie erneut auf ein nach dieser Methode gewähltes Element, um es wieder aus der Auswahl zu entfernen.

  • Wenn Sie mit der Selektionsmethode Fenster mehrere Elemente auswählen wollen, klicken Sie in einen Grafikfensterbereich, der nicht direkt auf einem Element liegt, halten Sie dann die Maustaste gedrückt und beginnen Sie, die Maus zu ziehen, um den ersten Punkt zu definieren. Lassen Sie dann die Maustaste los und fahren Sie mit dem Aufziehen eines rechteckigen Fensters um die Elemente fort, die ausgewählt werden sollen. Klicken Sie dann erneut, um die Endposition festzulegen. Mastercam selektiert alle Elemente, die vollständig innerhalb des Fensters liegen.

  • Wenn mehrere Elemente mit der Selektionsmethode „Polygon“ ausgewählt werden sollen, klicken Sie in der Dropdownliste der Selektionsmethoden auf die Option „Polygon“ und dann irgendwo ins Grafikfenster. Diese Position ist dann der Startpunkt des Polygons. Fahren Sie dann fort, indem Sie Punkte anklicken, um Ihre gewünschte Form zu erzeugen. Schließen Sie das Polygon, indem Sie beim letzten Punkt einen Doppelklick ausführen oder indem Sie [Enter] drücken.

  • Wenn Sie mit der Selektionsmethode „Kette“ Elemente auswählen möchten, halten Sie die [Umschalt]-Taste gedrückt und wählen Sie ein einzelnes Element, das Teil einer Kette aus anderen Elementen ist. Alternativ können Sie in der Selektionsmethoden-Dropdownliste die Option „Kette“ auswählen und ein Element anklicken, das mit anderen Elementen verbunden ist. Beispiel: Wenn Sie eine Seite eines Rechtecks anklicken, werden alle vier Seiten markiert, und bei einer Linie, die mit einer anderen verbunden ist, beide Linien.

  • Wenn Sie mit der Selektionsmethode Teil Elemente auswählen möchten, halten Sie die [Umschalt]-Taste gedrückt und wählen Sie ein einzelnes Element, das Teil einer Kette aus anderen Elementen ist. Die erste Selektion bestimmt auch die Verkettungsrichtung, so dass Sie darauf achten müssen, an welcher Stelle Sie klicken. Halten Sie die [Umschalt]-Taste gedrückt und wählen Sie das letzte Element in der Kette.

  • Wenn mit der Auswahlmethode „Vektor“ Elemente ausgewählt werden sollen, halten Sie die [Alt]-Taste gedrückt, klicken auf den ersten Punkt des gedachten Vektors und fahren mit dem Anklicken von Punkten fort, damit durch jedes Element, dass Sie auswählen möchten, Linien gezeichnet werden. Sie können den letzten Punkt doppelt anklicken oder die Vektorlinien schneiden und die [Alt]-Taste loslassen, um die Vektorselektion abzuschließen. Alternativ können Sie in der Selektionsmethoden-Dropdownliste auf „Vektor“ klicken und eine Vektorlinie durch alle Elemente ziehen, die ausgewählt werden sollen.

  • Wenn mit der Selektionsmethode „Bereich“ mehrere Elemente ausgewählt werden sollen, halten Sie die [Umschalt]-Taste gedrückt und klicken Sie innerhalb des äußersten Elements, jedoch außerhalb der inneren Elemente. Alternativ können Sie aus der Selektionsmethoden-Dropdownliste die Option „Bereich“ wählen und dann innerhalb des äußersten Elements, jedoch außerhalb der inneren Elemente klicken. Hinweis: Achten Sie dabei darauf, mit dem Cursor nicht so nah an ein Element zu geraten, dass es hervorgehoben wird bevor Sie klicken.

  • Um aktuell ausgewählte Elemente zu de-selektieren und gleichzeitig alle de-selektierten Elemente auszuwählen, klicken Sie auf die Schaltfläche Invertierte Selektion in der Optionsleiste „Allgemeine Selektion“.

  • Wenn das bzw. die für die vorherige Operation gewählten Elemente neu ausgewählt werden sollen, klicken Sie in der Optionsleiste „Allgemeine Selektion“ auf die Schaltfläche Letztes selektieren.

Hinweise:

  • Mit einem Linksklick auf eine Selektionsmethode wird diese für eine einzelne Selektion ausgewählt. Klicken Sie mit der rechten Maustaste auf eine Methode, um sie für mehrere Auswahlvorgänge zu fixieren.

  • Um die Mehrfachselektion (Mehrfachauswahl) zu beenden, drücken Sie [Enter] oder klicken Sie in der Optionsleiste auf die Schaltfläche Selektion beenden. Hinweis: Sie können eine Mehrfachauswahl auch durch ein Doppelklick auf das letzte Element beenden. Beispiel: Wenn mit der Einzelselektionsmethode drei Linien ausgewählt werden sollen, klicken Sie auf die ersten beiden Linien. Machen Sie dann ein Doppelklick auf die dritte Linie, um die Auswahl zu beenden. (Die Doppelklickmethode funktioniert nicht bei Polygon- und Vektor-Selektionen, da der Doppelklick dabei zum Vervollständigen des Polygons oder Vektors verwendet wird.)

Alle Elemente

  • Klicken Sie auf die Schaltfläche Alle…, um das Dialogfeld Alle selektieren zu öffnen, und dann oben im Dialogfeld auf Alle Elemente. Das Dialogfeld wird geschlossen und Mastercam selektiert alle Elemente.

  • Verwenden Sie die Schnellselektion, um die Selektionsmethode mit nur einem Mausklick zu steuern.

Deselektieren von Elementen

  • Wenn die Auswahl aller Elemente aufgehoben werden soll, klicken Sie auf die Schaltfläche Alle de-selektieren. Um ein oder mehrere (aber nicht alle) Elemente zu de-selektieren, klicken Sie diese erneut an. Falls in Mastercam keine Funktion aktiv ist, können Sie auch [Esc] drücken, um alle Elemente zu de-selektieren.

Siehe auch...

  • Optionsleiste „Allgemeine Selektion“

  • Dialogfeld „Verkettungsoptionen“

  • Bereichsverkettung


Dialogfeld „Alle selektieren“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Benutzen Sie dieses Dialogfeld, um Selektionsmasken einzustellen, die die Elementauswahl auf definierte Kriteriensätze beschränkt:

Legen Sie die Kriterien fest und klicken Sie auf OK. Es werden alle Elemente automatisch ausgewählt, die Ihren Kriterien entsprechen.

Hinweise:

  • Verwenden Sie das Dialogfeld Nur bestimmtes selektieren, um statt automatisch alle Elemente manuell zu wählen, die den Kriterien entsprechen.

  • Detaillierte Information zum Einstellen der Maskierungskriterien finden Sie unter Richtlinien für die Einstellung der Kriterien (Dialogfelder „Nur bestimmtes selektieren“ und „Alle selektieren“:).

Optionen des Kontextmenüs

Machen Sie im Kriterienlistenbereich des Dialogfelds „Alle selektieren“ einen Rechtsklick mit der Maus, um die folgenden Menübefehle aufzurufen:

Alle löschen – Löscht alle Häkchen aus der aktuellen Kriterienliste. Beeinflusst jedoch nicht die Kriterientypen, die sich nicht in der aktiven Liste befinden.

Alle wählen – Markiert alle Kontrollkästchen in der aktuellen Kriterienliste. Beeinflusst jedoch nicht die Kriterientypen, die sich nicht in der aktiven Liste befinden.

Element selektieren – Bringt Sie ins Grafikfenster zurück, in dem Sie ein Element auswählen können, auf dem Ihr Auswahlkriterium beruhen soll.

Vorschau – Blendet das unten abgebildete Menü ein, in dem Sie einstellen können, wie lange verschiedene Vorschaulisten angezeigt werden, wenn Sie mit dem Maus-Cursor über eine der Kriterientyp-Schaltflächen fahren:

Weitere Informationen zu...

  • Verwenden einer Auswahlmaske

  • Optionsleiste „Allgemeine Selektion“


Dialogfeld „Nur bestimmtes selektieren“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Benutzen Sie dieses Dialogfeld, um Selektionsmasken einzustellen, die die Elementauswahl auf definierte Kriteriensätze beschränkt:

Legen Sie die Kriterien fest und klicken Sie auf OK. Dadurch wird das Dialogfeld geschlossen und ermöglicht die manuelle Auswahl aller Elemente im Grafikfenster, die den Kriterien entsprechen. Diese Maskierungsmethode verhindert die Auswahl von Elementen, die nicht Ihren Kriterien entsprechen.

Hinweise:

  • Benutzen Sie das Dialogfeld „Alle selektieren“, um automatisch alle Elemente zu wählen, die den Kriterien entsprechen, statt manuell ein Element nach dem anderen auszuwählen.

  • Wenn in diesem Dialogfeld Kriterien eingestellt wurden:

  • Ändert sich die Farbe der Schaltfläche "Nur" in der Optionsleiste "Allgemeine Selektion".

  • Detaillierte Information zum Einstellen der Maskierungskriterien finden Sie unter Richtlinien für die Einstellung der Kriterien (Dialogfelder „Nur bestimmtes selektieren“ und „Alle selektieren“:).

Optionen des Kontextmenüs

Klicken Sie mit der rechten Maustaste in die Kriterienliste des Dialogfelds „Nur bestimmtes selektieren“, um ein Menü mit folgenden Befehlen aufzurufen:

Alle löschen – Löscht alle Häkchen aus der aktuellen Kriterienliste. Beeinflusst jedoch nicht die Kriterientypen, die sich nicht in der aktiven Liste befinden. (Klicken Sie zum Deaktivieren aller Auswahlkriterien im Dialogfeld „Nur bestimmtes selektieren“ auf die Schaltfläche „Alle löschen“.)

Alle wählen – Markiert alle Kontrollkästchen in der aktuellen Kriterienliste. Beeinflusst jedoch nicht die Kriterientypen, die sich nicht in der aktiven Liste befinden.

Element selektieren – Bringt Sie ins Grafikfenster zurück, in dem Sie ein Element auswählen können, auf dem Ihr Auswahlkriterium beruhen soll.

Vorschau – Blendet das unten abgebildete Menü ein, in dem Sie einstellen können, wie lange verschiedene Vorschaulisten angezeigt werden, wenn Sie mit dem Maus-Cursor über eine der Kriterientyp-Schaltflächen fahren:

Weitere Informationen zu...

  • Verwenden einer Auswahlmaske

  • Optionsleiste „Allgemeine Selektion“

  • Verwenden der Schnellselektion


Richtlinien zur Einstellung der Kriterien in den Dialogfeldern „Nur bestimmtes selektieren“ und „Alle selektieren“

Nachfolgend sehen Sie die Richtlinien zum Einstellen der Auswahl- bzw. Maskierungskriterien in den Dialogfeldern „Nur bestimmtes selektieren“ und „Alle selektieren“:

  • Klicken Sie doppelt auf ein beliebiges Element der aktiven Liste, um es als Maskierungskriterium festzulegen. Durch den Doppelklick werden die Kriterien angewendet und das Dialogfeld geschlossen. Andere in diesem Dialogfeld gewählte Kriterientypen werden ignoriert. Um mehrere Kriterieneinstellungen mit einem Doppelklick anzuwenden, wählen Sie Elemente aus und halten dann die Strg-Taste gedrückt, während Sie auf dem letzten Element einen Doppelklick ausführen.

  • Markieren Sie zur Auswahl nicht zusammenhängender Kriterien im Listenbereich das erste, halten die [Strg]-Taste gedrückt, und wählen dann weitere Kriterien.

  • Markieren Sie zur Auswahl zusammenhängender Kriterien im Listenbereich das erste, halten die [Umschalt]-Taste gedrückt, und wählen das letzte.

  • Wenn bestimmte Elemente in temporären Farben (wie Gruppen- oder Resultatfarben) angezeigt werden, ist eine Auswahl nach Augenschein möglicherweise nicht fehlerfrei. Klicken Sie vor dem Öffnen des Dialogfelds „Alle selektieren“ auf Bildschirm, Temporäre Farben entfernen, um die tatsächliche Farbe aller Elemente anzuzeigen.

Siehe auch...

  • Dialogfelder: „Alle selektieren“ und „Nur bestimmtes selektieren“

  • Verwenden einer Auswahlmaske

  • Optionsleiste „Allgemeine Selektion“


Bereichsauswahl

Mit der Methode Bereichsauswahl zur Auswahl von Elementen, können Sie mehrere verschachtelte Formen mit einem einzigen Mausklick auswählen.

Statt einen Rahmen um die gewünschten Elemente zu ziehen (wie bei der Methode „Fenster“), werden bei dieser Methode alle geschlossenen Konturen um die Position markiert, auf die Sie mit der Maus klicken.

Klicken Sie zur Auswahl aller Formen oder Ketten innerhalb einer geschlossenen Begrenzung auf Einstellungen, Konfiguration, um das Dialogfeld „Systemkonfiguration“ zu öffnen. Klicken Sie dann auf Verkettung, um die Eigenschaftenseite „Verkettung“ zu öffnen, und markieren Sie das Kontrollkästchen „Unbegr. Verschachteln für Bereichk.“.

Um die Selektionsmethode „Bereich“ zu verwenden, halten Sie die [Umschalt]-Taste gedrückt und klicken Sie innerhalb des äußersten Elements, jedoch außerhalb der inneren Elemente. Sie können dazu in der Auswahlmethoden-Dropdownliste der Optionsleiste „Allgemeine Selektion“ auch die Option [image] [image] Bereich auswählen und auf eine Position innerhalb des äußersten Elements, aber außerhalb der inneren Elemente klicken.

Hinweis: Achten Sie dabei darauf, mit dem Cursor nicht so nah an ein Element zu geraten, dass es hervorgehoben wird bevor Sie klicken.

Siehe auch...

  • Optionsleiste „Allgemeine Selektion“

  • Dialogfeld „Verkettungsoptionen“

  • Bereichsverkettung


Automatisches Hervorheben

Mastercams automatische Hervorhebungsfunktion beschleunigt und vereinfacht die Elementauswahl, indem das Element unter dem Cursor dynamisch hervorgehoben wird (siehe unten), bevor Sie es tatsächlich markieren.

Per Voreinstellung ist das automatische Hervorheben aktiviert. Weitere Details dazu finden Sie unter Ein-/Ausschalten der Funktion „Automatisches Hervorheben“.

Siehe auch...

  • Richtlinien für das Auswählen von Elementen


Ein-/Ausschalten der Funktion „Automatisches Hervorheben“

Sie können das Automatische Hervorheben [image] [image] sitzungsbezogen oder permanent (bis zu einer erneuten Änderung) ein- und ausschalten.

Sitzungsbezogen bedeutet, dass beim Beenden und Neu-Starten von Mastercam das automatische Hervorheben unabhängig von der in der letzten Sitzung gewählten Einstellung eingeschaltet wird.

Um das „Automatische Hervorheben“ sitzungsbezogen ein- und auszuschalten, klicken Sie im Bildschirm-Menü (Menüleiste) auf Autom. Hervorheben an/aus (siehe unten).

Sie können anhand folgender Schritte das „Automatische Hervorheben“ auch sitzungsbezogen ein- oder ausschalten:

  1. Klicken Sie in der Menüleiste auf Einstellungen, Anpassen…, um das Dialogfeld „Anpassen“ zu öffnen.

  2. Wechseln Sie (falls nötig) zur Registerkarte „Symbolleisten“.

  3. Klicken Sie in der Dropdownliste Kategorie auf Bildschirm.

  4. Erstellen Sie eine Symbolleiste mit der Schaltfläche Autom. Hervorheben an/aus.

  5. Klicken Sie nach dem Erstellen der Symbolleiste auf die Schaltfläche Autom. Hervorheben an/aus, um die Funktion ein- oder auszuschalten.

Gehen Sie nach folgenden Schritten vor, um das „Automatische Hervorheben“ permanent (bis es manuell zurückgesetzt wird) an- oder auszuschalten:

  1. Klicken Sie in der Menüleiste auf Einstellungen, Konfiguration, um das Dialogfeld „Systemkonfiguration“ zu öffnen.

  2. Öffnen Sie die Eigenschaftenseite Bildschirm.

  3. Aktivieren oder deaktivieren Sie die Optionen unter „Autom. Hervorheben“ (siehe unten).

  4. Klicken sie auf OK, um die Änderungen zu speichern und das Dialogfeld zu schließen.

Siehe auch...

  • Automatisches Hervorheben

  • Optionsleiste „Allgemeine Selektion“


Verwenden einer Auswahlmaske

Eine Auswahlmaske ist ein definierter Satz von Kriterien, mit der Sie Elemente im Grafikfenster schnell auswählen können. Die Verwendung einer Selektionsmaske bei einem komplexen Teil gewährleistet, dass ausschließlich und alle der definierten Elemente ausgewählt werden. Wenn Sie mit Selektionsmasken arbeiten, können Sie:

  • Eine Selektionsmaske für eine einmalige Verwendung und nachfolgendem Verwerfen definieren (Standard).

  • Die Selektionsmaske aktivieren, bis Sie sie ausschalten oder die Mastercam-Sitzung beenden.

  • Die Auswahlmaskenkriterien in einer Datei (eine *.MASK-Datei) speichern, die Sie später öffnen und erneut benutzen können.

  • Eine vorher definierte Auswahlmaskendatei öffnen und diese auf die vorhandene Teiledatei anwenden

  • Eine Schnellselektionsfunktion verwenden

Um eine Auswahlmaske zu definieren, benutzen Sie entweder das Dialogfeld „Alle selektieren“ oder das Dialogfeld „Nur bestimmtes selektieren“, um die Kriterien einzustellen. Dies kann jede Kombination aus Elementtypen, Farben, Layern, Linienarten, Linienbreiten, Punktstilen und Bogendurchmessern oder Linienlängen sein, die einem bestimmten Wert und Filter entsprechen. Über die Schaltfläche „Sichern“ unten im Dialogfeld können Sie die Auswahlmasken-Konfiguration dann speichern.

Sie können eine vorher gespeicherte Auswahlmaske durch dieselben Dialogfelder anwenden, indem Sie die Öffnen-Schaltfläche anklicken und eine *.MASK-Datei laden. Wenn Sie eine Auswahlmaske anwenden, können Sie nur Elemente in Ihrer aktuellen Teiledatei auswählen, die den Kriterien entsprechen.

Siehe auch...

  • Optionsleiste „Allgemeine Selektion“

  • Verwenden der Schnellselektion


Verwenden der Schnellselektion

Mit der Schnellselektion von Mastercam können Sie die Elementmaskierung mit nur einem Mausklick definieren.

  • Klicken Sie mit der linken Maustaste auf eine Schnellselektionsfunktion, um die Auswahl aller entsprechenden Elemente zu aktivieren oder zu deaktivieren.

  • Klicken Sie mit der rechten Maustaste auf eine Schnellselektionsfunktion, um diese Maske in der Kriterienliste des Dialogfelds „Nur bestimmtes selektieren“ zu aktivieren. (Sie können manuell nur Elemente auswählen, die auf die Kriterienmaske zutreffen) Wenn in diesem Dialogfeld Kriterien eingestellt wurden:

  • Die Farbe der Schaltfläche „Nur“ in der Optionsleiste „Allgemeine Selektion“ ändert wie dargestellt die Farbe.

Tipp: Klicken Sie ein weiteres Mal mit der rechten Maustaste auf die Schaltfläche, um die Maske aus der Kriterienliste zu entfernen.

Bei einem Teil mit vielen Bögen wirkt sich dies beispielsweise so aus. Wenn Sie mit der linken Maustaste auf die Schaltfläche Schnellselektion: Bögen klicken, werden alle Bögen gewählt. Wenn Sie mit der rechten Maustaste auf die Schaltfläche klicken, können Sie die Bögen mit der Maus einzeln wählen.

Durch die Schaltfläche „Löschen aller Maskenmarkierungen“ werden alle Selektionskriterienmarkierungen aus dem Dialogfeld „Nur bestimmtes selektieren“ entfernt.

Klicken Sie hier für eine Anleitung zum Einfügen von Schaltflächen der Schnellselektion in eine Symbolleiste.

Fügen Sie die Schaltflächen der Schnellselektionsfunktionen zum bequemen Zugriff in eine Symbolleiste ein:

  1. Klicken Sie in der Menüleiste von Mastercam auf Einstellungen, Anpassen…. Das Dialogfeld „Anpassen“ wird daraufhin angezeigt.

  2. Öffnen Sie die Registerkarte Symbolleisten.

  3. Klicken Sie in der Dropdownliste „Kategorie“ auf Allgemeine Selektion. Die Schaltflächen dieser Kategorie werden angezeigt.

  4. Ziehen Sie die gewünschten Schaltflächen in eine Mastercam-Symbolleisten oder erstellen Sie eine neue.

Sie können unter folgenden Schnellselektionsfunktionen wählen.

Schnellselektion: Punkte | Schnellselektion: Drahtmodelle
Schnellselektion: Linien | Schnellselektion: Farbe
Schnellselektion: Bögen | Schnellselektion: Layer
Schnellselektion: Splines | Schnellselektion: Resultat Wählt die resultierenden Elemente einer Transform-Funktion aus.
Schnellselektion: Flächenkurven | Schnellselektion: Gruppe Wählt die Original-Elemente einer Transform-Funktion aus.
Schnellselektion: Flächen | Schnellselektion: Benannte Gruppe Öffnet das Dialogfeld „Gruppenmanager“. Verwenden Sie Windows-basierte Standard-Auswahlmethoden (Doppelklick, [Strg + Klick], [Umschalt + Klick], usw.) zur Auswahl einer Gruppe oder mehrerer Gruppen aus dem Dialogfeld. Unterstützt nicht die Funktionalität Nur bestimmtes selektieren (Rechtsklick).
Schnellselektion: Zeichnungselemente | Schnellselektion: Letztes
Schnellselektion: Solids | Alle Maskierungen aufheben

Siehe auch...

  • Verwenden einer Auswahlmaske


Selektionsprüfung

Aktivieren Sie diese Funktion, wenn Sie versuchen, Elemente im Grafikfenster zu wählen, die nah aneinander liegen. Diese Funktion ist aktiviert, wenn Sie in der Optionsleiste „Allgemeine Selektion“ auf die Schaltfläche Selektionsprüfung umschalten geklickt haben (siehe unten).

Wenn Sie den Cursor über einen Bereich ziehen und dort klicken, wo Elemente nah aneinander liegen, wird das Fenster „Prüfen“ eingeblendet (siehe unten). Klicken Sie darin auf die roten Pfeile, um durch die Elemente im Grafikfenster zu blättern, bis das gewünschte gewählt ist.

Wenn beim gewünschten Element auf OK, um es zu wählen.

Hinweis: Diese Funktion steht nur zur Verfügung, wenn Mastercam mehrere Lösungen erkennt. Die Elementerkennung basiert auf der Cursorposition.

Weitere Informationen zu...

  • Optionsleiste „Allgemeine Selektion“

  • Richtlinien zum Selektieren von Elementen (Allgemeine Selektion)


Invertieren von Selektionen

Mit Hilfe die Funktion „Invertierte Selektion“ werden derzeit nicht gewählte Elemente gewählt und gleichzeitig gewählte Elemente aus der Auswahl entfernt. Im Einzelnen funktioniert die „Invertierte Selektion“ wiefolgt:

  • Wenn keine Elemente gewählt sind, werden durch die „Invertierte Selektion“ alle gewählt.

  • Wenn alle Elemente gewählt sind, wird durch die „Invertierte Selektion“ die Auswahl aller Elemente aufgehoben.

  • Wenn nur einige Elemente gewählt sind, werden die gewählten Elemente durch die „Invertierte Selektion“ aus der Auswahl entfernt und alle vorher nicht gewählten Elemente gewählt.

  • Wenn Sie eine invertierte Selektion invertieren, wird die Auswahl in ihren Originalzustand zurückversetzt.

  • Wenn Sie die Selektion invertieren und dann gewählte Elemente hinzufügen oder entfernen, wird die nächste „Invertierte Selektion“ auf die aktuell ausgewählten Elemente angewendet. Dies bedeutet, dass die Auswahl nicht in den vorherigen Zustand zurückversetzt wird.

Siehe auch...

  • Richtlinien für das Auswählen von Elementen

  • Optionsleiste „Allgemeine Selektion“

  • Verwenden einer Auswahlmaske


Dialogfeld „Eigenschaften der Maschinengruppe“

Verwalten Sie mit Hilfe dieses Dialogfelds die Eigenschaften einzelner Maschinengruppen. Dazu zählen die Auswahl der Werkzeugmaschine zur Ausführung der Operationen in der Gruppe, Postprozessor- und NC-Einstellungen, Werkzeugversätze, Voreinstellungen und Datenpfade und das Definieren von Rohteilmodellen für alle Operationen in der Maschinengruppe. Die Funktionen in diesem Dialogfeld sind auf Registerkarten verteilt:

  • Registerkarte „Dateien“

  • Registerkarte „WZ-Einstellungen“

  • Registerkarte „Rohteileinstellungen“ (Fräsen/Router)

  • Registerkarte „Rohteileinstellungen“ (Drehen)

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Kontextmenü des Werkzeugweg-Managers


Registerkarte „Dateien“ (Dialogfeld „Eigenschaften der Maschinengruppe“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Geben Sie auf dieser Registerkarte Namen und Datenpfade von Dateien an, die für die Operationen und andere maßgebliche Eigenschaften dieser Maschinengruppe erforderlich sind. Klicken Sie auf ein Thema, um mehr über die einzelnen Bereiche der Registerkarte zu erfahren:

WZ-Wegverzeichnis

Geben Sie den Pfad für die NC-Datei ein, die beim Posten der Operation aus dieser Maschinengruppe erzeugt werden soll, oder wählen Sie ein Verzeichnis:

Beim Posten von Dateien können Sie, falls gewünscht, eine separate NCI-Datei erzeugen und benennen. Wenn Sie Operationen aus mehreren Maschinengruppen wählen, erzeugt Mastercam entsprechend der jeweiligen Gruppeneinstellungen eine separate NC-Datei für jede Gruppe.

  • Der voreingestellte Pfad und die Erweiterung werden auf der Seite „Dateien“ der Steuerungsdefinition eingestellt.

Arbeiten mit Dateien

In einzelnen Bereichen dieser Registerkarte können Sie die Dateien für die Maschinendefinition, voreingestellte Werkzeug- und Operationsbibliotheken und Operationsvoreinstellungen wählen. Sie können für jeden Dateityp folgende Einstellungen vornehmen:

  • Markieren Sie eine Datei, indem Sie auf die Schaltfläche neben dem Dateinamen klicken.

  • Ändern Sie die Datei, indem Sie auf die Schaltfläche Bearbeiten (Rufzeichensymbol) neben dem Dateinamen klicken.

Voreingestellte Pfade und Dateinamen werden von der Seite „Dateien“ der Steuerungsdefinition importiert. Wenn Sie eine andere Maschine für diese Maschinengruppe auswählen, werden diese Dateien und Pfade durch die Werte aus der Steuerungsdefinition für die neue Maschine ersetzt.

Arbeiten mit der Maschinendefinition

Per Voreinstellung wird auf dieser Registerkarte die Bezeichnung der Maschinendefinition angezeigt, die beim Anlegen der Maschinengruppe aktiv war. Sie können eine andere Maschine auf dieselbe Weise wählen wie andere Dateitypen.

Wenn Sie eine neue Maschine auswählen, lädt Mastercam eine Kopie der Maschinendefinition in Ihre Teiledatei. Wenn Sie auf die Schaltfläche Bearbeiten (Rufzeichen) klicken, um Änderungen an der Maschinendefinition anzuzeigen oder vorzunehmen, ändern Sie nur die lokale, in Ihrer Teiledatei gespeicherte Kopie und nicht die Maschinendefinition, die auf Ihrer Festplatte gespeichert ist. Bei Auswahl einer neuen Maschinendefinition werden die anderen Pfad- und Dateinamen anhand der Voreinstellungswerte der neuen Steuerungsdefinition aktualisiert.

Hinweise:

  • Die Steuerung und der Postprozessor werden nur zu Informationszwecken dargestellt. Sie können sie nur durch Bearbeitung der Maschinendefinition ändern.

  • Falls bereits Operationen in der Maschinengruppe vorhanden sind, sollten Sie bei der Auswahl einer anderen Maschine unbedingt darauf achten, dass die neue Maschine auch alle bereits programmierten Werkzeugweg-Funktionen unterstützt.

Arbeiten mit Kommentaren

Tragen Sie, falls gewünscht, im Feld Gruppenkommentar Kommentare ein, die für alle Operationen in dieser Gruppe gelten. Sie können in Mastercam auch operationsspezifische Kommentare auf der Registerkarte „Werkzeuge“ oder maschinenspezifische in der Maschinendefinition eingeben.

  • Legen Sie im Bereich Kommentare in die NC-Datei ausgeben fest, welche Kommentare vom Postprozessor verarbeitet und in die NC-Datei eingefügt werden. Kommentare, die nicht in der NC-Datei enthalten sind, werden dennoch in Mastercam angezeigt.

  • Definieren Sie auf der Seite „NC_Ausgabe“ der Steuerungsdefinition die Voreinstellungen und die maximal zulässigen Zeichenanzahl für Kommentare.

Hinweis: Wenn Sie die Registerkarte „Dateien“ vom Dialogfeld Ändern der Operationsvoreinstellungen aus aufrufen, sind alle Felder bis auf Gruppenkommentar deaktiviert.

Weitere Informationen zu...

  • Arbeiten mit Operationsvoreinstellungen

  • Wählen eines Postprozessors

  • Maschinengruppen

  • Erstellen oder Bearbeiten einer Maschinendefinition

Weitere Registerkarten des Dialogfelds

  • Registerkarte „WZ-Einstellungen"

  • Registerkarte „Rohteileinstellungen" (Fräsen/Router)

  • Registerkarte „Rohteileinstellungen" (Drehen)


Registerkarte „Grundeinstellungen“

Registerkarte „Grundeinstellungen“ (Dialogfeld „Eigenschaften der Maschinengruppe“ – Drahten)

Stellen Sie auf dem Registerkarte „Grundeinstellungen“ die Programm-Nummer und die N-Nummern ein, die beim Posten der Drahtwege in eine NC-Datei verwendet werden sollen.

Programm-Nr.:

Mastercam wendet die Programm-Nr. auf alle nach dem Einstellen der Programm-Nummer erzeugten Operationen an. Wenn Sie die Programm-Nummer ändern, werden nur neue Operationen mit der neuen Nummer versehen.

Wenn die Programm-Nr. existierender Operationen geändert werden soll, wählen Sie eine Operation und führen im Werkzeugweg-Manager einen Rechtsklick aus. Klicken Sie im daraufhin erscheinenden Kontextmenü auf Selektierte Operationen ändern, Programm-Nr. ändern….

N-Nummern

Geben Sie beim Posten von Operationen die Start- und Inkrement-Nummern ein, die Mastercam jeder NC-Programmzeile zuweist. Wenn Sie die N-Nummern ändern, aktualisiert Mastercam diese bei allen Operationen in der Maschinengruppe.

Weitere Informationen zu…

  • Registerkarte „Dateien“

  • Registerkarte „Rohteileinstellungen“


Registerkarte „WZ-Einstellungen“ (Dialogfeld „Eigenschaften der Maschinengruppe“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Konfigurieren Sie auf dieser Registerkarte, wie WZ-Nummern, WZ-Versatznummern und Voreinstellungswerte für Vorschübe, Drehzahlen, Kühlmittel und andere Werkzeugwegparameter zugewiesen werden. Klicken Sie auf die folgenden Themen, um weitere Informationen zu den Optionen in einem Bereich der Registerkarte einzublenden.

Programm-Nummern

Mastercam wendet die Programm-Nr. auf alle nach dem Einstellen der Programm-Nummer erzeugten Operationen an. Wenn Sie die Programm-Nummer ändern, werden nur neue Operationen mit der neuen Nummer versehen.

Wenn die Programm-Nr. existierender Operationen geändert werden soll, wählen Sie eine Operation und führen im Werkzeugweg-Manager einen Rechtsklick aus. Klicken Sie im daraufhin erscheinenden Kontextmenü auf Selektierte Operationen ändern, Programm-Nr. ändern….

Standardvorschübe

Konfigurieren Sie in diesem Bereich, wie Standard-Vorschübe und -Drehzahlen für Operationen, die in dieser Maschinengruppe erzeugt werden, berechnet werden sollen.

  • Aktivieren Sie die Optionsschaltfläche vom Werkzeug, um für jedes Werkzeug voreingestellte Eintauch- und Normalvorschübe aus der Werkzeugdefinition zu laden, die in der Werkzeugbibliothek gespeichert ist (klicken Sie hier für Drehen). Mastercam lädt diese Werte dann, wenn ein Werkzeug für die Operation geladen wird.

  • Sie können den Vorschub auch automatisch anhand der in der Materialbibliothek gespeicherten Materialeigenschaften berechnen lassen (klicken Sie hier für Drehen). Wählen Sie vom Material, um mit dieser Option zu arbeiten. Sie müssen nach Auswahl dieser Option unten auf dieser Registerkarte ein Material wählen.

  • Wählen Sie die Option von den Voreinst., um den Vorschub zu verwenden, der in der Operationsvoreinstellungsdatei gespeichert ist.

  • Aktivieren Sie die Optionsschaltfläche Benutzerdefiniert, um die Vorgaben für Vorschübe und Drehzahlen auf dieser Registerkarte einzugeben. Geben Sie nach Auswahl dieser Option die Vorgabewerte für alle Vorschubtypen und die Spindeldrehzahl ein. Diese Werte besitzen keine Assoziativität zu Operationen, nachdem sie erzeugt worden sind. Dies bedeutet, dass eine Änderung dieser Werte keine Auswirkung auf Vorschübe und Drehzahlen bereits erzeugter Operationen hat.

Die Seite Vorschübe der Steuerungsdefinition enthält wichtige Vorschubparameter und Einstellungen dazu, wie die für die einzelnen Werkzeugwege eingegebenen Vorschubwerte in der Steuerung interpretiert werden sollen, einschließlich der Art der Vorschubanpassung bei Bögen.

Ganz gleich welche Vorschubgeschwindigkeit oder Spindeldrehzahl für eine Operation voreingestellt ist oder wie sie berechnet wird – Sie können sie beim Erzeugen einer Operation immer überschreiben, indem Sie einfach einen neuen Wert eingeben.

Werkzeugwegkonfiguration und Werkzeugnummerierung

Konfigurieren Sie anhand der Optionen in diesem Bereich, wie Werkzeugnummern für die Operationen in dieser Gruppe zugewiesen werden sollen. Klicken Sie hier, um mehr darüber zu erfahren, wie Mastercam Werkzeugnummern verwendet.

Wahlweise können Sie hier auch Operationsvoreinstellungen für Zustellungs- und Kühlmittelwerte mit Standardwerten aus der WZ-Definition überschreiben.

N-Nummerierung

Geben Sie die Start-N-Nummer und das Sequenz-Inkrement in die Felder ein. Rufen Sie die Seite „NC_Ausgabe“ der Steuerungsdefinition auf, um Voreinstellungen für komplexere N-Nummernformate zu definieren (z.B. dezimale N-Nummern).

Erweiterte Optionen

Die Voreinstellungswerte für Sicherheits-, Rückzugs- und Anfahrebene werden üblicherweise aus der Operationsvoreinstellungsdatei ausgelesen, die auf der Registerkarte „Dateien“ angegeben ist. Ersetzen Sie mithilfe der Optionen in diesem Bereich diese Voreinstellungswerte durch modale Einstellungen aus den Operationen der Gruppe.

So kann beispielsweise die Anfahrebene in der Operationsvoreinstellungsdatei auf 3 mm inkremental eingestellt sein. Wenn Sie für die Anfahrebene jedoch modale Voreinstellungen verwenden, wird jedesmal, wenn Sie eine Operation in der Gruppe erzeugen, als voreingestellte Anfahrebene die Anfahrebene aus der vorherigen Operation übernommen, und nicht die auf 3 mm inkremental eingestellte.

Materialauswahl

Konfigurieren Sie mit Hilfe dieser Optionen, welche Art Rohteil bearbeitet werden soll. Mastercam berechnet anhand der Materialeigenschaften Vorschübe und Drehzahlen; der Standardvorschub für Edelstahl ist beispielsweise niedriger als für Aluminium. Mastercam enthält umfassende Rohmaterial-Bibliotheken, die Sie bearbeiten, vergrößern oder anderweitig anpassen können.

  • Klicken Sie auf die Schaltfläche Wählen…, um eine Materialdefinition aus einer auszuwählen, die bereits im Teil verwendet wird oder aus einer Material-Bibliothek.

  • Klicken Sie auf die Schaltfläche Ändern, um die Eigenschaften des derzeit gewählten Materials so zu ändern, dass die voreingestellten Vorschübe und Drehzahlen den Anforderungen Ihres Jobs besser entsprechen.

  • Wenn Sie mit einer Dreh-/Fräsmaschine arbeiten, sind Optionen verfügbar, mit denen Sie die Parameter für jeden Vorschubtyp individuell ändern können.

Sie müssen kein Rohteilmaterial wählen. Falls Sie eins wählen, müssen Sie im Bereich Vorschubberechnung die Option vom Material aktivieren.

Wie kann ich…?

  • Einstellen einer Standardmethode zur Werkzeug-Nummerierung

Weitere Informationen zu…

  • Verwenden der Werkzeugwerte für Zustellung und Kühlmittel

  • Werkzeugdefinitionen

  • Arbeiten mit Werkzeugnummern und Versätzen

  • Arbeiten mit Operationsvoreinstellungen

  • Arbeiten mit Materialien

Weitere Registerkarten des Dialogfelds

  • Registerkarte „Dateien“

  • Registerkarte „Rohteileinstellungen“ (Fräsen/Router/Drahten)

  • Registerkarte „Rohteileinstellungen“ (Drehen)


Registerkarte „Rohteileinstellungen“ – Fräsen/Router (Dialogfeld „Eigenschaften der Maschinengruppe“)

Registerkarte „Rohteileinstellungen“ – Fräsen/Router/Drahten
(Dialogfeld „Eigenschaften der Maschinengruppe“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Arbeiten Sie für eine realistischere Visualisierung Ihrer Werkzeugwege mit Rohteilmodellen. Das hier erzeugte Rohteilmodell kann bei der Datei- oder Werkzeugwegdarstellung, während der Simulation oder bei der Werkzeugwegüberprüfung mit Verify zusammen mit der Teilegeometrie angezeigt werden. Klicken Sie auf die nachfolgend aufgelisteten Themen, um weitere Informationen dazu aufzurufen.

Wählen des Rohteilmodelltyps

Es gibt, je nach Anforderung, mehrere Möglichkeiten zur Erzeugung von Rohteilmodellen.

  • Wählen Sie XYZ oder Zylinder, um einfache Rohteilmodelle zu erzeugen, die durch keine vorliegende Geometrie definiert sind. Alle Maße werden in dieses Dialogfeld eingegeben und Ihrer Teile-Datei wird keine Geometrie hinzugefügt. Sie können wählen, ob das Rohteil anhand des Kontrollkästchens Zeigen auf dem Bildschirm angezeigt werden soll oder nicht.

  • Wählen Sie die Option Solid, um in Ihrer aktuellen Teiledatei ein Solidmodell als Rohteil zu verwenden.

  • Wählen Sie die Option Datei, um ein Solidmodell aus einer STL-Datei als Rohteilmodell zu verwenden.

Einstellen der Rohteilabmessungen

Mastercam bietet mehrere Methoden zum Einstellen der Rohteilabmessungen. Sie können die Abmessungen direkt in die Felder X, Y und Z eingeben oder die folgenden Methoden benutzen, wenn die exakten Abmessungen unbekannt sind:

  • Klicken Sie auf die Schaltfläche Eckpunkte, um ins Grafikfenster zurückzukehren und die beiden gegenüberliegenden Ecken eines 3D-Rechtecks auszuwählen.

  • Klicken Sie auf die Schaltfläche Begrenzungsbox, damit Mastercam die am weitesten auseinanderliegenden Punkte in Ihrer Teilegeometrie berechnet.

  • Klicken Sie auf die Schaltfläche NCI-Abmaße, um Mastercam die am weitesten auseinanderliegenden Punkte in den Werkzeugwegen nur anhand der Vorschubbewegungen berechnen zu lassen.

Mastercam gibt automatisch die Rohteilabmessungen in die Felder ein. Sie können sie dann nach Bedarf ändern.

Einstellen der Rohteilebene

Wählen Sie eine Rohteilebene, um das Rohteilmodell passend zum Teil auszurichten. Sie können das Rohteilmodell an jeder Ebene ausrichten, die in Ihrer Teiledatei gespeichert ist. Wenn Sie eine Rohteilebene auswählen, liegen die Kanten des Rohteilmodells parallel zu den Achsen der gewählten Ebene.

Wählen Sie eine Rohteilebene, wenn Sie Werkzeugwege in einem anderen Weltkoordinatensystem (WKS) als Oben erzeugen und das Rohteil am Teil ausrichten möchten. Falls die Werkzeugweggruppe mehrere Werkzeugwege mit mehr als einem WKS enthält, hält Mastercam das Rohteil mit Hilfe der Rohteilebene konstant, wenn sich das WKS für die einzelnen Operationen ändert. Mastercam speichert die Rohteilebene mit der Rohteildefinition – unabhängig vom WKS.

Klicken Sie zur Auswahl einer Rohteilebene auf die Schaltfläche Ebenenselektion (neben dem Kontrollkästchen „Rohteillage“) und wählen Sie im Dialogfeld „Ebenenselektion“ die Ebene aus.

Hinweis: Wenn Sie die Rohteilebene ändern, kann es erforderlich sein, den Rohteilnullpunkt neu einzustellen.

Definieren des Rohteilnullpunktes

Definieren Sie mit Hilfe des Rohteilnullpunkts die Position des Rohteils im Bezug zu Ihrem Teil. Wählen Sie zuerst einen Punkt auf dem Rohteil, der als Rohteilnullpunkt dienen soll. Im Dialogfeld wird der Rohteilnullpunkt durch ein Kreuz markiert:

Die voreingestellte Position ist die Mitte des Rohteils. Klicken Sie auf eine Ecke des Teils, um sie als Rohteilnullpunkt festzulegen. Anwender von Mastercam Router arbeiten zum Beispiel oft mit einem Rohteilnullpunkt auf der Unterseite des Teils.

Geben Sie dann im Bereich Rohteilnullpunkt die Koordinaten dieses Punktes in die Felder ein oder klicken Sie auf die Schaltfläche Wählen (Pfeilsymbol), um den Punkt im Grafikfenster auszuwählen.

Hinweis: Rufen Sie zur Kollisionskontrolle die Funktion Verify auf.

Weitere Informationen zu…

  • Verwendung von Rohteilmodellen in Mastercam Drehen

  • Arbeiten mit Materialien

  • Werkzeugwegüberprüfung (Verify)

Weitere Registerkarten des Dialogfelds

  • Registerkarte „Dateien“

  • Registerkarte „WZ-Einstellungen“


Rohteilanzeige und Schattierungsfunktionen

Mastercam besitzt zwei Funktionen, mit denen Sie die Rohteilanzeige und die Rohteilschattierung an- und ausschalten können. Sie erreichen diese Funktionen über die Schaltflächen der Symbolleiste Schattieren.

Schalten Sie mithilfe der Schaltfläche Rohteil anzeigen/verbergen die Rohteilanzeige an oder aus. Dies stellt eine einfache Möglichkeit dar, die Option Zeigen (siehe unten) auf der Registerkarte „Rohteileinstellungen“ im Dialogfeld „Eigenschaften der Maschinengruppe“ an oder aus zu schalten, ohne das Dialogfeld öffnen zu müssen.

Schalten Sie über die Schaltfläche Rohteilschattierung an/aus die Rohteilschattierung an oder aus.

Beim Drehen steuern Sie mit diesen Schaltflächen sowohl beide Spindeln gleichzeitig, als auch:

  • Spannbacken

  • Lünette

  • Reitstock

Diese Schaltflächen erscheinen standardmäßig in der Symbolleiste Schattieren, wie unten dargestellt (möglicherweise an einer anderen Position in der Symbolleiste):

Hinweise:

  • Sie können diesen Mastercam-Funktionen mithilfe des Dialogfelds „Anpassen“ auch Tastenkürzel zuweisen.

  • Das Rohteil wird nur dann durch die Rohteilschattierung schattiert, wenn auf der Registerkarte „Rohteileinstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“ bereits ein Rohteil definiert ist. Es kann auch nur dann schattiert werden, wenn die Rohteilanzeige aktiviert ist.

Weitere Informationen zu…

  • Anpassen von Symbolleisten und Menüs

  • Anpassen von Tastenzuweisungen


Löschen aller Maschinengruppen aus dem Werkzeugweg-Manager

Gehen Sie wie folgt vor, um alle Maschinengruppen aus dem Werkzeugweg-Manager zu löschen. Wenn im Werkzeugweg-Manager keine Maschinengruppen vorhanden sind, startet Mastercam im Design-Modus.

Wichtig: Bei diesem Vorgang werden alle Werkzeugwege und andere Operationen aus Ihrer Teiledatei gelöscht und können nicht wiederhergestellt werden.

  1. Klicken Sie im Menü Maschinentyp auf Design.

  2. Klicken Sie in der Symbolleiste des Werkzeugweg-Managers auf die Schaltfläche Operationen, Gruppen und Werkzeuge löschen.

  3. Klicken Sie auf Ja, um das Löschen zu bestätigen.

Mastercam löscht alle Maschinengruppen, Werkzeugweggruppen, Operationen und Werkzeuge aus dem Werkzeugweg-Manager.

Siehe auch...

  • Richtlinien für die Arbeit mit dem Werkzeugweg-Manager

  • Maschinengruppen

  • Werkzeugweg-Manager


Registerkarte „Stückdetails“ (Dialogfeld „Eigenschaften der Maschinengruppe“ – Agie)

Registerkarte „Stückdetails“ (Dialogfeld „Eigenschaften der Maschinengruppe“ – Agievision)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Legen Sie auf dieser Registerkarte die folgenden Details fest:

  • Eine Bezeichnung für das Stück

  • Das Material (Teilematerial) für das Rohteil.

  • Den Drahttyp (Material und Durchmesser)

  • Die Schnittqualität

  • Die verwendete Bearbeitungsstrategie

Hinweis: Es empfiehlt sich die Angabe einer Stückbezeichung, obwohl dies nicht unbedingt erforderlich ist. Die Benennung aller Teile hilft beim einfachen Speichern, Sortieren und Lokalisieren der Teile für eine spätere Verwendung.

Siehe auch…

  • Arbeiten mit Materialien

  • Registerkarte „Dateien“

  • Registerkarte „Grundeinstellungen“

  • Registerkarte „Stückeinstellung“


Registerkarte „Stückeinstellung“ (Dialogfeld „Eigenschaften der Maschinengruppe“ – Agie)

Registerkarte „Stückeinstellung“ (Dialogfeld „Eigenschaften der Maschinengruppe“ – Agievision)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Arbeiten Sie für eine realistischere Visualisierung Ihrer Drahtwege mit Rohteilmodellen. Das hier erzeugte Rohteilmodell kann bei der Datei- oder Drahtwegdarstellung, während der Simulation oder bei der Drahtwegüberprüfung mit Verify/Volumensimulation zusammen mit der Teilegeometrie angezeigt werden. Klicken Sie auf die nachfolgend aufgelisteten Themen, um weitere Informationen dazu aufzurufen.

Einstellen der Rohteilansicht

Wählen Sie eine Rohteilansicht, um das Rohteilmodell in Bezug auf das Teil auszurichten. Dabei können Sie das Rohteilmodell an jeder benannten Ansicht ausrichten, die in Ihrer Teiledatei gespeichert ist. Wenn Sie eine Rohteilansicht auswählen, liegen die Kanten des Rohteilmodells parallel zu den Achsen der gewählten Ansicht.

Wählen Sie eine Rohteilansicht, wenn Sie Werkzeugwege in einem anderen WKS als „Oben“ erzeugen und das Rohteilmodell am Teil ausrichten möchten. Falls die Werkzeugweggruppe mehrere Drahtwege mit mehr als einem WKS enthält, hält Mastercam das Rohteilmodell mithilfe der Rohteilansicht konstant, wenn sich das WKS für die einzelnen Operationen ändert. Mastercam speichert die Rohteilansicht mit der Rohteildefinition – unabhängig vom WKS.

Klicken Sie zur Auswahl einer Rohteilansicht auf die Schaltfläche Rohteilansicht und wählen Sie im Dialogfeld „Ansichtenselektion“ die Ansicht.

Hinweis: Wenn Sie die Rohteilansicht ändern, kann es erforderlich sein, den Rohteilnullpunkt neu einzustellen.

Einstellen der Rohteilanzeige

Es gibt, je nach Anforderung, mehrere Möglichkeiten zur Erzeugung von Rohteilmodellen.

  • Markieren Sie das Kontrollkästchen Anpassen, damit die Rohteilkonturlinien mit einbezogen werden, wenn Sie im Grafikfenster die Kontextmenü-Funktion Anpassen verwenden.

  • Markieren Sie die Optionsschaltfläche Drahtmodelle, damit das Rohteil als Drahtmodellgeometrie dargestellt wird. Die Geometrie wird nicht tatsächlich in Ihre Teile-Datei eingefügt, es wird aufgrund der Größenwerte aus diesem Dialogfeld nur simuliert.

  • Markieren Sie die Optionsschaltfläche Solid, um das Rohteil als Solidmodell darzustellen. Das Solid wird nicht tatsächlich in Ihre Teile-Datei eingefügt, es wird aufgrund der Größenwerte in diesem Dialogfeld nur simuliert.

Einstellen der Rohteilabmessungen

Mastercam bietet mehrere Methoden zum Einstellen der Rohteilabmessungen. Sie können die Abmessungen direkt in die Felder X, Y und Z eingeben oder die folgenden Methoden benutzen, wenn die exakten Abmessungen unbekannt sind:

  • Klicken Sie auf die Schaltfläche Eckpunkte, um im Grafikfenster die beiden gegenüberliegenden Ecken eines 3D-Rechtecks zu markieren.

  • Klicken Sie auf die Schaltfläche Begrenzungsbox, um Mastercam die am weitesten auseinanderliegenden Punkte in Ihrer Teilegeometrie berechnen zu lassen.

  • Klicken Sie auf die Schaltfläche NCI-Abmaße, um Mastercam die am weitesten auseinanderliegenden Punkte in den Drahtwegen nur anhand der Vorschubbewegungen berechnen zu lassen.

Mastercam gibt automatisch die Rohteilabmessungen in die Felder ein. Sie können sie dann nach Bedarf ändern.

Definieren des Rohteilnullpunktes

Definieren Sie mit Hilfe des Rohteilnullpunkts die Position des Rohteils im Bezug zu Ihrem Teil. Das Kreuz (wie unten dargestellt) markiert im Dialogfeld die Position des AgieVision Randes (Rohteilnullpunkt).

Die Randposition für AgieVision Stückeinstellung (Rohteileinstellungen) ist immer die untere linke Ecke des Rohteils. Die Rohteilposition in Mastercam basiert auf der Platzierung der AgieVision-Randposition zur XYZ-Position, die, in Relation zum WKS-Nullpunkt, durch die in die Randpositions-Felder eingegebenen Werte erzeugt wird.

Um die Stelle der Randposition zu ändern (und somit die des Rohteils), geben Sie die Koordinaten der neuen Stelle in das X-, Y- und Z-Feld der Randposition ein oder klicken Sie auf die Schaltfläche Selektieren, um einen Punkt im Grafikfenster auszuwählen.

Hinweis: Rufen Sie zur Kollisionskontrolle die Funktion Verify auf.

Siehe auch…

  • Arbeiten mit Materialien

  • Registerkarte „Dateien“

  • Registerkarte „Grundeinstellungen“

  • Registerkarte „Stückdetails“


Arbeiten mit Operationsvoreinstellungen

Wenn Sie einen neuen Werkzeugweg oder eine andere Operation erzeugen, werden in die Felder aller Registerkarten oder Eigenschaftenseiten automatisch Voreinstellungswerte geschrieben. Diese sind in Dateien mit der Erweiterung .DEFAULT gespeichert. Diese Voreinstellungen sind für jeden Operationstyp spezifisch (z.B. für einen Kontur-, Taschen- oder FBM-Bohr-Werkzeugweg).

  • Wenn Sie eine Operation eines bestimmten Typs zum ersten Mal in einer Mastercam-Sitzung erzeugen, werden die Voreinstellungen aus der Voreinstellungsdatei ausgelesen.

  • Danach übernimmt Mastercam jedesmal, wenn Sie eine weitere Operation desselben Typs erzeugen, die Werte aus der vorherigen Operation.

Die Voreinstellungsdatei jedes einzelnen Werkzeugwegtyps enthält einen vollständigen Satz von Voreinstellungswerten für alle Registerkarten und Eigenschaftenseiten, auf denen Sie Daten eingeben müssen:

Auch wenn beispielsweise bei fast allen Operationen die Registerkarte Werkzeuge oder die Seite „WZ“ verwendet wird, enthält die Voreinstellungsdatei (DEFAULTS) unterschiedliche Sätze von Werten für jeden Operationstyp. Zu diesen Voreinstellungswerten für die einzelnen Operationen zählen auch Werte, die Sie über weitere Dialogfelder definieren, z.B. Ein-/Ausfahrbewegungen, Toleranzen oder Lückeneinstellungen.

Tipp: Sie können auf schnelle Weise erneut Werte für Werkzeugwegparameter aus der Voreinstellungsdatei laden, indem Sie mit der rechten Maustaste auf die Registerkarte „Werkzeuge“ klicken und dann auf Voreinstellungen laden, oder in Dialogfeldern mit Verzeichnisstruktur in der Symbolleiste auf die Schaltfläche Voreinstellungen laden klicken.

Während viele der Operationsvoreinstellungen aus der DEFAULTS-Datei eingelesen werden, können einige — wie Vorschübe und Drehzahlen, Werkzeugweg-Nummern und -Versätze — aus anderen Dateien gelesen werden. Lesen Sie die Hinweise am Ende dieses Themas, um mehr darüber zu erfahren, wie Voreinstellungswerte für bestimmte Parametertypen erzeugt und verwendet werden.

Auswählen einer Voreinstellungsdatei (DEFAULTS-Datei)

Klicken Sie im Werkzeugweg-Manager auf das Dateien-Symbol, um zu sehen, welche *.DEFAULTS-Datei aktuell verwendet wird und um eine neue auszuwählen.

Wählen Sie dann eine neue *.DEFAULTS-Datei oder bearbeiten Sie die momentan verwendete. Klicken Sie hier, um nähere Informationen dazu aufzurufen.

Verwalten von Voreinstellungsateien (DEFAULTS-Dateien)

Mastercam bietet getrennte Sätze von Voreinstellungswerten zum Arbeiten mit englischen und metrischen Einheiten, die in separaten Voreinstellungsdateien gespeichert sind. Ebenso sind separate Voreinstellungsdateien für jedes Produkt verfügbar (Fräsen, Drehen, Router und Drahten). Darüber hinaus können Sie beliebig viele verschiedene Voreinstellungsdateien erstellen. So können Sie beispielsweise verschiedene Dateien für unterschiedliche Werkzeugmaschinen in Ihrem Betrieb erstellen, damit, wenn Sie eine Maschine wählen und mit dem Erzeugen von Werkzeugwegen beginnen, automatisch die richtige Voreinstellungsdatei geladen wird.

  • Geben Sie auf der Seite Dateien im Steuerungsdefinitions-Manager die Voreinstellungsdatei an, die beim Erzeugen einer neuen Maschinengruppe geladen wird.

  • Sie können im Dialogfeld Systemkonfiguration eine Hauptvoreinstellungsdatei für jedes Mastercam-Produkt auswählen. Mastercam liest die Voreinstellungswerte aus dieser Datei aus, wenn die in der Steuerungsdefinition oder den Eigenschaften der Maschinengruppe angegebene Voreinstellungsdatei nicht gefunden werden kann.

  • Wenn Sie bei der Arbeit zwischen englischen und metrischen Einheiten wechseln, wird automatisch eine Voreinstellungsdatei mit den entsprechenden Einheiten geladen.

Hinweise zu verschiedenen Typen von Voreinstellungsparametern

Bestimmte Typen von Voreinstellungswerten werden speziell gehandhabt oder besitzen erweiterte, besondere Konfigurationsoptionen. Klicken Sie auf die nachfolgenden Themen, um weitere Informationen dazu einzublenden.

  • Mehrachsen-Werkzeugwege

    Die erweiterten Mehrachsen-Werkzeugwege in Mastercam haben fest programmierte Voreinstellungen und Formeln, die nicht in den Voreinstellungsdateien (*.DEFAULTS) gespeichert sind.

  • Mehrflächenbearbeitung: HighSpeed-Werkzeugwege

    Viele Schnitt- und Verbindungsparameter für HighSpeed-Flächenwerkzeugwege werden vom gewählten Werkzeug übernommen. Dies bedeutet, dass auch wenn Sie Voreinstellungswerte in Ihrer *.DEFAULTS-Datei speichern können, viele der Werte überschrieben werden, sobald Sie ein Werkzeug wählen. Klicken Sie hier, um zu erfahren, wie dieses Verhalten deaktiviert werden kann.

  • Vorschübe und Drehzahlen

    Mastercam bietet zusätzliche Optionen für Vorschub- und Drehzahl-Voreinstellungen. Dabei können Sie folgende Aktionen ausführen:

    • sie wie andere Operationsvoreinstellungen behandeln. Das bedeutet, dass Sie für jeden Operationstyp voreingestellte Vorschübe und Drehzahlen definieren und sie in einer *.DEFAULTS-Datei speichern.

    • voreingestellte Werte direkt aus der WZ-Definition auslesen.

    • Standardwerte auf Basis des Operationstyps, des Rohmaterials und des spezifischen Werkzeugs, das Sie ausgewählt haben, dynamisch berechnen. Klicken Sie auf einen der folgenden Links, um mehr darüber zu erfahren, wie Mastercam diese Voreinstellungen für Werkzeugwege in Fräsen/Router oder Drehen berechnet.

    Definieren Sie Ihre bevorzugte Art der Vorschubberechnung auf der Registerkarte WZ-Einstellungen (im Dialogfeld „Eigenschaften der Maschinengruppe“)

  • Kühlmittel

    Da die für alle Operationen verfügbaren Kühlungsoptionen in der aktiven Maschinendefinition definiert sind, sollten Sie Ihre Voreinstellungswerte sorgfältig wählen, falls Sie benutzerdefinierte Kühlungsoptionen verwenden möchten. Wenn Sie in der Voreinstellungsdatei benutzerdefinierte Einstellungen für die Kühlungsoptionen definiert haben, die von der aktiven Maschinendefinition nicht unterstützt werden, versucht Mastercam, sie an die verfügbaren Optionen anzupassen; dass dies gelingt oder zu zweckmäßigen Einstellungen führt ist nicht unbedingt gewährleistet. Wenn Sie vorhaben, mit benutzerdefinierten Kühlungsoptionen zu arbeiten, sollten Sie stattdessen eine maschinenspezifische Voreinstellungsdatei erstellen.

  • Zusatzwerte

    In Mastercam können Sie eigene benutzerdefinierte Variablen definieren. Sie können beim Erzeugen eines Werkzeugwegs im Dialogfeld „Zusatzwerte – Integer/Real“ spezifische Werte für diese Variablen eingeben. Rufen Sie die Seite Zusatzwerte im Steuerungsdefinitions-Manager auf, um zu definieren, von wo die Voreinstellungswerte für diese Variablen geladen werden sollen. Sie können entweder operationsweise aus der Voreinstellungsdatei eingelesen werden oder aus der Steuerungsdefinition (wo sie im Postprozessor gespeichert sind). Wählen Sie als Quelle die Steuerungsdefinition, um die Werte aus dem Postprozessor einzulesen, wenn sie für alle Operationen identisch sein sollen, bei denen diese Steuerung oder dieser Postprozessor verwendet wird. Lesen Sie sie aus der Voreinstellungsdatei ein, wenn Ihre benutzerdefinierten Variablen nur in bestimmten Operationen verwendet werden sollen.

  • Sicherheitsebene, Rückzugsebene, Anfahrebene

    Für diese Parameter können Sie wahlweise modale Voreinstellungen verwenden. Dies bedeutet, dass sobald Sie für einen Werkzeugweg einen Wert eingestellt haben, dieser Wert als Voreinstellung im nächsten Werkzeugweg übernommen wird – auch dann, wenn der nächste ein anderer Werkzeugwegtyp ist. Wenn beispielsweise in allen Werkzeugwegen eine 150 mm hohe Spannvorrichtung umfahren werden muss, können Sie in den WZ-Einstellungen der Eigenschaften der Maschinengruppe auf modale Voreinstellungswerte umschalten und dann eine Rückzugshöhe von 160 mm für den ersten Werkzeugweg eingeben. Bei allen danach erzeugten Werkzeugwegen ist dann eine Rückzugshöhe von 160 mm voreingestellt. Wenn Sie den Wert ändern, wird der neue Wert als Voreinstellung für den nächsten Werkzeugweg übernommen. Rufen Sie die Registerkarte „WZ-Einstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“ auf, um die Verwendung modaler Voreinstellungen zu aktivieren.

  • Werte für Zustellung und Kühlmittel

    Bei bestimmten Typen von Schnittparametern können Sie definieren, dass Voreinstellungswerte aus der Werkzeugdefinition eingelesen werden sollen statt aus der Voreinstellungsdatei. Dazu zählen Schrittgrößen für Fräswerkzeuge, Zustellungstiefen für Bohrer und Auswahl des Kühlmittels. Wählen Sie auf der Registerkarte „WZ-Einstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“ die Option Benutze Zust./Kühlmittel vom WZ, um diese Voreinstellungen aus der WZ-Definition einzulesen.

  • Werkzeugwechselposition und Referenzpunkte

    Voreingestellte Werkzeugwechselpositionen und Referenzpunkte werden in der Maschinendefinition unter den Einstellungen der Achsenkombinationen gespeichert. So können Sie bei komplexen Maschinen mit mehreren Achsenkombinationen spezifische Voreinstellungen für jede Maschine definieren. Im Dialogfeld Maschinen-Achsenkombinationen des Maschinendefinitions-Managers werden sowohl die Voreinstellungen für Werkzeugwechselpositionen als auch für Referenzpunkte definiert jedoch auf unterschiedliche Weise angewendet:

    • Bei Werkzeugwechselpositionen können Sie wählen, ob die Voreinstellung der Achsenkombination verwendet werden soll, oder eine operationsspezifische Voreinstellung aus der *.DEFAULTS-Datei. Bei Drehmaschinen können Sie wahlweise auch eine voreingestellte Werkzeugwechselposition aus der Werkzeugdefinition laden. Definieren Sie auf der Seite WZ im Steuerungsdefinitions-Manager, welche Voreinstellung verwendet werden soll. Sie können die jeweilige Voreinstellung, ganz gleich woher sie stammt, auf der Registerkarte Werkzeuge überschreiben.

    • Bei Referenzpunkten werden nur Voreinstellungen unter der Achsenkombination gespeichert. Sie können keine operationsspezifischen Voreinstellungen erstellen. Die jeweilige Voreinstellung kann aber dennoch auf der Registerkarte „Werkzeuge“ überschrieben werden. Referenzpunkte können im Steuerungsdefinitions-Manager auf der Seite NC_Dialog vollständig deaktiviert werden.

  • WZ-Nummern und WZ-Versätze

    Immer, wenn Sie ein Werkzeug für einen Werkzeugweg auswählen, weist ihm Mastercam eine WZ-Nummer zu. Diese WZ-Nummer wird in den Werkzeugwechselblock des NC-Programms ausgegeben, wenn Sie die Operation posten. Sie können wählen, von wo diese voreingestellte Werkzeugnummer bezogen werden soll. Definieren Sie auf der Registerkarte „WZ-Einstellungen“ des Dialogfelds „Eigenschaften der Maschinengruppe“, ob die Werkzeuge aufsteigend nummeriert werden sollen oder der Wert aus der Werkzeugdefinition ausgelesen werden soll.

    Definieren Sie für Werkzeuglänge, Durchmesser und Versätze auf der Seite „WZ“ im Steuerungsdefinitions-Manager, ob sie aus der WZ-Nummer berechnet oder einfach aus der Werkzeugdefinition eingelesen werden sollen.

  • Voreingestellte Werkzeug- und Material-Bibliotheken

    Voreingestellte Werkzeug- und Material-Bibliotheken (einschließlich Schneidplatten- und Halter-Kataloge für Drehmaschinen) werden in der Maschinendefinition eingestellt. Rufen Sie die Registerkarte „WZ/Materialbibliotheken“ des Dialogfelds „Allgemeine Maschinenparameter“ auf, um die entsprechenden Dateien zu wählen.

  • Zusatztext, Ebenen

    Operationsspezifische Voreinstellungen werden für diese Einstellungen nicht unterstützt.

Siehe auch...

  • Erzeugen einer neuen Operationsvoreinstellungsdatei (*.DEFAULTS)

  • Ändern einer Operationsvoreinstellungsdatei

  • Ändern von Operationsvoreinstellungen mit dem Steuerungsdefinitions-Manager

  • Speichern von Voreinstellungswerten beim Erzeugen einer Operation

  • Maschinengruppen

  • Werkzeugweg-Manager

  • Registerkarte „Werkzeuge“


Anlegen einer neuen Operationsvoreinstellungsdatei

Gehen Sie in folgenden Schritten vor, um eine neue Operationsvoreinstellungsdatei (*.DEFAULTS) zu erzeugen. Dies ist eine Datei mit der Dateiendung *.DEFAULTS, die die Ausgangswerte für neue Werkzeugwegoperationen enthält.

Beginnen Sie beim Erzeugen neuer *.DEFAULTS-Dateien mit einer Maschinendefinition, die bereits in den Werkzeugweg-Manager geladen wurde.

  1. Klicken Sie im Werkzeugweg-Manager auf das Symbol Dateien für die Maschinengruppe, um die Registerkarte „Dateien“ des Dialogfelds „Eigenschaften der Maschinengruppe“ zu öffnen.

  2. Klicken Sie im Bereich Operationsvoreinstellungen auf das Ausrufezeichen-Symbol um das Dialogfeld „Ändern der Operationsvoreinstellungen“ zu öffnen.

  3. Klicken Sie zur Erzeugung der neuen Datei oben im Dialogfeld Ändern der Operationsvoreinstellungen auf die Schaltfläche Blättern, um das Dialogfeld OP-Voreinstellung selektieren zu öffnen.

  4. Klicken Sie mit der rechten Maustaste auf die *.DEFAULTS-Datei, auf der die neue Bibliothek basieren soll, und wählen Sie die Kontextmenü-Option Kopieren.

  5. Klicken Sie mit der rechten Maustaste in das Fenster (nicht auf einen Dateinamen) und wählen Sie Einfügen.

  6. Klicken Sie mit der rechten Maustaste auf die neue Kopie der *.DEFAULTS-Datei, wählen Sie die Kontextmenü-Option Umbenennen, geben Sie einen neuen Dateinamen ein und drücken Sie anschließend [Enter].
    Wichtig:     Achten Sie beim Umbenennen Ihrer Datei darauf, nicht die Dateiendung zu ändern.

  7. Klicken Sie erneut auf die neue Dateibezeichnung. Achten Sie darauf, dass die neue Bezeichnung der DEFAULTS-Datei im Feld Dateiname erscheint. Sollte dies nicht der Fall sein, klicken Sie auf eine beliebige freie Stelle in der Dateiliste und wählen Sie diesmal die korrekte Datei.

  8. Klicken Sie auf OK.

  9. Sollten Sie aufgefordert werden, die Änderungen in ihrer Original-Voreinstellungsbibliothek zu speichern, klicken Sie auf Nein.

  10. Ändern Sie die neuen Operationsvoreinstellungen nach Belieben. Klicken Sie hier, um weitere Informationen dazu aufzurufen.
    Hinweis:     Falls Sie mit einer leeren Datei beginnen möchten, können Sie in der Symbolleiste auf die Schaltfläche Operationen, Gruppen und Werkzeuge löschen klicken, um alle Einträge zu entfernen.

  11. Klicken Sie, wenn Sie fertig sind, zweimal auf OK, um die Änderungen zu speichern und zum Werkzeugweg-Manager zurückzukehren.

Hinweise:

  • Klicken Sie hier, um weitere Informationen zum Bearbeiten der DEFAULTS-Datei und zum Einfügen neuer Operationen aufzurufen.

  • Alternativ können Sie neue Werkzeugweg-Voreinstellungen über den Steuerungsdefinitions-Manager erstellen. Klicken Sie auf Einstellungen, Steuerungsdefinition (Manager)… und nehmen Sie die gewünschten Änderungen vor. Klicken Sie auf die Schaltfläche Speichern, um die neue Datei zu erzeugen.

Siehe auch...

  • Ändern einer Operationsvoreinstellungsdatei

  • Ändern von Operationsvoreinstellungen mit dem Steuerungsdefinitions-Manager

  • Speichern von Voreinstellungswerten beim Erzeugen einer Operation

  • Arbeiten mit Operationsvoreinstellungen


Ändern einer Operationsvoreinstellungsdatei

Gehen Sie in folgenden Schritten vor, um eine Operationsvoreinstellungsdatei (*.DEFAULTS) zu ändern. Dies ist eine Datei mit der Dateiendung *.DEFAULTS, die die Ausgangswerte für neue Werkzeugwegoperationen enthält.

Normalerweise bearbeiten Sie Ihre Operationsvoreinstellungen in den Eigenschaften der Maschinengruppe, indem Sie nach folgenden Schritten vorgehen. Sie können Werte auch beim Erzeugen oder Bearbeiten eines Werkzeugwegs oder vom Steuerungsdefinitions-Manager aus in einer DEFAULTS-Datei speichern.

  1. Klicken Sie im Werkzeugweg-Manager auf das Symbol Dateien der Maschinengruppe um die Registerkarte "Dateien" des Dialogfelds "Eigenschaften der Maschinengruppe" zu öffnen.

  2. Klicken Sie im Bereich „Operationsvoreinstellungen“ auf das Ausrufezeichen-Symbol um das Dialogfeld Ändern der Operationsvoreinstellungen zu öffnen:

  3. Klicken Sie bei Bedarf oben im Dialogfeld auf die Schaltfläche Blättern, um eine Voreinstellungsdatei aus einem anderen Ordner zu laden.

  4. Bearbeiten Sie die Voreinstellungswerte der einzelnen Operationstypen, indem Sie auf ihr Parameter-Symbol klicken.

    • Um eine neue Operation hinzuzufügen, klicken Sie mit der rechten Maustaste in das Fenster und wählen eine Kontextmenü-Option zum Erstellen eines neuen Werkzeugwegs oder wählen Sie im Kontextmenü die Option Import, um eine Operation aus einer anderen *.DEFAULTS-Datei zu importieren.
      Hinweis: Neue Operationen werden wie im Werkzeugweg-Manager am Einfügepunkt erzeugt.

    • Klicken Sie zum Löschen einer Operation auf die betreffende Operation und drücken Sie die [Entf]-Taste.

Sie können die Operationsliste in ähnlicher Weise bearbeiten, wie im Werkzeugweg-Manager. Dies bedeutet, dass Sie über das Kontextmenü auf viele verschiedene Anzeigeoptionen zugreifen, mehrere Operationen markieren und Operationen per Drag & Drop in der Liste verschieben können.

  5. Die zuletzt bearbeitete DEFAULTS-Datei wird als derzeit aktive DEFAULTS-Datei für die Maschinengruppe eingestellt.

So speichern Sie Voreinstellungswerte beim Erzeugen einer Operation

In Mastercam können auch während der Erzeugung oder Änderung einer Operation Werte in der aktiven *.DEFAULTS-Datei gespeichert werden. So können Sie Werte direkt bei der Arbeit an Werkzeugwegen ausprobieren, testen und geeignete Parameterwerte als Voreinstellung speichern.

Wählen Sie die Registerkarte „Werkzeuge“, wenn Sie in Werkzeugweg-Dialogfeldern mit Registerkarten arbeiten. Wählen Sie im Kontextmenü die Option Parameter als Voreinstellung sichern.

Klicken Sie in einem Werkzeugweg-Dialogfeld mit Verzeichnisstruktur oben links in der Symbolleiste auf die Schaltfläche Parameter als Voreinstellung sichern.

Dies ist beim Erzeugen einer neuen oder beim Bearbeiten einer vorhandenen Operation möglich.

Siehe auch...

  • Erzeugen einer neuen Operationsvoreinstellungsdatei (*.DEFAULTS)

  • Ändern von Operationsvoreinstellungen mit dem Steuerungsdefinitions-Manager

  • Speichern von Voreinstellungswerten beim Erzeugen einer Operation

  • Arbeiten mit Operationsvoreinstellungen


Anlegen einer neuen Operationsbibliothek

Gehen Sie in folgenden Schritten vor, um eine neue Operationsbibliothek anzulegen. Dies ist eine Datei mit der Dateiendung *.OPERATIONS, die häufig verwendete Werkzeugwegoperationen enthält, die Sie auswählen und in Ihre aktuelle Teiledatei importieren können.

Wechseln Sie zum Erzeugen neuer *.OPERATIONS-Dateien in eine Maschinendefinition, die bereits in den Werkzeugweg-Manager geladen wurde.

  1. Klicken Sie im Werkzeugweg-Manager auf das Symbol Dateien für die Maschinengruppe, um die Registerkarte „Dateien“ des Dialogfelds „Eigenschaften der Maschinengruppe“ zu öffnen.

  2. Klicken Sie im Bereich Operationsbibliothek auf das Ausrufezeichen-Symbol, um das Dialogfeld „Ändern der Operationsbibliothek“ zu öffnen.

  3. Um die neue Datei zu erzeugen, klicken Sie im oberen Bereich des Dialogfelds Ändern der Operationsbibliothek auf die Schaltfläche Blättern, um das Dialogfeld OP-Voreinstellung selektieren zu öffnen.

  4. Klicken Sie mit der rechten Maustaste auf die Operations-Datei, auf der die neue Bibliothek basieren soll, und wählen Sie Kopieren.

  5. Klicken Sie mit der rechten Maustaste in das Fenster (nicht auf einen Dateinamen) und wählen Sie Einfügen.

  6. Klicken Sie mit der rechten Maustaste auf die neue Kopie der Operations-Datei, wählen Sie Umbenennen, geben Sie einen neuen Dateinamen ein und drücken Sie anschließend [Enter].

    Wichtig: Achten Sie beim Umbenennen Ihrer Datei darauf, nicht die Dateiendung zu ändern.

  7. Klicken Sie erneut auf die neue Dateibezeichnung. Diese sollte nun im Feld Dateiname angezeigt werden. Sollte dies nicht der Fall sein, klicken Sie auf eine beliebige freie Stelle in der Liste und wählen Sie diesmal die korrekte Datei.

  8. Klicken Sie auf OK.

  9. Sollten Sie aufgefordert werden, die Änderungen an ihrer Operationsbibliothek zu speichern, klicken Sie auf Nein.

  10. Ändern Sie die neue Operationsbibliothek nach Belieben. Klicken Sie hier, um weitere Informationen dazu aufzurufen.
    Hinweis:     Falls Sie mit einer leeren Datei beginnen möchten, können Sie in der Symbolleiste auf die Schaltfläche Operationen, Gruppen und Werkzeuge löschen klicken, um alle Einträge zu entfernen.

  11. Klicken Sie, wenn Sie fertig sind, zweimal auf OK, um die Änderungen zu speichern und zum Werkzeugweg-Manager zurückzukehren.

Siehe auch...

  • Eine Operationenbibliothek ändern

  • Richtlinien für das Importieren von Werkzeugweg-Operationen

  • Werkzeugweg-Manager


Ändern einer Operationsbibliothek

Gehen Sie in folgenden Schritten vor, um eine Operationsbibliothek zu ändern. Dies ist eine Datei mit der Dateiendung *.OPERATIONS, die häufig verwendete Werkzeugwegoperationen enthält, die Sie auswählen und in Ihre aktuelle Teiledatei importieren können.

  1. Klicken Sie im Werkzeugweg-Manager, auf das Symbol Dateien der Maschinengruppe.

  2. Klicken Sie im Bereich Operationsbibliothek auf das Ausrufezeichen-Symbol, um das Dialogfeld „Ändern der Operationsbibliothek“ zu öffnen.

  3. Klicken Sie bei Bedarf auf die Schaltfläche Blättern im oberen Bereich des Dialogfelds Ändern der Operationsbibliothek, um im Dialogfeld OP-Voreinstellung selektieren eine andere Operationsbibliothek zu laden.

  4. Sobald Sie die Operationsdatei geladen haben, können Sie:

    • die Voreinstellungsparameter einer bestimmten Operation aus der Liste bearbeiten, indem Sie auf ihr Parameter-Symbol klicken.

    3. die Operationsliste in ähnlicher Weise bearbeiten, wie im Werkzeugweg-Manager. Im Kontextmenü können Sie auf viele verschiedene Optionen, wie das Hinzufügen, Ändern und Löschen von Operationen zugreifen. Sie können auch andere Funktionen nutzen, die denen im Werkzeugweg-Manager ähneln, wie beispielsweise das Selektieren mehrerer Operationen, Operationen in der Liste via Drag and Drop verschieben und die Namen von Operationen ändern.

  5. Klicken Sie danach auf OK. Mastercam speichert die Datei automatisch. Die gerade bearbeitete OPERATIONS-Bibliothek wird dabei als aktuell aktive Bibliothek für diese Maschinengruppe festgelegt.

Siehe auch...

  • Eine neue Operationsbibliothek anlegen

  • Richtlinien für das Importieren von Werkzeugweg-Operationen

  • Werkzeugweg-Manager


Dialogfelder „Ändern der Operationsvoreinstellungen“ und „Ändern der Operationsbibliothek“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Benutzen Sie diese(s) Dialogfeld(er) zum Ändern von zwei unterschiedlichen Dateitypen:

  • Dateien mit Voreinstellungswerten für Werkzeugwegoperationen (*.DEFAULTS-Dateien)

  • Bibliotheken mit Operationen, die in Ihre Teiledatei importiert werden können (OPERATIONS-Dateien)

Gehen Sie im Operationslistenfenster so vor wie im Werkzeugweg-Manager. Öffnen Sie den Ordner einer Operation und klicken Sie zum Bearbeiten auf ihr Parameter-Symbol. Arbeiten Sie mit dem Kontextmenü, um neue Operationen in die Liste einzufügen oder ihre Darstellung zu ändern.

Definieren von Voreinstellungen für Maschinengruppen

Sie können in diesem Dialogfeld auch Voreinstellungen für Maschinengruppen definieren (z.B. ein Rohteilmaterial). Klicken Sie oberhalb der Operationsliste auf Dateien, WZ-Einstellungen oder Rohteileinstellungen.

Felder oder Einstellungen, deren Werte aus der Maschinen- oder Steuerungsdefinition stammen, können nicht bearbeitet werden und sind dann deaktiviert.

Optionen des Kontextmenüs (identisch mit dem Werkzeugweg-Manager)

Was möchten Sie tun?

  • Anlegen einer neuen Operationsvoreinstellungsdatei

  • Ändern einer Operationsvoreinstellungsdatei

  • Anlegen einer neuen Operationsbibliothek

  • Ändern einer Operationsbibliothek

Weitere Informationen zu...

  • Arbeiten mit Operationsvoreinstellungen

  • Richtlinien für das Importieren von Werkzeugweg-Operationen

  • Werkzeugweg-Manager


Ändern von Operationsvoreinstellungen mit dem Steuerungsdefinitions-Manager

Mastercam bietet zwei Methoden zum Zugriff auf Operationsvoreinstellungen.

  • Normalerweise greifen Sie über die „Eigenschaften der Maschinengruppe“ im Werkzeugweg-Manager darauf zu. Klicken Sie hier, um weitere Informationen dazu aufzurufen.

  • Sie können sie jedoch auch wie hier beschrieben vom Steuerungsdefinitions-Manager aus aufrufen. Dies kann die Arbeit erleichtern, wenn Sie maschinen- oder steuerungsspezifische Sätze von Werkzeugwegvoreinstellungen definieren.

  1. Klicken Sie in der Liste der Eigenschaftenseiten des Steuerungsdefinitions-Managers auf den Eintrag Operationsvoreinstellungen und dann auf die gewünschten Einheiten.

  2. Um eine andere *.DEFAULTS-Datei zu ändern, kicken Sie auf die Schaltfläche Blättern.

  3. Sollten Sie aufgefordert werden, die Änderungen in ihrer Original-Voreinstellungsbibliothek zu speichern, klicken Sie auf Nein.

  3. Bearbeiten Sie die Voreinstellungswerte der einzelnen Operationstypen, indem Sie auf ihr Parameter-Symbol klicken.

    2. Klicken Sie zum Hinzufügen einer neuen Operation mit der rechten Maustaste ins Fenster und wählen Sie sie im Menü. Neue Operationen werden wie im Werkzeugweg-Manager am Einfügepunkt erzeugt.

    3. Zum Löschen einer Operation klicken Sie sie an und drücken die Taste [Entf].

  4. Klicken Sie auf die Schaltfläche Voreinstellungen sichern, bevor Sie zu einer anderen Seite wechseln. Sie müssen auf diese Schaltfläche klicken, um Ihre neuen Voreinstellungen in der *.DEFAULTS-Datei zu speichern.

  5. (Optional) Rufen Sie nach dem Erstellen einer neuen *.DEFAULTS-Datei die Registerkarte Dateien (im Dialogfeld „Eigenschaften der Maschinengruppe“) auf, um diese Datei als Voreinstellung für neue Maschinengruppen zu definieren.

Siehe auch...

  • Ändern einer Operationsvoreinstellungsdatei anhand des Werkzeugweg-Managers

  • Arbeiten mit Operationsvoreinstellungen

  • Steuerungsdefinitions-Manager


Speichern von Voreinstellungswerten beim Erzeugen einer Operation

Speichern von Voreinstellungswerten bei der Werkzeugwegerzeugung

In Mastercam können auch während der Werkzeugweg-Erzeugung oder -Änderung Werte in der aktiven *.DEFAULTS-Datei gespeichert werden. So können Sie Werte direkt bei der Arbeit an Werkzeugwegen ausprobieren, testen und geeignete Werkzeugweg-Einstellungen als Voreinstellung speichern.

Wenn Sie in einem Dialogfeld mit Registerkarten arbeiten:

  1. Wählen Sie die Registerkarte Werkzeuge.

  2. Wählen Sie im Kontextmenü die Option Parameter als Voreinstellung sichern.

Klicken Sie in einem Dialogfeld mit Verzeichnisstruktur oben links in der Symbolleiste auf die Schaltfläche Parameter als Voreinstellung sichern.

Dies ist beim Erzeugen einer neuen oder beim Bearbeiten einer vorhandenen Operation möglich.

Hinweis: Dabei werden die Werte aller Registerkarten gespeichert, nicht nur die der Registerkarte mit den Werkzeugweg-Parametern oder der Registerkarte Werkzeuge.

Siehe auch...

  • Erzeugen einer neuen Operationsvoreinstellungsdatei (*.DEFAULTS)

  • Ändern einer Operationsvoreinstellungsdatei

  • Ändern von Operationsvoreinstellungen mit dem Steuerungsdefinitions-Manager

  • Arbeiten mit Operationsvoreinstellungen


Dialogfeld „Drucker“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Über dieses Dialogfeld drucken Sie die aktuell im Grafikfenster angezeigten Elemente aus. Dies können Sie durch heran- oder herauszoomen anpassen, oder indem Sie die Geometrie ans Grafikfenster anpassen. Außerdem wählen Sie hier den Drucker, blenden eine Druckvorschau ein oder rufen andere Dialogfelder zur Seiteneinrichtung und Einstellung von Druckereigenschaften auf. Auf der Eigenschaftenseite „Drucken“ des Dialogfelds „Systemkonfiguration“ richten Sie Programmvoreinstellungen für Attribute der Linienbreite und Druckoptionen ein.

Hinweise:

  • Nicht schattierte Art-Basisreliefs werden nicht ausgedruckt.

  • Der Druckmodus (Drahtgitter oder schattiert) basiert auf der aktuell eingestellten Darstellungsart, wie im Vorschau-Fenster zu sehen ist.

Tipps:

  • Verwenden Sie die linke Maustaste im Vorschau-Fenster, um die Geometrie zu verschieben.

  • Verwenden Sie das Mausrad im Vorschau-Fenster um genau wie im Grafikfenster heran- oder heraus zu zoomen. Wenn die Option Skaliere Bild auf markiert ist, ist Zoomen deaktiviert.

  • Verändern Sie die Begrenzung des Vorschau-Fensters indem Sie die Ränder mit der Maus beliebig bewegen. Das Bild bleibt weiterhin zentriert. Sie können für das Vorschau-Fenster auch über die Felder Abmaße (Millimeter) eine Größe angeben.

  • Drucken passt die aktuelle Ansicht an, nicht nur die Geometrie. Die Ansicht ist immer das, was im Grafikfenster gerade angezeigt wird.

  • Die Einstellungen werden in der Registry gespeichert, wenn Sie auf Druckvorschau oder OK klicken. Abbrechen hebt etwaige Änderungen auf. So bleiben die Einstellungen über mehrere Sitzungen einheitlich.

Weitere Informationen zu...

  • Verschieben

  • Zoom-Funktionen

  • Arbeiten mit Darstellungen


Dialogfeld „Linienbreitenattribute“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Beim Einrichten von Seiten zum Drucken können Sie in diesem Dialogfeld jeder Linienfarbe eine Linienbreite zuweisen.

In der Liste Farb-/Linienbreitenzuordnung sind Farben und Linienbreiten als Zahlen dargestellt. Wenn Sie eine Zeile markieren, werden die tatsächliche Farbe und die ihr zugeordnete Linienbreite in den entsprechenden Feldern unter der Liste angezeigt.

Hinweis: Farb-/Linienzuordnungen (Druckattribute) für den Programmstart können Sie auf der Eigenschaftenseite „Drucken“ des Dialogfelds „Systemkonfiguration“ definieren.

Weitere Informationen zu...

  • Dialogfeld „Drucker“


Optionsleiste „Verbinden/Blöcke“

Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Funktionen der Optionsleiste aufzurufen.

Diese Optionsleiste erscheint, wenn Sie anhand der Funktion Datei verbinden/Blöcke häufig verwendete Teilekomponenten importieren. Verwenden Sie diese Optionsleiste zum:

  • Positionieren der importierten Teilegeometrie.

  • Skalieren, Rotieren oder Spiegeln der importierten Geometrie.

  • Definieren, ob aktuelle Farb- und Layerattribute auf die importierten Elemente angewendet oder ihre Originalattribute beibehalten werden sollen.

Sie können diese Einstellungen wiederholt modifizieren und die Resultate im Grafikfenster betrachten. Wenn das gewünschte Resultat angezeigt wird, klicken Sie auf Zuweisen oder OK.

Hinweise:

  • Wenn Sie auf die Schaltfläche Aktuelle Attribute klicken, wird die Datei gedreht in die aktuelle Konstruktionsebene (KEbene) importiert. Andernfalls wird die Datei in der Ausrichtung importiert, in der sie gespeichert wurde.

  • Mit dieser Funktion verknüpfen Sie keine Einstellungen der Konfigurationsdatei. Einstellungen der Konfigurationsdatei können mit der Funktion „Verbinden“ (Schaltfläche unten links) im Dialogfeld „Systemkonfiguration“ verbunden werden.

  • Speichern Sie die Datei nach dem Importieren der Geometrie unter einem neuen Namen, um das Überschreiben der Originaldatei zu verhindern.

  • Enthält eine Datei Elemente in der Hintergrundfarbe, werden Sie in einer Meldung darauf hingewiesen. Daraufhin wird das Dialogfeld „Farbe“ eingeblendet, in dem Sie dann die Farbe dieser Elemente ändern können.

  • Sie können außerdem eine Mastercam-Datei (.mcx, .emcx, ect.) oder einen kompatiblen Drittanbieter-Dateityp (.dxf, .sldprt, ect.) per „[Strg] + Ziehen“ vom Windows-Explorer in eine geöffnete Mastercam-Datei ziehen, wodurch die Dateien zusammengeführt werden.


Skizzierer

Skizzierer ist die Sammelbezeichnung für verschiedene Funktionen in Mastercam X, mit denen geometrische Grundelemente dynamisch erzeugt werden können, d.h. über die Mausfunktionen im Grafikfenster. Unter Basisgeometrie versteht man: Punkte, Linien, Bögen, Splines, Rundungen, Fasen und Primitive. Nicht dazu gehören Funktionen wie: Zeichnen, X-Form (Transformieren) oder Ändern (Modifizieren).

Über die Symbolleiste „Skizzierer“ (siehe unten) kann die gesamte Basisgeometrie erzeugt werden.

Um ein Element zu skizzieren, wählen Sie den entsprechenden Elementtyp aus der Symbolleiste „Skizzierer“, stellen seine Optionsleisten- oder Dialogfeld-Optionen ein und skizzieren das Element im Grafikfenster. Bei vielen Geometrietypen können Elemente auch mithilfe der Funktionen des „AutoCursors“ erzeugt und bearbeitet werden.

Hinweis: Nutzen Sie zum Aufruf einer Funktion, während ein andere Funktion aktiv ist, den Unterbrechungsmodus von Mastercam. Mit diesem Modus können Sie eine Funktion anhalten, eine neue Funktion ausführen und dann mit der ersten Funktion dort fortfahren, wo sie angehalten wurde.

Siehe auch...

  • Optionsleisten

  • Optionsleiste „AutoCursor“

  • Optionsleiste „Allgemeine Selektion“


Aktive, fixierte und durchsichtige Elemente

In Mastercam besitzen Elemente drei Zustände: Aktiv, fixiert und durchsichtig.

Nach dem Erzeugen eines Elements mit einer der Skizzierer-Funktionen bleibt das Element so lange aktiv, bis Sie die Funktion beenden, eine neue Funktion aufrufen oder mit dem Erzeugen eines weiteren Elements beginnen. Aktive Elemente sind mit einer bestimmten Farbe (eingestellt im Dialogfeld „Systemfarben“) kenntlich gemacht. Die Farbe des aktiven Elements ändert sich wieder zur normalen Elementfarbe, sobald das Element fixiert wird. Ein aktives Element kann mit den Tools der Skizzierer-Optionsleiste oder des entsprechenden Dialogfelds bearbeitet werden.

Wenn Sie mit dem Erzeugen eines weiteren Elements beginnen oder die Funktion beenden, wird das Element fixiert. Wenn ein Element fixiert wird, ist es nicht länger durch die Optionsleiste oder das Dialogfeld editierbar. Wenn Sie fixierte Elemente bearbeiten wollen, müssen Sie die Analysefunktion von Mastercam benutzen.

Wenn Sie Elemente dynamisch erzeugen, werden Sie mit einer gestrichelten weißen Linie gezeichnet. In diesem Zustand werden sie als durchsichtig bezeichnet. Wenn Sie die finale Position zur Erzeugung des Elements verwenden, wird das Element aktiv.

Siehe auch...

  • Skizzierer

  • Dialogfeld „Farben“

  • Eigenschaftenseite „Farben“

  • Benutzung der Analysefunktion


Optionsleiste „Bogenendpunkte“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste, um Bögen mit definierten Endpunkten und einem Randpunkt zu erzeugen. Klicken Sie zum Festlegen der Endpunkte und und des Randpunktes in das Grafikfenster.

Alternativ dazu können Sie auch manuell Werte in die Felder der Optionsleiste eingeben und sie sperren, den Startpunkt im Grafikfenster markieren und dann den zweiten Punkt zum Positionieren des Bogens. Bei dieser Methode erzeugt Mastercam zwei Kreise mit vier möglichen Bogensegementen und Sie werden aufgefordert, den Bogen zu wählen, den Sie behalten möchten.

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder des AutoCursors zum Positionieren beliebiger oder aller drei Randpunkte des Bogens.

Sie können Bögen auch tangential zu Kurven und Punkten erzeugen. Weitere Informationen dazu finden Sie unter Richtlinien zum Erzeugen von Tangentialbögen an Elementen.

Hinweise:

  • Wenn die Schaltfläche „Tangente“ gedrückt ist, können für die ersten beiden Positionen beliebige Punkte markiert werden, für die dritte jedoch nur ein Element. An diesem Element liegt der erzeugte Bogen dann an.

  • Mastercam berechnet Bögen in Richtung des Gegen-Uhrzeigersinns.

  • Es können nicht mehr als zwei gewählte Punkte kollinear sein.

  • Falls der Radius zu klein sein sollte, wird eine Fehlermeldung ausgegeben.

  • Rufen Sie zum Ändern der Start- und Endwinkel des Bogens die Funktion Analyse oder Trimmen/Trennen/Verlängern auf.

Was möchten Sie tun?

  • Einen Bogen (Kreis) anhand definierter Endpunkte erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Bogen – Polarendpunkt“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste zum Erzeugen von Polarbögen, entweder von einem definierten Start- oder einem Endpunkt aus. Klicken Sie in das Grafikfenster, um den ersten Punkt festzulegen und geben Sie dann Werte in die Felder der Optionsleiste ein, um den Radius/Durchmesser, den Startwinkel und den Endwinkel zu definieren.

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder des AutoCursors zum Positionieren des ersten Randpunktes des Bogens.

Was möchten Sie tun?

  • Einen Polarbogen von einem definierten Punkt aus erzeugen

  • Einen Polarbogen erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Bogen – Polar“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Polarbögen erzeugen. Klicken Sie in das Grafikfenster, um einen Zentrumspunkt festzulegen und klicken Sie dann zum Festlegen zweier Randpunkte, die den Radius, den Startpunkt und den Endwinkel definieren. Wenn Sie den ersten Randpunkt mit einem Doppelklick markieren, werden Sie nicht zur Auswahl eines zweiten Randpunkts aufgefordert, und ein Vollkreis wird erzeugt.

Alternativ dazu können Sie auch manuell Werte in die Felder der Optionsleiste eingeben, um Größe, Start- und Endwinkel des Kreises festzulegen.

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder des AutoCursors zum Positionieren beliebiger oder aller drei Punkte des Bogens oder zweier Randpunkte und des Zentrumspunktes.

Sie können Bögen auch tangential zu Kurven und Punkten erzeugen. Weitere Informationen dazu finden Sie unter Richtlinien zum Erzeugen von Tangentialbögen an Elementen.

Hinweise:

  • Wenn die Schaltfläche „Tangente“ gedrückt ist, kann für den ersten Randpunkt (Radius und Bogen-Startpunkt) nur ein Element markiert werden. An diesem Element liegt der erzeugte Bogen dann an.

  • Sie können einen Vollkreis erzeugen, indem Sie 0 für den Startwinkel und 360 für den Endwinkel eingeben.

  • Mastercam berechnet Bögen in Richtung des Gegen-Uhrzeigersinns. Sie können diese Richtung ändern, indem Sie auf die Schaltfläche „Umschalten“ klicken. Andernfalls können Sie auch den Mauszeiger durch den Startwinkel ziehen um die Richtung zu ändern.

  • Es können nicht mehr als zwei gewählte Punkte kollinear sein.

Was möchten Sie tun?

  • Einen Polarbogen erzeugen

  • Einen Polarbogen von einem definierten Punkt aus erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Bogen – Tangential“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste zum Erzeugen von Bögen mit den folgenden Tangentialbedingungen:

1 Element (Tangential zu einem anderen Element) | Tangential zu 3 Elementen
Tangential durch Punkt | Kreis, tangential zu drei Elementen
Tangential zu einer Zentrumslinie | Tangential zu zwei Elementen
Dynamisch tangential |

  1. Geben Sie einen Wert ins Feld Radius oder Durchmesser ein, um die Größe des Bogens einzustellen.

  2. Wählen Sie die gewünschte Tangentialbedingung.

  3. Folgen Sie den Anweisungen, um den Bogen zu erzeugen. Unter bestimmten Bedingungen zeigt Mastercam vier mögliche Bogensegmente an, und Sie werden aufgefordert, den gewünschten Bogen zu wählen.

Wenn Sie Bögen (einschließlich Kreise) tangential zu zwei oder drei Elementen erzeugen, müssen Sie im Grafikfenster Elemente auswählen. Das heisst, Sie können in die AutoCursor-Optionsleiste keine Werte eingeben.

Weitere Informationen zu Tangentialbögen finden Sie unter Richtlinien für die Erzeugung von Tangentialbögen an Elementen.

Hinweise:

  • Mastercam berechnet Bögen in Richtung des Gegen-Uhrzeigersinns.

  • Wenn Linien zum Erzeugen eines Bogens gewählt werden, dürfen diese Linien nicht parallel zueinander liegen (es sei denn, Sie erzeugen einen Bogen, der tangential zu drei Elementen ist).

Was möchten Sie tun?

  • Einen Tangentialbogen erzeugen

  • Einen Bogen anhand von drei Punkten erzeugen

  • Einen Bogen (Kreis) anhand definierter Endpunkte erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Bogen – 3 Punkte“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Dreipunktbögen erzeugen. Klicken Sie ins Grafikfenster, um die drei Randpunkte festzulegen.

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder des AutoCursors zum Positionieren beliebiger oder aller drei Randpunkte des Bogens.

Sie können Bögen auch tangential zu Kurven und Punkten erzeugen. Weitere Informationen dazu finden Sie unter Richtlinien zum Erzeugen von Tangentialbögen an Elementen.

Hinweise:

  • Mastercam berechnet Bögen in Richtung des Gegen-Uhrzeigersinns.

  • Es können nicht mehr als zwei gewählte Punkte kollinear sein.

Was möchten Sie tun?

  • Einen Bogen anhand von drei Punkten erzeugen

  • Einen Bogen (Kreis) anhand definierter Endpunkte erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Richtlinien zum Erzeugen von Bögen, die tangential zu Elementen liegen

Nachfolgend sind Richtlinien zum Erzeugen von Bögen aufgeführt, die tangential zu Elementen liegen:

  • Wenn Sie einen Punkt für einen Bogen eingeben, der tangential zu ihm liegen soll und dieser Punkt nicht auf der/dem ausgewählten Linie oder Bogen liegt, projiziert Mastercam den Punkt in Richtung des Normalenvektors des gewählten Elementes.

  • Bögen können auf der Verlängerung eines gewählten Elementes erzeugt werden.

  • Wenn ein Kreis tangential zu zwei Kurven erzeugt wird, muss der Radius des Kreises größer oder gleich der Hälfte des Abstands zwischen den nahegelegensten Punkten auf den beiden Kurven sein.

  • Arbeiten Sie mit der Funktion Bogen – 3 Punkte, um einen tangentialen Bogen zwischen parallelen Linien zu erzeugen.

  • Beim Erzeugen eines Tangentialbogens an eine Linie oder einen Bogen mit einem definierten Randpunkt, muss der Radius des Bogens größer oder gleich der Hälfte des Abstands zwischen dem markierten Element und dem Punkt an der engsten Stelle dazwischen sein.

Siehe auch...

  • Optionsleisten

  • Skizzierer


Optionsleiste „Kreis – Zentrumspunkt“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste zum Erzeugen von Vollkreisen von einem Zentrumspunkt aus. Klicken Sie in das Grafikfenster, um einen Zentrumspunkt festzulegen und klicken Sie dann erneut, um einen Randpunkt zu definieren.

Alternativ können Sie entweder in das Radius- oder das Durchmesser-Feld einen Wert eingeben, um die Größe des Kreises festzulegen. Klicken Sie dann ins Grafikfenster, um den Zentrumspunkt zum Positionieren des Kreises zu definieren.

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder im AutoCursor zum Positionieren des Zentrumspunktes und/oder des Randpunktes des Bogens.

Sie können Kreise auch tangential zu anderen Elementen erzeugen. Weitere Informationen dazu finden Sie unter Richtlinien zum Erzeugen von Tangentialbögen an Elementen.

Hinweis: Mastercam berechnet Kreise im Gegenuhrzeigersinn.

Was möchten Sie tun?

  • Einen Kreis um einen Zentrumspunkt erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kreis – Randpunkt“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste zum Erzeugen von Kreisen mit zwei oder drei Randpunkten. Um Kreise mit zwei Randpunkten zu erzeugen, klicken Sie zuerst auf die Schaltfläche Zwei Punkte (standardmäßig ausgewählt). Klicken Sie dann ins Grafikfenster, um den ersten Randpunkt auszuwählen und klicken dann erneut, um den zweiten auszuwählen. Mastercam erzeugt den Kreis mit den beiden Punkten, die als „Äquator“ fungieren.

Klicken Sie zum Erzeugen eines Dreipunktkreises auf die Schaltfläche 3 Punkte und dann im Grafikfenster auf den ersten, zweiten und dritten Randpunkt.

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder des AutoCursors zum Positionieren beliebiger oder aller drei Randpunkte des Bogens.

Sie können auch Tangentialkreise an Kurven erzeugen. Weitere Informationen dazu finden Sie unter Richtlinien zum Erzeugen von Tangentialbögen an Elementen.

Hinweise:

  • Mastercam berechnet Kreise im Gegenuhrzeigersinn.

  • Wenn Sie einen Kreis mit drei Randpunkten erzeugen, können nicht mehr als zwei ausgewählte Punkte kollinear sein.

Was möchten Sie tun?

  • Einen Kreis anhand von Endpunkten erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


(Entwerfen) Punkt: Endpunkte

Benutzen Sie diese Funktion zum Erzeugen von Punktelementen auf den Endpunkten aller sichtbaren Linien, Bögen/Kreisen und Splines. Die Punkte werden dabei direkt nachdem Sie auf Entwerfen, Punkt, Endpunkte geklickt haben erzeugt. Dies ist besonders hilfreich, wenn Sie die Konturen/Begrenzungen eines einzelnen Geometrieelements in einer Geometriekette bestimmen müssen.

Weitere Informationen zu...

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Erzeugen eines Schneidepunkts

Erzeugen Sie mithilfe dieser Funktion ein Schneidepunktelement. Klicken Sie auf Schneidepunkt und dann ins Grafikfenster, um den Punkt zu platzieren.

Schneidepunkte bestimmen die Stelle, an der die Drahterodiermaschine den Draht schneidet (trennt), bevor zu einer neuen Startposition gefahren wird.

Was möchten Sie tun?

  • Einen Schneidepunkt erzeugen

  • Einen Einfädelpunkt erzeugen

Weitere Informationen zu...

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Erzeugen eines Einfädelpunkts

Erzeugen Sie mithilfe dieser Funktion ein Einfädelpunktelement. Klicken Sie auf Einfädelpunkt und dann ins Grafikfenster, um den Punkt zu platzieren.

Ein Einfädelpunkt dient zur Angabe der Position, an der eine Drahtmaschine den Draht einfädelt. Von der Einfädelposition aus bewegt sich der Draht anhand der Ein-/Ausfahrtparameter in Richtung Werkzeugwegkettenanfang.

Was möchten Sie tun?

  • Einen Einfädelpunkt erzeugen

  • Einen Schneidepunkt erzeugen

Weitere Informationen zu...

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurve – Konstantparameter“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie einzelne Kurven auf einer Fläche erzeugen. Bei NURBS und parametrische Spline-Flächen werden exakte Kurven erzeugt. Bei allen anderen Flächentypen werden kubische NURBS-Kurven erzeugt, die an die Sehnentoleranz angepasst sind.

Die Optionen in dieser Optionsleiste bestimmen die Qualität der Kurve und wie genau die Kurve mit der Fläche oder dem Solid übereinstimmt, auf der/dem sie erzeugt wurde.

Bestimmen Sie die Kurvenqualität und wählen Sie im Grafikfenster eine Fläche aus. Nach Auswahl der Fläche zeigt Mastercam einen dynamischen Pfeil auf der Fläche an. Sie können den Pfeil zu dem Punkt auf der Fläche verschieben, an dem die Kurve erzeugt werden soll.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Eine Kurve mit konstanten Parametern erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurve – Dynamisch“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Kurven auf Flächen erzeugen.

  1. Markieren Sie die Fläche, auf der die Kurve erzeugt werden soll. Ein dynamischer Pfeil wird eingeblendet.

  2. Erzeugen Sie die Kurvenendpunkte und alle weiteren Punkte entlang der Kurve.

  3. Um die Kurve fertigzustellen, führen Sie auf dem letzten Endpunkt einen Doppelklick aus oder drücken Sie [Enter]. Die Kurve erscheint und bleibt aktiviert.

  4. Solange die Kurve aktiviert ist, können Sie die Sehne ändern, jedoch nicht die Endpunktpositionen.

Hinweise:

  • Die erzeugte Kurve verläuft in der Reihenfolge durch die Punkte, in der Sie sie eingeben. Sie müssen mindestens zwei Punkte eingeben; Einen für jeden Kurvenendpunkt.

Was möchten Sie tun?

  • Eine dynamische Kurve erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurve – Flowline“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Flowline-Kurven auf Flächen erzeugen. Bei NURBS und parametrische Spline-Flächen werden exakte Kurven erzeugt. Bei allen anderen Flächentypen werden kubische NURBS-Kurven erzeugt, die an die Sehnentoleranz angepasst sind.

Die Optionen in dieser Optionsleiste legen die Anzahl der Kurven fest, die erzeugt werden sollen und wie genau die Kurven mit den Flächen übereinstimmen, auf denen sie erzeugt werden.

Wählen Sie die Kurvenquantität und -qualität und wählen Sie eine Fläche im Grafikfenster. Sobald Sie die Fläche auswählen, werden die Kurven erzeugt und bleiben aktiv. Solange die Kurven aktiviert sind, können Sie sowohl die Anzahl (Kurvenstückzahl) als auch die Flächenanpassung der Kurven verändern.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Eine Flowline-Kurve erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurve – Verschneidung“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Kurven an den Überschneidungen (Verschneidungen) zwischen zwei Flächensätzen erzeugen. Mastercam paart alle Elemente des ersten Satzes mit allen Elementen des zweiten und erzeugt Kurven an den Schnittbereichen.

Hinweise:

  • Wenn Sie die Optionsleiste zuerst öffnen, wird es deaktiviert und Sie werden aufgefordert, den ersten Flächensatz auszuwählen. Nach der Auswahl des Flächensatzes drücken Sie [Enter], wählen den zweiten Flächensatz aus und drücken erneut [Enter]. Nur dann ist es ihnen möglich, die Felder und Schaltflächen der Optionsleiste zu verwenden.

  • Wenn Sie nur Flächen schneiden möchten, können Sie sie in einem Satz mit mindestens zwei Flächen auswählen. In diesem Fall versucht Mastercam Kurven zu erzeugen, indem es jede einzelne Fläche mit jeder anderen Fläche im Satz paarweise zusammenstellt. Unter bestimmten Umständen kann die Arbeit mit einem einzelnen Flächensatz jedoch mehr Zeit in Anspruch nehmen. Wenn ihr Flächensatz beispielsweise mehrere Wandflächen und eine einzige Bodenfläche enthält, sucht das System nach Überschneidungen zwischen allen Wänden und dem Boden. Wählen Sie jedoch die Wände als einen Flächensatz und den Boden als den zweiten, sucht Mastercam nur nach Überschneidungen zwischen den einzelnen Wänden und dem Boden.

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

Was möchten Sie tun?

  • Kurven an Flächenverschneidungen erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurve - Formtrennlinie“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste Formtrennlinien-Kurven. Diese Optionsleiste bietet Optionen, die die Qualität der Kurve und deren Winkel bestimmen.

Hinweise:

  • Diese Funktion wird häufig im Formenbau verwendet.

  • Diese Funktion verwendet die Konstruktionsebene, um zu bestimmen welche Linie(n) erzeugt werden sollen.

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

Was möchten Sie tun?

  • Eine Formtrennkurve erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurven auf allen Rändern“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Kurven auf allen Rändern einer Fläche, eines Solidkörpers oder einer Solidfläche erzeugen. Wenn Sie alle Ränder auswählen, besitzen Sie außerdem die Option, dass Kurven nur auf Rändern erzeugt werden, die nicht für eine andere Kurve verwendet werden (offene Ränder).

  • Bei ungetrimmten NURBS- und parametrischen Spline-Flächen werden nach Möglichkeit exakte Kurven erzeugt. Für alle anderen Flächentypen werden Kurven erzeugt, die an die Sehnentoleranz angepasst sind.

  • Bei getrimmten Flächenrändern wird eine kubische NURBS-Kurve erzeugt, die an die Sehnentoleranz angepasst ist. Benutzen Sie die Schaltfläche Bögen und Linien anpassen um an möglichen Stellen solche zu erstellen.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Eine Kurve auf allen Rändern erzeugen

  • Eine Kurve auf einem einzelnen Flächenrand erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kurve auf einem Rand“

Benutzen Sie diese Optionsleiste zur Erzeugung einer Kurve auf einem einzelnen Flächenrand.

Ziehen Sie nach Auswahl einer Fläche den dynamischen Pfeil zu dem Rand, auf dem die Kurve erzeugt werden soll. Geben Sie dann einen Wert ins Feld Trennwinkel ein und drücken Sie [Enter].

Mastercam sucht die gerade Linie des Flächenrands ab, und berechnet das Ende des Rands an der Position, an der die Linie um einen Wert größer oder gleich dem definierten Trennwinkel die Richtung ändert.

  • Bei ungetrimmten NURBS- und parametrischen Spline-Flächen werden nach Möglichkeit exakte Kurven erzeugt. Für alle anderen Flächentypen werden Kurven erzeugt, die an die Sehnentoleranz angepasst sind.

  • Bei getrimmten Flächenrändern wird eine kubische NURBS-Kurve erzeugt, die an die Sehnentoleranz angepasst ist. Benutzen Sie die Schaltfläche Bögen und Linien anpassen um an möglichen Stellen solche zu erstellen.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Eine Kurve auf einem einzelnen Flächenrand erzeugen

  • Eine Kurve auf allen Rändern erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Schnittkurve“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste zur Erzeugung von Kurven auf Flächen und zum Erzeugen von Punkten auf Kurven. Stellen Sie alle Optionen in der Optionsleiste ein, drücken Sie [Enter], wählen Sie die Fläche und drücken Sie auf Zuweisen. Solange die Kurven oder Punkte aktiviert sind, können Sie jede Einstellung ändern und sehen, wie sich die Elemente dynamisch ändern. Drücken Sie danach erneut auf [Enter], um die Kurven oder die Punkte zu fixieren.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Eine Schnittkurve erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Erzeugen einer Flächenkurve

Erzeugen Sie mithilfe dieser Funktion Flächenkurven. Wenn Sie diese Funktion aufrufen, erscheint zwar keine Optionsleiste, die Funktion Flächenkurve ist jedoch aktiviert und Sie werden aufgefordert eine Fläche auszuwählen, auf der Sie die Kurve erzeugen möchten. Die Kurve wird automatisch als fixiertes Element erzeugt und die Funktion wird beendet.

Hinweis: Falls keine Kurven vorhanden sind, bricht Mastercam diese Funktion ab und wechselt in den Modus „Allgemeine Selektion“.

Weitere Informationen zu...

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Endpunkte zeigen

Mit dieser Funktion blenden Sie die Endpunkte aller Elemente ein. Mastercam erzeugt dann temporäre Punkte, die solange sichtbar bleiben, bis Sie [Enter] drücken oder eine andere Funktion aufrufen. Mastercam erzeugt dabei keine wirklichen Punktelemente.

Weitere Informationen zu...

  • (Entwerfen) Punkt: Endpunkte

  • Ausblenden und Verbergen (Hide) von Elementen

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Endpunktlinie“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste Linien mit zwei Endpunkten. Klicken Sie ins Grafikfenster, um die beiden Endpunkte festzulegen. Alternativ können Sie Werte in die Felder für die Länge und den Winkel eingeben und dann in das Grafikfenster klicken, um die Linie zu positionieren.

Mit dieser Funktion können Sie Werte in die X-, Y- und Z-Felder im AutoCursor eingeben, um einen oder beide Linienendpunkte zu positionieren. Wenn Mehrfachlinien-Elemente erzeugt werden, können Sie Werte in die X-, Y- und Z-Felder im AutoCursor zum Positionieren beliebiger oder aller Endpunkte eingeben.

Benutzen Sie diese Optionsleiste zum Erzeugen der folgenden Linientypen:

Winklig und Polar

Um eine Linie mit einem bestimmten Winkel zu erzeugen, ist es am einfachsten, wenn Sie den gewünschten Winkel manuell in die Felder „Länge“ und „Winkel“ eingeben, bevor Sie die Linie erzeugen. Um mehrere Linien unter einem bestimmten Winkel zu erzeugen, muss das Feld „Winkel“ hart gesperrt werden.

Sie können in diesem Feld polare Winkel einstellen. Der Winkel wird im Gegenuhrzeigersinn von der positiven horizontalen Achse berechnet, die durch den bekannten Punkt in der aktuellen Konstruktionsebene verläuft. Zur Berechnung von Winkeln im Uhrzeigersinn müssen Sie einen negativen Wert eingeben.

Für „winklige“ (schräge) Linien können Sie den AutoCursor auch so einstellen, dass er den Winkel der Linie anhand der Gradzahl fängt, während der zweite Endpunkt ausgewählt wird. Dies wird als „Winkelmodus“ bezeichnet. Öffnen Sie dazu das Dialogfeld „AutoCursor“ (indem Sie in der Optionsleiste „AutoCursor“ auf „Konfiguration“ [image] klicken), aktivieren Sie die Option „Winkel“ und geben Sie im Feld daneben den gewünschten Winkel ein (siehe unten).

Dieser Winkelmodus bleibt eingestellt, bis Sie ihn manuell ändern.

Horizontal und Vertikal

Benutzen Sie die Schaltflächen „Vertikal“ und „Horizontal“ (siehe unten), um schnell und einfach nur horizontale oder vertikale Linien zu erzeugen. Wenn Sie eine dieser Schaltflächen drücken, wird die Linie entweder als vertikale oder horizontale Linie erzeugt.

– Schaltfläche Vertikal

– Schaltfläche Horizontal

Sie können horizontale und vertikale Linien auch mithilfe der visuellen Hinweise von Mastercam erzeugen. Klicken Sie zur Definition des ersten Endpunkts und beginnen Sie mit dem Erzeugen der Linie. Wenn die Linie sich einer horizontalen Position nähert, erscheint das visuelle Zeichen H„Horizontal/Vertikal“ (siehe unten) neben dem Cursor und Sie können zum Fangen des Endpunktes auf diese Position klicken.

Sie können den AutoCursor auch so einstellen, dass er den Winkel der Linie anhand von 90 Grad-Schritten fängt. Nachdem Sie zum Erzeugen auf den ersten Endpunkt geklickt haben, springt Ihre Linie leicht auf horizontale und vertikale Positionen. Dies wird als „Winkelmodus“ bezeichnet. Öffnen Sie dafür das AutoCursor-Dialogfeld und stellen Sie im Winkelfeld den Fangwinkel ein (siehe unten).

Dieser Winkelmodus bleibt eingestellt, bis Sie ihn manuell ändern.

Mehrfachlinien (die an ihren Endpunkten verbunden sind)

Klicken Sie zum Erzeugen mehrerer verbundener Linien auf die Schaltfläche „Mehrfachlinie“ (so dass sie „gedrückt“ angezeigt wird) und dann im Grafikfenster auf die einzelnen Endpunkte der verbundenen Linien; klicken Sie dann doppelt auf den letzten Endpunkt oder drücken Sie [Esc], um die Linie zu fertigzustellen.

Tangente

Sie können Linien erzeugen, die tangential an Bögen und Splines anliegen. Diese Linien können tangential unter einem Winkel oder zu Bögen sein. Die „Automatische Vorschau“ in Mastercam zeigt Ihnen, an welcher Stelle der Einheit die Linie erstellt wird.

Hinweis: Wenn Sie tangentiale Linien erzeugen (auch Linien, die senkrecht zu einer Linie und tangential zu einem Bogen liegen), können Sie die Linien auf einer Verlängerung des markierten Elements erzeugen.

Tastenkürzel

1 – Endpunkt 1 ändern (ändert den ersten Endpunkt)

2 – Endpunkt 2 ändern (ändert den zweiten Endpunkt)

M – Mehrfachlinie (verbindet Mehrfachlinien, die an Endpunkten verbunden sind)

L – Länge (definiert die Linienlänge)

W – Winkel (definiert den Polarwinkel)

V – Vertikal

I – Horizontal

T – Tangente (erzeugt Linien tangential an einem Bogen)

Z – Zuweisen

O – OK (fixiert aktive Elemente und beendet die Funktion)

Was möchten Sie tun?

  • Eine Linie anhand von zwei Endpunkten erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Linie – Winkelhalbierende“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste zum Erzeugen einer Winkelhalbierenden zwischen zwei existierenden Linien. Bei 4 markierten Lösungen werden mehrere mögliche Winkelhalbierende erzeugt und Sie werden aufgefordert, die gewünschte zu wählen.

Um die Länge der Winkelhalbierenden einzustellen, geben Sie in das Feld Länge einen Wert ein, drücken [Enter] und wählen dann die beiden Linien aus, zwischen denen eine Winkelhalbierende erzeugt werden soll. Solange die Winkelhalbierende noch aktiv ist, können Sie im Feld „Länge“ andere Werte eingeben, um die Länge zu ändern.

Hinweise:

  • Um diese Optionsleiste zu verwenden, müssen sich mindestens zwei existierende Linien im Grafikfenster befinden.

  • Bei sich überschneidenden Linien erzeugt Mastercam eine Winkelhalbierende. Bei parallelen Linien erzeugt Mastercam eine Mittellinie, die in der Mitte zwischen dem Startpunkt der zuerst gewählten Linie und dem nächsten Endpunkt der zweiten gewählten Linie beginnt.

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

Was möchten Sie tun?

  • Eine Winkelhalbierende erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


(Entwerfen) Linie: Kürzeste Verbindung

Benutzen Sie diese Funktion zum Erzeugen einer Linie am nahegelegensten Punkt zwischen zwei Elementen. Wenn Sie diese Funktion aufrufen, erscheint keine Optionsleiste, die Funktion „Kürzeste Verbindung“ ist jedoch aktiviert und Sie können eine Linie erzeugen. Wenn Sie das zweite Element auswählen, wird die Linie automatisch als fixiertes Element erzeugt und die Funktion wird beendet.

Hinweise:

  • Um diese Funktion zu verwenden, müssen sich mindestens zwei existierende Elemente (Linien, Bögen oder Splines) im Grafikfenster befinden.

  • Die Funktion AutoCursor ist während der Verwendung dieser Funktion nicht verfügbar.

Was möchten Sie tun?

  • Eine kürzeste Verbindungslinie zwischen zwei Elementen erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Linie – Parallel“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mithilfe dieser Optionsleiste können Sie eine Linie erzeugen, die parallel zu einer vorhandenen Linie verläuft. Markieren Sie eine vorhandene Linie und klicken Sie auf einen Punkt im Grafikfenster, durch den die parallele Linie verlaufen soll.

Diese Option erzeugt eine Linie parallel zu einer anderen Linie und tangential zu einem Bogen, indem Sie eine vorhandene Linie und dann einen Bogen markieren.

Obwohl die parallele Linie aktiviert ist, kann nur der Abstand zwischen ihr und der Originallinie verändert werden, nicht die Linienlänge. Standardmäßig besitzt die parallele Linie dieselbe Länge wie die originale Linie. Um eine andere Länge für die parallele Linie einzustellen, benutzen Sie das Dialogfeld „Linieneigenschaften“ der Analysefunktion.

Hinweise:

  • Um diese Optionsleiste zu verwenden, muss sich mindestens eine existierende Linie im Grafikfenster befinden.

  • Der Abstand zwischen den beiden Linien kann vor dem Erzeugen der parallelen Linie eingestellt und danach verändert werden.

  • Beim Erzeugen von tangentialen Linien können Sie die Linie auf einer Verlängerung des gewählten Elements erzeugen.

  • Die Verwendung des AutoCursor ist nur dann möglich, wenn Sie den ersten Endpunkt eines aktiven Elementes bearbeiten.

Was möchten Sie tun?

  • Eine parallele Linie erzeugen

  • Eine lotrechte Linie erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Lotrechte Linie“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste eine Linie, die lotrecht zu vorhandenen Elementen verläuft. Klicken Sie zur Auswahl des ersten Endpunkts der Linie auf eine vorhandene Linie, einen Bogen oder einen Spline. Die dann eingeblendete Linie können Sie dynamisch an die gewünschte Position verschieben. Klicken Sie zur Auswahl des zweiten Endpunkts erneut ins Grafikfenster.

Durch Klicken auf die Schaltfläche „Tangente“ erzeugen Sie eine Linie, die sowohl lotrecht zu einer Linie verläuft als auch tangential an einem Bogen anliegt. Markieren Sie dazu zuerst eine Linie oder einen Bogen. Markieren Sie dann eine zweite Linie oder einen Bogen. (Markieren Sie dabei einen Bogen, wenn Sie zuerst eine Linie markiert haben, und einen Bogen wenn das erste Element eine Linie ist.) Wenn Sie auf das zweite Element klicken, erzeugt Mastercam mehrere mögliche Linien, und fordert Sie auf, die gewünschte zu wählen.

Geben Sie zum Einstellen der Länge der lotrechten Linie ins Feld „Länge“ einen Wert ein, drücken Sie [Enter] und markieren Sie dann die beiden vorhandenen Elemente. Solange die senkrechte Linie aktiv bleibt, können Sie auch das Feld „Länge“ verwenden, um dessen Länge zu ändern.

Hinweise:

  • Um die Tangential-Funktion dieser Optionsleiste verwenden zu können, müssen sich mindestens zwei Elemente im Grafikfenster befinden, wovon eins ein Bogen sein muss.

  • Wenn Sie Linien senkrecht auf Bögen oder Splines erzeugen, wählen Sie das Element, indem Sie in die Nähe des Punktes klicken, von dem die senkrechte Linie ausgehen soll. Wenn Sie nicht in die Nähe der gewünschten Startposition klicken, können ünerwünschte Resultate auftreten. Beispiel: Wenn Sie eine Linie lotrecht zu einem Kreis erzeugen und der Startpunkt der Linie soll in einem der beiden oberen Quadranten liegen, erzwingt die Auswahl des Kreises in einem unteren Quadranten den Startpunkt der Linie auf eine Position im unteren Kreisbereich.

  • Beim Erzeugen von lotrechten Linien auf Bögen, kann die Linie auf einer Verlängerung des markierten Bogens erzeugt werden.

  • Nach dem Auswählen der Schaltfläche „Endpunkt 1 ändern“, ist der AutoCursor für eine Neupositionierung des Endpunkts verfügbar.

Was möchten Sie tun?

  • Eine lotrechte Linie erzeugen

  • Eine parallele Linie erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Tangentiale Linie“

Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Funktionen der Optionsleiste aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste eine Linie, die tangential an einem Bogen, Kreis oder Spline anliegt.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Linie, Tangential durch Punkt.

  2. Markieren Sie einen Bogen, Kreis oder Spline.

  3. Markieren Sie den Berührungspunkt (den ersten Endpunkt der Linie).

  4. Markieren Sie den zweiten Endpunkt der Linie oder geben Sie eine Linienlänge ein.

Hinweise:

  • Wenn das Feld „Länge“ gesperrt ist, erzeugt Mastercam zwei Tangenten und fordert Sie auf, die gewünschte zu wählen.

  • Wenn Sie einen Tangentenpunkt markieren, der nicht dem zuvor markierten Bogen oder Kreis liegt, verschiebt Mastercam den Punkt darauf. Dies geschieht durch Projektion des gewählten Punktes längs eines Vektors, der von dem Punkt durch den Zentrumspunkt des Bogens/Kreises verläuft.

  • Wenn Sie einen Tangentenpunkt markieren, der nicht auf einem zuvor markierten Spline liegt, verschiebt Mastercam den Punkt auf den Spline. Dabei wird der markierte Punkt mithilfe der Funktion „Nächstgelegenen“ projiziert.

  • Nachdem Sie auf die Schaltfläche „Endpunkt 1 ändern“ oder „Endpunkt 2 ändern“ geklickt haben, können Sie den Endpunkt mithilfe des AutoCursors neupositionieren.

Weitere Informationen zu...

  • Skizzierer

  • Optionsleisten

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Punkt“

Optionsleiste „Punktposition“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste einen Punkt. Sie können die Position eines Punktes so lange verändern, wie er aktiv ist.

Anhand dieser Funktion können Sie Werte in die X-, Y- und Z-Felder des AutoCursor-Dialogfelds eingeben, um den Punkt zu positionieren.

Die Optionsleiste „Punkt“ wird angezeigt, wenn Sie die Funktionen Punkt Position, Einfädelpunkt (Drahten) oder Schneidepunkt (Drahten) aufrufen.

Was möchten Sie tun?

  • Einen Punkt erzeugen

  • Einen Einfädelpunkt erzeugen

  • Einen Schneidepunkt erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Punkt Dynamisch“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste Punkte oder Linien an beliebigen Positionen auf vorhandenen Elementen. Wenn Sie im Grafikfenster ein Element auswählen, erscheint ein dynamischer Pfeil. Normale Informationen werden in der Optionsleiste ebenfalls in Vektorform angezeigt. Sie können den Mauszeiger dann auf dem Element verschieben und klicken, um property page fieldsbeliebig viele Punkte oder Linien zu erzeugen. Klicken Sie danach auf Zuweisen, oder drücken Sie [Enter].

Sie können Punkte oder Linien auch lotrecht zum zuvor markierten Element erzeugen und um den im Feld „Abstand“ eingegebenen Wert zu diesem Element versetzen. Alternativ können Sie, nachdem Sie ein existierendes Element ausgewählt haben, die X-, Y- und Z-Werte in den AutoCursor eingeben, um den/die Punkte(e) zu positionieren.

Hinweis: Wenn Sie einen Punkt auf einer Linie oder einem Bogen platzieren, können Sie ihn auch auf der Verlängerung der markierten Linie erzeugen.

Was möchten Sie tun?

  • Einen Punkt auf einem vorhandenen Element erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


(Entwerfen) Punkt: Knotenpunkte

Benutzen sie diese Funktion zur Erzeugung von Punkten an Knotenpunkten von existierenden Splines. Wenn Sie diese Funktion wählen, erscheint keine Optionsleiste, es ist jedoch die Knotenpunktfunktion aktiviert und Sie werden aufgefordert, einen Spline auszuwählen. Die Punkte werden automatisch als fixierte Elemente erzeugt und die Funktion wird beendet.

Hinweise:

  • Um diese Funktion verwenden zu können, muss mindestens ein Spline im Grafikfenster existieren.

  • Die Funktion AutoCursor ist während der Verwendung dieser Funktion nicht verfügbar.

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Punktsegment“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste mehrere Punkte auf einem vorhandenen Element. Markieren Sie dazu im Grafikfenster ein Element und geben Sie entweder die Anzahl von Punkten ein, die entlang dieses Elements positioniert werden sollen, oder den gewünschten Abstand zwischen den einzelnen Punkten. Sie können den Abstand oder die Anzahl von Punkten auch einstellen, bevor Sie ein vorhandenes Element markieren.

Wenn Sie einen Abstandswert eingeben, wird der Zahlenwert entsprechend berechnet und wenn Sie einen Zahlenwert eingeben, wird der Abstandswert berechnet.

Klicken Sie danach auf die Schaltfläche „Zuweisen“ oder drücken Sie [Enter].

Hinweise:

  • Diese Funktion erzeugt nur Punkte entlang der tatsächlichen Elemente. Es werden keine Punkte auf einer erweiterten Projektion des Elements erzeugt.

  • Wenn Sie einen Wert ins Feld „Anzahl“ eingeben, werden immer Punkte auf jedem Endpunkt des Elements platziert. Wenn Sie jedoch einen Wert ins Feld „Abstand“ eingeben, wird möglichweise kein Punkt auf dem Endpunkt positioniert.

  • Wenn Sie einen Abstandswert benutzen, wird ein Punkt an dem Endpunkt erzeugt, in dessen Nähe Sie das Element angeklickt haben. Alle weiteren Punkte entlang des Elements werden dann im angegebenen Abstand erzeugt.

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

Was möchten Sie tun?

  • Punkte an Segmentpositionen erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Punkt – Kleine Bögen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste Punkte im Zentrum von Bögen bzw. Kreisen. Definieren Sie die gewünschte maximale Größe der Bögen oder Kreise, markieren Sie die entsprechenden Elemente und drücken Sie [Enter].

Zusätzlich können Sie einstellen, ob Punkte nur im Zentrum von Kreisen oder von Bögen und Kreisen erzeugt werden sollen, und ob die Bögen und Kreise nach dem Erzeugen der Punkte gelöscht werden sollen.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Punkte im Zentrum von Bögen/Kreisen erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Rechteck“

Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Funktionen der Optionsleiste aufzurufen.

Erzeugen Sie mit Hilfe dieser Optionsleiste durch Angabe zweier Punkte ein Rechteck. Klicken Sie dazu zunächst auf den Basispunkt für die erste Ecke des Rechtecks, ziehen das Rechteck auf und klicken dann auf den Punkt für die zweite Ecke. Sie können auch X-, Y- und Z-Positionen in die Optionsleiste „AutoCursor“ eingeben, um die beiden Punkte für das Rechteck zu positionieren. Das Rechteck kann von einem Zentrumspunkt nach außen und als Fläche gezeichnet werden. Breite und Höhe können gesperrt werden, um mehrere Rechtecke mit den eingestellten Maßen zu erzeugen. Das Rechteck bleibt ein aktives Element, bis Sie auf die Schaltfläche „Zuweisen“ klicken oder ein neues Rechteck beginnen.

Was möchten Sie tun?

  • Ein Rechteck erzeugen

  • Eine Rechteckform erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Flächen

Mit Mastercam können Sie drei Flächentypen erzeugen:

Parametrisch

Die parametrische Speichermethode für Flächendaten arbeitet nach dem Muster der parametrischen Methode für Spline-Daten. Bei einer parametrischen Fläche wird jedoch jedes Kurvensegment in eine zweite Richtung ausgedehnt und so ein Patch erzeugt. Ein Patch ist ein Bereich der Fläche, der von vier Erzeugungskurvensegmenten begrenzt wird. Zusätzlich besitzen parametrische Flächen die folgenden Eigenschaften:

  • Kompatibel mit IGES- und VDA-Konvertierungen

  • Nicht verknüpft mit ihren Erzeugungskurven

  • Benötigen große Mengen an Datenspeicher

NURBS

Die NURBS-Methoden zur Speicherung von Flächendaten und Spline-Daten arbeiten ebenfalls nach dem gleichen Muster. Bei einer NURBS-Fläche wird jedoch die Kette von Kontrollpunkten in eine zweite Richtung ausgedehnt und so ein Netzgitter erzeugt. Zusätzlich besitzen NURBS-Flächen die folgenden Eigenschaften:

Benötigen weniger Datenspeicher als parametrische Flächen, jedoch geringfügig mehr Berechnungszeit.

  • Kompatibel mit IGES-Konvertierung

  • Können im VDA-Dateiformat ausgegeben werden (wenn sie in Mastercam erstellt wurden)
    Hinweis:     Aufgrund von Einschränkungen zum VDA-Dateiformat, können Flächen, die Sie aus einem anderen Programm importieren, später nur dann ins VDA-Format exportiert werden, wenn sie bikubisch sind. Sie können Flächen analysieren, um festzustellen, ob Sie bikubisch sind.

  • Nicht verknüpft mit ihren Erzeugungskurven

Kurvenbasiert

Beim Speichern einer Fläche als kurvengenerierte Fläche speichert das System direkte Bezugsdaten in den Originalkurven. Darüberhinaus besitzen kurvengenerierte Flächen die folgenden Eigenschaften:

  • Benötigen weniger Datenspeicher als parametrische oder NURBS-Flächen

  • Verknüpft (assoziiert) mit ihren Erzeugungskurven

Hinweis: Bei kurvengenerierten Flächen werden exakte Daten zu ihren Erzeugungskurven gespeichert (keine Näherungswerte).

Flächen werden durch das Menü „Entwerfen“, die Flächen-Optionsleisten und viele der Skizzen-Optionsleistenselektionen erzeugt.

Jeder Flächentyp beschreibt eine Methode, nach der das System mathematische Flächendaten berechnet und speichert. Bei den meisten Entwurfsfunktionen für Flächen können Sie unter allen drei Flächentypen wählen. Für Coons-, Swept- und Blendflächen stehen jedoch nur die Typen parametrisch und NURBS zur Wahl.

Siehe auch...

  • Assoziativität von Flächen

  • Skizzierer

  • Optionsleisten


Assoziativität von Flächen

Elementverknüpfung (Assoziation) bezieht sich auf das Abhängigkeitsverhältnis zwischen einem Element und einem zweiten Element (oder einer Elementgruppe), aus dem das erste Element erzeugt wurde. Um die Beziehung zwischen voneinander abhängigen Elementen zu verstehen, sehen Sie das originale (oder erzeugende) Element (oder Elemente) als „Basiselement“ und das resultierende (oder erzeugte) Element als „Sekundärelement“ an, dessen Definition vom „Basiselement“ abhängt. Diese Art der Verknüpfung findet zwischen folgenden Elementen statt:

  • Zwischen kurvenerzeugten Flächen und ihren Referenzkurven

  • Zwischen Offsetflächen und ihren Ursprungsflächen

  • Zwischen getrimmten Flächen und ihren Ursprungsflächen (Basisflächen)

  • Zwischen Flächenkurven und den Flächen, auf denen sie liegen

Siehe auch...

  • Flächen


Optionsleiste „Manuelle Kette“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Flächenränder und Kurven auswählen und eine Lückentoleranz (zulässiger Abstand zwischen Kurvenendpunkten) einstellen. Diese Optionsleiste wird angezeigt, wenn Sie in der Optionsleiste „2D-Begrenzung“ auf die Schaltfläche Manuelle Kette klicken.

Stellen Sie die Lückentoleranz ein, wählen Sie eine Fläche oder Kurve und klicken Sie dann auf OK. Diese Optionsleiste wird geschlossen und die Optionsleiste „2D-Begrenzung“ erneut eingeblendet.

Hinweis: Sie müssen eine geschlossene Kontur markieren (Kurve oder Flächenrand).

Weitere Informationen zu...

  • Richtlinien zum Erzeugen von 2D-Begrenzungsflächen

  • Optionsleiste „2D-Begrenzung“

  • Optionsleisten


Optionsleiste „Normale ändern“

Mit Hilfe dieser Optionsleiste können Sie Flächennormalen anzeigen und umdrehen

  1. Wählen Sie eine Fläche. Es erscheint daraufhin ein Normalen-Richtungspfeil.

  2. Klicken Sie auf die Fläche, um die Richtung der Normalen umzudrehen.

  3. Markieren Sie eine weitere Fläche oder klicken Sie auf OK, um die Änderungen zu speichern.

Weitere Informationen zu...

  • Optionsleiste „Normale setzen“

  • Optionsleiste „Normalenausrichtung“


Optionsleiste „Fächerflächenerzeugung“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Fächerflächen erzeugen (das sind Linearflächen, die aus Kurven entstehen, die rechtwinklig auf einer Fläche stehen und eine bestimmte Länge haben). Klicken Sie hier zur Darstellung einiger Fächerflächenbeispiele

Wählen Sie die Fläche und verketten Sie die Kurven, die auf der Fläche liegen, von der die Flächerfläche erzeugt werden soll. Benutzen Sie die Felder und Schaltflächen der Optionsleiste, um die neue Fläche zu definieren. Klicken Sie danach auf die Schaltfläche „Zuweisen“ oder drücken Sie [Enter].

Hinweise:

  • Die Flächen müssen nicht genau auf der Fläche liegen. Sie werden automatisch normal (senkrecht) auf die Fläche projiziert.

  • Wenn die Fläche getrimmt ist, wird die Projektion der Kurve nicht automatisch auf die Flächenränder getrimmt. Sie müssen für dieses Resultat zuerst die Fläche auf die Flächenränder trimmen.

  • Falls die Projektion der Kurve nicht komplett auf der Fläche liegt, kann sie auf die lineare, tangentiale Flächenverlängerung erweitert werden.

  • Wählen Sie nur tangentiale, zusammenhängende Ketten, um plötzliche Drehungen/Wendungen in der Fächerfläche zu vermeiden.

Was möchten Sie tun?

  • Eine Fächerfläche erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Dialogfeld „Draft-Flächen“


Optionsleiste „Löcher füllen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Löcher in einer getrimmten Fläche füllen. Sie können Innenlöcher füllen (die komplett innerhalb der Außenkontur der Fläche liegen) und Außenlöcher (die entlang der getrimmten Außenkontur der Fläche liegen).

Wählen Sie eine Fläche oder Solidfläche aus, schieben den Pfeil zur Kontur, die ausgefüllt werden soll und klicken Sie. Für jedes Loch, das Sie zum Füllen wählen, erzeugt Mastercam innerhalb der Lochbegrenzung eine getrimmte Fläche.

Diese Funktion unterscheidet sich von der Funktion „Flächen: Trimmgrenzen entfernen“, da die Trimmgrenzen entfernt werden, jedoch nichts Neues erzeugt wird.

Weitere Informationen zu...

  • Richtlinien zum Schließen von Löchern in einer getrimmten Fläche

  • Optionsleisten


Richtlinien zum Schließen von Löchern in einer getrimmten Fläche

In den folgenden Abschnitten finden Sie Richtlinien und Hinweise zum Füllen von Löchern in einer getrimmten Fläche.

  • Wenn Sie eine innenliegende Kontur (Loch) ausgewählt haben und die Fläche mehrere innenliegende Konturen enthält, zeigt Mastercam das unten abgebildete Dialogfeld an. Wählen Sie „Ja“, damit alle inneren Löcher ausgefüllt werden oder „Nein“, damit nur das ausgewählte Loch ausgefüllt wird.

  • Wenn Sie eine außenliegende, getrimmte Kontur gewählt haben, schließt Mastercam das Loch, indem es eine getrimmte Fläche darin erzeugt. In diesem Fall erscheint diese Aufforderung nicht.

  • Diese Funktion unterscheidet sich von der Funktion „Flächen: Trimmgrenzen entfernen“, in der Mastercam die Trimmgrenzen entfernt.

  • Wenn Sie die Außenkontur einer getrimmten Fläche wählen und diese Kontur berührt nicht die Außenkontur der ungetrimmten Basisfläche (ungeachtet, ob die Basisfläche zur Zeit dargestellt wird oder ausgeblendet ist), wird das Loch, das gefüllt wird, als Raum zwischen den getrimmten und ungetrimmten Konturen definiert, wie in folgendem Beispiel dargestellt.

Diese Bedingung gilt für alle 2D-Begrenzungsflächen, weil die Basisfläche einer 2D-Begrenzungsfläche immer über die Außenkontur der 2D-Begrenzungsfläche hinausgeht.

  • Wenn Sie die Außenkontur einer getrimmten Fläche wählen und diese Kontur berührt die Außenkontur der ungetrimmten Basisfläche (ungeachtet, ob die Basisfläche zur Zeit dargestellt wird oder ausgeblendet ist), wird das Loch, das gefüllt wird, als Raum zwischen den getrimmten und ungetrimmten Konturen definiert, jedoch nur entlang des gewählten, getrimmten Randes, bis es die ungetrimmte Kontur erreicht, wie in folgendem Beispiel dargestellt.

Siehe auch...

  • Optionsleiste „Löcher füllen“

  • Optionsleisten


Optionsleiste „2D-Begrenzung“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie 2D-Begrenzungsflächen auf vorhandenen Elementen erzeugen. 2D-Begrenzungsflächen sind getrimmte NURBS-Flächen, die innerhalb einer Begrenzung erzeugt werden, die durch eine geschlossene, ebene Kette definiert wird.

Wählen Sie die inneren und äußeren Begrenzungen, um eine Fläche zu erzeugen, die auf die inneren Elemente getrimmt wird. Klicken Sie danach auf „Zuweisen“ oder drücken Sie [Enter].

Hinweis: Sie können beim Verketten auch mehrere Elemente wählen.

Weitere Informationen zu...

  • Richtlinien zum Erzeugen von 2D-Begrenzungsflächen

  • Optionsleiste „Manuelle Kette“

  • Optionsleisten


Richtlinien zum Erzeugen von 2D-Begrenzungsflächen

In den folgenden Abschnitten finden Sie Richtlinien und Hinweise zur Erzeugung von 2D-Begrenzungsflächen.

  • Wenn Sie mehrere Ketten wählen, dann muss eine äußerste Kette vorhanden sein, die die äußere Kontur der Fläche definiert. Zusätzliche Ketten müssen innerhalb dieser Kontur verschachtelt sein. Verschachtelte Ketten bilden Löcher in der 2D-Begrenzungsfläche.

Die folgende Abbildung zeigt ein Voher- und ein Nachherbild von drei Elementen. Ziehen Sie die Maus über das Bild, um die resultierende Fläche mit allen drei ausgewählten Ketten einzublenden. Beachten Sie, dass die erzeugte 2D-Begrenzungsfläche zwei Löcher aus den verschachtelten Ketten besitzt.

  • Wählen Sie die Ketten in einer beliebigen Reihenfolge. Mastercam stellt fest, ob die Auswahl verschachtelt oder unzusammenhängend ist.

  • Wenn Sie unzusammenhängende Ketten auswählen, erzeugt Mastercam mehrere Flächen.

  • Die Sehne wird im Feld Maximale Sehne beim Flächenentwurf des Registers „Toleranzen“ im Dialogfeld „Systemkonfiguration“ eingestellt.

  • Mit der Verkettungsmethode „Manuell“ können Sie Flächenränder und Flächenkurven auswählen. Diese Verkettungsmethode kann durch Drücken der Schaltfläche Manuelle Kette verwendet werden, wodurch die Optionsleiste „Manuelle Kette“ geöffnet wird.

  • Wenn Sie offene Ketten ausgewählt haben, fordert Mastercam Sie auf, diese automatisch zu schließen. Wählen Sie Ja, um die Ketten zu schließen, oder Nein, um die offenen Ketten bei der Berechnung der getrimmten Fläche zu übergehen. Wenn Sie die offenen Ketten mit Ja schließen, berechnet Mastercam eine Kurve (erzeugt sie aber nicht) zwischen den beiden Endpunkten, um eine geschlossenen Kontur zu definieren.

  • Wenn Sie eine 2D-Begrenzungsfläche erzeugen, behält Mastercam die Originalelemente und platziert die neue Fläche auf derselben Position wie diese Elemente. Deshalb kann es schwierig sein, die neue Fläche sichtbar zu machen oder zu bearbeiten. Löschen, verbergen oder verschieben Sie die Originalelemente, oder verschieben Sie die neue Fläche, um dies zu erleichtern.

Siehe auch...

  • Optionsleiste „2D-Begrenzung“

  • Optionsleiste „Manuelle Kette“

  • Optionsleisten


Optionsleiste „Netzflächenentwurf“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Netzflächen (Flächen, die aus einem Netzwerk sich schneidender Kurven aufgebaut sind) erzeugt werden). Normalerweise verketten Sie mindestens zwei Querkonturen, die sich mit zwei Längskonturen schneiden. Mit der Ausnahme, wenn sich alle Querkonturen an einem oder beiden Enden treffen (für detailliertere Informationen dazu siehe Richtlinien zur Erzeugung von Netzflächen).

Wenn Sie im Dialogfeld „Verkettung“ auf OK klicken, wird die Netzfläche innerhalb der Überschneidungen der verketteten Kurven erzeugt. Jede Längskontur schneidet sich mit jeder Querkontur zur Definition der Netzflächenbegrenzungen.

Während die Fläche aktiviert ist, können Sie die Flächenart ändern. Klicken Sie auf die Schaltfläche „Zuweisen“, um die neue Fläche zu fixieren. Danach erscheint das Dialogfeld „Verkettung“ und Sie werden aufgefordert, eine andere Fläche zu erzeugen.

Was möchten Sie tun?

  • Eine Netzfläche erzeugen

Weitere Informationen zu...

  • Richtlinien zum Erzeugen von Netzflächen

  • Netzfläche – Beispiele (Äußere Flächenkonturen und Pole)

  • Optionsleisten

  • Flächen


Netzfläche – Beispiele (Äußere Flächenkonturen und Pole)

Wenn Sie eine Netzfläche aus einem Kurvensatz erzeugen, die kein offensichtlich rechtwinkliges Netz bilden, ist es wichtig zu verstehen, dass es mehrere Wege der Flächenerzeugung geben kann und jeder Weg eine andere Fläche produziert. Solche Flächen beziehen äußere Flächenkonturen und Pole mit ein. Eine äußere Flächenkontur ist eine Flächenbegrenzung, bei der die U- oder V-Parameter beginnen und enden und die Fläche selbst glatt abschliesst. Ein Pol ist eine Flächenbegrenzung, die in einem Punkt zusammenfällt.

Beispiel 1 – Vier längs und eine quer

In diesem Beispiel wird eine Netzfläche aus 4 Längsketten (rot, hellblau, grün und gold) und 1 Querkette erzeugt (dunkelblau). Diese Konfiguration resultiert in einer Fläche mit 1 äußeren Flächenkontur und 1 Pol. Der Pol befindet sich dort, wo die 4 Längsketten in einem Punkt zusammentreffen. Die dunkelblaue Kette kann normal verkettet sein, die anderen müssen jedoch mit der Teilverkettungsmethode ausgewählt werden, weil sie sich tangential treffen.

Die Abbildung unten zeigt die resultierende Fläche mit 1 äußeren Flächenkontur und 1 Pol.

Beispiel 2 – Drei längs und eine quer

Mit einem anderen Verfahren kann eine Netzfläche aus denselben Kurven, mit 3 Längsketten (dunkelblau, grün und rot) und 1 Querkette (gold) erzeugt werden. In diesem Beispiel gibt es keine geschlossenen Ketten und daher keine äußere Flächenkontur, die Fläche besitzt jedoch zwei Pole (zusammenfallende Ränder, an den sich die 3 Längsketten an ihren Enden treffen). Die roten und blauen Ketten müssen anhand der Teilverkettung ausgewählt werden, weil sie sich tangential treffen.

Die Abbildung unten zeigt die resultierende Fläche mit 2 Polen.

Siehe auch...

  • Optionsleiste „Netzflächenentwurf“

  • Richtlinien zum Erzeugen von Netzflächen

  • Flächen


Richtlinien zum Erzeugen von Netzflächen

In den nachfolgenden Abschnitten finden Sie Richtlinien und Hinweise zum Erzeugen von Netzflächen.

  • Wenn Sie eine Netzfläche erzeugen, bei der alle Querkontouren an einem oder beiden Enden zusammentreffen (siehe Beispiele unten), besitzt die zu erzeugende Netzfläche mehr als einen möglichen Scheitelpunkt. Deshalb müssen Sie den Scheitelpunkt der Netzfläche manuell positionieren. In diesen Fällen müssen Sie vor dem Verketten der Kurven auf die Schaltfläche „Scheitelpunkt“ klicken.

Die folgenden Abbildungen zeigen Voher- und Nachherbilder von zwei Elementen. Ziehen Sie die Maus über die Abbildung, um die Fläche einzublenden, die erzeugt wird, wenn Sie vorm Verketten auf die Schaltfläche „Scheitelpunkt“ geklickt haben.

Konturen, die an beiden Enden zusammentreffen

Konturen, die an einem Ende zusammentreffen

  • Wie in den oberen Abbildungen zu sehen, kann zur Erzeugung einer Netzfläche eine Kurve getrimmt werden oder nicht. Für nicht getrimmte Konturen wird die Netzfläche erzeugt, indem die Kurven entsprechend getrimmt werden, um das „Kurvennetz“ zu bilden.

  • Sie können die Konturen in jeder beliebigen Richtung und Reihenfolge verketten. Die Netzflächenfunktion sortiert die Ketten, um korrekte Resultate zu erzielen.

  • Sie können eine Netzfläche erzeugen, die in einer Richtung geschlossen ist, falls alle Querkonturen geschlossen sind. Ein Mix aus offenen und geschlossenen Querkonturen erzeugt keine neue Fläche.

  • Bei der Anzahl ausgewählter Konturen gibt es kein maximales Limit.

  • Mastercam erlaubt keine Erzeugung von Flächen mit scharfen Ecken. Stattdessen werden die scharfen Ecken mit einem kleinen Radius abgerundet.

    Hinweis:     Der maximale beim Verketten zulässige Winkel beträgt 10 Grad. Hierdurch wird eine Teilverkettung verhindert, falls Sie ausgewählte Kurven verketten, deren Endtangenten über 10 Grad liegen. Es wird eine Warnmeldung angezeigt und Sie müssen glattere Ketten erzeugen (mit einem Maximalwinkel von 10 Grad oder weniger).

Siehe auch...

  • Erzeugen einer Netzfläche

  • Optionsleiste „Netzflächenentwurf“

  • Netzfläche – Beispiele (Äußere Flächenkonturen und Pole)

  • Optionsleisten


Optionsleiste „Offset-Flächen“ (Versatzflächen)

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie eine oder mehrere Flächen um einen Abstand und in einer Richtung relativ zur Richtung der jeweiligen Flächennormalen der gewählten Flächen versetzen (offset). Wählen Sie die Fläche, die versetzt werden soll und verwenden Sie die Felder und Schaltflächen der Optionsleiste, um den Versatzabstand und die Richtung einzustellen, und ob die Fläche kopiert oder verschoben werden soll. Klicken Sie danach auf „Zuweisen“ oder drücken Sie [Enter].

Hinweis: Beim Versetzen von Flächen versetzt Mastercam Flächen in die positive Normalenrichtung, wenn der Versatzabstand ein positiver Wert ist, und in die negative Normalenrichtung, wenn der Versatzabstand ein negativer Wert ist. Klicken Sie hier für ein Beispiel.

Was möchten Sie tun?

  • Eine Offsetfläche (Versatzfläche) erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Flächen: Trimmgrenzen entfernen

Benutzen Sie die Funktion „Trimmgrenzen entfernen“, um Löcher in einer getrimmten Fläche zu füllen. Sie können innere Löcher füllen (die komplett innerhalb der äußeren Flächenkontur liegen) und äußere Löcher (die entlang der Außenkontur der Fläche liegen). Jedes Loch, das Sie zum Ausfüllen auswählen, wird von Mastercam geschlossen, indem die getrimmte Begrenzung entfernt wird. Falls die getrimmte Begrenzung/Kontur nur ein Loch enthält, wird sie durch Mastercam geschlossen, indem die getrimmte Fläche entfernt und durch die ungetrimmte Basisfläche ersetzt wird.

Weitere Informationen zu...

  • Richtlinien zum Entfernen einer getrimmten Kontur (Trimmgrenze) aus einer Fläche

  • Optionsleisten


Richtlinien zum Entfernen einer getrimmten Kontur (Trimmgrenze) aus einer Fläche

In den nachfolgenden Abschnitten finden Sie Richtlinien und Hinweise zum Entfernen von Konturen in einer getrimmten Fläche.

  • Wenn Sie eine innenliegende Kontur (Loch) ausgewählt haben und die Fläche mehrere innenliegende Konturen enthält, zeigt Mastercam das unten abgebildete Dialogfeld an. Klicken Sie auf „Ja“, um alle innenliegenden Konturen zu entfernen, oder auf „Nein“, damit nur die ausgewählte Kontur entfernt wird.

  • Wenn Sie eine außenliegende Kontur ausgewählt haben, schließt Mastercam das Loch, indem die Kontur entfernt wird. In diesem Fall erscheint diese Aufforderung nicht.

  • Diese Funktion unterscheidet sich von der Funktion „Löcher füllen“, bei der Mastercam getrimmte Flächen erzeugt, um die Löcher auszufüllen; es werden keine getrimmten Konturen entfernt.

  • Wenn Sie die Außenkontur einer getrimmten Fläche wählen und diese Kontur berührt nicht die Außenkontur der ungetrimmten Basisfläche (ungeachtet, ob die Basisfläche zur Zeit dargestellt wird oder ausgeblendet ist), wird das Loch, das gefüllt wird, als Raum zwischen den getrimmten und ungetrimmten Konturen definiert, wie in folgendem Beispiel dargestellt.

Diese Bedingung gilt für alle 2D-Begrenzungsflächen, weil die Basisfläche einer 2D-Begrenzungsfläche immer über die Außenkontur der 2D-Begrenzungsfläche hinausgeht.

  • Wenn Sie die Außenkontur einer getrimmten Fläche wählen und diese Kontur berührt die Außenkontur der ungetrimmten Basisfläche (ungeachtet, ob die Basisfläche zur Zeit dargestellt wird oder ausgeblendet ist), wird das Loch, das gefüllt wird, als Raum zwischen den getrimmten und ungetrimmten Konturen definiert, jedoch nur entlang des gewählten, getrimmten Randes, bis es die ungetrimmte Kontur erreicht, wie in folgendem Beispiel dargestellt.

Siehe auch...

  • Flächen: Trimmgrenzen entfernen

  • Optionsleisten


Optionsleiste „Rotationsfläche“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Rotationsflächen erzeugen. Das sind Flächen, die kreisförmig in einer Richtung verlaufen. Sie werden aufgefordert, ein Element zu verketten, das die Rotationsfläche als Profil verwendet. Sie können mehrere Elemente auswählen, um viele Rotationsflächen gleichzeitig zu erzeugen.

Sie werden dann aufgefordert eine Linie auszuwählen, die als Rotationsachse verwendet werden soll, woraufhin die Rotationsfläche erzeugt wird.

Wenn Sie mehrere Elemente ausgewählt haben, wird für jedes Element eine Fläche erzeugt, wobei jede ein anderes Profil und eine andere Position besitzt und alle dieselbe Rotationsachse verwenden. Klicken Sie danach auf „Zuweisen“ oder drücken Sie [Enter].

Wenn die Fläche aktiviert ist, können Sie sie bearbeiten, indem Sie die Schaltflächen und Felder der Optionsleiste verwenden. Klicken Sie danach auf die Schaltfläche „Zuweisen“, um die neue Fläche zu fixieren. Danach erscheint das Dialogfeld „Verkettung“ und Sie werden aufgefordert, eine andere Fläche zu erzeugen.

Was möchten Sie tun?

  • Eine Rotationsfläche erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Optionsleiste „Linear/Loft (-Fläche)“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Linear- und Loftflächen erzeugen. Sie werden aufgefordert, zwei oder mehr Ketten oder Geometrieketten zu verketten, aus denen die Fläche erzeugt wird.

Benutzen Sie die Schaltflächen Linear und Loft, um auszuwählen ob entweder eine Linear- oder eine Loftfläche erzeugt werden soll. Die Loft-Option ist voreingestellt. Klicken Sie auf Zuweisen, um die neue Fläche zu fixieren. Danach erscheint das Dialogfeld „Verkettung“ und Sie werden aufgefordert, eine andere Fläche zu erzeugen.

Hinweise:

  • Bei der Auswahl der Kurven für eine Linearfläche ist es wichtig darauf zu achten, an welcher Position Sie die einzelnen Kurven oder Kurvenketten anklicken, da die ausgewählten Enden aller Kurvenpaare (Kurve eins und zwei, zwei und drei usw.), eine Ecke der Fläche bilden. Wenn Sie eine Kurve oder Kurvenkette anklicken, blendet das System auf dem nächstliegenden Endpunkt vorübergehend einen Pfeil ein, der anzeigt, welches Ende Sie gewählt haben. Zur besseren Anpassung Ihrer Kurven oder Kurvenketten können Sie sie mithilfe der Sync-Modus-Verkettungsmethode (Dialogfeld Verkettungsoptionen) auswählen. Dabei können Sie die Kurven dann manuell, nach Element, Verzweigung, Knoten oder Punkt miteinander abgleichen.

  • Wenn eine Linearfläche mit drei oder mehr Kurven, welche die Kontur definieren, erstellt wird, erzeugt Mastercam separate Flächen zwischen jedem Kurvenpaar, statt einer Fläche mit scharfen Ecken und Spitzen.

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Optionsleiste „Normale setzen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit dieser Optionsleiste können Sie die Richtung mehrerer Flächennormalen auf die aktuelle Konstruktionsebene (Kebene) einstellen. Die gewünschten Flächen können Sie dabei vor oder nach dem Aufrufen der Funktion markieren.

Eine Flächennormale ist ein Vektor (gerichtete Strecke), der an dem Punkt, an dem eine Tangentialebene eine Fläche berührt, senkrecht zu dieser Tangentialebene ist. In den nachfolgenden Abbildungen zeigt der Pfeil die Richtungen des Normalenvektors einer Fläche an der Position der Pfeilbasis an.

Weitere Informationen zu...

  • Optionsleiste „Normale ändern“

  • Optionsleiste „Normalenausrichtung“

  • Arbeiten mit dem Statusleistenmenü „Ebenen“


Optionsleiste „Fläche splitten“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste trennen Sie eine Fläche an einer festen Position entlang einer der Flächenrichtungen. Wählen Sie die Fläche aus, die gesplittet werden soll. Mastercam blendet vorübergehend einen Pfeil auf der Fläche ein. Eventuell müssen Sie die Geometrie rotieren, um den Pfeil sichtbar zu machen.

Verschieben Sie die Basis des Pfeils an die Stelle, durch die die Splitgrenze (Trenngrenze) auf der Fläche verlaufen soll (die feste Position), und drücken Sie dann die linke Maustaste. Wählen Sie die Flächen- oder System-Attribute, um die Eigenschaften der Splitfläche zu bestimmen. Durch diese Auswahl wird Farbe, Layer, Linienart und Linienbreite definiert. Klicken Sie danach auf „Zuweisen“ oder drücken Sie [Enter].

Beim Splitten der ausgewählten Fläche erzeugt das System zwei getrimmte Flächen und blendet die ursprüngliche Fläche aus.

Hinweis: Im Falle einer ungetrimmten NURB-Fläche, einer ungetrimmten parametrischen Fläche oder eines ungetrimmten Versatzes jeden Typs, werden von Mastercam zwei neue ungetrimmte Flächen erzeugt.

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Optionsleiste „Fläche an Geometrie trimmen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Flächen auf Geometrien (Linien, Bögen, Splines oder Flächenkurven) trimmen. Wählen Sie die Fläche, die getrimmt werden soll und drücken Sie [Enter]. Verketten Sie die Geometriekurve, auf die die Fläche getrimmt werden soll und klicken Sie auf den Flächenteil, den Sie behalten wollen. Klicken Sie danach auf Zuweisen oder drücken Sie [Enter].

Falls die Trimmkurven nicht direkt auf den Flächen liegen, projiziert Mastercam sie auf die Flächen, um die Schnittgeometrie zu berechnen, an der die Fläche getrimmt wird.

Beim Trimmen einer Fläche erzeugt Mastercam die getrimmte Fläche als eine neue Fläche. Die ursprüngliche Basisfläche können Sie wahlweise behalten oder löschen. Sie können auch wählen, ob die Schnittkurve bis zum Flächenrand verlängert werden soll und die gewählte Fläche an den Schnittkurven in separate Flächen gesplittet werden soll

Was möchten Sie tun?

  • Eine Fläche an Geometrie trimmen

Weitere Informationen zu...

  • Optionsleisten

  • Optionsleiste „Fläche auf Ebene trimmen“

  • Optionsleiste „Fläche auf Fläche trimmen“


Optionsleiste „Fläche auf Ebene trimmen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Flächen auf eine Ebene trimmen. Wählen Sie die Fläche, die getrimmt werden soll und drücken Sie [Enter]. Wählen Sie die Ebene, auf die die Fläche getrimmt werden soll. Klicken Sie danach auf „Zuweisen“ oder drücken Sie [Enter].

Beim Trimmen einer Fläche erzeugt Mastercam die getrimmte Fläche als eine neue Fläche. Die ursprüngliche Basisfläche können Sie wahlweise behalten oder löschen.

Was möchten Sie tun?

  • Eine Fläche auf eine Ebene trimmen

Weitere Informationen zu...

  • Optionsleisten

  • Optionsleiste „Fläche an Geometrie trimmen“

  • Optionsleiste „Fläche auf Fläche trimmen“


Optionsleiste „Fläche auf Fläche trimmen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Trimmen Sie mithilfe dieser Optionsleiste Flächen an Überschneidungen zwischen zwei Flächensätzen, von denen einer nur eine Fläche enthalten darf und einen oder beide Flächensätze trimmt.

Wählen Sie die Fläche, die getrimmt werden soll, klicken Sie auf den Teil der Fläche, den Sie behalten möchten, und drücken Sie [Enter]. Wiederholen Sie diese Schritte bei der Fläche, auf die die erste getrimmt werden soll. Klicken Sie danach auf Zuweisen oder drücken Sie [Enter].

Beim Trimmen einer Fläche erzeugt Mastercam die getrimmte Fläche als eine neue Fläche. Die ursprüngliche Basisfläche können Sie wahlweise behalten oder löschen. Sie können die Schnittkurven auch bis an die Ränder beider Flächen verlängern und die gewählten Flächen an ihren Schnittkurven in separate Flächen splitten.

Was möchten Sie tun?

  • Trimmen einer Fläche auf eine Fläche

Weitere Informationen zu...

  • Optionsleisten

  • Optionsleiste „Fläche an Geometrie trimmen“

  • Optionsleiste „Fläche auf Ebene trimmen“


Optionsleiste „Flächen verlängern“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie eine Fläche um eine definierte Länge oder zu einer gewählten Ebene verlängern. Sie können die Fläche linear oder der Flächenkrümmung folgend verlängern.

Wählen Sie eine Fläche. Mastercam blendet vorübergehend einen Pfeil auf der Fläche ein. Verschieben Sie die Basis des Pfeils auf die Position, von wo die Fläche verlängert werden soll und klicken Sie dann, um die Verlängerungsposition einzustellen.

Hinweis: Drücken Sie zur Auswahl einer Blendposition an einem vorhandenen Punkt [S], um die Fangfunktion des Cursors zu aktivieren. Verschieben Sie die Basis des Pfeils auf den gewünschten Punkt, und drücken Sie dann die linke Maustaste.

Beim Verlängern einer Fläche erzeugt Mastercam die verlängerte Fläche als neue Fläche. Die ursprüngliche Fläche können Sie wahlweise behalten oder löschen. Sie können getrimmte Flächen nur entlang ungetrimmter Ränder verlängern.

Tastenkürzel

I – Linear

N – Nicht-Linear

B – Ebene

L – Länge

E – Behalten

L – Löschen

Z – Zuweisen

O – OK (fixiert aktive Elemente und beendet die Funktion)

Was möchten Sie tun?

  • Eine Fläche verlängern

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Optionsleiste „Fläche – Swept“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie eine Fläche erzeugen, indem Sie Geometriekurven entlang eines Pfads austragen. Die Fläche wird durch zwei Kurventypen definiert:

  • Querkurven führen die Austragung durch und definieren die Flächenquerschnitte.

  • Längskurven definieren den Pfad der Austragung.

Sie können eine Swept-Fläche anhand der folgenden Kombinationen von Quer- und Längskonturen definieren. Klicken Sie auf die verschiedenen Typen, um weitere Informationen dazu aufzurufen.

1 Querkurve/1 Längskurven

Mastercam trägt eine Querkurve entlang einer Längskurve aus. Sie besitzen die Option, die Querkurve entlang des Pfades zu verschieben oder zu rotieren.

2 oder mehr Querkurven/1 Längskurve

Mastercam erzeugt die Fläche entlang der Längskurve von einer Querkontur zur nächsten in der Reihenfolge, in der sie definiert wurden. Diese Methode wird auch als lineare Verblendung bezeichnet.

1 Querkurve/2 Längskurven

Mastercam skaliert proportional eine Querkurve zwischen zwei Längskurven.

Was möchten Sie tun?

  • Swept-Flächen – Übersicht

  • Eine Sweptfläche erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Optionsleiste „Untrimmen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie zuvor getrimmte Flächen untrimmen. Sobald Sie eine getrimmte Fläche auswählen, untrimmt Mastercam sie und holt ihre Basisfläche ins Grafikfenster. Benutzen Sie die Schaltflächen „Behalten“ und „Entfernen“, um festzulegen, ob die getrimmte Fläche behalten oder entfernt werden soll.

Weitere Informationen zu...

  • Optionsleisten

  • Flächen


Optionsleiste „Kette – Fasen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie an vorhandenen verketteten Elementen Fasen anbringen. Beim Öffnen dieser Optionsleiste wird das Dialogfeld „Verkettung“ angezeigt und Sie werden aufgefordert, Elemente zu verketten.

Sie können die Fase wahlweise auch trimmen oder die markierten Linien ungetrimmt lassen. Trimmen ist voreingestellt, klicken Sie also auf die Schaltfläche „Kein Trimmen“, wenn die Linien nicht getrimmt werden sollen.

Hinweis: Der AutoCursor ist für diese Funktion nicht verfügbar.

Was möchten Sie tun?

  • Ketten fasen

  • Elemente fasen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Fase“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie Fasen an vorhandenen Elementen erzeugen. Wählen Sie vor Auswahl der Elemente die Anfasmethode (Art) und geben Sie die erforderlichen Abstands- und Winkelwerte ein. Markieren Sie dann das erste und zweite Element. Mastercams „Automatische Vorschau“ zeigt darauf eine temporäre Fase auf der gewählten Position an.

Sie können die Fase wahlweise auch trimmen oder die markierten Linien ungetrimmt lassen. Trimmen ist voreingestellt, klicken Sie also auf die Schaltfläche „Kein Trimmen“, wenn die Linien nicht getrimmt werden sollen.

Hinweise:

  • Diese Optionsleiste erkennt keine Ketten. Arbeiten Sie mit der Optionsleiste“ Kette fasen“, um Fasen an verketteter Geometrie zu erzeugen.

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

  • Sie können mit den Methoden: „Abstand 1“ und „Abstand 2“ an Bögen Fasen erzeugen.

Was möchten Sie tun?

  • Elemente fasen

  • Ketten fasen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Kette verrunden“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Verrunden Sie mit Hilfe dieser Optionsleiste vorhandene verkettete Elemente. Beim Öffnen dieser Optionsleiste wird das Dialogfeld „Verkettung“ angezeigt und Sie werden aufgefordert, ein oder mehrere Elemente zu verketten. Verketten Sie das oder die Elemente, die verrundet werden sollen. Wenn Sie das Dialogfeld „Verkettung“ schließen, werden die verketteten Elemente in der automatischen Vorschau zum Verrunden markiert.

Klicken Sie zum Übernehmen der voreingestellten Rundungswerte auf die Schaltfläche „Zuweisen“. Bevor Sie auf „Zuweisen“ klicken können Sie die Rundungseinstellungen jederzeit ändern.

Zusätzlich können Sie die markierten Linien wahlweise auf die Rundungen trimmen oder ungetrimmt lassen. Die Option „trimmen“ ist standardmäßig voreingestellt.

Hinweise:

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

  • Benutzen Sie diese Funktion, um Elemente mit scharfen Ecken zu verrunden und als einzelnes, verkettetes Element (d.h., Rechtecke und Polygone) erkannt werden können.

  • Arbeiten Sie zum Erzeugen einzelner Rundungen mit der Optionsleiste „Rundung…“.

  • Die Möglichkeit zum alleinigen Runden von Innen- oder Außenkanten bzw. -Ecken einer verketteten Kontur, ist vor allem bei der Geometrie-Erzeugung für Drahterodierteile (für runde und quadratische Formen bzw. Löcher) sehr nützlich. Bei derartigen Teilen sind oft unterschiedliche Radiuswerte für innen- und außenliegende Ecken erforderlich, um ausreichenden Eckabstand (Freischnitt) zu erzeugen.

Tastenkürzel

K – Kette (verkettet Elemente)

R – Radius

G – Richtung

A – Art (definiert die Rundungsart)

Nicht zugewiesen – Freischnitt

T – Trimmen (trimmt Element auf Rundung)

N – Kein Trimmen (Trimmt Element nicht auf Rundung)

Z – Zuweisen (akzeptiert/weist Rundungen zu, die durch das Verketten von Elementen erzeugt werden)

O – OK (fixiert aktive Elemente und beendet die Funktion)

Was möchten Sie tun?

  • Ketten verrunden

  • Elemente verrunden

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Rundung“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Weisen Sie vorhandenen Elementen mithilfe dieser Optionsleiste Rundungen zu. Wählen Sie vor Auswahl der Elemente zum Verrunden die Art (Normale, Umkehren, Kreis, Sicherheitshöhe) und geben Sie den gewünschten Radiuswert ein. Markieren Sie dann das erste und zweite Element. Mastercams „Automatische Vorschau“ zeigt darauf eine temporäre Fase auf der gewählten Position an.

Zusätzlich können Sie die markierten Linien wahlweise auf die Rundungen trimmen oder ungetrimmt lassen. Trimmen ist voreingestellt, klicken Sie also auf die Schaltfläche „Kein Trimmen“, wenn die Linien nicht getrimmt werden sollen.

Hinweise:

  • Durch diese Funktion werden keine Ketten erkannt. Arbeiten Sie mit der Optionsleiste Kette verrunden, wenn verkettete Elemente verrundet werden sollen.

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

Was möchten Sie tun?

  • Elemente verrunden

  • Ketten verrunden

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Spline“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste einen manuellen Spline, indem Sie ins Grafikfenster klicken, um alle Kontrollpunkte des Splines zu definieren. Führen Sie danach auf dem letzten Punkt einen Doppelklick aus oder drücken Sie [Enter].

Diese Funktion erlaubt das Eingeben von Werten in die X-, Y- und Z-Felder des AutoCursors, um beliebige oder alle Splinepunkte zu positionieren.

Klicken Sie vor dem Erzeugen eines Splines auf die Schaltfläche „Endbedingungen ändern“, um den Spline danach näher zu definieren, indem Sie in der Optionsleiste Spline – Endbedingungen die Tangentialität seiner Endpunkte einstellen.

Was möchten Sie tun?

  • Einen manuellen Spline erzeugen

  • Einen automatischen Spline erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Optionsleiste „AutoCursor“

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Spline ändern“

Verwenden Sie diese Optionsleiste, um beim Bearbeiten parametrischer Splines die Tangentialbedingungen beizubehalten. Über die Schaltflächen Endpunkt 1 tangential und Endpunkt 2 tangential können Sie jede Endpunkt-Tangentialität einzeln wählen.

Beispiel: Die folgende Abbildung zeigt eine Linie, die tangential zu einem Endpunkt eines parametrischen Splines ist:

Indem Sie auf die Schaltfläche Endpunkt 1 tangential klicken, können Sie den Spline verschieben, ohne seine Tangentialität zur Linie aufzuheben (siehe Abbildung):

Wenn Sie den Spline verschieben, ohne dessen Tangentialität einzuhalten, sieht das Resultat folgendermaßen aus:

Hinweis: Die Optionsleiste „Spline ändern“ wird nur bei parametrischen Splines angezeigt.

Weitere Informationen zu...

  • Spline ändern


Optionsleiste „Spline – Automatisch“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste, damit automatisch ein Spline aus einer Reihe von Punkten innerhalb eines definierten Musters erzeugt wird. Wählen Sie im Grafikfenster auf drei existierende Punkte, um den Spline zu definieren

Der Spline verläuft durch die ersten beiden markierten Punkte und dann durch alle anderen Punkte im Muster bis zum dritten markierten Punkt.

Klicken Sie vor dem Erzeugen eines Splines auf die Schaltfläche „Endbedingungen ändern“, um den Spline danach näher zu definieren, indem Sie in der Optionsleiste Spline – Endbedingungen die Tangentialität seiner Endpunkte einstellen.

Hinweise:

  • Die Funktion „AutoCursor“ ist während der Verwendung dieser Optionsleiste nicht verfügbar.

  • Falls die Anzahl der Punkte in dem Spline die maximale Anzahl der erlaubten Punkte übersteigt, erscheint eine Meldung, in der Sie gefragt werden, ob mehrere Splines erzeugt werden sollen. Wenn Sie auf Ja klicken, erzeugt Mastercam mehrere Splines, und verbindet Start- und Endpunkte aller Splines, damit zusammenhängende Splines erzeugt werden. Wenn Sie auf Nein klicken, wird der Spline nicht erzeugt.

Was möchten Sie tun?

  • Einen automatischen Spline erzeugen

  • Einen manuellen Spline erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Optionsleiste „Spline – Blendbedingungen“

Optionsleiste „Spline - Blendbedingungen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Benutzen Sie diese Optionsleiste, um einen Spline zu erzeugen, der tangential zu zwei Kurven verläuft. Stellen Sie in der Optionsleiste die Größen-(Magnituden-) und die Trimm-Optionen ein und klicken Sie im Grafikfenster auf existierende Kurven, um den Spline zu definieren.

Nachdem Sie alle Kurven ausgewählt haben, werden Sie aufgefordert, den Pfeil zur Tangentialposition auf der Kurve zu verschieben.

Wenn ein Spline erzeugt wurde und noch aktiv ist, können Sie die Optionen in der Optionsleiste verwenden, um die Start- oder Endpunkte des Splines neu zu positionieren, um seine Größe zu ändern und um die Art zu ändern, wie die Kurven auf den Spline getrimmt werden.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Einen Spline tangential an zwei Kurven erzeugen

  • Einen Spline aus vorhandenen Kurven erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer


Optionsleiste „Spline – Endbedingungen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie einen manuellen oder automatischen Spline näher definieren, indem Sie die Tangentialität seiner Endpunkte einstellen.

Um die Endbedingungen eines Splines zu definieren, müssen Sie zuerst entweder durch die Optionsleiste „Spline – Automatisch“ oder durch die Optionsleiste „Spline (Manuell)“ einen Spline erzeugen. Klicken Sie vor der Erzeugung des Splines auf die Schaltfläche „Endbedingungen ändern“, um den Spline-Änderungsmodus zu aktivieren

Sobald der Spline erzeugt ist öffnet sich automatisch die Optionsleiste „Spline – Endbedingungen“.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Weitere Informationen zu...

  • Optionsleisten

  • Optionsleiste „Spline – Automatisch“

  • Optionsleiste „Spline“ (manuell)

  • Skizzierer


Optionsleiste „Spline – aus Kurven“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Erzeugen Sie mithilfe dieser Optionsleiste einen Spline anhand der Geometrie vorhandener Kurven. Wenn Sie nach dem Verketten der Kurven entweder auf die Schaltfläche „Zuweisen“ oder auf „OK“ klicken, erzeugt Mastercam für jede gewählte Kette einen separaten Spline.

Nach dem Verketten der Kurven und bevor Sie auf die Schaltfläche „Zuweisen“ oder „OK“ klicken können Sie über die Optionen in der Optionsleiste folgende Einstellungen vornehmen:

  • Einstellen einer Toleranz, die bestimmt, wie genau ein resultierender Spline den gewählten Kurven entspricht (Abweichung).

  • Wählen Sie, ob die Originalkurven behalten, ausgeblendet oder gelöscht oder auf einen anderen Layer verschoben werden sollen.

Hinweis: Der AutoCursor steht während der Verwendung dieser Optionsleiste nicht zur Verfügung.

Was möchten Sie tun?

  • Einen Spline aus vorhandenen Kurven erzeugen

  • Einen Spline tangential an zwei Kurven erzeugen

Weitere Informationen zu...

  • Optionsleisten

  • Skizzierer

  • Aktive, fixierte und durchsichtige Elemente


Bearbeitungsfunktionen – Übersicht

Bearbeiten Sie vorhandene Elemente mit folgendenen Mastercam-Funktionen:

  • X zu NURBS: Wandelt Linien, Bögen und parametrische Splines in NURB-Splines und kurvengenerierte und parametrische Flächen in NURBS-Flächen um.

  • Elemente verbinden: Verbindet auf derselben Geraden liegende Linien (kollineare Linien) oder Bögen, die denselben Zentrumspunkt und Radius besitzen, oder Splines, die ursprünglich als ein Element erzeugt wurden.

  • Bogen schließen: Schließt einen Bogen zu einem Vollkreis.

  • Spline ändern: Verändert eine Kontrollpunktposition auf einem NURB- oder parametrischen Spline oder einer Fläche, um die Form des Spline-Elements zu ändern, das durch den Kontrollpunkt definiert ist.

  • Reduzieren: Wandelt Splines, die Bögen definieren, in Bogenelemente um, und Splines, die Linien definieren, in Linienelemente.

  • Trimmen/Trennen/Verlängern : Trimmt Elemente durch Verkürzen oder Verlängern an ihren Schnittpunkten; Splines werden dabei jedoch nicht über ihre ursprünglichen Endpunkte hinaus verlängert. Die gewählten Elemente müssen in derselben Kebene liegen oder, wenn die KEbene auf 3D eingestellt ist, eine tatsächliche Überschneidung aufweisen. Achten Sie bei einer Überschneidung zwischen zwei Elementen, die verschiedene Lösungen zulässt, darauf, dass Sie alle Elemente auf dem Teil markieren, den Sie behalten wollen. Zu den Funktionen zum Trimmen, Trennen und Verlängern gewählter Elemente zählen:

    • Trimmen/Trennen/Verlängern

    • Mehrfach trimmen

    • Schnitt

    • Mehrfach (Trimmen/Trennen/Verlängern)

    • Zeichnungselemente in Linien

    • Bögen

Hinweis: Nutzen Sie zum Aufruf einer Funktion, während ein andere Funktion aktiv ist, den Unterbrechungsmodus von Mastercam. Mit diesem Modus können Sie eine Funktion anhalten, eine neue Funktion ausführen und dann mit der ersten Funktion dort fortfahren, wo sie angehalten wurde.

Siehe auch...

  • Elemente löschen

  • Wiederherstellen von Elementen

  • Duplikate löschen

  • Undo/Redo-Funktionen


Funktion „Schnitt“ (Trimmen/Trennen/Verlängern)

Markieren Sie mithilfe dieser Funktion eine oder mehrere sich schneidende Linien-, Bogen- oder Spline-Elemente, um sie an allen Schnittpunkten zu trennen.

Verwenden Sie Selektionsmasken, die Auswahlmethoden Einzel- oder Fensterselektion zur Auswahl der Elemente, die getrennt werden sollen. Drücken Sie dann [Enter] oder wählen Sie in der Optionsleiste „Allgemeine Selektion“ die Funktion „Selektion beenden“, um die Elemente an ihren Schnittstellen zu trennen.

Weitere Informationen zu...

  • Optionsleiste „Allgemeine Selektion“

  • Richtlinien für das Auswählen von Elementen


Funktion „Bögen“ (Trimmen/Trennen/Verlängern)

Trennen Sie mithilfe dieser Funktion Kreise in eine bestimmte Anzahl von Bogensegmenten auf.

Markieren Sie dazu einen oder mehrere Kreise zum Trennen. Geben Sie bei Aufforderung die gewünschte Anzahl von Bögen ein, in die die Kreise aufgetrennt werden sollen und drücken Sie [Enter]. Mastercam trennt die ausgewählten Kreise dann in die angegebene Segmentanzahl auf.

Weitere Informationen zu...

  • Optionsleiste „Allgemeine Selektion“


Funktion „Zeichnungselemente in Linien“ (Trimmen/Trennen/Verlängern)

Verwenden Sie diese Funktion zum Ausführen folgender Aktionen:

  • Auftrennen von Zeichnungsbemaßungen, Text, Bezeichnungen, Hilfs- und Bezugslinen in Linien, Bögen und NURBS-Splines.

  • Auftrennen von Linien eines Schraffurmusters in Linienelemente. Die neu erzeugten Linien bestehen aus derselben Linienart wie die Schraffur.

  • Auftrennen eines Copious-Data-Elements je nach seiner Form in Punkte oder Linien.

Markieren Sie mit Hilfe einer allgemeinen Auswahlmethode (Optionsleiste „Allgemeine Selektion“) ein Zeichnungs-, Schraffur- oder Copious-Data-Element. Drücken Sie dann [Enter] oder klicken Sie in der Optionsleiste „Allgemeine Selektion“ auf die Schaltfläche „Selektion beenden“. Die ausgewählten Elemente werden dann in einzelne Geometrien aufgetrennt.

Hinweis: Zahlen und Buchstaben werden in kleine, einzelne Linien, Bögen und Splines aufgetrennt, die normalerweise nicht kollinear sind und nicht wieder verbunden werden können.

Weitere Informationen zu...

  • Optionsleiste „Allgemeine Selektion“


In 2 Teile trennen

Mit dieser Funktion können Sie ein Element an einem beliebigen, definierten Punkt trennen. Markieren Sie nach dem Aufrufen der Funktion In 2 Teile trennen im Grafikfenster ein Element und klicken Sie dann auf die gewünschte Trennstelle.

Verwenden Sie den AutoCursor für genauere Trennpunktselektionen. Wenn eine Linie beispielsweise am Mittelpunkt getrennt werden soll, aktivieren Sie dazu die AutoCursor-Option Mittelpunkt und klicken dann auf die Linie. Mastercam teilt die Linie dann an ihrem Mittelpunkt, ganz gleich an welcher Position Sie sie angeklickt haben.


Bogen schließen

Wandeln Sie mithilfe dieser Funktion Bögen mit weniger als 360 Grad in Vollkreise um, indem Sie die Enden der Bögen verlängern, um sie zu schließen.

Verwenden Sie allgemeine Auswahlmethoden (Optionsleiste „Allgemeine Selektion“), um einen oder mehrere Bögen auszuwählen, die geschlossen werden sollen. Drücken Sie dann [Enter] oder klicken Sie in der Optionsleiste „Allgemeine Selektion“ auf die Schaltfläche „Selektion beenden“. Es werden alle Bögen geschlossen, die kleiner als 360 Grad sind.

Weitere Informationen zu...

  • Registerkarte „Symbolleisten“ (Dialogfeld „Anpassen“)

  • Optionsleiste „Allgemeine Selektion“


X zu NURBS

Verwenden Sie diese Funktion zum Ausführen folgender Aktionen:

  • Konvertieren von Linien, Bögen und parametrischen Splines in NURBS-Splines

  • Konvertieren von kurvengenerierten und parametrischen Flächen in NURBS-Flächen

Markieren Sie mit Hilfe einer allgemeinen Auswahlmethode (Optionsleiste „Allgemeine Selektion“) ein oder mehrere Elemente, die umgewandelt werden sollen. Drücken Sie dann [Enter] oder klicken Sie in der Optionsleiste „Allgemeine Selektion“ auf die Schaltfläche „Selektion beenden“. Die ausgewählten Elemente werden dann in das NURBS-Format umgewandelt.

Tipp: Arbeiten Sie mit der Funktion Spline ändern, um die Form eines NURBS-Elements zu ändern.

Weitere Informationen zu...

  • Optionsleiste „Allgemeine Selektion“


Ausschneiden, Kopieren und Einfügen

Das Menü „Bearbeiten“ enthält Funktionen zum Ausschneiden, Kopieren und Einfügen von Elementen. Sie können diese Funktionen auch aufrufen, indem Sie deren Tastenkürzel verwenden: [Strg+X], [Strg+C] und [Strg+V]. Mit diesen Funktionen können Sie ausgewählte Elemente ausschneiden, kopieren und einfügen. Sie können Kopien von Elementen erstellen, indem Sie sie kopieren und in dieselbe Datei einfügen; genauso können Sie Elemente auch kopieren oder ausschneiden und in eine andere Datei einfügen.

Note: Sie können nur Geometrie und Zeichnungselemente aus einer Datei in eine andere kopieren. Mit den kopierten Elementen werden keine Werkzeugwegoperationen und Maschinen-, Steuerungs- und Werkzeugwegdaten übertragen.

Weitere Informationen zu...

  • Optionsleiste „Einfügen“

  • Bearbeitungsfunktionen – Übersicht


Optionsleiste „Einfügen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Arbeiten Sie mit dieser Optionsleiste, um beim Einfügen von Elementen die Elementattribute für Farbe, Layer, Linienart und -breite und Punktart zu überschreiben. Drücken Sie die entsprechenden Schaltfläche(n), um die Originalattribute des Elements mit den aktuellen Systemattributen zu überschreiben.

Weitere Informationen zu...

  • Ausschneiden, Kopieren und Einfügen

  • Bearbeitungsfunktionen – Übersicht


Duplikate löschen

Benutzen Sie diese Funktion zum Auffinden und Löschen von Elementduplikaten in der aktuellen Datei.

Sie können Elementduplikate, basierend auf deren XYZ-Position und Elementtyp, automatisch löschen. Wenn Sie eine Vorauswahl von Elementen treffen, bevor Sie diese Funktion auswählen, sucht Mastercam nur nach Duplikaten, die mit den ausgewählten Elementtypen übereinstimmen. Sonst werden Duplikate für alle Elementtypen lokalisiert und gelöscht.

Eine Online-Zusammenfassung informiert Sie über die gelöschten Elemente.

Weitere Informationen zu...

  • Löschen von doppelten Einträgen/Elementen

  • Wiederherstellen von Elementen

  • Richtlinien für die Vorauswahl von Elementen


Löschen von Elementen

Benutzen Sie diese Funktion zum dauerhaften Entfernen eines oder mehrerer ausgewählter Elemente aus dem Grafikfenster und aus der Teiledatei.

  • Sie können mit Funktionen aus der Optionsleiste „Allgemeine Selektion“ eine Vorauswahl von Elementen treffen. Drücken Sie dann die Taste [Entf] auf der Tastatur oder wählen Sie die Funktion Elemente löschen aus dem Menü „Bearbeiten“.

  • Alternativ dazu können Sie auch zuerst die Funktion Elemente löschen auswählen. Wählen Sie dann die zu löschenden Elemente und drücken Sie die Taste [Enter] oder drücken Sie in der Optionsleiste „Allgemeine Selektion“ die Schaltfläche Selektion [image] beenden.

Hinweise:

  • Um Elemente wiederherzustellen, die versehentlich gelöscht wurden, können Sie die Funktionen Wiederherstellung oder Undo verwenden.

  • Sie können andere Löschfunktionen zum automatischen Auswählen und Löschen von Elementduplikaten in der Datei benutzen. Für weitere Informationen dazu, siehe Löschen von Elementduplikaten.

  • Wenn Sie ausgewählte Elemente vorübergehend entfernen möchten, benutzen Sie entweder die Ein- oder die Ausblendfunktion. Für weitere Informationen, siehe Ausblenden und Verbergen (Hide) von Elementen.

  • Wenn Sie versuchen, Elemente zu löschen, die mit Werkzeugwegen, Solids oder Ebenen assoziiert sind, erscheint das Dialogfeld Ein Referenzelement soll gelöscht werden.

Weitere Informationen zu...

  • Verwenden einer Auswahlmaske

  • Richtlinien für die Vorauswahl von Elementen


Löschen von Duplikaten

Duplikate (doppelte Elemente) vergrößern Dateien unnötig und stören beim Verketten. Mastercam bietet eine Vielzahl an Optionen, die Sie zum Löschen von Duplikaten verwenden können.

  • Datei öffnen: Konfigurieren Sie Mastercam so, dass bei jedem Öffnen einer Datei, Elementduplikate automatisch gefunden und gelöscht werden, und eine Online-Meldung über Typ und Anzahl gelöschter Elementduplikate angezeigt wird. Für weitere Informationen dazu, siehe Eigenschaftenseite „Start/Ende“ (Einstellungen, Systemkonfiguration).

  • Kopieren/Verbinden: Beim Kopieren und Verbinden von Elementen entstehen manchmal doppelte Linien. Sie können Mastercam so konfigurieren, dass alle doppelten Linien, die während Verbindungsoperationen erzeugt wurden, automatisch gelöscht werden. Für weitere Informationen dazu, siehe Eigenschaftenseite „CAD“ (Einstellungen, Systemkonfiguration).

  • Bearbeiten: Benutzen Sie, zum Finden und Löschen von Elementduplikaten in der aktuellen Datei, im Menü „Bearbeiten“ die Funktionen „Duplikate löschen“ und „Duplikate löschen – Erweitert…“. Sie können, basierend auf deren XYZ-Position und Elementtyp, Elementduplikate automatisch löschen und, wenn Sie die erweiterte Funktion verwenden, basierend auf den von Ihnen festgelegten Elementattributen.

Siehe auch...

  • Elemente löschen

  • Duplikate löschen

  • Dialogfeld „Duplikate löschen“


Elemente verbinden

Verwenden Sie diese Funktion, um auf der selben Geraden liegende Linien (kollineare Linien), Bögen mit demselben Zentrumspunkt und Radius oder Splines, die ursprünglich als dasselbe Element erzeugt wurden, miteinander zu verbinden.

Markieren Sie mithilfe einer allgemeinen Auswahlmethode (Optionsleiste „Allgemeine Selektion“) eine Linie, einen Bogen oder einen Spline. Markieren Sie dann ein Element desselben Typs und drücken Sie [Enter] oder klicken Sie in der Optionsleiste „Allgemeine Selektion“ auf die Schaltfläche „Selektion beenden“.

Hinweis: Ungleichartige Elemente können nicht verbunden werden.

Weitere Informationen zu...

  • Bearbeitungsfunktionen – Übersicht

  • Optionsleiste „Allgemeine Selektion“


Spline ändern

Mit dieser Funktion können Sie die Form eines NURBS oder eines parametrischen Spline-Elements ändern. Klicken Sie in der Mastercam-Menüleiste auf Bearbeiten, Spline ändern und markieren Sie dann ein Spline-Element. Alle Element-Kontrollpunkte erscheinen in gelb und bleiben so lange sichtbar, wie Sie mit dem gewählten Element arbeiten.

Klicken Sie zum Ändern des Elements auf einen Kontrollpunkt und ziehen Sie ihn auf die gewünschte Position (click & drag). Mastercam stellt die geänderte Form oder Fläche durch eine gestrichelte Linie in der Hervorhebungsfarbe dar. Durch diese Darstellungsart kann das geänderte Element sehr leicht vom Original unterschieden werden.

Sehen Sie sich die aufgrund der neuen Kontrollpunktposition geänderte Form in der Vorschau an, bevor Sie sie übernehmen. Klicken Sie erneut, um die neue Position zu übernehmen und den Kontrollpunkt loszulassen.

Fahren Sie mit der Auswahl von Kontrollpunkten fort oder beenden Sie die Funktion, indem Sie [Enter] drücken.

Hinweis: Wenn Sie einen parametrischen Spline verändern wollen, erscheint die Optionsleiste Spline ändern. Verwenden Sie die Schaltflächen Endpunkt (1 bzw. 2) tangential auf der Optionsleiste, um die Tangentialbedingungen einzuhalten.

Weitere Informationen zu…

  • Bearbeitungsfunktionen – Übersicht


Optionsleiste „Reduzieren“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit dieser Optionsleiste können Sie kreisförmige Splines in geschlossene Bogenelemente (Kreise) umwandeln. Sie können damit auch Splines, die Linien definieren, in Linienelemente umwandeln.

Mastercam wandelt einen Spline nur dann in einen geschlossenen Bogen um, wenn alle Kontrollpunkte des Splines innerhalb der angegebenen Toleranz liegen; diese bezieht sich auf einen Kreis, der durch die Endpunkte und den Mittelpunkt des Splines verläuft.

Siehe Beispiel

Nachfolgend ist ein annähernd kreisförmiger Spline abgebildet:

Mit der Funktion Bearbeiten, Reduzieren… können Sie diesen Spline in ein Kreiselement umwandeln. Wegen der groben Form dieses Kreises müssen Sie in der Optionsleiste „Reduzieren“ jedoch eine grobe Toleranz einstellen:

Je mehr der ursprüngliche Spline von der Kreisform abweicht, desto größer muss die Toleranz für eine erfolgreiche Umwandlung sein. Beachten Sie jedoch, dass obwohl die Reduzierfunktion einen perfekten Kreis (oder eine Linie) erzeugt, die Toleranzen des Teils selbst die Sehnenabweichungstoleranz des bearbeiteten Resultats bestimmen. Anders gesagt wird durch die Reduzierfunktion zwar die Geometrie vereinfacht, jedoch nicht direkt der Werkzeugweg.

Um mit dem Beispiel fortzufahren, nehmen wir eine Toleranz von 0,045 an, um den Spline aus der ersten Abbildung zu reduzieren. Das Resultat sieht dann folgendermaßen aus:

Tipps:

  • Diese Funktion ist besonders nützlich, wenn Geometrieelemente, die usprünglich Kreise, Bögen oder Linien waren, bei einer Dateiumwandlung in Mastercam als Splines importiert wurden.

  • Wenn Sie mit geschlossenen Bögen statt mit Splines arbeiten, können Sie die Mittelpunkte der Kreisgeometrie einfacher und genauer referenzieren oder die Kreise bemaßen.

Weitere Informationen zu...

  • Optionsleisten

  • Sperren und Entsperren von Feldern


Optionsleiste „Trimmen/Verlängern/Trennen“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Verwenden Sie diese Optionsleiste zum:

  • Trimmen von 1, 2 oder 3 ausgewählten Elementen

  • Trimmen auf einen gewählten Punkt oder eine Position.

  • Trimmen, Trennen oder Verlängern eines Elementes auf eine bestimmte Länge

  • Teilen/ Löschen von Elementen anhand des nächstgelegenen Schnittpunkts

  • Trennen und automatisches Verlängern ausgewählter Elemente

Standardmäßig können Sie mit dieser Funktion ein oder zwei sich schneidende Elemente trimmen. Wählen Sie zum Anfang des Trimmvorgangs das Element aus, das getrimmt werden soll. Wenn Sie nur dieses Element trimmen wollen, klicken Sie einmal auf das kreuzende Element, bis zu dem das erste Element getrimmt werden soll. Um beide Elemente bis zu ihrem Schnittpunkt zu trimmen, klicken Sie einmal auf das erste Element und zweimal auf das zweite.

In der „Automatischen Vorschau“ von Mastercam werden die Resultate der gewählten Funktion dargestellt, wenn Sie die Maus über die Elementauswahl bewegen. Eine Volllinie zeigt das erzeugte Ergebnis an. Eine gestrichelte Linie zeigt die entfernten Elemente an.

Hinweis: Um die automatische Vorschau zu deaktivieren, entfernen Sie auf der Eigenschaftenseite „CAD“ des Dialogfelds „Systemkonfiguration“ das Kontrollkästchen bei der Option Trimm-Vorschau aktivieren.

Klicken Sie zum Aktivieren anderer Optionsleistenfunktionen auf die entsprechende Funktionsschaltfläche und markieren Sie bei Aufforderung ein oder mehrere Elemente.

Hinweise:

  • Wenn Sie mithilfe der Option „Länge (+/-)“ Elemente trimmen, verlängern oder trennen möchten, müssen Sie vor der Auswahl eines Elements auf die zugehörige Schaltfläche klicken und einen Wert ins Feld daneben eingeben.

  • Klicken Sie beim Trimmen eines Elements auf den Teil des Elements, den Sie behalten wollen.

  • Klicken Sie beim Verlängern eines Elements möglichst nahe an den Punkt, von dem aus das Element verlängert werden soll.

  • Durch die Schaltfläche „Teilen“ werden isolierte Elemente ohne Überschneidungen gelöscht. Auch Elemente mit einem einzigen Schnittpunkt an einem Endpunkt werden gelöscht.

Weitere Informationen zu...

  • Optionsleisten

  • Sperren und Entsperren von Feldern


Optionsleiste „Trimmen-Mehrfach“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Optionsleiste können Sie mehrere Linien, Bögen oder Splines auf ein ausgewähltes Element trimmen (oder trennen), ohne die Trimmkurve zu ändern.

Markieren Sie mithilfe einer allgemeinen Auswahlmethode (Optionsleiste „Allgemeine Selektion“) ein oder mehrere Elemente zum Trimmen. Markieren Sie dann das Element, auf das getrimmt werden soll. Klicken Sie auf die Seite der Trimmkurve, die Sie behalten wollen, und sehen Sie sich in der Vorschau die Resultate an.

Bevor Sie die Änderungen übernehmen, können Sie die Resultate von einer Seite der Trimmkurve auf die andere legen und die Resultate zwischen Trimmen oder Trennen der gewählten Elemente umschalten.

Weitere Informationen zu...

  • Optionsleisten


Wiederherstellen von Elementen

Benutzen Sie diese Funktion zum Wiederherstellen eines oder mehrerer Elemente in der aktuellen Datei.

Sie können nur die Elemente wiederherstellen, die Sie während der Arbeit mit der aktuellen Datei gelöscht haben. Wenn Sie zum Beispiel Elemente aus Datei 1 löschen, können Sie sie nur solange wiederherstellen, bis Sie Datei 2 öffnen.

Es stehen die folgenden Wiederherstellungsfunktionen zur Verfügung:

Element wiederherstellen: Stellt das zuletzt gelöschte Element wieder her. Sie können mit dieser Option fortfahren, um Elemente inkremental wiederherzustellen.

Mehrere Elemente wiederherstellen…: Stellt eine Anzahl bestimmter Elemente wieder her, indem die Reihenfolge, in der sie gelöscht wurden, umgedreht wird. Beispiel: Wenn Sie 20 Elemente gelöscht haben und doch nur die ersten 15 löschen wollten, wählen Sie diese Funktion und tippen die Zahl 5 in das Feld ein. Die letzten 5 gelöschten Elemente werden in der Teiledatei wiederhergestellt.

Durch Maskierung wiederherstellen…: Öffnet das Dialogfeld „Nur bestimmtes selektieren“, in welchem Sie die Kriterien festlegen können, die Sie zur Auswahl der Elemente, die wiederhergestellt werden sollen, verwenden möchten.

Hinweis: Um die Elemente wiederherzustellen, die versehentlich gelöscht wurden, können Sie auch die Undo-Funktion (Wiederherstellungsfunktion) verwenden.

Weitere Informationen zu...

  • Ausblenden und Verbergen (Hide) von Elementen

  • Verwenden einer Auswahlmaske


Undo/Redo-Funktionen

Benutzen Sie diese Funktionen, um während der Arbeit mit der aktuellen Datei ein oder mehrere aufeinanderfolgende Ereignisse rückgängig zu machen (Undo) oder diese(s) wiederherzustellen (Redo). Ein Ereignis ist als funktionsbasierte Operation definiert. Es gibt keinen Unterschied zwischen dem Erzeugen einer einzelnen Linie und der Verwendung einer X-Formfunktion (Transformfunktion) zur Erzeugung von 100 Linien. Jede ist ein einzelnes Ereignis.

Diejenigen Ereignisse, die Sie rückgängig machen und wiederherstellen können (Undo/Redo), sind beschränkt auf Mastercam CAD-Funktionen, einschließlich solcher, die Sie zur Erzeugung oder Bearbeitung von Geometrie, zum Zeichnen von Elementen und Dateianmerkungen, und zur Modifikation von Elementattributen verwenden. Sie können die Soliderzeugung und Transform-Operationen rückgängig machen oder wiederherstellen.

Einige CAD-Funktionen können Sie rückgängig machen, wenn Sie aktiv sind, wie beim Erstellen von Linienendpunkten oder bei der Funktion „Trimmen/Trennen/Verlängern“.

Hinweise:

  • Aufgrund der komplexen und assoziativen Natur bei der Erzeugung und Modifikation von Werkzeugwegen, können Sie werkzeugweg- und solidspezifische Funktionen nicht rückgängig machen oder wiederherstellen (Undo/Redo), wie z. B. Änderungen an Geometrien (einschließlich Solids) die durch den Werkzeugweg-Manager vorgenommen wurden.

  • Klicken Sie [image] [image] hier für eine Liste von CAD-Funktionen, die nicht als Ereignisse gespeichert werden.

    • Bearbeiten aktiver Elemente. Das Fixieren des Elements durch Beenden der Funktion wird jedoch als ein Ereignis gespeichert. Wenn Sie diesen Ereignistyp rückgängig machen (Undo), wird das Element gelöscht.

    • Löschen/Wiederherstellen

    • Ausblenden/Einblenden

    • Verbergen (Hide)/nicht mehr verbergen

    • Einstellen von Systemattributen (Farbe, Layer, Punkt- und Linienarten)

    • Statusleistenfunktionen (Ansicht, KEbene, WEbene, WKS, Z:(-Tiefe), Layer, Gruppen, 2D-/3D-Konstruktion)

    • Zoomen oder Verschieben von Grafiken im Grafikfenster

Mastercam verwendet interne Undo- und Redo-„Listen“ zur Nachverfolgung dieser Ereignisse. Wenn Sie eine neue Funktion abschließen, wird dem Anfang der Undo-Liste ein Ereignis hinzugefügt und die Redo-Liste gelöscht. Wenn Sie auf Undo klicken, wird das zuletzt aufgezeichnete Ereignis rückgängig gemacht und dem Anfang der Liste der Ereignisse hinzugefügt, die Sie mit Redo wiederherstellen können. Wenn Sie auf Redo klicken, passiert das Gegenteil.

Jedesmal, wenn Sie eine Teiledatei öffnen oder eine neue Datei erzeugen, wird die Undo/Redo-Ereignisliste aus dem Speicher gelöscht. Durch ein Speichern oder Verbinden der aktuellen Datei wird diese Liste nicht gelöscht.

Standardmäßig kann Mastercam bis zu 2 Milliarden Undo/Redo Ereignisse speichern, und ist nur durch die Größe des RAM-Speichers (Arbeitsspeicher) begrenzt, der auf Ihrem PC verfügbar ist. Um die Performance Ihres PCs zu steigern, können Sie Mastercam so konfigurieren, dass nur eine bestimmte Anzahl von Ereignissen gespeichert wird und den Undo/Redo Funktionen ein maximaler Wert an RAM-Speicher (Arbeitsspeicher) zugewiesen wird. Für weitere Informationen hierzu, siehe das Dialogfeld Systemkonfiguration.

Weitere Informationen zu...

  • Ändern der Anzeige im Grafikfenster

  • Ausblenden und Verbergen (Hide) von Elementen

  • Arbeiten mit Elementattributen

  • Wiederherstellen von Elementen


Ebenen-Manager

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Im Ebenenmanager können Sie Ebenen zentral verwalten, erzeugen, ändern und wählen. Zu den darin verfügbaren Funktionen zählen unter anderem:

  • Auswählen der Ebenen, die für die KEbene, WEbene oder das WKS verwendet werden sollen.

  • Ändern des Ebenenursprungs.

  • Zuweisen eines Arbeitsversatzes zu einer Ebene, damit bei Auswahl der Ebene für einen Werkzeugweg automatisch der Arbeitsversatzcode erzeugt wird.

  • Erzeugen einer neuen Ebene relativ zu bestehenden Ebenen oder durch Kopieren existierender Ebenen.

  • Löschen ungenutzter oder erzeugter Ebenen. Sie können jedoch keine der Haupt-Systemebenen löschen.

  • Erzeugt unter Verwendung des Dialogfelds „Dynamische Ebene“ dynamisch eine neue Ebene anhand der vorhandenen Ebene.

Im großen Fenster sind alle in der aktuellen Teiledatei definierten Ebenen aufgelistet. Klicken Sie zur Auswahl auf eine Ebene und richten Sie dann mithilfe der Schaltflächen im Bereich Aktuelle Ebene/Nullpunkt setzen das WKS, die KEbene oder die WEbene an dieser Ebene aus.

Hinweise:

  • Der Ebenen-Manager ist ein „nicht modales“ Dialogfeld. Dies bedeutet, dass Sie den Ebenen-Manager auf dem Bildschirm geöffnet lassen können, während Sie im Hauptfenster von Mastercam arbeiten. Beim Arbeiten mit mehreren Monitoren können Sie ihn sogar auf einen anderen Monitor verschieben.

  • In Mastercam Drehen wird eine zusätzliche vordefinierte Ebene angezeigt: Drehen Z = Welt Z. Benutzen Sie sie, wenn das Drehteil vertikal gezeichnet ist und dessen Rotationsachse der Welt-Z-Achse entspricht. Wenn diese Ebene als WKS festgelegt wird, werden die Achsen auf ein standardmäßiges Drehkoordinatensystem abgebildet. Klicken Sie hier, um weitere Informationen dazu aufzurufen.

  • Wenn Sie auf die Schaltfläche Neuen Nullpunkt setzen klicken, wird der Ebene-Manager minimiert. Nach der Auswahl wird der Ebenen-Manager wiederhergestellt.

WKS | Zeigt an, dass die Ebene für das aktuelle WKS verwendet wird.
 | Zeigt an, dass die Ebene in einer Operation verwendet wird.
K, W | Zeigt an, dass die Ebene als aktuelle KEbene oder WEbene verwendet wird.
Zeigen | Ein X zeigt an, ob das Symbol der Ebene im Achsenkreuz dargestellt wird. Klicken Sie in die Spalte, um den Darstellungsstatus umzuschalten.
Versatz | Zeigt die Nummer des Arbeitsversatzes an, der mit der Ebene assoziiert ist.
Koordinate | Zeigt den Koordinatenmodus (Fräsen, Drehen X, Drehen D) der entsprechenden Ebene an.

Klicken Sie auf die nachfolgenden Unterthemen, um zusätzliche Informationen einzublenden:

Anlegen neuer Ebenen

Zum Erzeugen einer neuen Ebene müssen Sie zunächst entscheiden, ob die neue Ebene auf Geometrie im Grafikfenster oder einer vorhandenen Ebene basieren soll.

      • Klicken Sie auf eine Ebene und auf die Schaltfläche Kopieren, um eine neue Ebene aus einer vorhandenen Ebene zu erzeugen. Sie wird dann mit einer Standardbezeichnung und denselben Eigenschaften wie die Originalebene in der Ebenenliste angezeigt und kann bearbeitet werden.

      Arbeitsversätze benutzen

      Im Bereich Attribute können Sie der Ebene einen Arbeitsversatz zuweisen. Immer dann, wenn in dieser Ebene ein Werkzeugweg erzeugt wird, gibt Mastercam automatisch den Versatzcode aus.

        • Geben Sie eine Null ein, um den Basisversatz im Nummerierungssystem Ihrer Steuerung zuzuweisen (zum Beispiel G54 für Versätze in Fanuc-Syntax) oder höhere ganzzahlige Werte, um die die Basis inkremental erhöht wird (geben Sie beispielsweise 2 für ein G56 ein).

        • Geben Sie -1 ein, wenn bei Auswahl dieser Ebene kein Versatz ausgeben werden soll.

        • Klicken Sie auf Einheitlich…, um automatisch eine unbenutzte Versatznummer ermitteln zu lassen.

      Einstellen des Nullpunkts

      Im Abschnitt Nullpunkt können Sie folgende Einstellungen vornehmen:

        • Koordinaten eines neuen Nullpunkts in die Felder X, Y, und Z eingeben

        • Auf die Wählen-Schaltfläche (weißer Pfeil) klicken, um im Grafikfenster einen neuen Nullpunkt auszuwählen.

        • Klicken Sie auf die Schaltfläche Nullpunkt auf 0,0,0 zurücksetzen, um den Nullpunkt auf 0,0,0 zurückzusetzen.

      Erzeugen assoziativer Ebenen

      Markieren Sie das Kontrollkästchen Assoziativ, um Mastercam anzuweisen, eine Assoziativität zur Geometrie im Grafikfenster beizubehalten. Beispielsweise, wenn Sie eine Ebene erzeugen wollen, die an einer Fläche Ihres Teiles ausgerichtet ist. Wenn das Kontrollkästchen „Assoziativ“ markiert ist, aktualisiert Mastercam die Ausrichtung und den Nullpunkt der Ebene, wenn die Basisgeometrie verschoben wird. Wenn Sie die Ebene dagegen aus temporären Führungs- oder Konstruktionslinien erzeugen, die Sie später löschen wollen, sollten Sie diese Option deaktivieren.

      Optionen des Kontextmenüs

      • Umbenennen: Ermöglicht das Ändern der Bezeichnung einer Ebene. Sie können nur benutzerdefinierte Ebenen umbenennen. Die Haupt-Systemebenen (Oben, Vorne, etc.) können nicht umbenannt werden.

      • Löschen > Alle unbenutzten: Löscht alle ungenutzten Ebenen aus der Ebenenliste und der Teiledatei. Die Haupt-Systemebenen können nicht gelöscht werden.

      • Löschen > Selektiert: Löscht die gewählte Ebene aus der Ebenenliste und der Teiledatei. Die Haupt-Systemebenen können nicht gelöscht werden.

      • Sperren/Freigeben: Sperrt die gewählte Ebene für Änderungen oder Löschung. Bei einer gesperrten Ebene wird das entsprechende Symbol angezeigt, und sie kann weder geändert noch gelöscht werden. Für gesperrte Ebenen sind einige Optionen aus dem Kontextmenü und dem Dialogfeld ebenfalls ausgegraut bzw. nicht verfügbar. Wählen Sie diese Option bei einer gesperrten Ebene, um sie wieder freizugeben.

      • Rotieren inkremental…: Öffnet das Dialogfeld „Ebene drehen“, auf dem Sie inkrementale Winkelgrößen eingeben können, um die gewählte Ebene um ihre Achsen zu drehen.
        Hinweis: Das Rotieren einer existierenden Ebene entfernt die Assoziativität mit eventuell bestehender Geometrie, sowie die Relativität zu einer anderen Ebene.

      • Rotieren dynamischer…: Öffnet dasDialogfeld „Dynamische Ebene“, auf der Sie die Orientierung einer Ebene dynamisch über ein interaktives Achsenkreuz im Grafikfenster verändern können.
        Hinweis: Das Rotieren einer existierenden Ebene entfernt die Assoziativität mit eventuell bestehender Geometrie, sowie die Relativität zu einer anderen Ebene.

      Weitere Informationen zu…

      • Ansichten, Ebenen und Koordinatensysteme

      • Importieren von Ebenen aus anderen Teilen

      • Ändern des Nullpunkts einer Ebene, KEbene oder WEbene

      • Arbeitsversatznummern


Dialogfeld „Ebenen-Info“

Dieses Dialogfeld enthält einen Bericht über alle Ebenen in der aktuellen Mastercam-Datei. Dieser enthält alle Angaben zu den jeweiligen Einstellungen im Ebenenmanager.

  • Die Matrix-Koordinaten definieren die Vektoren der drei Koordinatenachsen (in Bezug auf das WKS).

  • Die Matrix-Koordinaten definieren die Vektoren der drei Koordinatenachsen (in Bezug auf das WKS).

Klicken Sie mit der rechten Maustaste in diesen Bericht, wenn Sie Text daraus auswählen und kopieren wollen.


Dialogfeld „Neue Ebene“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Fügen Sie mithilfe dieses Dialogfelds eine neu erzeugte Ebene in die in Ihrer Teiledatei gespeicherte Ebenenliste ein. Mastercam zeigt dieses Dialogfeld immer dann an, wenn Sie eine Ebene wählen, die keiner Ebene entspricht, die in der Ebenenliste der geöffneten Teiledatei gespeichert ist. Dies kann eintreten, wenn Sie:

  • Die KEbene, WEbene oder das WKS an keiner vorhandenen benannten Ebene ausrichten, z.B. wenn Sie eine der Ebenen an Teilegeometrie ausrichten oder eine vorhandene Ebene drehen.

  • Im Menü „W/KEbenen“ eine Ebene relativ zum WKS wählen, wenn das WKS geändert wurde.

  • Eine benutzerdefinierte Ansicht sichern.

Mastercam erzeugt anhand der Eingaben in diesem Dialogfeld eine benannte Ebene, die mit der neuen Ebene assoziiert ist. Dadurch können Sie sie erneut anhand ihrer Bezeichnung wählen und in anderen Funktionen verwenden. Beispiel: Wenn Sie während der Definition einer Kebene eine neue Ebene erzeugen und sie dann speichern, können Sie sie später für eine Ansicht, Webene oder WKS auswählen.

Dieses Dialogfeld erscheint, sobald Sie die Ausrichtung für die neue Ebene ausgewählt haben. Rufen Sie, nachdem die Ebene erzeugt und in die Ebenenliste Ihrer Teiledatei eingefügt wurde, den Ebenenmanager auf, um ihre Einstellungen zu bearbeiten.

Weitere Informationen zu…

  • Ansichten, Ebenen und Koordinatensysteme

  • Erzeugen einer neuen Ebene aus Teile-Geometrie

  • Ändern des Nullpunkts einer Ebene, KEbene oder WEbene

  • Arbeitsversatznummern


Dialogfeld „Erzeuge relative Ebenen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Erzeugen Sie mit Hilfe dieses Dialogfelds relative Ebenen. Dies sind benannte Ebenen, die in Abhängigkeit von einer anderen Ebene (Basisebene) definiert sind, so dass bei einer Änderung der Basisebene auch alle abhängigen Ebenen geändert werden. Wenn Sie also beispielsweise die Ausrichtung der Basisebene (Systemebene) verschieben, werden alle relativen Ebenen mit verschoben.

Klicken Sie zum Erzeugen relativer Ebenen zunächst im Ebenenmanager auf die Basisebene. Klicken Sie dann auf die Schaltfläche Relativ, um dieses Dialogfeld aufzurufen. Wählen Sie die Ebenen, in denen die neuen Ebenen erzeugt werden sollen und geben Sie die entsprechenden Bezeichnungen ein.

Relative Ebenen sind im Ebenenmanager aufgelistet und können wie alle anderen Ebenen ausgewählt werden. Falls Sie versuchen, die Basisgeometrie zu ändern, erzeugt Mastercam trotzdem automatisch eine Kopie der Ebene.


Dialogfeld „Ebenenauswahl“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Dieses Dialogfeld wird immer dann in Mastercam angezeigt, wenn Sie eine Ebene wählen müssen. Dies ist meist dann der Fall, wenn Sie eine benannte Ebene als KEbene, WEbene oder Ansicht wählen.

Wenn das Dialogfeld erscheint, wird eine Liste mit Ebenen angezeigt, die den Namen, Ursprung und Arbeitsversatz der Ebene anzeigt. Klicken Sie im Dialogfeld auf die Schaltfläche Ebenenicon selektieren (Pfeilsymbol), um im Grafikfenster per Klick auf ihr Achsenkreuz eine Ebene zu wählen.

Tipp: Sie können das Achsenkreuzsymbol im Grafikfenster vereinfachen, indem Sie einige Ebenen ausblenden. Rufen Sie dazu den Ebenen-Manager auf und löschen Sie das „X“ aus der Spalte „Zeigen“, um eine Darstellung der Ebene im Achsenkreuz zu deaktivieren. So können Sie zum Beispiel das Darstellungsattribut für die Standard-Systemebenen deaktivieren, um Ihre eigenen benutzerdefinierten Ebenen leichter erkennen zu können.

Weitere Informationen zu…

  • Ansichten, Ebenen und Koordinatensysteme


Dialogfeld „Element-Attribut-Manager“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

In diesem Dialogfeld legen Sie die Attribute Layer, Farbe, Art und Breite für bestimmte Elementtypen fest. Linien können Sie beispielsweise als Layer 1, blau und gestrichelt definieren. Jedesmal, wenn Sie eine Linie erzeugen, wird sie automatisch als blaue, gestrichelte Linie in Layer 1 erzeugt.

Hinweise:

  • Zum Verwalten von Elementattributen Ihrer geöffneten Datei rufen Sie den Element-Attribut-Manager über das Dialogfeld „Attribute“ auf.

  • Rufen Sie den Element-Attribut-Manager über die Eigenschaftenseite „CAD“ des Dialogfelds Systemkonfiguration auf, wenn Sie Voreinstellungen für den Programmstart definieren möchten.

  • Die Hintergrundfarbe der Schaltfläche „Attribute“ ändert sich in rot, wenn der Element-Attribut-Manager aktiv ist. In einer Kurzinfo erscheinen Ihre Einstellungen, wenn Sie den Mauszeiger über die Schaltfläche ziehen, so dass Sie den Element-Attribut-Manager nicht mehr öffnen müssen, um sie anzuzeigen.

    Optionen des Kontextmenüs

    • Vom Dialog wählen: Öffnet je nach aktivem Feld das Dialogfeld „Layer“ oder „Farben“, in dem Sie das Attribut wählen können, das dem Elementtyp zugewiesen werden soll.

    • Wert vom Element setzen: Minimiert vorübergehend das Dialogfeld „Element-Attribut-Manager“ zur Auswahl eines Elements im Grafikfenster, das das gewünschte Attribut (Layer, Farbe, Art, Breite) besitzt. Das Dialogfeld wird erneut mit dem Attributwert des gewählten Elements angezeigt.

    • Wert als Hauptattr. setzen: Kopiert den in der Statusleiste für das gewählte Attribut (Layer, Farbe, Art, Breite) definierten Wert in das Feld.

    • Wert nach oben kopieren: Kopiert das Attribut des aktiven Felds in das Feld darüber.

    • Wert nach unten kopieren: Kopiert das Attribut des aktiven Felds in das Feld darunter.

Weitere Informationen zu...

  • Arbeiten mit Elementattributen


Dialogfeld „Attribute“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

In diesem Dialogfeld können folgende Elementattribute geändert werden:

  • Farbe

  • Linienart

  • Punktart

  • Layer

  • Linienbreite

  • Flächendichte

Sie können Attribute für die laufende Mastercam-Sitzung definieren oder Attribute markierter Elemente ändern.

  • Zum Ändern der aktuellen Attributeinstellungen in der laufenden Mastercam-Sitzung klicken Sie in der Statusleiste auf Attribute oder im Menü „Bildschirm“ auf „Geometrieattribute“.

  • Zum Ändern der Attribute einzelner oder mehrerer im Grafikfenster markierter Elemente klicken Sie vor oder nach der Elementauswahl mit der rechten Maustaste in der Statusleiste auf Attribute.

Hinweise:

  • Klicken Sie zum Definieren von Attribut-Voreinstellungen, die systemweit und in jeder Mastercam-Sitzung angewendet werden, im Menü Einstellungen auf Konfiguration..., damit das Dialogfeld „Systemkonfiguration“ geöffnet wird. Definieren Sie dann auf der Eigenschaftenseite Farben Voreinstellungen für den Parameter Farben, auf der Eigenschaftenseite „CAD“ Voreinstellungen für Linienbreite, Linienart, Punktart und die Optionen des Element-Attribut-Managers.

Weitere Informationen zu...

  • Dialogfeld „Farben“


Dialogfeld „Farben“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

In diesem Dialogfeld können Sie die Farben ändern, die bestimmten Elementen oder Funktionen zugewiesen sind (z.B. Geometrieerzeugung, Zeichnungselemente, Layer, Gruppen, usw.).

Die Farben sind von 0 bis 255 durchnummeriert und in der Farbpalette in aufsteigender Folge sortiert.

Wählen Sie folgendermaßen eine Farbe aus:

  • Die Identifikationsnummer ins Feld „Aktuelle Farbe“ eingeben

  • In der Farbpalette auf die gewünschte Farbe klicken

  • Auf die Schaltfläche „Wählen“ und dann im Grafikfenster auf ein Element in der gewünschten Farbe klicken

Außerdem können Sie eine benutzerdefinierte Farbe über die Registerkarte „Anpassen“ erzeugen, die auf einer der 256 Standardfarben basiert. Wählen Sie dazu eine Farbe und ändern ihre RGB-Werte mithilfe der Schieberegler. Diese Änderung beeinflusst im Grafikfenster vorhandene Elemente, die die geänderte Grundfarbe verwenden und alle neu erzeugten Elemente.

Sie können in diesem Dialogfeld auch eine geänderte Farbe auf ihre RGB-Standardwerte zurücksetzen oder alle voreingestellten Systemfarben neu laden.

Weitere Informationen zu...

  • Ändern von Farben, Layern und anderen Attributen vorhandener Elemente

  • Arbeiten mit Elementattributen

  • Arbeiten mit Gruppen


Dialogfeld „Linienart wählen“

Wählen Sie in diesem Dialogfeld auf folgende Weise eine Linienart für markierte Linienelemente aus:

  • Markieren Sie im Listenfeld eine Linienart und klicken Sie auf OK.

  • Klicken Sie bei Bedarf auf die Schaltfläche Wählen (Pfeilsymbol), um das Dialogfeld vorübergehend zu minimieren und im Grafikfenster ein Element zu markieren, das geändert werden soll.

Weitere Informationen zu...

  • Ändern von Farben, Layern und anderen Attributen vorhandener Elemente

  • Statusleiste

  • Dialogfeld „Linieneigenschaften“

  • Dialogfeld „Attribute“


Dialogfeld „Linienbreite wählen“

Wählen Sie in diesem Dialogfeld auf folgende Weise eine Linienbreite für markierte Linienelemente:

  • Markieren Sie im Listenfeld eine Linienbreite und klicken Sie auf OK.

  • Klicken Sie bei Bedarf auf die Schaltfläche Wählen (Pfeilsymbol), um das Dialogfeld vorübergehend zu minimieren und im Grafikfenster ein Element zu markieren, das geändert werden soll.

Weitere Informationen zu...

  • Ändern von Farben, Layern und anderen Attributen vorhandener Elemente

  • Statusleiste

  • Dialogfeld „Linieneigenschaften“

  • Dialogfeld „Attribute“


Dialogfeld „Punktart wählen“

Wählen Sie in diesem Dialogfeld auf folgende Weise eine Punktart für markierte Punktelemente:

  • Wählen Sie im Listenfeld eine Punktart aus und klicken Sie auf OK.

  • Klicken Sie bei Bedarf auf die Schaltfläche Wählen (Pfeilsymbol), um das Dialogfeld vorübergehend zu minimieren und im Grafikfenster ein Element zu markieren, das geändert werden soll.

Weitere Informationen zu...

  • Ändern von Farben, Layern und anderen Attributen vorhandener Elemente

  • Statusleiste

  • Dialogfeld „Punkt-Eigenschaften“

  • Dialogfeld „Attribute“


Dialogfeld „Layer-Manager“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Verwalten Sie in diesem Dialogfeld die Layereinstellungen für die aktuelle Teile-Datei. Die Abbildung rechts zeigt, wie Sie Elemente auf verschiedenen Layern platzieren können. Klicken Sie in die Abbildung, um sie zu vergrößern.

Im Dialogfeld „Layer-Manager“ können folgende Aktionen durchgeführt werden:

  • Einstellen des Hauptlayers

  • Einen Layer wählen, auf dem Elemente erzeugt werden

  • Die Layer wählen, die im Grafikfenster sichtbar sind

  • Layer erzeugen

  • Layer umbenennen

  • Erzeugen von Layersätzen (Layer-Sets)

  • Layer und Layersätze (Layer-Sets) speichern und laden

  • Layerarten filtern, die in der Liste angezeigt werden

Nachfolgend wird erläutert, wie die am häufigsten verwendeten Funktionen des Layer-Managers ausgeführt werden:

  • Um die Elemente auf einem Layer ein- oder auszublenden, klicken Sie in der Spalte Sichtbar in die Zeile der gewünschten Layernummer.

  • Klicken Sie zum Einstellen des Hauptlayers in die Spalte Nummer oder geben Sie (im Bereich „Hauptlayer“) in das Textfeld „Nummer“ die Layernummer ein oder markieren Sie das Kontrollkästchen „Hauptlayer mit Pfeiltasten einstellen“ (bzw. „Pfeiltasten setzt Hauptlayer“) und verwenden Sie die [Aufwärts]- und [Abwärts]-Pfeiltasten Ihrer Tastatur.

  • Führen Sie zum Umbenennen eines Layers in der Spalte Bezeichnung einen Doppelklick aus und geben Sie einen Namen in das Bearbeitungsfeld ein.

Hinweise:

  • Der Layer-Manager ist ein „nicht modales“ Dialogfeld. Dies bedeutet, dass Sie den Layer-Manager auf dem Bildschirm geöffnet lassen können, während Sie im Hauptfenster von Mastercam arbeiten. Beim Arbeiten mit mehreren Monitoren können Sie ihn sogar auf einen anderen Monitor verschieben.

  • Beim ersten Aufruf des Layer-Managers sind die Layer aufsteigend nach Nummer sortiert. Wenn Sie die Sortierreihenfolge neu definieren und den Layer-Manager schließen, speichert Mastercam die Sortiermethode und verwendet sie beim nächsten Öffnen des Layer-Managers.

  • Informationen zur Auswahl von Elementen mit Layer-Masken finden Sie unter Dialogfelder: „Alle selektieren“ und „Nur bestimmtes selektieren“.

Optionen des Kontextmenüs

  • Als Hauptlayer setzen: Bestimmt den gewählten Layer als Hauptlayer im Grafikfenster.

  • Lade Layer mit Bezeichnungen: Lädt eine zuvor gespeicherte *.CSV-Datei (Comma Separated Value = kommagetrennter Wert) mit Layer- und Layersatz-Bezeichnungen

  • Sichere Layer mit Bezeichnungen: Speichert alle Layer und Layersatzbezeichnungen in einer CSV-Datei zur Wiederverwendung in anderen Mastercam-Dateien.

  • Layer-Report: Erzeugt einen Textreport aller in diesem Dialogfeld definierten Layerdetails.

  • Alle selektieren: Selektiert alle Elemente auf dem gewählten Layer.

  • Alle de-selektieren: De-selektiert alle Elemente auf dem gewählten Layer.

  • Alle Layer-Sets an: Blendet einen Satz von Layern anhand der Layersatzbezeichnungen ein. Nur verfügbar bei Rechtsklick auf einen existierenden Layer.

  • Alle Layer-Sets aus: Blendet einen Satz von Layern anhand der Layersatzbezeichnungen aus. Nur verfügbar bei Rechtsklick auf einen existierenden Layer.

  • Kontrastzeilen: Schattiert jede zweite Reihe zur besseren Unterscheidung der einzelnen Reihen.

  • Layerliste aktualisieren: Aktualisiert die Informationen, die in der Layerliste angezeigt werden.

  • Alle leeren Layer löschen: Entfernt alle Layer ohne Geometrie.

  • Gewählte leeren Layer löschen: Entfernt gewählte Layer ohne Geometrie.

  • Layer neu nummerieren: Verschiebt Elemente auf einen unbenutzten Layer, wobei die Layerbezeichnung, der Layersatz und der Anzeigestatus beibehalten wird.

  • Ausschneiden: Entfernt Geometrie von einem Layer und verschiebt sie in die Zwischenablage.

  • Kopieren: Kopiert Geometrie von einem Layer.

  • Einfügen: Fügt die ausgeschnittene oder kopierte Geometrie in einen Layer ein.

  • Löschen: Entfernt Geometrie von einem Layer.

Weitere Informationen zu...

  • Ändern von Farben, Layern und anderen Attributen vorhandener Elemente

  • Arbeiten mit Layern

  • Einstellen des Hauptlayers

  • Wiederverwenden von Layerbezeichnungen (Sichern/Laden)

  • Erzeugen von Layersätzen


Dialogfeld „Layer“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Erzeugen oder wählen Sie in diesem Dialogfeld einen Hauptlayer als Standardattribut.

Weitere Informationen zu...

  • Arbeiten mit Layern

  • Dialogfeld „Layer-Manager“

  • Dialogfeld „Attribute“


Dialogfeld „Layer ändern“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Ändern Sie in diesem Dialogfeld den Layer für ein oder mehrere markierte Elemente. Beim Ändern von Layern können Sie:

  • Festlegen, ob Elemente auf einen Layer verschoben oder kopiert werden sollen.

  • Den Hauptlayer wählen oder eine Layernummer eingeben, sofern sie bekannt ist. Klicken Sie auf Wählen, um das Dialogfeld „Layer“ aufzurufen, wo Sie Layer aus allen benutzten oder benannten Layern auswählen oder einen neuen Hauptlayer zuweisen können.

  • Die Anzeige des zugewiesenen Layers im Grafikfenster steuern.

So ändern Sie den Layer eines oder mehrerer Elemente

  1. Markieren Sie mindestens ein Element.

  2. Klicken Sie in der Statusleiste am unteren Rand des Mastercam-Bildschirms mit der rechten Maustaste auf Layer.

  3. Wählen Sie im Dialogfeld „Layer ändern“ die Option Verschieben oder Kopieren.

  4. Führen Sie unter „Layernummer“ eine der folgenden Aktionen durch:

  5. Markieren Sie das Kontrollkästchen Hauptlayer benutzen, um die Elemente auf den Hauptlayer zu verschieben oder zu kopieren.

  6. Deaktivieren Sie das Kontrollkästchen Hauptlayer benutzen und geben Sie die Nummer des Layers ein, auf den die Elemente verschoben oder kopiert werden sollen. Wenn die Statuszeile unten im Dialogfeld anzeigt, dass die Option „Hauptlayer immer sichtbar“ AUS (deaktiviert) ist, markieren Sie das Kontrollkästchen Sichtbarkeit erzwingen, um den zugewiesenen Layer anzuzeigen oder auszublenden. Sie können das Ausblenden des Hauptlayers nicht erzwingen, wenn die Statuszeile anzeigt, dass die Option „Hauptlayer immer sichtbar“ AN (aktiviert) ist.

  • Klicken Sie auf die Schaltfläche Wählen, um die Layernummer aus dem Dialogfeld „Layer“ auszuwählen.

  5. Klicken Sie auf OK, um den Layer der gewählten Elemente zu ändern.

Weitere Informationen zu...

  • Arbeiten mit Layern

  • Dialogfeld „Layer-Manager“


Optionsleiste „Zeichnungserstellung“

Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Funktionen der Optionsleiste aufzurufen.

Formatieren Sie mithilfe dieser Optionsleiste Zeichnungsbemaßungen, die Sie mit der Funktion Automatisiertes Bemaßen erzeugen oder bearbeiten. Je nach gewähltem Zeichnungselement sind unterschiedliche Bearbeitungsfunktionen in der Optionsleiste „Zeichnungserstellung“ verfügbar.

Beispiel

Sie können das Aussehen von Hilfslinien ändern, Maßlinien hinzufügen oder entfernen und Position, Format, Typ und Ausrichtung anderer Zeichnungsbemaßungen einschließlich der Koordinaten bearbeiten. Sie können das Dialogfeld „Zeichnungsoptionen“ auch zum Aktualisieren, Speichern oder Laden von Zeichnungsparametern aufrufen.

Tastenkürzel: Mit Tastenkürzeln haben Sie beim Erzeugen und Bearbeiten von Bemaßungen schnellen Zugriff auf folgende Funktionen der Optionsleiste:

Hilfslinien

F – Schaltet die Hilfslinien um

N – Umschalter für mittige oder nicht mittige Bemaßung

A – Umschalter für die Maßpfeile – innen oder außen

Bemaßungsposition

H – erzwingt eine horizontale Ausrichtung

V – erzwingt eine vertikale Ausrichtungrtikal

K – sperren oder freigeben einer Ausrichtung

Bemaßungsformat und -typ

F – Ändern der Schriftart

T – Text ändern

J – Öffnet das Dialogfeld „Höhen“

U – Anzahl der Nachkommastellen

D – Durchmesserbemaßungsumschalter

R – Radiusbemaßungsumschalter

B – Umschalter für die Box/Text-Darstellung

Ausrichtung

L – Erzeugt eine Winkelbemaßung

Q – Quadrant

Zeichnungsoptionen

S – Öffnet die Zeichnungsoptionen

Was möchten Sie tun?

  • Maße zu einer vorhandenen Koordinatenbemaßung hinzufügen

  • Kreisbemaßung erzeugen

  • Punktbemaßung erzeugen

  • Automatisierte Bemaßung erzeugen

  • Tangentialbemaßung erzeugen

  • Winkelbemaßung erzeugen

  • Horizontale, vertikale und parallele Koordinatenbemaßungen erzeugen

  • Horizontale, vertikale, lotrechte und parallele Zeichnungsbemaßungen erzeugen

Weitere Informationen zu...

  • Bearbeiten von Hinweis- und Bemaßungstext


Schattieren von Flächen und Solids

Durch das Aktivieren der Schattierung von Flächen und Solids im Grafikfenster für die laufende Zeichnungssitzung wird 3D-Geometrie bei der Arbeit besser veranschaulicht. Sie können diese Funktion auch zum vorübergehenden Schattieren von Elementen verwenden, die Sie dann als Bitmap-Datei speichern oder für eine zukünftige Verwendung ausdrucken können.

Wählen Sie in der Symbolleiste „Schattieren“ (siehe unten) verschiedene Darstellungsoptionen für die Schattierung.

Schattierungsparameter wie Farbe, Materialien und Lichter können über die Schattierungs-Optionen in der Symbolleiste oder auf der Eigenschaftenseite „Schattierung“ (Systemkonfiguration) eingestellt werden.

Hinweise:

  • Sie können die Schattierung direkt ein- und ausschalten, indem Sie [Alt+S] drücken, und die Dursichtigkeit durch [Strg+T].

  • Durch Schattieren entsteht keine dauerhafte, speicherbare Abbildung.

  • Schattierte Darstellungen werden anhand Ihrer Änderungen an der Geometrie ständig aktualisiert.

  • Die vorhandenen Parametereinstellungen bleiben erhalten, bis sie geändert werden, und werden immer dann verwendet, wenn die Schattierung eingeschaltet ist.

  • Bei komplexer Geometrie kann der Schattierungsvorgang etwas länger dauern. In solchen Fällen stellt Mastercam die Geometrie nicht dar, wie sie gerade schattiert wird. Stattdessen sehen Sie in der Statusleiste eine Fortschrittsanzeige, die ein Feedback liefert, dass der Schattierungsprozess noch andauert. Nach Beendigung dieses Vorgangs erscheint Ihre Geometrie schattiert.

Siehe auch...

  • Dialogfeld „Schattieren: Materialeditor“

  • Dialogfeld „Material“


Dialogfeld „Schattieren: Materialeditor“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

In diesem Dialogfeld können Sie ein neues Schattierungsmaterial anlegen oder die Eigenschaften eines vorhandenen ändern. Dazu kombinieren Sie verschiedene Anteile der Farben Rot, Grün und Blau (RGB-Werte) und verschiedene Intensitäten von Umgebungs-, Streu- und reflektiertem Licht. Zusätzlich können Sie den Glanz und die Bezeichnung eines Materials‘ definieren.

Weitere Informationen zu...

  • Dialogfeld „Material“


Dialogfeld „Material“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieses Dialogfelds können Sie mit Schattierungsmaterialien arbeiten, um das Aussehen fertiger Teile zu simulieren. Dazu können Sie unter 24 vordefinierten Materialien wählen, die mit Mastercam installiert wurden. Darüber hinaus können sie vorhandene Schattierungsmaterialien bearbeiten, löschen oder neu definieren.

Weitere Informationen zu...

  • Dialogfeld „Schattieren: Materialeditor“


Verfahren zur Geometrieerzeugung

Klicken Sie auf die nachfolgenden Themen, um Verfahren zum Erzeugen bestimmter Geometrietypen aufzurufen:

Verfahren zur Zeichnungs- und Bemaßungserstellung

  • Hinzufügen von Maßen zu einer vorhandenen Koordinatenbemaßung

  • Erzeugen einer Kreisbemaßung

  • Erzeugen eines Hinweistexts

  • Erzeugen eines Schraffurmusters innerhalb verketteter Konturen

  • Erzeugen einer Punktbemaßung

  • Erzeugen einer automatisierten Bemaßung

  • Erzeugen einer Tangentialbemaßung

  • Erzeugen einer Fenster-Koordinatenbemaßung

  • Erzeugen einer Winkelbemaßung

  • Erzeugen horizontaler, vertikaler und paralleler Koordinatenbemaßungen

  • Erzeugen horizontaler, vertikaler, lotrechter und paralleler Zeichnungsbemaßungen

  • Ändern mehrerer Zeichnungsbemaßungen

  • Bearbeiten von Hinweis- und Bemaßungstext

Verfahren zur Tür- und Treppenerzeugung

  • Erzeugen einer Türgeometrie

  • Erzeugen einer Treppengeometrie

Verfahren zur Erzeugung von Verrundungen, Fasen und Splines

  • Erzeugen von Fasen an Ketten

  • Erzeugen von Fasen an Elementen

  • Manuelles Erzeugen eines Splines

  • Erzeugen eines Splines aus vorhandenen Kurven

  • Erzeugen eines Splines, der tangential an zwei Kurven anliegt

  • Automatisches Erzeugen eines Splines

  • Verrunden von Ketten

  • Verrunden von Elementen

Verfahren zur Primitivenerzeugung

  • Erzeugen eines Blocks

  • Erzeugen eines Konus

  • Erzeugen eines Zylinders

  • Erzeugen einer Helix

  • Erzeugen eines Polygons

  • Erzeugen eines Rechtecks

  • Erzeugen einer Rechteckform

  • Erzeugen einer Kugel

  • Erzeugen einer Spirale

  • Erzeugen eines Rings (Torus)

  • Erzeugen einer Ellipse

  • Erzeugen von Text

  • Erzeugen von Text in Kleinbuchstaben

Verfahren zur Flächenerzeugung

  • Erzeugen einer 2-Flächenverblendung

  • Erzeugen einer Kofferecke

  • Erzeugen einer 3-Flächenverblendung

  • Erzeugen einer Draftfläche (Auszugsfläche)

  • Erzeugen einer Fächerfläche

  • Erzeugen einer Netzfläche

  • Erzeugen einer Rotationsfläche

  • Erzeugen einer Linear- oder Loft-Fläche

  • Erzeugen einer Flächen/Kurvenverrundung

  • Erzeugen einer Flächen/Flächenverrundung

  • Erzeugen einer Swept-Fläche

  • Erzeugen einer Austragungsfläche

  • Erzeugen einer Offsetfläche (Versatzfläche)

  • Verlängern einer Fläche

  • Verrunden einer Fläche auf eine Ebene

  • Trimmen einer Fläche auf eine Geometriekurve

  • Trimmen einer Fläche auf eine Ebene

  • Trimmen einer Fläche auf eine andere Fläche

Verfahren zur Drahtmodellerzeugung

  • Erzeugen einer Winkelhalbierenden

  • Erzeugen eines Kreises anhand eines Zentrumspunkts

  • Erzeugen eines Bogens (Kreises) anhand von Endpunkten

  • Erzeugen einer Kurve mit konstanten Parametern

  • Erzeugen einer Kurve auf einem einzelnen Flächenrand

  • Erzeugen einer Kurve auf allen Rändern

  • Erzeugen eines Schneidepunkts

  • Erzeugen einer dynamischen Kurve

  • Erzeugen einer Flowlinekurve

  • Erzeugen einer kürzesten Verbindungslinie (zwischen zwei Elementen)

  • Erzeugen einer Linie anhand von zwei Endpunkten

  • Erzeugen eine parallelen Linie

  • Erzeugen einer Formtrennkurve

  • Erzeugen einer lotrechten Linie

  • Erzeugen eines Punkts

  • Erzeugen eines Punkts im Zentrum eines Bogens

  • Erzeugen eines Punkts auf einem vorhandenen Element

  • Erzeugen eines Polarbogens

  • Erzeugen eines Polarbogens anhand eines definierten Punkts

  • Erzeugen einer Schnittkurve

  • Erzeugen eines Tangentialbogens

  • Erzeugen eines Einfädelpunkts

  • Erzeugen eines Bogens anhand von drei Punkten

  • Erzeugen eines Bogens (Kreises) anhand definierter Endpunkte

  • Erzeugen von Kurven an Flächenverschneidungen

  • Erzeugen von Punktsegmenten

Hinweis: Nutzen Sie zum Aufruf einer Funktion, während ein andere Funktion aktiv ist, den Unterbrechungsmodus von Mastercam. Mit diesem Modus können Sie eine Funktion anhalten, eine neue Funktion ausführen und dann mit der ersten Funktion dort fortfahren, wo sie angehalten wurde.


Hinzufügen von Maßen zu einer vorhandenen Koordinatenbemaßung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Koordinatenbemaßung, Existierende erweitern….

  2. Klicken Sie auf eine bereits vorhandene Koordinatenbemaßung, um die Basisbemaßung festzulegen.

  3. Klicken Sie auf eine andere Position im Grafikfenster, um eine sekundäre Koordinatenbemaßung hinzuzufügen.

  4. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.


Erzeugen einer Kreisbemaßung

Hinweis: Bezeichnungen von Elementen in Dialogfeldern und Optionsleisten können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Kreis…. Die Optionsleiste „Zeichnungserstellung“ wird daraufhin angezeigt.

  2. Markieren Sie einen Kreis oder Bogen.
    Hinweis    : Die erzeugte Bemaßung bleibt solange aktiv und dynamisch, bis Sie ins Grafikfenster klicken.

  3. Formatieren Sie die Bemaßung mithilfe der Optionsleiste „Zeichnungserstellung“ wie folgt:

    • Definieren Sie im Bereich Hilfslinien die Position und die Linien- und Pfeilart der Bemaßung.

    • Wählen Sie im Bereich Bemaßungsausrichtung die Textrichtung.

    • Definieren Sie im Bereich Bemaßungsformat und -typ Schriftart, Text, Höhe, Anzahl der Nachkommastellen und Typ der Bemaßung.

  4. Ziehen Sie den Cursor im Grafikfenster auf die gewünschte Textposition und drücken Sie die linke Maustaste, um die Bemaßung zu fixieren.

  5. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können das Dialogfeld Zeichnungsoptionen aufrufen, um Zeichnungsparameter zu aktualisieren, zu sichern oder zu laden; klicken Sie dazu in der Optionsleiste „Zeichnungserstellung“ auf die Schaltfläche Optionen.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Erzeugen eines Hinweistexts

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Text/Hinweis…. Das Dialogfeld „Textdialog“ wird angezeigt.

  2. Geben Sie Hinweis- oder Bezeichnungstext in das Feld ein oder klicken Sie auf die Schaltfläche Lade Textdatei, um Text aus einer vorhandenen Datei zu importieren.

  3. Klicken Sie bei Bedarf auf die Schaltfläche Symbole und wählen Sie ein Symbol, das in den Hinweistext eingefügt werden soll.

  4. Definieren Sie im Bereich Erzeuge, ob Einzel-/Mehrfachtext, Bezeichnungstext mit Bezugslinien oder einer oder mehreren freistehende Bezugslinien erzeugt werden sollen.

  5. Klicken Sie auf die Schaltfläche Eigenschaften, um die Seite „Hinweistext“ des Dialogfelds „Zeichnungsoptionen“ zu öffnen. Definieren Sie auf dieser Seite Eigenschaften wie Textformat, Schriftart, Ausrichtung und Abstand. Klicken Sie danach auf OK.

  6. Klicken Sie im Dialogfeld „Textdialog“ auf OK, um es zu schließen und den Text anzuzeigen. Es erscheint die Optionsleiste „Zeichnungserstellung“, wobei der Hinweistext jedoch aktiviert und dynamisch (verschiebbar) bleibt.

  7. Formatieren Sie die Bemaßung mithilfe der Optionsleiste „Zeichnungserstellung“ wie folgt:

    • Fügen Sie über die Schaltflächen im Bereich Maßlinien Maßlinien hinzu oder entfernen Sie sie.

    • Definieren Sie im Bereich Bemaßungsformat und -typ Schriftart, Text und Höhe der Bemaßung.

  8. Klicken Sie auf ein Element, um den Maßlinienpfeil zu platzieren.

  9. Klicken Sie im Grafikfenster auf die gewünschte Position oder verwenden Sie den AutoCursor und drücken Sie Enter, um den Text zu positionieren, das Element zu fixieren und die Funktion zu beenden.

Hinweise:

  • Wenn Sie Einzel- oder Mehrfachtext erstellen wollen, klicken Sie einfach einmal in das Grafikfenster, um den Text zu platzieren.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Erzeugen eines Schraffurmusters innerhalb verketteter Konturen

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Schraffur…. Das Dialogfeld „Schraffur“ wird angezeigt.

  2. Wählen Sie in der Musterliste ein Querschraffurmuster. Sie können auch auf die Schaltfläche Selbst definierte Schraffurmuster klicken, um das Dialogfeld „Selbst definierte Schraffur“ zu öffnen, in dem Sie ein benutzerdefiniertes Muster erzeugen oder wählen können. Klicken Sie danach auf OK.

  3. Definieren Sie im Bereich Parameter des Dialogfelds „Schraffur“ Abstand und Winkel der Schraffurlinien.

  4. Klicken Sie auf OK, um das Dialogfeld zu schließen.

  5. Wählen Sie mithilfe des Dialogfelds „Verkettung“ eine geschlossene Kontur, die mit dem Schraffurmuster ausgefüllt werden soll.

  6. Klicken Sie auf OK, um das Dialogfeld zu schließen und die Funktion zu beenden.


Erzeugen einer Punktbemaßung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Punkt…. Die Optionsleiste „Zeichnungserstellung“ wird daraufhin angezeigt.

  2. Klicken Sie auf eine beliebige Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Bezugspunkt für die Bemaßung festzulegen.
    Hinweis    : Die erzeugte Bemaßung bleibt solange aktiv und dynamisch, bis Sie ins Grafikfenster klicken.

  3. Definieren Sie im Bereich Bemaßungsformat und -typ der Optionsleiste „Zeichnungserstellung“ Schriftart, Text, Höhe und Anzahl der Nachkommastellen für die Bemaßung.

  4. Ziehen Sie den Cursor im Grafikfenster auf die gewünschte Textposition und drücken Sie die linke Maustaste, um die Bemaßung zu fixieren.

  5. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können das Dialogfeld Zeichnungsoptionen aufrufen, um Zeichnungsparameter zu aktualisieren, zu sichern oder zu laden; klicken Sie dazu in der Optionsleiste „Zeichnungserstellung“ auf die Schaltfläche Optionen.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Erzeugen einer automatisierten Bemaßung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Automatisiertes Bemaßen…. Die Optionsleiste „Zeichnungserstellung“ wird daraufhin angezeigt.

  2. Markieren Sie im Grafikfenster einen Punkt, eine Linie, einen Bogen oder Kreis oder ein Bemaßung.

  3. Markieren Sie falls nötig einen zweiten Punkt, eine Linie oder einen Bogen. Mastercam erzeugt eine Bemaßung, die aktiv bleibt (d. h. Sie können sie weiter bearbeiten)

  4. Ziehen Sie die Bemaßung auf die gewünschte Position und klicken Sie, um sie dort zu platzieren.

  5. Formatieren Sie die Bemaßung mithilfe der Funktionen der Optionsleiste „Zeichnungserstellung“. (Welche Funktionen in der Optionsleiste jeweils aktiviert sind, hängt vom gewählten Zeichnungselementtyp ab).

  6. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Wenn die Optionsleiste „Zeichnungserstellung“ angezeigt wird, können Sie auf eine vorhandene Bemaßung klicken, um sie zu bearbeiten. Ziehen Sie die Bemaßung dann an eine neue Position oder ändern Sie ihre Optionen mithilfe der Optionsleiste „Zeichnungserstellung“.


Erzeugen einer Tangentialbemaßung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Tangential…. Die Optionsleiste „Zeichnungserstellung“ wird daraufhin angezeigt.

  2. Markieren Sie ein Element im Grafikfenster.

  3. Markieren Sie ein Element, das tangential am ersten Element anliegt.
    Hinweis    : Die erzeugte Bemaßung bleibt solange aktiv und dynamisch, bis Sie ins Grafikfenster klicken.

  4. Formatieren Sie die Bemaßung mithilfe der Optionsleiste „Zeichnungserstellung“ wie folgt:

    • Definieren Sie im Bereich Hilfslinien die Position und die Linien- und Pfeilart der Bemaßung.

    • Wählen Sie im Bereich Bemaßungsausrichtung die Textrichtung.

    • Wählen Sie im Bereich Bemaßungs-Format und -Typ das Bemaßungsformat, wie Schriftart, Text, Höhe und die Anzahl der Nachkommastellen.

    • Klicken Sie auf die Schaltfläche Quadrant, um den Wert der Tangentialmaßung zu ändern, indem Sie einen anderen Quadranten wählen.

  5. Ziehen Sie den Cursor im Grafikfenster auf die gewünschte Textposition und drücken Sie die linke Maustaste, um die Bemaßung zu fixieren.

  6. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können das Dialogfeld Zeichnungsoptionen aufrufen, um Zeichnungsparameter zu aktualisieren, zu sichern oder zu laden; klicken Sie dazu in der Optionsleiste „Zeichnungserstellung“ auf die Schaltfläche Optionen.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Erzeugen einer Fenster-Koordinatenbemaßung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Koordinatenbemaßung, Fenster….

  2. Stellen Sie im Dialogfeld „Koordinatenbemaßung: Automatisch“ folgende Parameter für gewählte Elemente ein:

    • Legen Sie im Bereich Nullpunkt den gemeinsamen Nullpunkt (Basispunkt) fest, der beim Erzeugen mehrerer Sätze von Koordinatenbemaßungen verwendet wird.

    • Definieren Sie, wo die Koordinatenbemaßungen erzeugt werden sollen, indem Sie im Bereich Punkte die gewünschten Optionen aktivieren.

    • Wählen Sie anhand der Einstellungen im Bereich Optionen ein Format für die Koordinatenbemaßung.

    • Aktivieren Sie im Bereich Entwerfen die Option Horizontal oder Vertikal, um die Ausrichtung der Basis- und Sekundär-Koordinatenbemaßungen festzulegen.

  3. Klicken Sie nach Auswahl der gewünschten Optionen auf OK.

  4. Wählen Sie im Grafikfenster mit der Auswahlmethode „Fenster“ oder „Polygon“ Elemente zur Bemaßung aus. Dadurch wird die Koordinatenbemaßung fixiert und die Funktion beendet.


Erzeugen einer Winkelbemaßung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Winkel….

  2. Klicken Sie eine Linie oder einen Bogen an.

  3. Markieren Sie eine nicht-parallele Linie oder einen Bogen.
    Hinweis    : Die erzeugte Bemaßung bleibt solange aktiv und dynamisch, bis Sie ins Grafikfenster klicken.

  4. Formatieren Sie die Bemaßung mithilfe der Optionsleiste „Zeichnungserstellung“ wie folgt:

    • Definieren Sie im Bereich Hilfslinien die Position und die Linien- und Pfeilart der Bemaßung.

    • Wählen Sie im Bereich Bemaßungs-Format und -Typ das Bemaßungsformat, wie Schriftart, Text, Höhe und die Anzahl der Nachkommastellen.

    • Klicken Sie auf die Schaltfläche Winkel, um die jeweils entgegengesetzte Winkelbemaßung einzustellen.

  5. Ziehen Sie den Cursor im Grafikfenster auf die gewünschte Textposition und drücken Sie die linke Maustaste, um die Bemaßung zu fixieren.

  6. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können das Dialogfeld Zeichnungsoptionen aufrufen, um Zeichnungsparameter zu aktualisieren, zu sichern oder zu laden; klicken Sie dazu in der Optionsleiste „Zeichnungserstellung“ auf die Schaltfläche Optionen.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Erzeugen horizontaler, vertikaler und paralleler Koordinatenbemaßungen

  1. Klicken Sie im Menü auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Koordinatenbemaßung, Horizontal (oder Vertikal oder Parallel). Die Optionsleiste „Zeichnungserstellung“ wird daraufhin angezeigt.

  2. Markieren Sie ein Element im Grafikfenster.
    Hinweis    : Die erzeugte Bemaßung bleibt solange aktiv und dynamisch, bis Sie ins Grafikfenster klicken.

  3. Formatieren Sie die Bemaßung mithilfe der Optionsleiste „Zeichnungserstellung“ wie folgt:

    • Klicken Sie auf die Schaltfläche Zentriert, um die Maßzahl automatisch auf der Maßlinie zu zentrieren.

    • Wählen Sie im Bereich Bemaßungs-Format und -Typ das Bemaßungsformat, wie Schriftart, Text, Höhe und die Anzahl der Nachkommastellen.

  4. Ziehen Sie den Cursor im Grafikfenster auf die gewünschte Textposition und drücken Sie die linke Maustaste, um die Bemaßung zu fixieren.

  5. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können das Dialogfeld Zeichnungsoptionen aufrufen, um Zeichnungsparameter zu aktualisieren, zu sichern oder zu laden; klicken Sie dazu in der Optionsleiste „Zeichnungserstellung“ auf die Schaltfläche Optionen.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Erzeugen horizontaler, vertikaler, lotrechter und paralleler Zeichnungsbemaßungen

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Bemaßung, Horizontal… (oder Vertikal oder Parallel oder Lotrecht). Die Optionsleiste „Zeichnungserstellung“ wird daraufhin angezeigt.

  2. Markieren Sie den ersten Endpunkt des Elements, das bemaßt werden soll.

  3. Wählen Sie den zweiten Endpunkt des Elements, das bemaßt werden soll.
    Hinweis:     Die erzeugte Bemaßung bleibt solange aktiv und dynamisch, bis Sie ins Grafikfenster klicken.

  4. Formatieren Sie die Bemaßung mithilfe der Optionsleiste „Zeichnungserstellung“ wie folgt:

    • Definieren Sie im Bereich Hilfslinien die Position und die Linien- und Pfeilart der Bemaßung.

    • Wählen Sie im Bereich Bemaßungsausrichtung die Textrichtung.

    • Wählen Sie im Bereich Bemaßungs-Format und -Typ das Bemaßungsformat, wie Schriftart, Text, Höhe und die Anzahl der Nachkommastellen.

  5. Ziehen Sie den Cursor im Grafikfenster auf die gewünschte Textposition und drücken Sie die linke Maustaste, um die Bemaßung zu fixieren.

  6. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können das Dialogfeld Zeichnungsoptionen aufrufen, um Zeichnungsparameter zu aktualisieren, zu sichern oder zu laden; klicken Sie dazu in der Optionsleiste „Zeichnungserstellung“ auf die Schaltfläche Optionen.

  • Per Klick auf die Schaltfläche Erneuern in der Optionsleiste „Zeichnungserstellung“ können Sie die Einstellungen auf den Eigenschaftenseiten für die Zeichnungserstellung in der Systemkonfiguration anhand der derzeitigen Zeichnungseinstellungen aktualisieren.


Ändern mehrerer Zeichnungsbemaßungen

  1. Klicken Sie in der Menüleiste auf Entwerfen, Zeichnung/Bemaßung, Mehrfachändern….

  2. Wählen Sie eine oder mehrere Zeichnungsbemaßungen und drücken Sie [Enter].

  3. Das Dialogfeld „Zeichnungsoptionen“ wird angezeigt.

  4. Definieren Sie auf den verschiedenen Eigenschaftenseiten des Dialogfelds Bemaßungsattribute, Bemaßungstext, Hinweistext, Maß-/Hilfslinien und Bemaßungseinstellungen.

  5. Klicken Sie auf OK, um das Dialogfeld zu schließen, die Änderungen anzuwenden und die Funktion zu beenden.


Erzeugen einer Türgeometrie

  1. Klicken Sie in der Menüleiste auf Entwerfen, Türen…. Es erscheint das Dialogfeld „Türen“.

  2. Wählen Sie in der Dropdownliste Türart einen Typ aus.

  3. Markieren Sie das Kontrollkästchen Türblatt spiegeln, um den oberen Türinnenbogen zu kopieren und auf den unteren Teil der Tür zu spiegeln.

  4. Geben Sie im Dialogfeldbereich für die Türmaße Werte für die verschiedenen Maße der Tür ein.

  5. Klicken Sie auf die Schaltflächen Attribute für die Außenform und Innenform, um im Dialogfeld Attribute Optionen wie Farbe, Layer und Linienart zu ändern.

  6. Markieren Sie das Kontrollkästchen Horizontale Sprosse, um in das Fenster horizontale Querstreben einzufügen. Geben Sie dann Werte in die Felder Sprossenbreite und Sprossenanzahl ein.

  7. Wählen Sie in der Dropdownliste Abstand zum Boden eine Option, um die vertikale Platzierung der horizontalen Sprosse festzulegen.

  8. Markieren Sie das Kontrollkästchen Vertikale Sprosse, um in das Fenster vertikale Streben einzufügen. Geben Sie dazu in die Felder Sprossenbreite und Sprossenanzahl Werte ein.

  9. Geben Sie in das Feld Äußerer Eckradius einen Bogenradius ein, um an der Tür abgerundete Ecken zu erzeugen.

  10. Markieren Sie das Kontrollkästchen Mehrfachausführungen und drücken Sie die dazugehörige Schaltfläche, wenn Türkopien erzeugt werden sollen.

  11. Markieren Sie das Kontrollkästchen Separate MCX-Dateien ausgeben, um Türgeometrie in gesonderten MCX-Dateien oder einem angegebenen Verzeichnis auszugeben. Klicken Sie auf die Suchschaltfläche, („drei Punkte“-Schaltfläche) um den exportierten MCX-Dateien einen Verzeichnispfad zuzuweisen.

  12. Klicken Sie auf OK, um das Dialogfeld zu schließen.

  13. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um die Türgeometrie zu positionieren.

  14. Drücken Sie [Esc], um die Funktion zu beenden.


Erzeugen einer Treppengeometrie

  1. Klicken Sie in der Menüleiste auf Entwerfen, Treppen…. Es erscheint daraufhin das Dialogfeld „Stufen“.

  2. Stellen Sie die Treppenart ein, indem Sie im Bereich Art entweder die Option Offene Kontur oder Geschlossene Kontur auswählen.

  3. Geben Sie in das Feld Flurhöhe: Fertig - Fertigmaß den Gesamtanstieg der Treppe ein.

  4. Geben Sie in das Feld Gesamttreppenlauf den horizontalen Gesamtabstand der Treppe ein.

  5. Geben Sie in das Feld Anzahl Stufen die gewünschte Stufenanzahl ein.

  6. Geben Sie in das Feld Auftrittbreite die Breite der Stufe ein.

  7. Bestimmen Sie die Materialstärke für die Trittstufe und die Setzstufe und geben diese Werte in die entsprechenden Felder ein.

  8. Geben Sie in das Feld Treppenwangenhöhe die Materialbreite für die Treppenwange ein.

  9. Geben Sie in das Feld Überstand den Abstand ein, um den die Trittstufe über die Setzstufe hinausgeht.

  10. Geben Sie in die Felder Obere Stufenstärke und Untere Stufenstärke Werte für die Erzeugung von Linien zum Schließen der Treppenwangenkontur ein.

  11. Markieren Sie das Kontrollkästchen Keilform, um die gefräste Nut auf einer Treppenwange zu vergrößern. Geben Sie Werte für die Höhe der kurzen und der langen Seite und für die Länge der Keilform ein. Der Wert im Feld Winkel wird anhand dieser Breiten- und Höhenwerte automatisch aktualisiert.

  12. Wählen Sie, welche Treppenwangenseite im Grafikfenster angezeigt werden soll, indem Sie entweder das Kontrollkästchen Rechtslaufend oder Linkslaufend markieren.

  13. Markieren Sie das Kontrollkästchen Lauf um die X-Achse drehen, damit die Treppenwange im Grafikfenster in Richtung X-Achse zeigt.

  14. Klicken Sie auf OK, um das Dialogfeld zu schließen.

  15. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um die Treppengeometrie zu positionieren.

  16. Drücken Sie [Esc], um die Funktion zu beenden.

Hinweis: Die Wert in den Feldern Stufenanstieg und Stufenwinkel werden von Mastercam anhand der eingegebenen Werte automatisch berechnet. Diese Felder können nicht bearbeitet werden.


Erzeugen von Fasen an Ketten

  1. Klicken sie in der Menüleiste auf Entwerfen, Fase, Kette…. Das Dialogfeld „Verkettung“ und die Optionsleiste „Kette Fasen“ werden angezeigt (das Dialogfeld „Verkettung“ ist dabei aktiv im Vordergrund).

  2. Verketten Sie mithilfe des Dialogfelds „Verkettung“ das Element, an dem die Fase angebracht werden soll.

  3. Klicken Sie auf OK, um die Auswahl abzuschließen und die Fase zu erzeugen.

  4. Klicken Sie zum Übernehmen der voreingestellten Fasenwerte auf die Schaltfläche Zuweisen.

  5. Falls Sie die Werte ändern möchten, gehen Sie wie folgt vor, um die Fasenoptionen mithilfe der Optionsleiste zu ändern:

    • Wählen Sie in der Dropdown-Liste des Felds Art eine Fasenart.

    • Geben Sie einen Wert in das Feld Abstand/Breite ein.

    • Klicken Sie, falls die Elemente nicht bis auf die Fase getrimmt werden sollen, auf die Schaltfläche Kein Trimmen.

  6. Wenn weitere Fasen erzeugt werden sollen, klicken Sie auf Zuweisen, um die aktiven Elemente zu fixieren. Das Dialogfeld „Verkettung“ wird erneut eingeblendet und Sie können ein weiteres Element verketten, an dem eine Fase angebracht werden soll.

  7. Klicken Sie nach Abschluss der Fasenerzeugung auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Fasen Sie mithilfe dieser Funktion Elemente an, die scharfe Kanten besitzen und als einzelne verkettete Elemente identifiziert werden können (d.h. Rechtecke und Polygone). Arbeiten Sie zum Erzeugen einzelner Fasen mit der Optionsleiste Fase.

  • Sie können in der Optionsleiste „Kette Fasen“ auf die Schaltfläche Kette klicken, um das Dialogfeld „Verkettung“ zu öffnen und Elemente zum Anbringen einer Fase erneut zu wählen.

  • Der AutoCursor ist während dieser Funktion nicht verfügbar.


Erzeugen von Fasen an Elementen

  1. Klicken sie in der Menüleiste auf Entwerfen, Fase, Fasen…. Die Optionsleiste „Fase“ wird angezeigt.

  2. Wählen Sie in der Dropdown-Liste des Felds Art eine Fasenart.

  3. Geben Sie in die Felder Abstand 1, Abstand 2 und Winkel die erforderlichen Werte ein.
    Hinweis:     Die Verfügbarkeit dieser Felder hängt von der gewählten Fasenart ab.

  4. Klicken Sie, falls die Elemente nicht bis auf die Fase getrimmt werden sollen, auf die Schaltfläche Kein Trimmen.

  5. Wählen Sie die Elemente, an denen eine Fase erzeugt werden soll.
    Hinweis:     Diese Funktion verwendet die „Automatische Vorschau“. Wenn Sie nach Auswahl des ersten Elements mit der Maus auf ein anderes Element zeigen, wird eine Vorschau der Fase eingeblendet. Klicken Sie dann, um das zweite Element zu wählen und die Fase zu erzeugen. Die Fase bleibt aktiviert und editierbar.

  6. Klicken Sie auf die Schaltfläche Zuweisen, um das Element zu fixieren. Sie können dann weitere Elemente wählen, um zusätzliche Rundung zu erzeugen, oder auf OK klicken, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Mit dieser Funktion können keine Fasen an Ketten angebracht werden. Arbeiten Sie mit der Optionsleiste „Kette Fasen“, wenn mehrere Fasen entlang einer Kette erzeugt werden sollen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Manuelles Erzeugen eines Splines

  1. Klicken Sie in der Menüleiste auf Entwerfen, Spline, Manuell…. Die Optionsleiste „Spline“ wird angezeigt.

  2. Klicken Sie vor dem Erzeugen Ihres Splines‘ auf die Schaltfläche Endbedingungen ändern, wenn danach weiterhin die Möglichkeit bestehen soll, seine Endbedingungen zu bearbeiten.

  3. Klicken Sie ins Grafikfenster oder geben Sie die Koordinaten im AutoCursor ein, um die Punkte des Splines zu positionieren.
    Hinweis:     Sie können dabei auf die Schaltfläche Ein Punkt zurück klicken, um den zuletzt erzeugten Punkt zu ändern.

  4. Klicken Sie doppelt auf den letzten Endpunkt, klicken Sie auf Zuweisen oder drücken Sie [Enter], um das Element zu fixieren.

  5. Wenn Sie zuvor auf die Schaltfläche Endbedingungen ändern geklickt haben, wird die Optionsleiste „Spline - Endbedingungen“ angezeigt. Definieren Sie mithilfe dieser Optionsleiste die Tangentialität der Endpunkte.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Sie können auch automatische Splines, Splines aus Kurven und Splines erzeugen, die tangential an zwei Kurven anliegen.


Erzeugen eines Splines aus vorhandenen Kurven

  1. Klicken Sie in der Menüleiste auf Entwerfen, Spline, Kurvenspline…. Das Dialogfeld „Verkettung“ und die Optionsleiste „Spline - aus Kurven“ werden angezeigt.

  2. Verketten Sie die Elemente, aus denen der oder die Splines erzeugt werden sollen.

  3. Klicken Sie auf OK, um das Dialogfeld „Verkettung“ zu schließen.

  4. Geben Sie in das Optionsleistenfeld Abweichung einen Wert ein, um den maximalen Abstand einzustellen, in dem der resultierende Spline von den gewählten Kurven abweichen darf.

  5. Wählen Sie eine Option in der Dropdown-Liste Originalkurven, um zu bestimmen, wie nach dem Erzeugen des Splines mit den Originalkurven verfahren werden soll. Klicken Sie, wenn Sie die Option Auf Layer verschieben wählen, auf die Schaltfläche Layer #, um das Dialogfeld „Layer“ zu öffnen. Wählen Sie darin den Layer, auf den die Originalkurven verschoben werden sollen, und klicken Sie auf OK.

  6. Verketten Sie mithilfe des Dialogfelds „Verkettung“ die Kurven, aus denen Sie den Spline erzeugen möchten. Klicken Sie danach auf OK.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Um einen Kurvenspline zu erzeugen, muss sich mindestens ein Kurvenelement im Grafikfenster befinden.

  • Sie können in der Optionsleiste „Spline - aus Kurven“ jederzeit auf die Schaltfläche Kette klicken, um das Dialogfeld „Verkettungs“ erneut zu öffnen und neue Kurven zu wählen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.

  • Sie können auch manuelle Splines, automatische Splines und Splines, die tangential an zwei Kurven anliegen erzeugen.


Erzeugen eines Splines, der tangential an zwei Kurven anliegt

  1. Klicken Sie in der Menüleiste auf Entwerfen, Spline, Blendspline…. Die Optionsleiste „Spline - Blendbedingungen“ wird angezeigt.

  2. Wählen Sie die erste Kurve, die tangential am Blendspline anliegen soll. Ziehen Sie den dynamischen Pfeil an eine Position auf der Kurve und klicken Sie, um den ersten Endpunkt des Splines zu bestimmen.

  3. Wählen Sie die zweite Kurve, an der der Spline tangential anliegen soll. Ziehen Sie den dynamischen Pfeil an eine Position auf der Kurve und klicken Sie, um den zweiten Endpunkt des Splines zu bestimmen.

  4. Geben Sie Werte in die Felder 1. Positionsmagnitude und 2. Positionsmagnitude der Optionsleiste „Spline - Endbedingungen“ ein, um die Magnitude des Splines an den Berührungspunkten festzulegen.

  5. Wählen Sie eine Option in der Dropdown-Liste Trimmen, um zu definieren, wie Mastercam die gewählten Kurven zum Spline trimmen soll.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Um einen Blendspline erzeugen zu können, müssen sich mindestens zwei Kurvenelemente im Grafikfenster befinden.

  • Während der Spline aktiv ist, können Sie auf die Schaltfläche 1. Kurve selektieren oder 2. Kurve selektieren klicken, um im Grafikfenster eine neue Tangentialkurve zu wählen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.

  • Sie können auch manuelle Splines, automatische Splines und Splines aus Kurven erzeugen.


Automatisches Erzeugen eines Splines

1. Klicken Sie in der Menüleiste auf Entwerfen, Spline, Automatisch…. Die Optionsleiste „Spline - Automatisch“ wird angezeigt.

2. Klicken Sie vor dem Erzeugen Ihres Splines‘ auf die Schaltfläche Endbedingungen ändern, wenn Sie nach seiner Erzeugung weiter in der Lage sein möchten, seine Endbedingungen zu bearbeiten.

3. Wählen Sie den ersten, zweiten und letzten Punkt des Splines. Mastercam erzeugt anhand der Position der gewählten Punkte automatisch einen Spline.

4. Wenn Sie zuvor auf die Schaltfläche Endbedingungen ändern geklickt haben, wird die Optionsleiste „Spline - Endbedingungen“ angezeigt. Definieren Sie mithilfe dieser Optionsleiste die Tangentialität der Endpunkte.

5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Wenn ein automatischer Spline erzeugt werden soll, müssen im Grafikfenster bereits mehrere Punkte vorhanden sein.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.

  • Mastercam kombiniert Abstand und Richtung von einem Punkt zum nächsten, um die Punkte in eine sinnvolle Reihenfolge zu bringen. Löschen Sie zur Vermeidung einer Verzerrung der erwarteten Splineform unzugehörige Punkte oder blenden Sie sie aus.

  • Sie können auch manuelle Splines, Splines aus Kurven und Splines erzeugen, die tangential an zwei Kurven anliegen.


Verrunden von Ketten

  1. Klicken sie in der Menüleiste auf Entwerfen, Runden, Kette…. Das Dialogfeld „Verkettung“ und die Optionsleiste „Kette verrunden“ werden angezeigt, wobei das Dialogfeld „Verkettung“ aktiv im Vordergrund liegt.

  2. Verketten Sie mithilfe des Dialogfelds „Verkettung“ das Element, das verrundet werden soll. Klicken Sie danach auf OK, um die Rundung zu erzeugen.

  3. Klicken Sie zum Übernehmen der voreingestellten Rundungswerte in der Optionsleiste „Kette verrunden“ auf die Schaltfläche Zuweisen.

  4. Wenn die Werte geändert werden sollen, ändern Sie sie mithilfe der Optionsleiste wie folgt:

    • Geben Sie einen Wert in das Feld Radius ein.

    • Wählen Sie in der Dropdown-Liste des Felds Richtung die Öffnungsrichtung der Rundung.

    • Wählen Sie in der Dropdown-Liste des Felds Art eine Rundungsart.

    • Klicken Sie, falls die Elemente nicht auf die Rundung getrimmt werden sollen, auf die Schaltfläche Kein Trimmen.

  5. Klicken Sie zum Erzeugen weiterer Rundungen auf Zuweisen, um die aktiven Elemente zu fixieren. Das Dialogfeld „Verkettung“ wird erneut angezeigt und Sie können ein weiteres Element zum Verrunden verketten.

  6. Klicken Sie nach Abschluss der Fasenerzeugung auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Benutzen Sie diese Funktion, um Elemente mit scharfen Ecken zu verrunden und als einzelnes, verkettetes Element (d.h., Rechtecke und Polygone) erkannt werden können. Arbeiten Sie zum Erzeugen einzelner Rundungen mit der Optionsleiste „Rundung…“.

  • Sie können in der Optionsleiste „Kette verrunden“ auf die Schaltfläche Kette klicken, um das Dialogfeld „Verkettung“ zu öffnen und Elemente zum Verrunden neu zu wählen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Verrunden von Elementen

  1. Klicken sie in der Menüleiste auf Entwerfen, Runden, Runden…. Die Optionsleiste „Rundung…“ wird geöffnet.

  2. Geben Sie einen Wert in das Feld Radius ein.

  3. Wählen Sie in der Dropdown-Liste des Felds Art eine Rundungsart.

  4. Klicken Sie, falls die Elemente nicht auf die Rundung getrimmt werden sollen, auf die Schaltfläche Kein Trimmen.

  5. Wählen Sie im Grafikfenster die Elemente, die verrundet werden sollen.
    Hinweis:     Diese Funktion verwendet die „Automatische Vorschau“. Wenn Sie nach Auswahl des ersten Elements mit der Maus auf ein anderes Element zeigen, wird eine Vorschau der Rundung eingeblendet. Klicken Sie dann auf das zweite Element, um zu wählen und die Rundung zu erzeugen. Die Rundung bleibt aktiv und bearbeitbar.

  6. Klicken Sie auf die Schaltfläche Zuweisen, um das Element zu fixieren. Sie können dann weitere Elemente wählen, um zusätzliche Rundung zu erzeugen, oder auf OK klicken, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Mit dieser Funktion können keine Ketten verrundet werden. Arbeiten Sie mit der Optionsleiste „Kette verrunden“, um mehrere Rundungen an Ketten zu erzeugen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen eines Blocks

  1. Klicken Sie in der Menüleiste auf Entwerfen, Primitive, Block…. Das Dialogfeld „Block“ wird angezeigt.

  2. Wählen Sie die Option Solids, um einen Solidblock zu erzeugen, oder Flächen, um ein Flächenmodell zu erzeugen.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt des Blocks zu wählen.

  4. Definieren Sie nach einer der folgenden Methoden seine Länge und Breite:

    • Geben Sie Werte in die Felder Länge und Breite des Dialogfelds „Block“ ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  5. Definieren Sie nach einer der folgenden Methoden die Höhe:

    • Geben Sie einen Wert im Feld Höhe des Dialogfelds „Block“ ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  6. Klicken Sie auf die Schaltfläche Richtung umdrehen, um den Block von der gewählten Achse aus in positiver, negativer oder in beiden Richtungen zu erzeugen.

  7. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), um alle Dialogfeldoptionen anzuzeigen.

  8. Geben Sie in das Feld Rotation einen Wert für den Rotationswinkel des Blocks ein.

  9. Wählen Sie im Bereich Basispunktplatzierung einen Punkt, um eine Position auf dem Block als Basispunkt zu bestimmen.

  10. Wählen Sie im Bereich Achse auf eine der folgenden Arten die Primärachse des Blocks:

    • Wählen Sie X, Y oder Z, um den Block entlang der angegebenen Achse zu erzeugen.

    • Klicken Sie auf die Schaltfläche „Linie“, um im Grafikfenster eine Linie als Primärachse zu wählen.

    • Klicken Sie auf die Schaltfläche 2 Punkte, um im Grafikfenster zwei Punkte zur Definition der Primärachse zu wählen.

  11. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweise:

  • Aktive Elemente können solange mit allen Dialogfeldoptionen bearbeitet werden, bis sie fixiert werden.

  • Sie können auf die Bearbeitungsschaltflächen Basispunkt, Länge, Breite oder Höhe klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen eines Konus

Hinweis: Bezeichnungen von Elementen in diesem Dialogfeld können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Primitive, Konus…. Das Dialogfeld „Konus“ wird angezeigt.

  2. Wählen Sie die Option Solids, um ein Solidkonus zu erzeugen, oder Flächen, um ein Flächenmodell zu erzeugen.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt für den Konus zu wählen.

  4. Definieren Sie nach einer der folgenden Methoden den Radius:

    • Geben Sie einen Wert in das Feld Radius ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  5. Definieren Sie nach einer der folgenden Methoden die Höhe:

    • Geben Sie einen Wert in das Feld Höhe ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  6. Wählen Sie im Bereich „Oben“ die Option Winkel oder Kopfradius, um entweder einen Konikwinkel oder einen Radius für die Konusspitze einzustellen. Geben Sie entweder für den Konikwinkel oder den Kopfradius einen Wert in das entsprechende Dateneingabefeld ein. Das andere Feld wird dann automatisch aktualisiert.

  7. Klicken Sie auf die Schaltfläche Richtung umdrehen, um den Konus von der gewählten Achse aus in positiver, negativer oder in beiden Richtungen zu erzeugen.
    Hinweis:     Wenn Sie den Konus in beiden Richtungen erzeugen, wird die Höhe des Konus‘ verdoppelt, indem er sowohl in positiver als auch in negativer Richtung gestreckt und der Basispunkt auf der Längsachse des Konus‘ zentriert wird.

  8. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), um alle Dialogfeldoptionen anzuzeigen.

  9. Legen Sie im Bereich „Öffnung“ die Größe des Öffnungswinkels fest, in dem Sie Werte in die Felder Startwinkel und Endwinkel eingeben.

  10. Wählen Sie im Bereich „Achse“ auf eine der folgenden Arten die Primärachse des Konus aus:

    • Wählen Sie X, Y oder Z, um den Konus entlang der angegebenen Achse zu erzeugen.

    • Klicken Sie auf die Schaltfläche Linie, um im Grafikfenster eine Linie als Primärachse zu wählen.

    • Klicken Sie auf die Schaltfläche 2 Punkte, um im Grafikfenster zwei Punkte zur Definition der Primärachse zu wählen.

  11. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweise:

  • Aktive Elemente können mit allen Dialogfeldoptionen bearbeitet werden.

  • Sie können auf die Bearbeitungsschaltflächen Basispunkt, Radius, Höhe oder Kopfradius klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen eines Zylinders

Hinweis: Bezeichnungen von Elementen in diesem Dialogfeld können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Primitive, Zylinder…. Das Dialogfeld „Zylinder“ wird angezeigt.

  2. Wählen Sie die Option Solids, um einen Solidzylinder zu erzeugen, oder Flächen, um ein Flächenmodell zu erzeugen.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt des Zylinders zu positionieren.

  4. Definieren Sie nach einer der folgenden Methoden den Radius:

    • Geben Sie einen Wert in das Feld Radius ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  5. Definieren Sie nach einer der folgenden Methoden die Höhe:

    • Geben Sie einen Wert in das Feld Höhe ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  6. Klicken Sie auf die Schaltfläche Richtung umdrehen, um den Zylinder von der gewählten Achse aus in positiver, negativer oder in beiden Richtungen zu erzeugen.

  7. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), um alle Dialogfeldoptionen anzuzeigen.

  8. Legen Sie im Bereich „Öffnung“ den Öffnungswinkel des Zylinders fest, in dem Sie Werte in die Felder Startwinkel und Endwinkel eingeben.

  9. Wählen Sie im Bereich „Achse“ auf eine der folgenden Arten die Primärachse des Zylinders aus:

    • Wählen Sie X, Y oder Z, um den Zylinder entlang der angegebenen Achse zu erzeugen.

    • Klicken Sie auf die Schaltfläche Linie, um im Grafikfenster eine Linie als Primärachse zu wählen.

    • Klicken Sie auf die Schaltfläche 2 Punkte, um im Grafikfenster zwei Punkte zur Definition der Primärachse zu wählen.

  10. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweise:

  • Aktive Elemente können mit allen Dialogfeldoptionen bearbeitet werden.

  • Sie können auf die Bearbeitungsschaltflächen Basispunkt, Radius oder Höhe klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen einer Helix

  1. Klicken Sie in der Menüleiste auf Entwerfen, Helix…. Es erscheint daraufhin das Dialogfeld „Helix“.

  2. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Zentrumspunkt der Helix zu positionieren.

  3. Geben Sie einen Wert in das Feld Radius, um den Radius des ersten Helixsplines zu definieren.

  4. Geben Sie einen Wert in das Feld Konik ein, um eine nach innen geneigte Helix zu erzeugen.

  5. Geben Sie die Richtung der Spirale an, indem Sie die Option im Uhrzeigers. oder gegen Uhrz. wählen.

  6. Geben Sie im Feld Rotation einen Wert für den Startwinkel der Helix ein.

  7. Geben Sie im Feld Umdrehungen einen Wert für die Anzahl der Helixumdrehungen ein.

  8. Geben Sie in das Feld Steigung einen Wert ein, um den Anstand von einem Punkt auf einem Spline zum entsprechenden Punkt auf dem nächsten Spline einzustellen.

  9. Geben Sie im Feld Höhe einen Wert für die Gesamthöhe der Spirale ein.
    Hinweis:     Mastercam passt die Werte für Höhe und Steigung automatisch an die Anzahl der Umdrehungen an.

  10. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Solange das Element aktiv ist, können Sie auf die Schaltflächen Höhe selektieren oder Basispunkt klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen eines Polygons

  1. Klicken Sie in der Menüleiste auf Entwerfen, Polygon…. Das Dialogfeld „Polygon“ wird angezeigt.

  2. Geben Sie die Anzahl der Polygonseiten an, indem Sie einen Wert in das Feld Seitenanzahl eingeben. Die Anzahl der Seiten kann zwischen 3 und 360 schwanken.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt zu positionieren.

  4. Stellen Sie auf eine der folgenden Arten die Größe des Polygons ein:

    • Geben Sie in das Feld Radius einen Wert ein.

    • Klicken Sie in das Grafikfenster, um einen zweiten Polygonpunkt zu positionieren.

    • Positionieren Sie den zweiten Punkt mithilfe des AutoCursors.

  5. Wählen sie die Optionsschaltfläche Radius, um den Radius vom Basispunkt zu einer Ecke festzulegen, oder Schlüsselfläche, um den Radius vom Basispunkt zum Mittelpunkt einer Seite zu definieren.

  6. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), um alle Dialogfeldoptionen anzuzeigen.

  7. Geben Sie einen Wert in das Feld Rundungsradius ein, um ein Polygon mit Rundungen zu erzeugen.

  8. Geben Sie in das Feld Rotation einen Rotationswinkel für das Polygon ein.

  9. Markieren Sie das Kontrollkästchen Fläche, um dem Polygon eine getrimmte Fläche hinzuzufügen.

  10. Markieren Sie das Kontrollkästchen Zentrumspunkt, um im Zentrum des Polygons einen Punkt zu erzeugen.

  11. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Solange das Element aktiv ist, können Sie auf die Bearbeitungsschaltfächen Basispunkt oder Radius klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen eines Rechtecks

  1. Klicken Sie in der Menüleiste auf Entwerfen, Rechteck…. Die Optionsleiste „Rechteck“ wird angezeigt.

  2. Klicken Sie auf eine Position im Grafikfenster oder geben Sie sie im AutoCursor ein, um die erste Ecke zu positionieren, oder klicken Sie auf die Schaltfläche Auf Zentrum verankern, um den Basispunkt des Rechtecks in seinem Zentrum zu erzeugen und das Rechteck nach aussen aufzuziehen.

  3. Legen Sie auf eine der folgenden Arten Höhe und Breite des Rechtecks fest:

    • Geben Sie Werte in die Felder Höhe und Breite ein.

    • Klicken Sie ins Grafikfenster, um die zweite Ecke der Form zu positionieren.

    • Geben Sie die Position der zweiten Ecke der Form im AutoCursor ein.

  4. Klicken Sie auf die Schaltfläche Fläche erzeugen, um statt eines Drahtmodells eine Fläche zu erzeugen.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Solange das Element aktiv ist, können Sie auf die Schaltfläche Punkt 1 ändern oder Punkt 2 ändern klicken, um die Ecken neu zu positionieren.


Erzeugen einer Rechteckform

  1. Klicken Sie in der Menüleiste auf Entwerfen, Rechteckformen…. Das Dialogfeld „Rechteckformen“ wird angezeigt.

  2. Wählen Sie oben im Dialogfeld als Definitionsmethode für das Rechteck Basispunkt oder 2 Punkte.

  3. Wählen Sie im Bereich Form die gewünschte Form.

  4. Falls die Methode Basispunkt gewählt wurde:

    • Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt zu wählen.

    • Legen Sie im Bereich Basispunktplatzierung des Dialogfelds die Position des Basispunkts fest.

    • Definieren Sie anhand einer der folgenden Methoden Höhe und Breite der Form:

      • Geben Sie Werte in die Felder Höhe und Breite ein.

      • Klicken Sie in das Grafikfenster, um die Ecke der Form zu positionieren.

      • Geben Sie die Position der Ecke im AutoCursor ein.

  5. Falls die Methode 2 Punkte gewählt wurde, klicken Sie entweder ins Grafikfenster oder geben die Positionen im AutoCursor ein, um die beiden Punkte zu positionieren.

  6. Geben Sie einen Wert in das Feld Rundungsradius ein, um an den Ecken der Form Rundungen zu erzeugen.

  7. Geben Sie im Feld Rotation einen Winkel ein, um die Form zu drehen.

  8. Markieren Sie das Kontrollkästchen Fläche, um zusätzlich zur Drahtmodellgeometrie eine Fläche zu erzeugen.

  9. Markieren Sie das Kontrollkästchen Zentrumspunkt, um im Zentrum der Geometrie einen Punkt zu erzeugen.

  10. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Solange das Element aktiv ist, können Sie auf die Bearbeitungsschaltflächen Basispunkt, 2. Punkt, Breite oder Höhe klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen einer Kugel

  1. Klicken Sie in der Menüleiste auf Entwerfen, Primitive, Kugel…. Es erscheint daraufhin das Dialogfeld „Kugel“.

  2. Wählen Sie die Optionsschaltfläche Solids, um eine Solidkugel zu erzeugen oder „Flächen“, um ein Flächenmodell zu erzeugen.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt für die Kugel zu wählen.

  4. Definieren Sie nach einer der folgenden Methoden den Radius:

    • Geben Sie einen Wert in das Feld Radius ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  5. Klicken Sie auf die Schaltfläche Maximieren, um alle Dialogfeldoptionen einzublenden.

  6. Legen Sie im Bereich „Öffnung“ den Öffnungswinkel der Kugel fest, in dem Sie Werte in die Felder Startwinkel und Endwinkel eingeben.

  7. Wählen Sie im Bereich „Achse“ auf eine der folgenden Arten die Primärachse der Kugel:

    • Wählen Sie X, Y oder Z, um die Kugel entlang der angegebenen Achse zu erzeugen.

    • Klicken Sie auf die Schaltfläche Linie, um im Grafikfenster eine Linie als Primärachse zu wählen.

    • Klicken Sie auf die Schaltfläche 2 Punkte, um im Grafikfenster zwei Punkte zur Definition der Primärachse zu wählen.

  8. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweise:

  • Aktive Elemente können mit allen Dialogfeldoptionen bearbeitet werden.

  • Sie können auf die Bearbeitungsschaltflächen Basispunkt oder Radius klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen einer Spirale

  1. Klicken Sie in der Menüleiste auf Entwerfen, Spirale…. Das Dialogfeld „Spirale“ wird angezeigt.

  2. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Zentrumspunkt der Spirale festzulegen.

  3. Bearbeiten Sie die Parameter im Bereich „XZ-Achse“ des Dialogfelds wie folgt:

    • Geben Sie einen Wert in das Feld Umd., um die Anzahl der Umläufe der Spirale festzulegen.

    • Geben Sie in das Feld Höhe einen Wert für die Gesamthöhe der Spirale ein.

    • Geben Sie die Richtung der Spirale an, indem Sie die Option im Uhrzeigers. oder gegen Uhrz. wählen.

    • Geben Sie in das Feld Endsteigung einen Wert für die Z-Tiefe den letzten Umlauf der Spirale ein.

    • Geben Sie im Feld Anfangssteigung einen Wert für den Z-Achsenabstand des ersten Umlaufs ein.
      Hinweis:       Mastercam passt die Werte für Höhe, Anfangssteigung und Endsteigung automatisch an die Anzahl der Umläufe an.

  4. Ändern Sie die Parameter im Bereich „XY-Achse“ des Dialogfelds wie folgt:

    • Geben Sie im Feld Anfangssteigung einen Wert für die Zunahme des Radius in einem einzelnen Umlauf ein.

    • Geben Sie in das Feld Endsteigung einen Wert für die Steigung des letzten Umlaufs der Spirale ein.

    • Geben Sie in das Feld Radius einen Wert für den Radius des äußersten Spiralsplines ein.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Solange das Element aktiv ist, können Sie auf die Schaltflächen Höhe selektieren oder Basispunkt klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen eines Rings (Torus)

  1. Klicken Sie in der Menüleiste auf Entwerfen, Primitive, Ring…. Es erscheint daraufhin das Dialogfeld „Ring (Torus)“.

  2. Wählen Sie die Optionsschaltfläche Solids, um einen Solid-Ring zu erzeugen oder Flächen, um ein Flächenmodell zu erzeugen.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt für den Ring zu wählen.

  4. Definieren Sie den Hauptradius nach einer der folgenden Methoden:

    • Geben Sie einen Wert in das Feld Radius ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  5. Definieren Sie den „kleineren Radius“ auf eine der folgenden Arten:

    • Geben Sie einen Wert in das Feld kleinerer Radius ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  6. Klicken Sie auf die Schaltfläche Maximieren, um alle Dialogfeldoptionen einzublenden.

  7. Legen Sie im Bereich „Öffnung“ den Öffnungswinkel des Rings fest, in dem Sie Werte in die Felder Startwinkel und Endwinkel eingeben.

  8. Wählen Sie im Bereich „Achse“ auf eine der folgenden Arten die Primärachse des Rings:

    • Wählen Sie X, Y oder Z, um den Ring entlang der definierten Achse zu erzeugen.

    • Klicken Sie auf die Schaltfläche Linie, um im Grafikfenster eine Linie als Primärachse zu wählen.

    • Klicken Sie auf die Schaltfläche 2 Punkte, um im Grafikfenster zwei Punkte zur Definition der Primärachse zu wählen.

  9. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweise:

  • Der Basispunkt bleibt nach dem Erzeugen des Rings im Grafikfenster erhalten.

  • Aktive Elemente können mit allen Dialogfeldoptionen bearbeitet werden.

  • Sie können auf die Bearbeitungsschaltflächen Basispunkt, Radius oder Kleinerer Radius klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen einer Ellipse

  1. Klicken Sie in der Menüleiste auf Entwerfen, Ellipse…. Das Dialogfeld „Ellipse“ wird angezeigt.

  2. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), um alle Dialogfeldoptionen anzuzeigen.

  3. Klicken Sie auf eine Position im Grafikfenster oder geben Sie ihre Koordinaten im AutoCursor ein, um den Basispunkt zu positionieren.

  4. Stellen Sie nach einer der folgenden Methoden den X-Achsen-Radius der Ellipse ein:

    • Geben Sie einen Wert in das Feld Radius A ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  5. Stellen Sie nach einer der folgenden Methoden den Y-Achsen-Radius der Ellipse ein:

    • Geben Sie einen Wert in das Feld Radius B ein.

    • Klicken Sie im Grafikfenster auf eine Position.

    • Geben Sie die Koordinaten im AutoCursor ein.

  6. Geben in der Dropdown-Liste an, ob die Ellipse als NURB-Spline, Linien- oder Bogensegmente erzeugt werden soll.

  7. Geben Sie, falls Sie im letzten Schritt Linien- oder Bogensegmente gewählt haben, einen Wert ins Feld „Toleranz“ ein. Mit diesem Wert wird die Anzahl der Segmente der Ellipse definiert.

  8. Geben Sie zum Erzeugen eines Bogens Werte in die Felder Startwinkel und Endwinkel ein.

  9. Geben Sie in das Feld Rotation einen Wert ein, um die Ellipse unter einem bestimmten Winkel zu drehen.

  10. Markieren Sie das Kontrollkästchen Fläche, um der Ellipse eine getrimmte Fläche hinzuzufügen.

  11. Markieren Sie das Kontrollkästchen Zentrumspunkt, um im Zentrum der Ellipse einen Punkt zu erzeugen.

  12. Klicken Sie auf Zuweisen, um das Element zu fixieren oder klicken Sie auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Solange das Element aktiv ist, können Sie auf die Bearbeitungsschaltfächen Basispunkt, Radius A oder Radius B klicken, um diese Parameter im Grafikfenster neu zu definieren.


Erzeugen von Text

  1. Klicken Sie in der Menüleiste auf Entwerfen, Text…. Das Dialogfeld „Schriften erzeugen“ wird angezeigt.

  2. Wählen Sie in der Dropdownliste im Bereich Schriftart eine Schriftart aus. Sie können auch auf die Schaltfläche TrueType® klicken, um eine installierte TrueType-Schriftart zu wählen.

  3. Legen Sie im Bereich Ausrichtung die Anordnung des Texts fest.

  4. Geben Sie im Bereich Text den gewünschten Text ein.

  5. Geben Sie die erforderlichen Werte in die Felder des Bereichs „Parameter“ ein, um Höhe, Abstand und Bogenradius des Texts zu definieren.

  6. Klicken Sie auf die Schaltfläche Textoptionen, um das Dialogfeld „Hinweistext“ zu öffnen. Mit den hier eingestellten Parametern überschreiben Sie die Einstellungen für Schriftart und Höhe im Dialogfeld „Schriften erzeugen“.

    Hinweis: Diese Option ist nur dann verfügbar, wenn eine Zeichnungsschriftart gewählt wurde.

  7. Klicken Sie zweimal auf OK, um wieder ins Grafikfenster zu wechseln.

  8. Mastercam fordert Sie auf, den Startbereich der Zeichen einzugeben. Klicken Sie dazu im Grafikfenster auf die gewünschte Position.

Hinweis: Der Text wird parallel zur X-Achse der aktuellen KEbene erzeugt.

  9. Drücken Sie [Esc], um die Funktion zu beenden.

      Siehe auch...

      • Text in Kleinbuchstaben erzeugen

      • Dialogfeld „Schriften erzeugen“


Erzeugen von Text in Kleinbuchstaben

Wenn Sie im Dialogfeld „Schriften erzeugen“ die voreingestellte Schriftart „MCX (Box)“ wählen, werden alle Buchstaben – ob groß oder klein im Dialogfeld eingegeben – im Grafikfenster von Mastercam als Großbuchstaben angezeigt. Beispiel: Wenn Sie auf Entwerfen, Text… klicken und die Schriftart „MCX (Box)“ wählen, erzeugt Mastercam unabhängig davon, welche Buchstaben Sie groß schreiben, ausschließlich Großbuchstaben.

Gehen Sie in folgenden Schritten vor, um die Schriftart „MCX (Box)“ so einzustellen, dass eine Kombination aus Groß- und Kleinbuchstaben angezeigt wird (genau so, wie Sie sie im Dialogfeld „Schriften erzeugen“ eingeben):

  1. Öffnen Sie den Windows Explorer zum Anzeigen der Dateien und Ordner auf Ihrem Computer.

  2. Öffnen Sie den Ordner \common\fonts\Box in Ihrem Mastercam-Verzeichnis.

  3. Öffnen Sie die Datei Box Lowercase.zip und entpacken Sie alle darin enthaltenen Dateien in den Order \common\fonts\Box. Hinweis: Lassen Sie dabei zu, dass die Datei „letters.dat“ überschrieben wird.

  4. Erstellen Sie einen Text, um zu sehen, dass er nun in Groß- und Kleinbuchstaben angezeigt wird.

Gehen Sie in folgenden Schritten vor, um die Schriftart „MCX (Box)“ zurückzusetzen, damit ausschließlich Großbuchstaben angezeigt werden:

  1. Öffnen Sie den Windows Explorer zum Anzeigen der Dateien und Ordner auf Ihrem Computer.

  2. Öffnen Sie den Ordner \common\fonts\Box in Ihrem Mastercam-Verzeichnis.

  3. Markieren und löschen Sie alle MCX-Dateien, die mit „char“ beginnen (z.B. char033.MCX, char034.MCX usw.).

  4. Öffnen Sie die Datei Box Uppercase.zip und entpacken Sie alle darin enthaltenen Dateien in den Order \common\fonts\Box. Hinweis: Lassen Sie dabei zu, dass die Datei „letters.dat“ überschrieben wird.

  5. Erstellen Sie einen Text mit einer Kombination aus Groß- und Kleinbuchstaben, um zu sehen, dass sie ausschließlich als Großbuchstaben angezeigt werden.

Siehe auch...

  • Text erstellen

  • Dialogfeld „Schriften erzeugen“


Erzeugen einer 2-Flächenverblendung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Verblenden von 2 Flächen…. Das Dialogfeld „2 Flächenverblendung“ wird angezeigt.

  2. Wählen Sie die erste Fläche zum Verblenden. Ziehen Sie den temporären, dynamischen Pfeil an die Position auf der Fläche, an der die neue Fläche verblendet werden soll und klicken Sie, um die Position festzulegen.

  3. Wählen Sie die zweite Fläche zum Verblenden. Ziehen Sie den temporären, dynamischen Pfeil an die Position auf der Fläche, an der die neue Fläche verblendet werden soll und klicken Sie, um die Position festzulegen.

  4. Klicken Sie auf die Schaltflächen Richtung umkehren, um die Blendrichtung der einzelnen Flächen umzudrehen.

  5. Geben Sie in die Felder Magnitude 1 und Magnitude 2 Werte für jeden Referenzspline ein.

  6. Klicken Sie auf die Schaltfläche Verdrehen, um die Endpunkte des Referenzsplines umzudrehen und die Krümmung der Blendfläche zu ändern.

  7. Wählen Sie eine Option in der Dropdown-Liste Fläche(n), um zu definieren, welche Flächen nach dem Erzeugen der Blendfläche getrimmt werden sollen.

  8. Wählen Sie eine Option in der Dropdown-Liste Kurven, um anzugeben, an welcher Stelle auf den Referenzsplines echte Splines erzeugt werden sollen.

  9. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Blendfläche zu erzeugen, oder auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche 1. Fläche selektieren, um im Grafikfenster die erste Fläche neu zu wählen. Klicken Sie auf die Schaltfläche 2. Fläche selektieren, um die zweite Fläche neu zu wählen.

  • Sie können auch auf die Schaltfläche Endpunkte ändern klicken, um neue Endpunkte für einen gewählten Referenzspline zu wählen.


Erzeugen einer Kofferecke

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Kofferecke…. Das Dialogfeld „Kofferecke“ wird angezeigt.

  2. Wählen Sie die erste, zweite und dritte Verrundungsfläche zum Verblenden.

  3. Wenn eine dreiseitige Blendfläche erzeugt werden soll, wählen Sie im Dialogfeld „Kofferecke“ die Option 3 aus. Um eine sechsseitige Blendfläche zu erzeugen, wählen Sie die Option 6.

  4. Markieren Sie das Kontrollkästchen Flächen trimmen, um die Originalflächen auf die Blendfläche zu trimmen.

  5. Markieren Sie das Kontrollkästchen Kurven behalten, um auf den Referenzsplines echte Splines zu erzeugen.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Blendfläche zu erzeugen, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche Rundungen selektieren klicken, um die drei Verrundungsflächen im Grafikfenster neu zu wählen.

  • Beim Erzeugen einer sechsseitigen Blendfläche können Sie eine neue Blendposition markieren. Klicken Sie dazu auf eine Rundung und verschieben Sie den eingeblendeten Pfeil. Klicken Sie erneut, wenn sich der Pfeil an der gewünschten Stelle befindet.


Erzeugen einer 3-Flächenverblendung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Verblenden von 3 Flächen…. Das Dialogfeld „3 Flächenverblendung“ wird angezeigt.

  2. Wählen Sie die erste Blendfläche. Ziehen Sie den temporären, dynamischen Pfeil an die Position auf der Fläche, an der die neue Fläche verblendet werden soll und klicken Sie, um die Position festzulegen. Drücken Sie gegebenenfalls die Taste [F], um die Flächenblendrichtung zu ändern.

  3. Wiederholen Sie Schritt 2 bei zwei weiteren Flächen. Drücken Sie nach Auswahl der dritten Fläche [ENTER].

  4. Klicken Sie auf die Schaltflächen Richtung umkehren, um die Blendrichtung der einzelnen Flächen umzudrehen.

  5. Geben Sie in die Felder Magnitude 1 und Magnitude 2 Werte für jeden Referenzspline ein.

  6. Klicken Sie auf die Schaltfläche Verdrehen, um die Endpunkte des Referenzsplines umzudrehen und so die Krümmung der Blendfläche zu ändern.

  7. Klicken Sie auf die Schaltfläche Endpunkte ändern, um für einen gewählten Referenzspline neue Endpunkte zu wählen.

  8. Markieren Sie das Kontrollkästchen Flächen trimmen, um die Originalflächen auf die Blendfläche zu trimmen.

  9. Markieren Sie das Kontrollkästchen Kurven behalten, um auf den Referenzsplines echte Splines zu erzeugen.

  10. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Blendfläche zu erzeugen, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltflächen 1. Fläche selektieren, 2. Fläche selektieren oder 3. Fläche selektieren klicken, um im Grafikfenster neue Flächen zu wählen.


Erzeugen einer Draft-Fläche (Auszugsfläche)

Hinweis: Bezeichnungen von Elementen in Dialogfeldern können in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Draft (Auszugsfläche)…. Es erscheint das Dialogfeld „Verkettung“.

  2. Wählen Sie mithilfe des Dialogfelds „Verkettung“ das Element, aus dem die Draft-Fläche erzeugt werden soll. Klicken Sie nach der Auswahl auf OK.
    Hinweis:     Sie können mehrere Elemente wählen. Mastercam erzeugt eine separate Draft-Fläche für jedes Element.

  3. Das Dialogfeld „Draft-Flächen“ wird angezeigt. Geben Sie an, wo die Fläche enden soll, indem Sie oben im Dialogfeld die Optionsschaltfläche Länge oder Ebene wählen.

  4. Wenn Sie die Option Länge wählen:

    • Geben Sie einen Wert in das Feld Länge ein, um die Länge der Draft-Fläche zu definieren.

    • Geben Sie einen Wert im Feld Winkel ein, um den Neigungswinkel der Fläche festzulegen.
      Hinweis: Die Austragungslänge wird passend zum gewählten Winkel und zur Länge aktualisiert. Wenn Sie einen Wert in dieses Feld eingeben, ändert sich der Wert im Feld Länge.

  5. Wenn Sie die Option Ebene wählen:

    • Klicken Sie auf die Schaltfläche Ebene, um das Dialogfeld „Ebenenauswahl“ zu öffnen. Wählen mithilfe dieses Dialogfelds eine Schnittebene aus.

    • Geben Sie einen Wert im Feld Winkel ein, um den Neigungswinkel der Fläche festzulegen.

  6. Verwenden Sie die Schaltflächen Richtung umkehren (Länge), um die Richtung zu ändern, nachdem die neue Fläche erzeugt wurde.

  7. Klicken Sie auf die Schaltfläche Richtung umkehren (Winkel), um die Neigung der Draft-Fläche nach innen bzw. außen zu ändern.

  8. Markieren Sie das Kontrollkästchen Splitten, um den Draft-Winkel von der Mittelebene aus zu berechnen.

  9. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltfläche Wählen klicken, um im Grafikfenster neue Elemente zu wählen.


Erzeugen einer Fächerfläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Fächer…. Es erscheint daraufhin die Optionsleiste „Fächerflächenerzeugung“.

  2. Wählen Sie im Grafikfenster eine Fläche. Es erscheint das Dialogfeld „Verkettung“.

  3. Verketten Sie mithilfe des Dialogfelds „Verkettung“ die Kurven auf der Fläche, auf der die Fächerfläche erzeugt werden soll. Klicken Sie nach der Auswahl auf OK.

  4. Wählen Sie eine Option in der Dropdown-Liste Blendmethode der Optionsleiste „Fächerflächenerzeugung“, um zu bestimmen, wie die Höhe und der Winkel entlang der Kette variieren soll.

  5. Geben Sie Werte in die Felder Starthöhe und Endhöhe ein.
    Hinweis:     Wenn die Blendmethode auf Konstant eingestellt ist, steht das Feld Endhöhe nicht zur Verfügung.

  6. Geben Sie Werte in die Felder Startwinkel und Endwinkel ein.

    Hinweis:     Wenn die Blendmethode auf Konstant eingestellt ist, steht das Feld Endwinkel nicht zur Verfügung.

  7. Klicken Sie auf die Schaltfläche Umschalten, um die Richtung der Fächerfläche umzudrehen.

  8. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche Fläche selektieren klicken, um im Grafikfenster eine neue Fläche zu wählen.

  • Sie können auf die Schaltfläche Kette klicken, um einen neuen Kurvensatz auf der Fläche zu verketten.


Erzeugen einer Netzfläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Netz…. Es erscheint das Dialogfeld „Verkettung“.

  2. Wählen Sie zur Erzeugung der Netzfläche mindestens drei Ketten im Grafikfenster und klicken Sie auf OK, um das Dialogfeld „Verkettung“ zu schließen. Die Optionsleiste „Netzflächenentwurf“ wird angezeigt.

  3. Klicken Sie auf die Schaltfläche Scheitelpunkt, um den Scheitelpunkt der Netzfläche manuell festlegen.

Hinweis: Verwenden Sie die Scheitelpunkt-Schaltfläche nur für dreiseitige Netzflächen.

  4. Wählen Sie eine Option in der Dropdown-Liste des Felds Art, um die Z-Tiefe der Fläche zu bestimmen.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Siehe auch...

  • Richtlinien zum Erzeugen von Netzflächen

  • Optionsleiste „Netzflächenentwurf“

  • Netzfläche – Beispiele (Äußere Flächenkonturen und Pole)


Erzeugen einer Rotationsfläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Rotation…. Es erscheint das Dialogfeld „Verkettung“.

  2. Verketten Sie mithilfe des Dialogfelds „Verkettung“ ein oder mehrere Elemente. Drücken Sie danach [Enter]. Die Optionsleiste „Rotationsfläche“ wird daraufhin angezeigt.

  3. Markieren Sie im Grafikfenster die Rotationsachse.

  4. Geben Sie Werte in die Felder Startwinkel und Endwinkel ein.

  5. Klicken Sie auf die Schaltfläche Umschalten, um die Richtung der Rotationsfläche umzudrehen.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche Profil klicken, um im Grafikfenster eine neue Kurve zu wählen, auf der die Rotationsfläche basieren soll.

  • Sie können auf die Schaltfläche Achse klicken, um im Grafikfenster eine neue Linie zu wählen, die als Rotationsachse verwendet werden soll.


Erzeugen einer Linear- oder Loft-Fläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Linear/Loft…. Es erscheint das Dialogfeld „Verkettung“.

  2. Definieren Sie Kontur 1, indem Sie ein Element wählen.

  3. Definieren Sie Kontur 2 durch Auswahl eines weiteren Elements. Wählen Sie zusätzliche Elemente oder drücken Sie [ENTER], um die Auswahl abzuschließen. Die Optionsleiste „Linear/Loft“ wird angezeigt.

  4. Klicken Sie auf die Schaltfläche Linear oder Loft, um den Flächentyp zu ändern.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Zum Erzeugen einer Linear- oder Loft-Fläche müssen im Grafikfenster mindestens zwei Konturen vorhanden sein.

  • Sie können die Konturoptionen im Dialogfeld „Verkettung“ ändern.

  • Die Richtung des Pfeils bei der Konturdefinition kann sich auf die Position und Richtung der Fläche auswirken.

  • Sie können auf die Schaltfläche Kette klicken, um die Elemente neu zu wählen und eine andere Fläche zu erzeugen.


Erzeugen einer Flächen/Kurvenverrundung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Verrunden, auf Kurven….

  2. Wählen Sie den ersten Flächensatz und drücken Sie [ENTER]. Es erscheint das Dialogfeld „Verkettung“.

  3. Wählen Sie die Flächenkurve(n) und klicken Sie auf OK. Das Dialogfeld „Verkettung“ wird geschlossen und das Dialogfeld „Flächen/Kurvenverrundung“ angezeigt.

  4. Geben Sie einen Wert in das Feld Radius ein, um den Radius für die Flächenverrundung festzulegen.

  5. Klicken Sie auf die Schaltfläche Richtung umdrehen, um die Seite der Kurve wechseln, die zur Erzeugung der Flächenverrundung verwendet wird.

  6. Klicken Sie auf die Schaltfläche Paar selektieren, um eine spezifischere Auswahl möglicher Verrundungslösungen zu erzeugen.

  7. Klicken Sie auf die Schaltfläche Optionen, um das Dialogfeld „Verrundung - Flächenoptionen“ zu öffnen und die Verrundungsparameter einzustellen. Klicken Sie danach auf OK, um die Änderungen zu übernehmen und das Dialogfeld zu schließen.

  8. Markieren Sie das Kontrollkästchen Trimmen, um die Flächenverrundung an den Kurvenpositionen auf die gewählte Geometrie zu trimmen.

  9. Markieren Sie das Kontrollkästchen Verbinden, um die erzeugten Flächenverrundungen zu einem Element zu verbinden.

  10. Drücken Sie die Schaltfläche Vorschau, damit die resultierende Fläche im Grafikfenster angezeigt wird. Markieren Sie das Kontrollkästchen Auto Vorschau, um die resultierende Fläche im Grafikfenster anzuzeigen, das kontinuierlich aktualisiert wird, wenn Änderungen vorgenommen werden.

  11. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Verrundung zu erzeugen, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltfläche 1. Fläche selektieren klicken, um einen neuen Flächensatz zu wählen, oder auf Kurven selektieren, um neue Flächenkurven zu wählen.


Erzeugen einer Flächen/Flächenverrundung

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Verrunden, auf Flächen….

  2. Wählen Sie den ersten Flächensatz und drücken Sie [ENTER].

  3. Wählen Sie den zweiten Flächensatz und drücken Sie [ENTER]. Das Dialogfeld „Flächen/Flächenverrundung“ wird angezeigt.

  4. Geben Sie einen Wert in das Feld Radius ein, um den Radius für die Flächenverrundung festzulegen.

  5. Klicken Sie auf die Schaltfläche Normale umschalten, um die Normale einer gewählten Fläche umzudrehen. Wählen Sie dann im Grafikfenster die Fläche, deren Normale umgedreht werden soll. Drücken Sie [ENTER], um ins Dialogfeld zurückzukehren.

  6. Klicken Sie auf die Schaltfläche Paar selektieren, um eine spezifischere Auswahl möglicher Verrundungslösungen zu erzeugen.

  7. Klicken sie auf die Schaltfläche Optionen, um spezifischere Werte für die Verrundung einzustellen.

  8. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), damit alle Dialogfeldoptionen angezeigt werden.

  9. Markieren Sie das Kontrollkästchen Variable Verrundung, um die dazugehörigen Optionen zu aktivieren. Wählen Sie unter den verschiedenen Optionen, um unterschiedliche Radien entlang der Flächenverrundung einzustellen. Geben Sie im Feld Variabler Radius einen Wert für die gewählte Radiusmarkierung ein.

  10. Markieren Sie das Kontrollkästchen Trimmen, um die Flächenverrundung an den Kurvenpositionen auf die gewählte Geometrie zu trimmen.

  11. Markieren Sie das Kontrollkästchen Verbinden, um die erzeugten Flächenverrundungen zu einem Element zu verbinden.

  12. Drücken Sie die Schaltfläche Vorschau, damit die resultierende Fläche im Grafikfenster angezeigt wird. Markieren Sie das Kontrollkästchen Auto Vorschau, um die resultierende Fläche im Grafikfenster anzuzeigen, das kontinuierlich aktualisiert wird, wenn Änderungen vorgenommen werden.

  13. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Verrundung zu erzeugen, oder klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltfläche 1. Fläche selektieren oder 2. Fläche selektieren klicken, um im Grafikfenster neue Flächen zu wählen.


Erzeugen einer Swept-Fläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Swept…. Es erscheint das Dialogfeld „Verkettung“.

  2. Wählen Sie die erste Querkontur (Querkette).

  3. Wählen Sie eine zweite Querkontur oder klicken Sie im Dialogfeld „Verkettung“ auf OK, um die Querkonturauswahl zu beenden.

  4. Wählen Sie die erste Längskontur (Längskette).

  5. Wählen Sie eine zweite Längskontur oder klicken Sie im Dialogfeld „Verkettung“ auf OK, um die Längskonturauswahl zu beenden. Die Optionsleiste „Fläche - Swept“ wird angezeigt.

  6. Aktivieren Sie die Optionen, um die Ausrichtung der Querkontur im Bezug zu der oder den Längskurven festzulegen.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Siehe auch...

  • Swept-Flächen – Übersicht


Erzeugen einer Austragungsfläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Austragung…. Es erscheint das Dialogfeld „Verkettung“.

  2. Wählen Sie eine Kette aus Linien oder Bögen oder einen geschlossenen Spline zum Austragen. Klicken Sie nach der Auswahl auf OK.

  3. Eine Standard-Austragungsfläche wird erzeugt und das Dialogfeld „Austragungsfläche“ eingeblendet.

  4. Klicken Sie auf die Schaltfläche Basispunkt selektieren, um im Grafikfenster einen neuen Punkt zum Positionieren der Fläche zu wählen.

  5. Geben Sie einen Wert in das Feld Höhe ein, um die Höhe der Austragungsfläche festzulegen.

  6. Klicken Sie auf die Schaltfläche Höhe umdrehen, um die Richtung festzulegen, in der die Austragungsrichtung erzeugt wird.

  7. Geben Sie einen Wert in das Feld Skalieren ein, um den Skalierungsfaktor für das Flächenmodell einzustellen.

  8. Geben Sie einen Wert in das Feld Rotieren ein, um den Rotationswinkel der Austragungsfläche um ihren Basispunkt zu definieren.

  9. Geben Sie einen Wert in das Feld Versatz ein, um den Abstand einzustellen, um den die gewählte Fläche versetzt werden soll. Klicken Sie auf die Schaltfläche Versatz umdrehen daneben, um die Versatzrichtung zu ändern.

  10. Geben Sie einen Wert in das Feld Konik ein, um den Neigungswinkel von der Basisfläche zur Kopffläche einzustellen. Klicken Sie auf die Schaltfläche Konikwinkel umdrehen daneben, um um die Innen- bzw. Außenrichtung der Austragungsfläche zu ändern.

  11. Markieren Sie das Kontrollkästchen Achse, um die Achse zu definieren, von der aus die Austragungsfläche berechnet wird. Es stehen dann drei Achsenoptionen zur Wahl:

    • Wählen Sie in der Dropdown-Liste X, Y oder Z, um die Richtachse zu definieren.

    • Klicken Sie auf die Schaltfläche Linie, um im Grafikfenster eine Linie als Achse zu wählen.

    • Klicken Sie auf die Schaltfläche 2 Punkte, um aus dem Grafikfenster zwei Punkte zur Definition der Achse zu wählen.

  12. Klicken Sie auf Zuweisen, um das Element zu fixieren, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Klicken Sie bei Bedarf auf die Schaltfläche Selektiere Kurven, um zur Auswahl einer neuen Kette aus Linien und Bögen ins Grafikfenster zurückzukehren.


Erzeugen einer Offsetfläche (Versatzfläche)

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Offset (Versatz)….

  2. Wählen Sie eine oder mehrere Flächen zum Versetzen aus. Drücken Sie danach [Enter]. Die Optionsleiste „Offset-Flächen“ wird angezeigt.

  3. Geben Sie einen Wert in das Feld Versatzabstand ein, um zu definieren, wie weit die Fläche versetzt wird.

  4. Klicken Sie auf die Schaltfläche Kopieren oder Verschieben, um anzugeben, ob die Originalfläche kopiert oder verschoben werden soll.

  5. Klicken Sie auf die Schaltfläche Zyklus/Nächstes, um durch die Versatzflächen zu blättern. Die Schaltfläche Umschalten ist erst dann verfügbar, wenn Sie eine aktive Fläche erzeugt haben.

  6. Klicken Sie auf die Schaltfläche Einzel umschalten, um die Versatzflächennormale für die gewählte(n) Fläche(n) einzublenden. Sie können dann auf die Versatzfläche klicken, um ihre Versatzrichtung umzudrehen.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Zum Erzeugen einer Versatzfläche muss im Grafikfenster eine Fläche vorhanden sein.

  • Sie können auf die Schaltfläche Wählen klicken, um aktive Elemente zu deselektieren und im Grafikfenster eine oder mehrere neue Flächen zu wählen.


Verlängern einer Fläche

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Verlängern…. Die Optionsleiste „Flächen verlängern“ wird angezeigt.

  2. Wählen Sie eine Fläche zum Verlängern.

  3. Ziehen Sie dann den temporären, dynamischen Pfeil auf dem Rand, von dem aus die Fläche verlängert werden soll, und klicken Sie, um ihn dort zu platzieren.

  4. Klicken Sie auf die Schaltfläche Linear, um die Fläche gradlinig zu verlängern. Klicken Sie auf die Schaltfläche Nicht-Linear, wenn die Verlängerung der Krümmung der Flächen folgen soll.

  5. Klicken Sie auf die Schaltfläche Ebene, wenn die Fläche bis zu einer Ebene verlängert werden soll. Wählen Sie diese Ebene dann im Dialogfeld „Ebenenauswahl“.

  6. Klicken Sie auf die Schaltfläche Länge, wenn die Fläche bis auf eine bestimmte Länge verlängert werden soll. Geben Sie dazu im Feld daneben den Längenwert ein.

  7. Klicken Sie auf die Schaltfläche Behalten, um die Originalfläche nach Erzeugung der verlängerten Fläche zu erhalten. Klicken Sie auf die Schaltfläche Löschen, um die Originalfläche zu löschen.

  8. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.


Verrunden einer Fläche auf eine Ebene

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Verrunden, auf eine Ebene….

  2. Wählen Sie eine Fläche und drücken Sie [ENTER]. Das Dialogfeld „Ebenenauswahl“ wird angezeigt.

  3. Wählen Sie eine Ebene und klicken Sie auf OK. Das Dialogfeld „Flächen/Ebenenverrundung“ wird angezeigt.

  4. Geben Sie einen Wert in das Feld Radius ein, um den Radius für die Flächenverrundung festzulegen.

  5. Klicken Sie auf die Schaltfläche Normale umdrehen, um die Normale der gewählten Fläche umzudrehen. Wählen Sie dann im Grafikfenster die Fläche, deren Normale umgedreht werden soll. Drücken Sie [ENTER], um ins Dialogfeld zurückzukehren.

  6. Klicken Sie auf die Schaltfläche Paar selektieren, um eine spezifischere Auswahl möglicher Verrundungslösungen zu erzeugen.

  7. Klicken Sie auf die Schaltfläche Optionen, um das Dialogfeld „Verrundung - Flächenoptionen“ zu öffnen und die Verrundungsparameter einzustellen. Klicken Sie auf OK, um die Änderungen zu übernehmen und das Dialogfeld zu schließen.

  8. Klicken Sie auf die Schaltfläche Maximieren (oben links im Dialogfeld), um alle Dialogfeldoptionen anzuzeigen.

  9. Markieren Sie das Kontrollkästchen Variable Verrundung, um die dazugehörigen Optionen zu aktivieren. Wählen Sie unter den verschiedenen Optionen, um unterschiedliche Radien entlang der Flächenverrundung einzustellen.

  10. Geben Sie im Feld Variabler Radius einen Wert für die gewählte Radiusmarkierung ein.

  11. Markieren Sie das Kontrollkästchen Trimmen, um die Flächenverrundung an den Kurvenpositionen auf die gewählte Geometrie zu trimmen.

  12. Markieren Sie das Kontrollkästchen Verbinden, um die erzeugten Flächenverrundungen zu einem Element zu verbinden.

  13. Drücken Sie die Schaltfläche Vorschau, damit die resultierende Fläche im Grafikfenster angezeigt wird. Markieren Sie das Kontrollkästchen Auto Vorschau, um die resultierende Fläche im Grafikfenster anzuzeigen, das kontinuierlich aktualisiert wird, wenn Änderungen vorgenommen werden.

  14. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Verrundung zu erzeugen, oder auf OK, um das Element zu fixieren, das Dialogfeld zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltfläche 1. Fläche selektieren klicken, um im Grafikfenster einen neuen Flächensatz zu wählen, oder auf Ebene selektieren, um eine neue Ebene zu wählen.


Trimmen einer Fläche auf eine Geometriekurve

Hinweis: Bezeichnungen von Elementen in Dialogfeldern und Optionsleisten können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Trimmen, an Geometrie….

  2. Wählen Sie die erste(n) Fläche(n) und drücken Sie [Enter]. Es erscheint das Dialogfeld „Verkettung“.

  3. Verketten Sie die Geometriekurve, zu der die Fläche getrimmt werden soll und drücken Sie [Enter]. Die Optionsleiste „Fläche an Geometrie trimmen“ wird angezeigt.

  4. Wählen Sie den Bereich der Fläche, den Sie behalten wollen und drücken Sie [Enter].

  5. Klicken Sie in der Optionsleiste „Fläche an Geometrie trimmen“ auf die Schaltfläche Behalten, um die Originalfläche nach dem Erzeugen der getrimmten Fläche zu erhalten. Klicken Sie auf die Schaltfläche Löschen, um die Originalfläche zu löschen.

  6. Klicken Sie auf die Schaltfläche Ansicht oder Normale, um festzulegen, wie die Geometriekurve auf die gewählten Elemente projiziert werden soll.

  7. Klicken Sie auf die Schaltfläche Kurven auf den Rand verlängern, um die Schnittkurve bis zum Rand der Fläche(n) zu verlängern.

  8. Klicken Sie auf die Schaltfläche Modell splitten, um die Flächen längs der gewählten Geometriekurve in zwei getrimmte Flächen aufzutrennen.

  9. Klicken Sie auf die Schaltfläche Mehrere Bereiche behalten um die Option zu deaktivieren. Es wird nur eine getrimmte Fläche erzeugt, wenn die Fläche von der Kurve auf eine Weise geschnitten wird, dass mehrere Bereiche generiert würden. Klicken Sie noch einmal auf die Schaltfläche um die Option zu selektieren und alle Bereiche der getrimmten Fläche beizubehalten.

  10. Klicken Sie auf die Schaltfläche Verwende aktuelle Konstruktionsattribute, um alle getrimmten Flächen anhand der aktuellen Systemattribute zu erzeugen.

  11. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Fläche zu trimmen, oder auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltfläche Fläche selektieren klicken, um im Grafikfenster einen neuen Flächensatz zu wählen oder auf Geometrie selektieren, um neue Geometriekurven zu wählen.


Trimmen einer Fläche auf eine Ebene

Hinweis: Bezeichnungen von Elementen in Dialogfeldern und Optionsleisten können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Trimmen, an Ebene….

  2. Wählen Sie den ersten Flächensatz und drücken Sie [ENTER]. Das Dialogfeld „Ebenenauswahl“ wird angezeigt.

  3. Wählen Sie anhand der Optionen des Dialogfelds Ebenenauswahl die Ebene, auf die die Fläche getrimmt werden soll. Klicken Sie danach auf OK. Die Optionsleiste „Fläche auf Ebene trimmen“ wird angezeigt.

  4. Klicken Sie auf die Schaltfläche Behalten, um die Originalfläche nach dem Erzeugen der getrimmten Fläche beizubehalten. Klicken Sie auf die Schaltfläche [Löschen], um die Originalfläche zu löschen.

  5. Klicken Sie auf die Schaltfläche Flächen auf der anderen Seite der Ebene löschen, um alle Fläche zu löschen, die nicht durch die Schnittebene getrimmt werden und auf der Seite der Ebene liegen, die Sie zum Trimmen wählen.

  6. Klicken Sie auf die Schaltfläche Modell splitten, um die Flächen längs der ausgewählten Ebene in zwei getrimmte Flächen zu trennen.

  7. Klicken Sie auf die Schaltfläche Mehrere Bereiche behalten um die Option zu deaktivieren. Es wird nur eine getrimmte Fläche erzeugt, wenn die Fläche von der Ebene auf eine Weise geschnitten wird, dass mehrere Bereiche generiert würden. Klicken Sie noch einmal auf die Schaltfläche um die Option zu selektieren und alle Bereiche der getrimmten Fläche beizubehalten.

  8. Klicken Sie auf die Schaltfläche Verwende aktuelle Konstruktionsattribute, um alle getrimmten Flächen anhand der aktuellen Systemattribute zu erzeugen.

  9. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Fläche zu trimmen, oder auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltfläche Fläche klicken, um im Grafikfenster einen neuen Flächensatz zu wählen oder auf die Schaltfläche „Ebene“, um eine neue Ebene zu wählen.


Trimmen einer Fläche auf eine andere Fläche

Hinweis: Bezeichnungen von Elementen in diesem Dialogfeld können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Trimmen, an Flächen….

  2. Wählen Sie den ersten Flächensatz und drücken Sie [ENTER].

  3. Wählen Sie den zweiten Flächensatz und drücken Sie [ENTER]. Die Optionsleiste „Fläche auf Fläche trimmen“ wird angezeigt.

  4. Wählen Sie den Bereich der Fläche, der nach dem Trimmen erhalten bleiben soll, und klicken Sie darauf, um ihn auszuwählen. Drücken Sie danach [Enter].

  5. Klicken Sie in der Optionsleiste „Fläche auf Fläche trimmen“ auf die Schaltfläche Behalten, um die Originalfläche nach dem Erzeugen der getrimmten Fläche zu erhalten. Klicken Sie auf die Schaltfläche Löschen, um die Originalfläche zu löschen.

  6. Klicken Sie auf die Schaltflächen 1, 2 oder Beide, um zu definieren, welche Flächen getrimmt werden sollen.

  7. Klicken Sie auf die Schaltfläche Kurven auf den Rand verlängern, um die Schnittkurve bis auf die Ränder der getrimmten Flächen zu verlängern.

  8. Klicken Sie auf die Schaltfläche Modell splitten, um die gewählten Flächen an ihren Schnittkurven zu trimmen und aufzutrennen.

  9. Klicken Sie auf die Schaltfläche Mehrere Bereiche behalten um die Option zu deaktivieren. Es wird nur eine getrimmte Fläche erzeugt, wenn die Fläche von anderen Flächen auf eine Weise geschnitten wird, dass mehrere Bereiche generiert würden. Klicken Sie noch ein Mal auf die Schaltfläche um die Option zu selektieren und alle Bereiche der getrimmten Fläche beizubehalten.

  10. Klicken Sie auf die Schaltfläche Verwende aktuelle Konstruktionsattribute, um alle getrimmten Flächen anhand der aktuellen Systemattribute zu erzeugen.

  11. Klicken Sie auf Zuweisen, um das Element zu fixieren und im Grafikfenster eine weitere Fläche zu trimmen, oder auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweis: Sie können auf die Schaltflächen 1. Fläche und 2. Fläche klicken, um im Grafikfenster den ersten oder zweiten Flächensatz neu zu wählen.


Erzeugen einer Winkelhalbierenden

  1. Klicken Sie in der Menüleiste auf Entwerfen, Linie, Winkelhalbierende…. Die Optionsleiste „Linie - Winkelhalbierende“ wird angezeigt.

  2. Wählen Sie zwischen 1 Lösungsvorschlag oder 4 Lösungsvorschläge.

  3. Wählen Sie zwei Linien, für die eine Winkelhalbierende erzeugt werden soll.

  4. Geben Sie in das Feld „Länge“ einen Wert ein, um die Länge der Winkelhalbierenden festzulegen.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Wenn „4 Lösungsvorschläge“ markiert ist, bietet Mastercam alle vier möglichen Winkelhalbierenden an. Sie werden dann aufgefordert, die Linie auszuwählen, die behalten werden soll.


Erzeugen eines Kreises anhand eines Zentrumspunkts

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Zentrumspunkt…. Die Optionsleiste „Kreis-Zentrumspunkt“ wird angezeigt.

  2. Klicken Sie auf die Schaltfläche Tangente, um einen Kreis tangential zu einem vorhandenen Element zu erzeugen.

  3. Markieren Sie im Grafikfenster den Zentrumspunkt.

  4. Ziehen Sie den Kreis mit der Maus auf die gewünschte Größe und klicken Sie dann ins Grafikfenster.

  5. Geben Sie die Größe des Kreises an, indem Sie in das Feld Radius oder Durchmesser einen Wert eingeben.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Sie können auf die Schaltfläche Zentrumspunkt ändern klicken, um den Kreis zu versetzen, indem Sie den Zentrumspunkt neu positionieren.


Erzeugen eines Bogens (Kreises) anhand von Endpunkten

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Randpunkte…. Die Optionsleiste „Kreis-Randpunkt“ wird angezeigt.

  2. Klicken Sie auf die Schaltfläche Tangente, um einen Kreis tangential an zwei Elementen zu erzeugen.

  3. Wählen Sie den ersten Randpunkt.

  4. Wählen Sie den zweiten Randpunkt.

  5. Geben Sie die Größe des Kreises an, indem Sie in das Feld Radius oder Durchmesser einen Wert eingeben.
    Hinweis: Diese Felder sind nur dann verfügbar, wenn Sie auf die Schaltfläche Tangente klicken.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Anstatt die Randpunkte im Grafikfenster zu markieren (Schritt 3 und 4) können Sie die Koordinaten der einzelnen Randpunkte in die Felder „X“ und „Y“ des AutoCursors eingeben.

  • Klicken Sie zum Erzeugen eines Kreises aus drei Randpunkten auf die Schaltfläche 3 Punkte.

  • Sie können auf die Schaltflächen Punkt 1 ändern, Punkt 2 ändern oder Punkt 3 ändern klicken, um die Position des jeweiligen Randpunkts zu ändern.


Erzeugen einer Kurve mit konstanten Parametern

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Konstante Parameterkurve…. Die Optionsleiste „Kurve - Konstantparameter“ wird angezeigt.

  2. Markieren Sie im Grafikfenster eine Fläche. Verschieben Sie den dynamischen Pfeil an die Position auf der Fläche, an der die Kurve erzeugt werden soll, und drücken Sie die linke Maustaste.

  3. Wählen Sie beim Erzeugen parametrischer Splines eine Option im Dropdownmenü Kurvenqualität, um anzugeben, wie Mastercam die Punkte zur Definition der Kurve berechnen soll. Geben Sie im Eingabefeld rechts neben dem Dropdownmenü Kurvenqualität einen Toleranzwert ein.

  4. Beim Erzeugen von NURBS-Splines ist im Dropdownmenü Kurvenqualität nur die Option Sehne verfügbar; das Menü ist dann nicht aktiviert. Geben Sie im Eingabefeld rechts neben dem Dropdownmenü Kurvenqualität einen Toleranzwert ein.

  5. Klicken Sie auf die Schaltfläche Umschalten, um die konstanten U- und V-Parameter der Kurve einzustellen.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Die Voreinstellung für die Art der Spline-Erzeugung wird auf der Eigenschaftenseite „CAD“ des Dialogfelds „Systemkonfiguration“ definiert.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen einer Kurve auf einem einzelnen Flächenrand

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Auf einem Rand…. Die Optionsleiste „Kurve auf einem Rand“ wird angezeigt.

  2. Markieren Sie im Grafikfenster eine Fläche. Ziehen Sie dann den dynamischen Pfeil auf den gewünschten Flächenrand und drücken Sie die linke Maustaste.

  3. Geben Sie, falls die gewählte Fläche eine getrimmte Fläche ist, einen Wert ins Feld Trennwinkel ein.

  4. Klicken Sie auf Zuweisen, um die Kurve zu erzeugen und zu fixieren. Klicken Sie auf OK, um die Kurve zu erzeugen und zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen einer Kurve auf allen Rändern

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Auf allen Rändern…. Die Optionsleiste „Kurven auf allen Rändern“ wird angezeigt.

  2. Wählen Sie eine Fläche, ein Solid und/oder Solidfaces. Drücken Sie danach [Enter].

  3. Geben Sie, falls Sie eine getrimmte Fläche ausgewählt haben, einen Wert ins Feld Trennwinkel ein.

  4. Wenn Kurven nur auf Rändern erzeugt werden sollen, die keine anderen Ränder gemeinsam haben, klicken Sie auf die Schaltfläche offene Ränder und geben ins entsprechende Feld einen Wert ein.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Klicken Sie auf die Schaltfläche Wählen, um im Grafikfenster weitere Flächen, Solids bzw. Solidfaces zu wählen, auf denen Kurven erzeugt werden sollen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen eines Schneidepunkts

  1. Klicken Sie in der Menüleiste auf Entwerfen, Punkt, Schneidepunkt (Drahten)…. Die Optionsleiste „Punkt“ wird angezeigt.

  2. Markieren Sie den neuen Schneidepunkt im Grafikfenster oder positionieren Sie ihn mithilfe des AutoCursors.

  3. Wiederholen Sie Schritt 2, wenn weitere Punkte erzeugt werden sollen.

  4. Klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Klicken Sie in der Optionsleiste „Punkt“ auf die Schaltfläche Punkt ändern, um den zuletzt erzeugten Punkt zu verschieben.

  • Solange der Punkt ein aktives Element ist, können Sie auch die gewünschten X-, Y- und Z-Koordinaten in den AutoCursor eingeben, um seine Position neu festzulegen.


Erzeugen einer dynamischen Kurve

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Dynamisch…. Die Optionsleiste „Kurve - Dynamisch“ wird angezeigt.

  2. Markieren Sie die Fläche, auf der die Kurve erzeugt werden soll.

  3. Verschieben Sie den dynamischen Pfeil auf der Fläche und markieren Sie mindestens zwei Punkte, um die Endpunkte der Kurve zu erzeugen.

  4. Um die Kurve fertigzustellen, führen Sie auf dem letzten Endpunkt einen Doppelklick aus oder drücken Sie [Enter].

  5. Geben Sie einen Wert ins Feld Sehne ein, um eine Toleranz festzulegen, die den maximalen Abstand definiert, den die Kurve zu der Fläche, auf der sie erzeugt worden ist, haben darf.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren. Klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.


Erzeugen einer Flowlinekurve

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Flowline (ISO Parametrisch)…. Die Optionsleiste „Kurve - Flowline“ wird angezeigt.

  2. Wählen Sie die Fläche, auf der eine Kurve erzeugt werden soll.

  3. Wählen Sie beim Erzeugen parametrischer Splines eine Option im Dropdownmenü Kurvenqualität, um anzugeben, wie Mastercam die Punkte zur Definition der Kurve berechnen soll. Geben Sie im Eingabefeld rechts neben dem Dropdownmenü Kurvenqualität einen Toleranzwert ein.

  4. Beim Erzeugen von NURBS-Splines ist im Dropdownmenü Kurvenqualität nur die Option Sehne verfügbar; das Menü ist dann nicht aktiviert. Geben Sie im Eingabefeld rechts neben dem Dropdownmenü Kurvenqualität einen Toleranzwert ein.

  5. Wählen Sie aus dem Kurvenstückzahl-Dropdownmenü eine Option, die festzulegt, wie Mastercam die Anzahl der zu erzeugenden Kurven berechnen soll. Geben Sie im Eingabefeld daneben den gewünschten Wert ein.

  6. Klicken Sie auf die Schaltfläche Umschalten, um die Richtung der Kurve auf der Fläche zu ändern.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Bezeichnungen von Elementen dieser Optionsleiste können als Kurzinfos in Hinweisfenstern eingeblendet werden. Ziehen Sie zum Einblenden eines Hinweisfensters den Mauszeiger auf eine aktive Schaltfläche, ein Feld oder ein Symbol.

  • Die Voreinstellung für die Art der Spline-Erzeugung wird auf der Eigenschaftenseite „CAD“ des Dialogfelds „Systemkonfiguration“ definiert.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen einer kürzesten Verbindungslinie (zwischen zwei Elementen)

  1. Klicken Sie in der Menüleiste auf Entwerfen, Linie, Kürzeste Verbindung….

  2. Wählen Sie eine Linie, einen Bogen oder einen Spline.

  3. Wählen Sie eine zweite Linie, einen Bogen oder einen Spline. Daraufhin wird an der engsten Stelle zwischen den beiden gewählten Elementen eine Linie erzeugt.


Erzeugen einer Linie anhand von zwei Endpunkten

  1. Klicken Sie in der Menüleiste auf Entwerfen, Linie, Endpunkte…. Die Optionsleiste „Linie“ wird angezeigt.

  2. Markieren Sie im Grafikfenster den ersten Linienendpunkt.

  3. Ziehen Sie den Cursor an die gewünschte Position für den zweiten Endpunkt und drücken Sie die linke Maustaste.

  4. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Anstatt die Endpunkte im Grafikfenster zu markieren, können Sie die Koordinaten der Linie auch im AutoCursor eingeben.

  • Klicken Sie auf die Schaltfläche Mehrfachlinie, um mehrere miteinander verbundene Linien zu erzeugen.

  • Geben Sie einen Wert ins Feld Länge ein, um eine Linie mit einer bestimmten Länge zu erzeugen.

  • Geben Sie im Feld Winkel einen Wert ein, um den Polarwinkel der Linie zu definieren.

  • Klicken Sie zum Erzeugen weiterer horizontaler oder vertikaler Linien auf die entsprechenden Schaltflächen. Danach können Sie die X- oder Y-Koordinate der Linie in das Feld eingeben.

  • Klicken Sie auf die Schaltfläche Tangente, um eine tangentiale Linie an Bögen und Splines zu erzeugen.

  • Sie können auf die Schaltfläche Endpunkt 1 ändern oder Endpunkt 2 ändern klicken, um im Grafikfenster neue Endpunkte zu wählen.


Erzeugen eine parallelen Linie

  1. Klicken Sie in der Menüleiste auf Entwerfen, Linie, Parallel…. Es erscheint die Optionsleiste „Linie - Parallel“.

  2. Klicken Sie auf eine Linie.

  3. Wählen Sie einen Punkt, durch die die parallele Linie laufen soll. Wahlweise können Sie die Positionskoordinaten der parallelen Linie auch im AutoCursor eingeben.

  4. Klicken Sie auf die Schaltfläche Umschalten, um die parallele Linie auf der anderen Seite der zuerst markierten Linie positionieren oder Linien auf beiden Seiten zu erzeugen.

  5. Geben Sie einen Wert ins Feld Abstand ein, um die Distanz zwischen der zuerst markierten und der parallelen Linie festzulegen.

  6. Klicken Sie auf die Schaltfläche Tangente, um eine tangentiale Linie an einem Bogen zu erzeugen. Wählen Sie die Bezugslinie und dann das Element, an dem die parallele Linie tangential anliegen soll.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Die neue Linie ist in Länge und Art mit der zuerst markierten Bezugslinie identisch.

  • Sie können auf die Schaltfläche Endpunkt 1 ändern klicken, um im Grafikfenster eine andere Position für die parallele Linie zu wählen.


Erzeugen einer Formtrennkurve

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Formtrennung…. Die Optionsleiste „Kurve - Formtrennlinie“ wird angezeigt.

  2. Legen Sie die KEbene fest und wählen Sie die Fläche.

  3. Wählen Sie eine Option im Dropdownmenü Kurvenqualität, um anzugeben, wie Mastercam die Punkte zur Definition der Kurve berechnen soll. Geben Sie im Eingabefeld daneben einen Toleranzwert ein.

  4. Geben Sie einen Wert ins Feld Formtrennwinkel ein, um den Winkel zwischen der Normalenrichtung (Senkrechten) der Fläche und der XY-Ebene der KEbene zu definieren.

  5. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Diese Funktion verwendet die Konstruktionsebene, um zu bestimmen welche Linie(n) erzeugt werden sollen.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen einer lotrechten Linie

  1. Klicken Sie in der Menüleiste auf Entwerfen, Linie, Lotrecht…. Es erscheint daraufhin die Optionsleiste „Lotrechte Linie“.

  2. Wählen Sie eine Linie, einen Bogen oder einen Spline.

  3. Wählen Sie im Grafikfenster einen Punkt. Bewegen Sie den Cursor, um die lotrechte Linie zu skizzieren, und drücken Sie dann die linke Maustaste, um ihre Position festzulegen.

  4. Klicken Sie auf die Schaltfläche Umschalten, um die lotrechte Linie auf der anderen Seite des Elements zu positionieren oder je eine Linie auf beiden Seiten des Elements zu erzeugen.

  5. Geben Sie einen Wert in das Feld Länge ein, um die Länge der lotrechten Linie zu definieren.

  6. Klicken Sie auf die Schaltfläche Tangente, um eine tangentiale Linie an einem Bogen zu erzeugen.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren oder klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche Endpunkt 1 ändern, um eine neue Position für den ersten Endpunkt (Linienanfang) zu wählen und ein aktive Linie zu verschieben.


Erzeugen eines Punkts

  1. Klicken Sie in der Menüleiste auf Entwerfen, Punkt, Position…. Die Optionsleiste „Punkt“ wird angezeigt.

  2. Klicken Sie auf eine Position im Grafikfenster oder positionieren Sie den neuen Punkt mithilfe des AutoCursors.

  3. Wiederholen Sie Schritt 2, wenn weitere Punkte erzeugt werden sollen.

  4. Klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Klicken Sie auf die Schaltfläche Punkt ändern, um den zuletzt erzeugten Punkt zu verlegen.

  • Solange der Punkt ein aktives Element ist, können Sie auch die gewünschten X-, Y- und Z-Koordinaten in den AutoCursor eingeben, um seine Position neu festzulegen.


Erzeugen eines Punkts im Zentrum eines Bogens

  1. Klicken Sie in der Menüleiste auf Entwerfen, Punkt, Zentrumspunkte…. Die Optionsleiste „Punkt – Kleine Bögen“ wird angezeigt.

  2. Markieren Sie einen Bogen oder Kreis, um einen Punkt in seinem Zentrum zu erzeugen.

  3. Geben Sie einen Wert ins Feld Max. Radius ein, um die maximale Größe von Bögen/Kreisen zu festzulegen, für die Punkte erzeugt werden können.

  4. Klicken Sie auf die Schaltfläche Teilbögen, um mit dieser Funktion Zentrumspunkte für Kreise und Bögen erzeugen zu können.

  5. Klicken Sie auf die Schaltfläche Bögen löschen, damit der Kreis bzw. Bogen nach dem Erzeugen des Punkts gelöscht wird.

  6. Klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.


Erzeugen eines Punkts auf einem vorhandenen Element

  1. Klicken Sie in der Menüleiste auf Entwerfen, Punkt, Dynamisch…. Die Optionsleiste „Punkt dynamisch“ wird angezeigt.

  2. Wählen Sie eine Linie, einen Bogen, einen Spline oder eine Fläche. Auf dem gewählten Element wird ein dynamischer Pfeil angezeigt.

  3. Verschieben Sie die Basis des Pfeils an die gewünschte Position und drücken Sie die linke Maustaste, um einen Punkt zu erzeugen. Sie können den neuen Punkt auch mithilfe des AutoCursors positionieren.

  4. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Klicken Sie auf die Schaltfläche Punkt ändern, um den Punkt zu versetzen.

  • Sie können beim Erzeugen eines Punktes auch einen Wert ins Feld Abstand eingeben. Dieser Wert legt den Abstand von dem Endpunkt fest, der am nächsten an der zur Auswahl des Elements angeklickten Position liegt.

  • Geben Sie zum Erzeugen eines Versatzpunkts einen Abstand in das Feld Versatz ein. Klicken Sie dann auf die Seite des Elements, auf der der Punkt platziert werden soll.


Erzeugen eines Polarbogens

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Polar…. Die Optionsleiste „Bogen-Polar“ wird angezeigt.

  2. Markieren Sie im Grafikfenster den Zentrumspunkt.

  3. Klicken Sie im Grafikfenster auf eine Position, um den Startpunkt zu definieren, oder geben Sie im Feld Startwinkel einen Wert ein.

  4. Klicken Sie im Grafikfenster auf eine weitere Position, um den Endpunkt festzulegen, oder geben Sie einen Wert ins Feld Endwinkel ein.

  5. Geben Sie einen Wert ins Feld Radius oder Durchmesser ein, um die Größe des Bogens zu ändern.

  6. Klicken Sie auf die Schaltfläche Umschalten oder ziehen Sie den Mauszeiger durch den Startwinkel, um die Richtung des Bogens zu ändern.

  7. Klicken Sie auf die Schaltfläche Tangente, um einen Bogen zu erzeugen, der tangential an vorhandenen Elementen anliegt.

  8. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche Zentrumspunkt ändern klicken, um den Bogen zu versetzen, indem Sie den Zentrumspunkt neu positionieren.


Erzeugen eines Polarbogens anhand eines definierten Punkts

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Polar über Endpunkte…. Es erscheint daraufhin die Optionsleiste „Bogen - Polarendpunkt“.

  2. Wenn die Schaltfläche „Startpunkt“ aktiviert, (gedrückt) ist, wählen Sie im Grafikfenster einen Startpunkt für den Bogen aus oder positionieren Sie den Punkt mit Hilfe des AutoCursors. Wenn die Schaltfläche „Endpunkt“ aktiviert, (gedrückt) ist, wählen Sie im Grafikfenster einen Endpunkt aus oder positionieren Sie den Punkt mithilfe des AutoCursors.

  3. Geben Sie einen Wert ins Feld Radius oder Durchmesser ein, um die Größe des Bogens zu definieren.

  4. Geben Sie Werte in die Felder Startwinkel und Endwinkel ein, um Anfang und Ende des Bogens festzulegen.

  5. Klicken Sie auf OK, um den Bogen zu erzeugen.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltfläche Endpunkt ändern klicken, um den Bogen zu versetzen, indem Sie einen neuen Startpunkt wählen.


Erzeugen einer Schnittkurve

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Querschnitt…. Die Optionsleiste „Schnittkurve“ wird eingeblendet.

  2. Klicken Sie auf die Schaltfläche Ebene, um das Dialogfeld „Ebenenauswahl“ zu öffnen. Definieren Sie in diesem Dialogfeld die Ebene, die die gewählte Fläche oder Kurve schneidet.

  3. Geben Sie einen Wert ins Feld Abstand ein, um ein Abstandsintervall einzustellen, um das die Ebene versetzt wird.

  4. Geben Sie einen Wert ins Feld Versatz ein, um einen Abstand zu definieren, um den die gewählte Fläche oder Kurve für den Schnitt versetzt wird.

  5. Klicken Sie falls gewünscht auf die Schaltfläche Verbinden, um die erzeugten Kurven zu einem Element zu verbinden.

  6. Klicken Sie falls gewünscht auf die Schaltfläche Mehrfachlösungen finden, um nach mehreren Lösungen suchen zu lassen.

  7. Wählen Sie eine Fläche und klicken Sie auf Zuweisen oder drücken Sie [Enter], um Kurven zu erzeugen.

  8. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen eines Tangentialbogens

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Tangential…. Die Optionsleiste „Bogen - Tangential“ wird angezeigt.

  2. Geben Sie einen Wert ins Feld Radius oder Durchmesser ein, um die Größe des Bogens zu definieren.

  3. Wählen Sie in der Optionsleiste die gewünschte Tangentialitätsbedingung.

  4. Wählen Sie das Element, an dem der Bogen tangential anliegen soll.

  5. Bestimmen Sie den Tangentenpunkt.

  6. Mastercam kann bis zu vier mögliche Punkten anzeigen. Sie werden aufgefordert, den gewünschten Bogen auszuwählen.

  7. Klicken Sie auf Zuweisen, um das Element zu fixieren oder klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.


Erzeugen eines Einfädelpunkts

  1. Klicken Sie in der Menüleiste auf Entwerfen, Punkt, Einfädelpunkt (Drahten)…. Die Optionsleiste „Punkt“ wird angezeigt.

  2. Klicken Sie im Grafikfenster auf einen Punkt oder geben Sie seine Koordinaten im AutoCursor ein, um den neuen Einfädelpunkt zu positionieren.

  3. Wiederholen Sie Schritt 2, wenn weitere Punkte erzeugt werden sollen.

  4. Klicken Sie auf OK, um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Klicken Sie auf die Schaltfläche Punkt ändern, um den zuletzt erzeugten Punkt zu verlegen.

  • Bei aktiven Elementen können Sie auch die X-, Y- und Z-Koordinaten im AutoCursor eingeben, um den Punkt neu zu positionieren.


Erzeugen eines Bogens anhand von drei Punkten

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, 3 Punkte…. Die Optionsleiste Bogen - 3 Punkte wird angezeigt.

  2. Markieren Sie im Grafikfenster den ersten Punkt des Bogens.

  3. Klicken Sie dann im Grafikfenster auf die Positionen für den zweiten und den dritten Punkt des Bogens.

  4. Klicken Sie auf die Schaltfläche Tangente, um einen Bogen zu erzeugen, der tangential an einem, zwei oder drei Elementen anliegt.

  5. Klicken Sie auf OK, um die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auf die Schaltflächen Punkt 1 ändern, Punkt 2 ändern oder Punkt 3 ändern klicken, um die Position des betreffenden Bogenrandpunkts zu ändern.

  • Sie können zum Erzeugen eines Kreisbogens, statt Punkte im Grafikfenster zu markieren, die entsprechenden Punktkoordinaten auch im AutoCursor eingeben.


Erzeugen eines Bogens (Kreises) anhand definierter Endpunkte

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kreis/Bogen, Endpunkte…. Die Optionsleiste „Bogenendpunkte“ wird angezeigt.

  2. Markieren Sie den ersten und zweiten Endpunkt des Bogens.

  3. Vervollständigen Sie den Bogen, indem Sie im Grafikfenster den dritten Punkt wählen.

  4. Legen Sie die Größe des Kreisbogens fest, indem Sie einen Wert in das Feld Radius oder Durchmesser eingeben.

  5. Klicken Sie auf die Schaltfläche Tangente, um einen Bogen zu erzeugen, der tangential an vorhandenen Elementen anliegt.

  6. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Klicken Sie auf die Schaltfläche Punkt 1 ändern oder Punkt 2 ändern, um die Position des ersten oder zweiten Randpunkts eines aktiven Kreisbogens zu ändern.

  • Sie können zum Erzeugen eines Kreisbogens, statt Punkte im Grafikfenster zu markieren, die entsprechenden Punktkoordinaten auch im AutoCursor eingeben.


Erzeugen von Kurven an Flächenverschneidungen

  1. Klicken Sie in der Menüleiste auf Entwerfen, Kurve, Verschneidung…. Die Optionsleiste „Kurve - Verschneidung“ wird angezeigt.

  2. Wählen Sie den ersten Flächensatz und drücken Sie [ENTER].

  3. Wählen Sie den zweiten Flächensatz und drücken Sie [ENTER]. Die Optionen der Optionsleiste „Kurve - Verschneidung“ sind jetzt verfügbar.

  4. Wählen Sie eine Option im Dropdownmenü Kurvenqualität, um anzugeben, wie Mastercam die Punkte zur Definition der Kurve berechnen soll. Geben Sie im Eingabefeld daneben einen Toleranzwert ein.

  5. Geben Sie in die Felder Versatz 1 und Versatz 2 Werte zur Definition des Versatzes ein, um den die Flächensätze zum Verschneiden versetzt werden sollen.
    Hinweis:     Dabei wird nicht die tatsächliche Position der gewählten Flächen geändert, vielmehr werden die Kurven an den Versatzpositionen erzeugt.

  6. Klicken Sie auf die Schaltfläche Paar anklicken, wenn Mastercam eine andere Lösung zu den gewählten Flächen ausgeben soll.

  7. Klicken Sie falls gewünscht auf die Schaltfläche Verbinden, um die erzeugten Kurven zu einem Element zu verbinden.

  8. Klicken Sie falls gewünscht auf die Schaltfläche Mehrfachlösung finden, um nach mehreren Lösungen suchen zu lassen.

  9. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Im Grafikfenster muss ein Satz sich schneidender Flächen vorhanden sein, um mit dieser Funktion arbeiten zu können.

  • Sie können zur Neuauswahl des ersten oder des zweiten Flächensatzes auf die Schaltflächen Satz 1 und Satz 2 klicken.

  • Die Funktion AutoCursor ist während der Verwendung dieser Optionsleiste nicht verfügbar.


Erzeugen von Punktsegmenten

  1. Klicken Sie in der Menüleiste auf Entwerfen, Punkt, Segment…. Es erscheint daraufhin die Optionsleiste „Punktsegment“.

  2. Markieren Sie ein Element.

  3. Geben Sie im Feld Abstand die Distanz zwischen den Punkten ein oder geben Sie im Feld Anzahl die gewünschte Anzahl von Punkten auf dem Element ein.

  4. Klicken Sie auf Zuweisen, um das Element zu fixieren oder auf OK um das Element zu fixieren, die Optionsleiste zu schließen und die Funktion zu beenden.

Hinweise:

  • Sie können auch erst den Abstand eingeben (oder die Anzahl der Punkte, die auf dem Element liegen sollen) und dann ein Element wählen.

  • Mastercam berechnet die Anzahl der Punkte, wenn ein Abstand eingegeben wird, und den Abstand, wenn eine Anzahl von Punkten eingegeben wird.


Programmnummern - Tabelle

Prog. Nr. | Mastercam-Produkt | Prog. Nr. | Mastercam-Produkt
1 | [NHaspX techn. Info] | 31 | Gravieren
2 | Fräsen Entry | 32 | 5-Achsen-Kontur/5-Achsen-Bohren
3 | Fräsen* | 37 | Pro/E-Import
4 | Fräsen* | 40 | Catia-V5-Import
5 | 3D-Fräsen* | 41 | Catia-V5-Export
6 | Drehen* | 42 | CATIA-V4-Import/Export
7 | Drehen* | 43 | Unigraphics Datei
8 | Drahten | 44 | 5-Achsen Wälzen
9 | Design | 46 | Mastercam für SolidWorks 2D
10 | Solids | 48 | Mastercam für SolidWorks 3D
11 | Router Entry | 49 | Port Expert
12 | Router* | 50 | Blade Expert
13 | Router* | 52 | Mastercam für SolidWorks – Drehen
14 | 3D-Router* | 53 | Messen
17 | Art | 56 | CATIA V5 mit PMI
19 | Mehrachsen | 57 | Mori APT/CL Post
29 | STEP-Import | 60 | Mill-Turn

* Neuer Name ab X9

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleiste „Entlang: Relative Position“

Benutzen Sie diese Optionsleiste, um eine AutoCursor-Position relativ zu einem existierenden Element zu erzeugen. Wählen Sie zuerst ein Element. (Verwenden Sie die Schaltfläche Wählen (Pfeilschaltfläche), um ein Element neu zu wählen.) Geben Sie einen Wert in das Feld Länge ein. Sie können auch eine Länge durch klicken in dem Grafikfenster festlegen. Mastercam platziert einen AutoCursor-Punkt an der markierten Stelle.

Weitere Informationen zu...

  • AutoCursor – Übersicht

  • Länge (bzw. Längsmodus) (Optionsleiste „Relative Position“)

  • Optionsleiste „Relative Position“


AutoCursor-Grafik

AutoCursor


Dialogfeld „Maschinendefinition – Menümanagement“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Anhand dieses Dialogfelds können Sie die Maschinendefinitionen in den Maschinentyp-Untermenüs verwalten.

Sie können darin:

  • Maschinendefinitionen hinzufügen

  • Maschinendefinitionen entfernen

  • Die Reihenfolge von Maschinendefinitionen ändern

  • Änderungen an der Maschinendefinitions-Liste dauerhaft speichern

Klicken Sie auf die Schaltflächen, um Einträge in die Dialogfeldfenster einzufügen, daraus zu entfernen und neu anzuordnen. Die Einträge, die im rechten Fenster stehen, erscheinen auch in dem entsprechenden Maschinentyp-Untermenü. Dies bedeutet, dass Fräsen-Maschinendefinitionen im Fräsen-Untermenü erscheinen, Drehen-Maschinendefinitionen im Drehen-Untermenü usw. Klicken Sie oben auf die Registerkarte „Felddefinitionen“, um nähere Informationen dazu aufzurufen.

Alternativ dazu können Sie Maschinendefinitionen auch per Drag & Drop von einem Fenster ins andere ziehen.

Hinweis: Im Dialogfeld „Maschinendefinition – Menümanagement“ legen Sie nur fest, welche Maschinendefinitionen im Menü „Maschinentyp“ angezeigt werden. Sie kopieren damit keine Maschinendefinition auf die Festplatte oder löschen welche davon. Starten Sie zum Installieren zusätzlicher Maschinendefinitionen die Mastercam Installations-CD.

Weitere Informationen zu...

  • Maschinendefinition – Übersicht

  • Einstellen der Standard-Maschinendefinition

  • Ändern einer Maschinendefinition


Dialogfeld Hinweistextverzögerung (für Optionsleisten-Hinweisfenster)

Mit diesem Dialogfeld können Sie die Zeitverzögerung für Hinweise einstellen, die eingeblendet werden, wenn Sie den Mauszeiger über eine Schaltfläche in der Optionsleiste ziehen. Diese Einstellung gilt nur für die aktuelle Sitzung.


Kontextmenü des Grafikfensters – Beispiel

Beispiel für ein Kontextmenü (Rechtsklickmenü des Grafikfensters)

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleiste „Zeichnungserstellung“ – Beispiel

Nicht verfügbare Schaltflächen werden hellgrau dargestellt.


Gesamtauswahl

Gesamtauswahl von Kriterien

Nachfolgend sehen Sie das Beispiel einer Gesamtauswahl (eine aufeinanderfolgende Reihe von Elementen) von Farben im Kriterienlistenbereich der Dialogfelder „Alle selektieren“ oder „Nur bestimmtes selektieren“:

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleiste Allgemeine Selektion (Voreinstellung) – Abbildung

Optionsleiste „Allgemeine Selektion“

Diese Abbildung zeigt die Optionsleiste Allgemeine Selektion in ihrem Standardzustand:


Optionsleiste „Allgemeine Selektion“ im Solid-Selektionsmodus – Abbildung

„Allgemeine Selektion“ – Solidselektions-Modus

Diese Abbildung zeigt die Optionsleiste Allgemeine Selektion im Solid-Auswahlmodus:


Optionsleiste „Allgemeine Selektion“ im Standard-Auswahlmodus mit Schaltfläche „Aktiviere Solidselektion“ – Abbildung

Allgemeine Selektion im Standard-Auswahlmodus

Diese Abbildung zeigt die Optionsleiste „Allgemeine Selektion“ im Standard-Auswahlmodus mit verfügbarer Schaltfläche „Aktiviere Solidselektion“. Dieser Optionsleistenzustand erscheint, wenn sich in Ihrer Datei sowohl Solids als auch andere Elementtypen befinden und Sie eine Funktion gestartet haben, die auf alle Elementtypen angewendet wird, einschließlich Solids.


Auswahl einzelner Elemente

Auswahl einzelner Kriterien

Nachfolgend sehen Sie das Beispiel einer nicht zusammenhängenden Auswahl (eine nicht aufeinanderfolgende Reihe von Kriterien) von Farben im Kriterienlistenbereich der Dialogfelder „Alle selektieren“ oder „Nur bestimmtes selektieren“:

Klicken Sie hier, um dieses Thema auszudrucken.


Dialogfeld „Alle selektieren“ – Abbildung

Nachfolgend sind die drei Hauptbereiche des Dialogfelds „Alle selektieren“ abgebildet. Das Dialogfeld „Nur bestimmtes selektieren“ enthält keine Optionsschaltflächen, jedoch die Kontrollkästchen und Schaltflächen für die Kriterientypen und auch die Kriterienliste.

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleiste „Highfeed“

In dieser Optionsleiste werden G-Code, XYZ-Koordinatenpositionen und Vorschubwerte für Werkzeugwege angezeigt, die mit Highfeed optimiert werden. Diese Werte dienen nur zur Information und können nicht bearbeitet werden. Klicken Sie auf die Schaltfläche „Schritt“, um die Feldwerte für die einzelnen Werkzeugwegsegmente schrittweise abzulesen. Klicken Sie auf die Schaltfläche „Laufen“, um den Werkzeugweg ohne Anzeige der Segmentdaten zu berechnen.

Wenn die schnelle Optimierung des Werkzeugwegs abgeschlossen ist, wird die Optionsleiste „Highfeed“ ausgeblendet und ein Dialogfeld mit der durch optimierte Vorschübe verkürzten Zeit angezeigt. Sie werden gefragt, ob Sie den optimierten Werkzeugweg speichern möchten. Bei beiden Optionen (Ja oder Nein) wird die Optionsleiste geschlossen. Wenn Sie auf Ja klicken, wird der optimierte Werkzeugweg beibehalten und gegen späteres, unbeabsichtigtes Regenerieren gesperrt. Wenn Sie auf Nein klicken, wird der Werkzeugweg auf die ursprünglichen Vorschubeinstellungen zurückgesetzt.

Hinweis: Bei der schrittweisen Optimierung des Werkzeugwegs mit der Schaltfläche Schritt werden Segmente mit maximalem Vorschub rot angezeigt. Ebenso ändert der Pfeil, der die aktuelle Position angibt, seine Größe, um Vorschubänderungen darzustellen: Ein größerer Pfeil stellt dabei einen höheren und ein kleinerer einen niedrigeren Vorschubwert dar.

Weitere Informationen zu...

  • Highfeed-Bearbeitung

  • Optimieren von Werkzeugwegen mit der Highfeed-Bearbeitung


Registerkarte „Rohteileinstellungen“ – Drehen (Dialogfeld „Eigenschaften der Maschinengruppe“)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie auf dieser Registerkarte Einstellungen von Rohteilbegrenzungen, Spannbacken, Reitstockzentren und Lünetten für Drehmaschinengruppen.

  • Wählen Sie für Rohteil und Spannbacken die Spindel, in der die Komponente montiert wird. Damit eine Spindel gewählt werden kann, muss sie bereits in der Maschinendefinition definiert sein.

  • Klicken Sie auf die Schaltfläche Eigenschaften, um eine neue Komponente zu erzeugen oder eine vorhandene zu bearbeiten. Die Registerkarte Geometrie, auf der Sie Größe, Form und Anfangspostion der Komponente sowie weitere Programmierparameter definieren können, wird eingeblendet.

  • Klicken Sie auf die Schaltfläche Löschen, um eine Komponente und ihre Begrenzungen zu entfernen.

Definieren Sie nach dem Erzeugen der Komponenten in den Feldern unter WZ-Sicherheitsbereich eine Sicherheitszone um alle Konturen. Beim Erzeugen eines Werkzeugwegs wird dann jedesmal eine Warnung ausgegeben, wenn diese Sicherheitsabstände vom Werkzeug nicht eingehalten werden.

Blenden Sie mit Hilfe der Optionen unter Darstellung gezielt Komponentenbegrenzungen im Grafikfenster ein oder aus.

Einstellen der Rohteilebene

Wählen Sie eine Rohteilebene, um das Rohteilmodell passend zum Teil auszurichten. Sie können das Rohteilmodell an jeder Ebene ausrichten, die in Ihrer Teiledatei gespeichert ist. Wenn Sie eine Rohteilebene auswählen, liegen die Kanten des Rohteilmodells parallel zu den Achsen der gewählten Ebene. Die Begrenzungen von Spannfutter, Reitstock und Lünette verschieben sich ebenfalls parallel zur Rohteilbegrenzung.

Wählen Sie eine Rohteilebene, wenn Sie Werkzeugwege in einem anderen Weltkoordinatensystem (WKS) als OBEN erzeugen und das Rohteil am Teil ausrichten möchten. Falls die Werkzeugweggruppe mehrere Werkzeugwege mit mehr als einem WKS enthält, hält Mastercam das Rohteilmodell mit Hilfe der Rohteilebene konstant, wenn sich das WKS für die einzelnen Operationen ändert. Mastercam speichert die Rohteilebene unabhängig vom WKS.

Klicken Sie zur Auswahl einer Rohteilebene auf die Schaltfläche Ebenenselektion (neben dem Kontrollkästchen „Rohteillage“) und wählen Sie im Dialogfeld „Ebenenselektion“ die Ebene aus.

Beachten Sie beim Definieren eines Rohteils für eine vertikale Revolver-Drehmaschine (VRD), dass Sie zum Erzeugen des vertikalen Rohteilmodells keine spezielle Ebene auswählen müssen. Wenn Sie die Maschinendefinition als VRD konfigurieren, richtet Mastercam die Ebenen automatisch an den VRD-Achsen aus.

Was möchten Sie tun?

  • Ein Rohteilmodell definieren (Drehen)

  • Spannbacken hinzufügen

  • Ein Zentrum zu einem Reitstock hinzufügen

  • Hinzufügen einer Lünette

Weitere Informationen zu...

  • Hinzufügen von Rohteilen, Spannfuttern und Peripheriegeräten zu Ihrer Drehmaschine

  • Zusatzoperationen

Weitere Registerkarten des Dialogfelds

  • Registerkarte „Dateien"

  • Registerkarte „WZ-Einstellungen"

  • Registerkarte „Rohteileinstellungen" (Fräsen/Router)


Dialogfeld „Kundenrückmeldungsprogramm“

Nehmen Sie mithilfe dieses Dialogfelds am Kundenrückmeldungsprogramm teil. Dieses Programm sammelt während der Arbeit mit Mastercam Daten und erstellt automatisch einen Report, der Informationen über Zuverlässigkeit und Verwendung an CNC Software, Inc. (CNC) sendet. Diese Daten werden nur zu Qualitäts- und Produktverbesserungszwecken verwendet und helfen dabei, CNC eine Vorstellung davon zu geben, wie hoch der jeweilige Wert bestimmter Funktionen in den Produkten ist.

Verwenden Sie die Optionsschaltflächen (siehe unten), um entweder an diesem Programm teilzunehmen oder nicht.

Dieses Dialogfeld erscheint nach dem ersten Start von Mastercam nach der Installation. Um an dem Programm teilzunehmen, müssen Sie die Option „Ja, ich möchte am Mastercam Kundenrückmeldungsprogramm teilnehmen.“ aktivieren, und auf OK klicken.

Sie können das Dialogfeld jedoch auch jederzeit für eine Änderung Ihrer Einstellungen öffnen, indem Sie im Menü Hilfe die Option Kundenrückmeldungsprogramm wählen (siehe unten).

Hinweis: Sie können die Teilnahme während einer Mastercam-Sitzung jederzeit und so oft Sie wollen ändern. Beispiel: Lassen Sie das Programm bis zu einem bestimmten Punkt in Ihrer Arbeit Daten sammeln und schalten Sie es dann für einen bestimmten Zeitraum aus und wieder ein. Wenn Sie nicht daran teilnehmen möchten, werden Sie in einer Periode von sechs Monaten immer wieder daran erinnert.

Weitere Informationen zu...

  • Dialogfeld „Mastercam Feedback Programm“


Dialogfeld „Berechtigungscode-Eingabe“

Geben Sie in diesem Dialogfeld einen Freischaltcode ein, um mit Mastercam zu arbeiten. Für einige Produkte von Mastercam ist ein solcher Code erforderlich. Falls die über einen Freischaltcode für das entsprechende Produkt verfügen, geben Sie ihn ein und klicken auf OK. Wenn Sie sich, falls Sie über keinen Freischaltcode verfügen, an Ihren Mastercam-Vertriebspartner.

Weitere Informationen zu...

  • Mastercam-Launcher (Start-Optionen)

  • Dialogfeld „NetHASP Lizenzierung“


Dialogfeld „Geben Sie den Berechtigungscode für das …“

Dieses Dialogfeld wird angezeigt, wenn Ihre Mastercam-Installation keine Lizenz für Verschachteln enthält. Setzen Sie sich bei Fragen bitte mit Ihrem Mastercam-Vertriebspartner in Verbindung.


Mitteilung Duplikate löschen – Beispiel

Mitteilung Duplikate löschen

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleiste „Trennen – Mehrfach“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Trennen Sie mithilfe dieser Optionsleiste ausgewählte Linien, Bögen und Splines in mehrere Segmente auf. Dabei können Sie folgende Aktionen ausführen:

  • Eine bestimmte Segment-Anzahl erzeugen

  • Segmente mit einer bestimmten Länge erzeugen

  • Segmente aufgrund einer Sehnentoleranz erzeugen

  • Liniensegmente erzeugen

  • Kurvensegmente erzeugen

Beim Trennen von Elementen können Sie folgende Optionen wählen:

  • Löschen der Originalgeometrie

  • Behalten der Originalgeometrie

  • Ausblenden der Originalgeometrie

Sie können auch festlegen, dass alle Segmente gleich lang sein sollen, oder ein Restsegment zulassen. Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen dazu aufzurufen.

Weitere Informationen zu...

  • Optionsleisten

  • Sperren und Entsperren von Feldern


Optionsleiste „Normalenausrichtung“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Verwenden Sie diese Optionsleiste um die Normalen von benachbarten Flächen innerhalb einer Auswahl anzugleichen. Diese Funktion richtet alle passenden Flächen anhand der Richtung der Normalen der zuletzt selektierten Fläche neu aus. Sie können die Schaltfläche Umkehren zum Umkehren der Ergebnisse verwenden.

Klicken Sie für detaillierte Informationen zu den Feldern oder Schaltflächen des Dialogfelds oben auf die Registerkarte Schaltflächen.

Weitere Informationen zu...

  • Optionsleiste „Normale setzen“

  • Optionsleiste „Normale ändern“


Begrenzungsbox

Erzeugen Sie mit Hilfe dieses Dialogfelds eine rechtwinklige oder zylindrische Begrenzung rund um ausgewählte Elemente im Grafikfenster. Die Funktion „Begrenzungsbox“ erzeugt Drahtmodellgeometrie, ein Solidmodell oder ein Rohteilmodell. Sie können mit ihr auch die Gesamtabmessungen eines Teils überprüfen.

Hinweis: Wenn im Bereich "Entwerfen" die Option Solids aktiv sein soll wenn die aktuelle Geometrie komplett in 2D ist, geben Sie für Z (für eine rechteckige Form) oder Radius (für eine zylindrische Form) einen Wert ein. Bei 3D-Geometrie ist die Option Solids bereits aktiv.

Verwandte Themen

  • Verfahren zur Erzeugung von Geometrie

Didn't find what you were looking for?
Click here.

Copyright © 2015 by CNC Software, Inc.


Beispiel einer leeren Optionsleiste


Hart-gesperrtes Feld

"Hart-gesperrt" ist der Status eines Feldes, in dem die Daten gesperrt sind, bis sie manuell entsperrt werden. Sie können ein Feld mit dem Status „hart-gesperrt" versehen, wenn Sie während der Erzeugung mehrerer Elemente einen bestimmten Wert wiederholt verwenden möchten. Um ein Feld zu sperren, geben Sie einen Wert ein und klicken Sie auf die Schaltfläche neben dem Feld. Die Schaltfläche bleibt gedrückt und das Feld erscheint farbig, wodurch angezeigt wird, dass der Wert gesperrt ist. Klicken Sie zum Entsperren eines Feldes auf die Schaltfläche daneben.

Beispiel:

Beachten Sie die gedrückte Schaltfläche und den farbigen Hintergrund des Felds.

Hinweis: Wenn Sie während der Eingabe eines Tastenkürzels für ein Feld die [Umschalt] gedrückt halten, wird das Feld hart-gesperrt.

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleisten-Doppelpfeil (»)

Die Bildschirmauflösung Ihres Monitors kann dazu führen, dass in den Optionsleisten von Mastercam nicht alle verfügbaren Optionen anzeigt werden. Dann werden so viele Optionen wie möglich und am Ende der Optionsleiste ein Doppelpfeil angezeigt (siehe Abbildung).

Klicken Sie auf den Doppelpfeil, um eine Dropdownliste mit zusätzlichen wählbaren Optionen aufzurufen.

Hinweis: Alternativ dazu können Sie die Bildschirmauflösung so einstellen, dass alle Optionen in den Optionsleisten angezeigt werden. Stellen Sie bei horizontalen Auflösungen unter 1280 Pixel 96 dpi und eine kleine Schriftart ein.

Siehe auch...

  • Optionsleisten

  • Gemeinsame Mastercam-Schaltflächen


Soft-gesperrtes Feld

„Soft-gesperrt“ ist der Status eines Feldes, in dem die Daten für das nächste Element, das Sie erzeugen wollen, gesperrt sind. Um einem Feld den Status „soft-gesperrt“ zu verleihen, geben Sie einen Wert in das Feld ein. Beachten Sie, dass die Schaltfläche neben dem Feld gedrückt erscheint, wodurch der Status soft-gesperrt gekennzeichnet wird. Stellen Sie sicher, Felder mit dem Status „soft-gesperrt“ zu versehen, bevor Sie das Element erzeugen. Nach dem Erzeugen eines Elementes kehrt das Feld in den Status „entsperrt“ (standardmäßig voreingestellt) zurück.

Beispiel:

Klicken Sie hier, um dieses Thema auszudrucken.


Entsperrtes Feld

Der normale und Standard-Status eines Optionsleisten- oder Dialogfeld-Feldes ist „entsperrt“. Dieser Status erlaubt eine dynamische Aktualisierung des Feldes durch die Bewegung des Cursors auf dem Grafikbildschirm.

Beispiel:

Klicken Sie hier, um dieses Thema auszudrucken.


Aktives Element – Abbildung

Aktive und fixierte Elemente

Beachten Sie, dass die fixierten Kreise in dunkelblau angezeigt werden und der aktive Kreis in hellblau, um erkenntlich zu machen, dass er bearbeitet werden kann.

Klicken Sie hier, um dieses Thema auszudrucken.


Mehrfachlinie – Beispiel


Durchsichtiges Element

Beachten Sie, dass der Kreis, der dynamisch gezeichnet wird und als gestrichelte weisse Linie erscheint, dadurch als durchsichtiges Element gekennzeichnet ist.

Klicken Sie hier, um dieses Thema auszudrucken.


Autom. Hervorheben (Popup)

Autom. Hervorheben

Wird ein Häkchen daneben angezeigt, ist „Auto-Hervorheben“ aktiviert. Durch diese Funktion wird die Drahtmodell-Geometrie von Solid-Faces erkennbar, die mit der aktuell im Solids-Manager markierten Operation verknüpft sind. Per Voreinstellung hebt Mastercam die Drahtmodell-Geometrie in roter Farbe hervor. Die Geometrie bleibt solange hervorgehoben, bis Sie eine andere Operation markieren oder den Solids-Manager verlassen. Wird kein Häkchen daneben angezeigt, ist „Auto-Hervorheben“ deaktiviert und das manuelle Hervorheben aktiviert. In dieser Einstellung erscheint die Hervorhebung nur ein paar Sekunden.


Optionsleiste „Solid-Legende entfernen“

Durch den Befehl „Solidlegende entfernen“ werden alle Operationen und Features aus einem gewählten Solidmodell entfernt. Durch das Ausführen dieses Befehls wird das Solid im Solids-Manager in ein Zwischensolid konvertiert, wobei das Solidmodell im Grafikanzeigefenster jedoch trotzdem unverändert erscheint.

  • Drücken Sie auf OK oder Zuweisen, um die Legende(n) des(der) gewählten Solids zu entfernen.

  • Drücken Sie zur Neu-Auswahl oder zur De-Selektion der/des Solids die Schaltfläche Wählen.


Dialogfeld „Solid-Attribute“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

In diesem Dialogfeld werden die Attribute eines im Solids-Manager gewählten Solids angezeigt und können bearbeitet werden.

Die Attribute Farbe und Layer können Sie auch im Eigenschaftsdialogfeld ändern, das beim Analysieren eines gewählten Solids angezeigt wird.

Hinweise:

  • Rufen Sie eine der Attributfunktionen der Statusleiste oder des Dialogfelds Attribute auf (klicken Sie dazu in der Statusleiste auf Attribute oder im Menü „Bildschirm“ auf Geometrieattribute…), um für die laufende Sitzung Attribute anderer Elemente, die keine Solids sind, zu ändern.

  • Wenn Elemente die Farbe nicht wechseln, kann es daran liegen, dass sie in einer Gruppen- statt einer Elementfarbe angezeigt werden. Führen Sie zum Entfernen von Gruppen- und Resultatfarben die Funktion Temporäre Farben entfernen aus. Rufen Sie zum Anwenden der Farbänderung auf Gruppen- bzw. Resultatelemente das Dialogfeld Gruppenfarbe auf.

Weitere Informationen zu...

  • Dialogfeld „Farben“

  • Arbeiten mit Layern

  • Arbeiten mit Gruppen

  • Arbeiten mit Elementattributen


Optionsleiste „Solid – Verkettungsrichtung“

Klicken Sie für weitere Informationen zu dieser Optionsleiste auf die Registerkarte.

Die Optionsleiste „Solid-Verkettungsrichtung“ wird nach der Auswahl von Geometrieketten zum Austragen angezeigt und bietet Funktionen zum Ändern der Austragungsrichtung. Sie können diese Optionsleiste auch über die Registerkarte Austragen (Kette) aus aufrufen, wenn Sie die Austragungsrichtung später ändern müssen. Zusammen mit dieser Optionsleiste wird auf jeder gewählten Kette auch ein Richtungspfeil zur Anzeige der momentanen Austragungsrichtung eingeblendet.

Weitere Informationen zu...

  • Dialogfeld „Verkettung“


Scheitelpunkt

Am Scheitelpunkt treffen die Querkonturen einer Netzfläche an einem Punkt zusammen. Ein Scheitelpunkt wird nur für dreiseitige Netzflächen benötigt und kann oft von Mastercam ermittelt werden. Manchmal muss er jedoch manuell markiert werden, um Fehlermeldungen beim Erzeugen von Netzflächen zu vermeiden.


Fächerflächen – Beispiele

Nachfolgend sehen Sie Beispiele von Teilen, die mit Fächerflächen erzeugt wurden. Klicken Sie unten auf den Text, um die Beispiele darzustellen.

Fächerflächen, die in Richtung der Ränder einer Sweptfläche verlaufen

Die magentafarbenen Flächen sind ca. 2 cm lange Fächerflächen, die in Richtung der Ränder der Sweptfläche verlaufen.

Fächerflächen, die rechtwinklig zu Flächenrändern verlaufen

Die vier grünen Flächen sind Fächerflächen, die an jedem Rand rechtwinklig zur roten Fläche stehen.

Hinweis: Wenn Sie Randkurven auf Flächen auswählen, verwenden Sie zur Auswahl die Methode “Einzel”, um die Erzeugung einer nicht-tangentialen Geometrie zu verhindern. Es ist besser, einzelne Fächerflächen aus jedem Rand zu erzeugen, als zu versuchen, eine Fächerfläche aus allen Rändern herzustellen, die zusammen verkettet sind.

Fächerfläche, die in der Höhe variiert

Die rote Fächerfläche variiert in der Höhe von 0 bis 1 Inch (=25,4 mm).

Fächerfläche, die im Winkel variiert

Die rote Fächerfläche variiert bei einer konstanten Höhe von 0,5 inch (ca. 12,7 mm) von 0 bis 90 Grad.

Weitere Informationen zu...

  • Optionsleiste „Fächerflächenerzeugung“

  • Dialogfeld „Draft-Flächen“


Swept-Fläche – „Normal zur Fläche“

Wenn Sie ein Profil an einer Fläche entlang austragen wollen und Sie die Flächennormalen zur Definition der Richtung der Querkurven verwenden, benutzen Sie die Option Normal zur Fläche der Optionsleiste „Fläche - Swept“. Die Längskurve sollte idealerweise auf der Fläche liegen, wenn sie jedoch nahe der Fläche positioniert wird, funktioniert das jedoch auch noch.

Längskurven können auf verschiedene Weise erzeugt werden:

  • durch Schneiden mit einer Ebene

  • durch Projektion einer Kurve auf die Fläche

  • durch Verwendung einer „Flowline“

In folgendem Beispiel werden die rosafarbenen Querkurven entlang des roten Splines ausgetragen, der auf der Fläche liegt. In der zweiten Abbildung sehen Sie das Resultat. Beachten Sie, dass der Spline über die Flächenränder hinausgeht, Mastercam das Resultat jedoch bei Bedarf verlängert.

Im nächsten Beispiel werden die grünen Querkurven nach unten entlang der roten Kurve ausgetragen, die auf einer kugelähnlichen Form liegt. In der zweiten Abbildung sehen Sie das Resultat.

Hinweis: Denken Sie daran, zuerst die Querkurven und erst danach die Längskurven auszuwählen. Nicht korrekt ausgeführte Selektionen führen zu ungenauen Resultaten.

Siehe auch...

  • Swept-Fläche – „Schieben“

  • Swept-Fläche – „Rotieren“

  • Swept-Flächen mit „2 Leitkurven“


Beispiel von Offsetflächen-Richtungen

Im folgenden Beispiel sind drei Flächensätze, die jeweils einen Würfel bilden, um unterschiedliche Werte versetzt. Die positive Normale ist an allen Flächenpunkten nach innen, zur Mitte des Würfels gerichtet und die negative nach außen, von der Mitte des Würfels weg.

Die Flächen in dem Rechteck oben sind um einen positiven Wert versetzt. Da die positive Normale nach innen gerichtet ist, wird jede Fläche dieses Satzes nach innen verschoben.

Die Flächen im mittleren Würfel sind um einen Nullabstand versetzt. Die Flächen dieses Satzes werden in keine Richtung verschoben.

Die Flächen im Rechteck unten sind um einen negativen Wert versetzt. Da die negative Normale (Senkrechte) nach außen gerichtet ist, wird jede Fläche dieses Satzes nach außen verschoben.

Klicken Sie hier, um dieses Thema auszudrucken.


Optionsleiste „Flächen von Solids“

Klicken Sie auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Schaltflächen aufzurufen.

Mit Hilfe dieser Funktion erzeugen Sie eine Fläche aus einem vorhandenen Solid, wie nachfolgend beschrieben.

  1. Klicken Sie in der Menüleiste auf Entwerfen, Flächen, Solid in Flächen umwandeln.

  2. Wählen Sie ein Solidface oder einen Solidkörper.

  3. Drücken Sie [Enter] oder klicken Sie auf die Optionsleisten-Schaltfläche Selektion beenden.

Diese Funktion verwendet Solids zum Extrahieren von Flächeninformation und erzeugt dann eine einzelne NURBS-Fläche für jedes ausgewählte Solidface. Klicken Sie oben auf die Registerkarte „Felddefinitionen“, um nähere Informationen dazu aufzurufen.

Hinweis: Wenn Sie die Maus über ein Solid ziehen, stellt Mastercam ein Symbol neben dem Cursor dar. Dieses Symbol ändert sich abhängig davon, ob Sie ein Solidface oder den Solidkörper hervorheben.

Weitere Informationen zu...

  • Flächen

  • Assoziativität von Flächen


Swept-Flächen – Übersicht

Erzeugen Sie eine Swept-Fläche, indem Sie eine Kurve an einer anderen Kurve entlang verschieben (austragen).

  • Die Austragungskurve wird als Querkurve bezeichnet.

  • Die Kurve, in deren Richtung Sie die Querkurve verschieben, wird als Längskurve bezeichnet.

  • Der Querschnitt der resultierenden Swept-Fläche nimmt die Form der Querkurve an.

  • Die Hauptform der Fläche basiert von Anfang bis Ende auf der Längskurve.

Klicken Sie für weitere Informationen unten auf einen Link oder schauen Sie unter dem Hilfethema Optionsleiste Swept-Flächen nach.

Einfache Beispiele

In der ersten Abbildung unten ist die Querkurve rot und die Längskurve blau dargestellt. In der zweiten Abbildung ist die resultierende, planare 2D-Swept-Fläche zu sehen.

Im nächsten Beispiel ist die Querkurve ein Kreis und die Längskurve räumlich gewunden. In der zweiten Abbildung ist die resultierende, nicht-planare 3D-Swept-Fläche zu sehen.

Richtungssteuerung

Richtungssteuerungen legen fest, wie sich die Querkurve bei ihrer Bewegung entlang der Längskurve ausrichtet. Diese Steuerungen beeinflussen die Form der Fläche. Mastercam bietet die vier unten aufgelisteten Steuerungsoptionen. Klicken Sie für weitere Details auf einen Link.

  • Verschieben

  • Rotieren

  • Normal zur Fläche

  • 2 Leitkurven

Weitere Informationen zu Querkurven

Die Position der Querkurve relativ zur Längskurve hilft bei der Bestimmung der Gesamtflächenform. Mastercam bestimmt folgendermaßen die Startposition der Querkurve relativ zur Längskurve:

  • Wenn zwischen Querkurve und Längskurve eine Überschneidung vorliegt, wird dieser Schnittpunkt als Startposition verwendet.

  • Wenn keine Überschneidung vorliegt, wird der Punkt des Minimalabstands zwischen Querkurve und Längskurve als Startposition verwendet.

Die Querkurve muss nicht auf dem Startpunkt der Längskurve liegen. In der ersten Abbildung unten befindet sich die Querkurve in einigem Abstand zum Startpunkt in Richtung Längskurve. Die resultierende Swept-Fläche (siehe zweite Abbildung) erstreckt sich von der Querkurvenposition bis zum Ende der Längskurve. Wenn Sie die Verkettungsrichtung der Längskurve umgekehren, wird die Austragungsrichtung geändert, wie in der dritten Abbildung zu sehen ist.

Die Position der Querkurve bestimmt den Start der resultierenden Fläche. Außer wenn eine Swept-Fläche mit einer geschlossenen Längskurve erzeugt wird. In diesem Beispiel geht Mastercam, wie hier abgebildet, davon aus, dass eine geschlossene Fläche erzeugt werden soll:

Hinweis: Bei der Auswahl mehrerer Ketten für Querkurven spielt die Auswahlreihenfolge keine Rolle. Mastercam berechnet die Fläche trotzdem entlang der Längskurve. Die Verkettungsrichtung spielt jedoch eine Rolle und muss konsistent sein. Andernfalls ist die resultierende Fläche verwunden.

Sie können mehrere Querkurven verwenden. Außerdem können diese Kurven unterschiedliche Formen besitzen. Die erste Abbildung unten zeigt zwei unterschiedlich geformte Querkurven auf einer einzelnen Längskurve. Die zweite Abbildung zeigt die resultierende Fläche. Beachten Sie, wie die Fläche an den Querkurven beginnt und endet.

Querkurven besitzen häufig scharfe Ecken. In solchen Fällen trennt Mastercam, zur Vermeidung der Erzeugung einer unzulässigen Fläche, das Resultat in mehrere Flächen, von denen jede wie hier gezeigt glatt ist:

Hinweis: Eine scharfe Ecke in einer Kurvenkette wird als tangentiale Diskontinuität (Unstetigkeit) bezeichnet. Mastercam erlaubt eine tangentiale Diskontinuität von 10 Grad, bevor es die Fläche aufbricht.

Betrachten sie nun das folgende Beispiel, in dem eine rechteckige Querkurve mit einer kreisförmigen Querkurve gepaart ist. Die resultierende Fläche beginnt mit vier scharfen Ecken, die jedoch mehr und mehr geglättet wird, je weiter sie sich dem Kreis nähert. Das Resultat sind trotzdem vier einzelne Flächen.

Hinweis: Damit diese Art der Austragung richtig funktioniert, müssen Sie den Kreis in mindestens vier Teile auftrennen, die grob mit den Ecken des Rechtecks übereinstimmen. Danach müssen Sie beide Querkurven auswählen, indem ähnliche Startpunkte und Richtungen verwendet werden. Andernfalls bekommen Sie möglicherweise eine verwundene/verdrehte Fläche, wie diese:

Siehe auch...

  • Swept-Fläche – „Rotieren“

  • Swept-Fläche – „Schieben“

  • Swept-Fläche – „2 Leitkurven“

  • Swept-Fläche – „Normal zur Fläche“


Swept-Fläche – „Rotieren“

Bei dieser Flächenerzeugungsmethode wird die Querkurve in einer räumlichen Rotation ausgetragen. Die Rotation hängt dabei folgendermaßen von der Längskurve ab:

  • Wenn die Längskurve planar ist, wird ihre Ebene als Achse des Bewegungs-Koordinatensystems verwendet.

  • Wenn die Längskurve nicht planar ist (sich also räumlich verwindet), kann der aktuelle Konstruktionsebenenvektor als Achse des Bewegungs-Koordinatensystems verwendet werden.

Klicken Sie für weitere Informationen auf die folgenden Links.

Planare Längskurven

  • Die erste Abbildung unten zeigt ebene Geometrie (in der Draufsicht), die zur Erzeugung einer Swept-Fläche verwendet wird.

  • Die mittlere Abbildung zeigt (in isometrischer Ansicht) die Swept-Fläche, die mit der Option Rotieren erzeugt wurde.

  • Die dritte Abbildung zeigt einige der ersten Austragungen/Rotationen zum Erzeugen dieser Swept-Fläche.

Durch Rotieren erzeugte Swept-Fläche

Beachten Sie bei der Option „Rotieren“, wie die Ausichtung der Querkurve mit der Längskurve gedreht wird. Vergleichen Sie dieses Ergebnis mit den Abbildungen unten, in denen dieselbe Fläche mit der Option „Schieben“ erzeugt wurde.

Mit „Schieben“ erzeugte Swept-Fläche

Verwundene, nicht planare Längskurven

Bei einer verwundenen, nicht planaren Längskurve müssen Sie festlegen, wie sich die Querkurve bewegen soll. In diesem Fall kann die Konstruktionsebene als Achse für das Bewegungs-Koordinatensystem dienen, jedoch mit folgenden Einschränkungen:

  • Bei einer Betrachtung in der Konstruktionsebene darf sich die Längskurve nicht selbst überschneiden.

  • Es darf kein Teil der Längskurve lotrecht zur Ebene sein.

Falls sich eine Längskurve beispielsweise spiralförmig um die Z-Achse windet, müssen Sie die Konstruktionsebene auf die Ebene „Oben“ einstellen. Ansonsten weist die Fläche möglicherweise Mängel auf oder kann nicht erzeugt werden.

Die folgende Abbildung zeigt eine helixförmige Längskurve. Die Querkurve ist der rote Kreis am unteren Ende der Spirale. Ziehen Sie den Mauszeiger über die Abbildung, um die resultierende Sweptfläche einzublenden.

Wenn Sie bei einer verwundenen Querkurve die Rotationsmethode verwenden, müssen Sie die Konstruktionsebene entsprechend einstellen. Dies bedeutet, dass Sie, falls die Fläche nicht erzeugt werden kann (‘eine Fehlermeldung wird ausgegeben’), zunächst prüfen, ob die Längskurve verwunden ist und dann, ob die aktuelle Konstruktionsebene auch geeignet ist.

Teilweise planare Längskurven

Eine teilweise planare Längskurve besitzt planar Abschnitte, die Kurve als Ganzes ist jedoch nicht planar. Derartige Kurven werden von Mastercam erkannt und gesondert gehandhabt, indem ihre Ausrichtung kontrolliert wird.

Nachfolgend ist eine Kurve vor und nach der Erzeugung einer Swept-Fläche auf der Kurve abgebildet:

In diesem Beispiel besitzt die Längskurve Linien und Bögen, die eine würfelartige Form bilden. Der grüne Bogen am unteren Ende der Längskurve ist die Querkurve. Obwohl die Längskurve verwunden ist, gewährleisten ihre sechs planaren Abschnitte eine gute Swept-Fläche. Das heisst, die Querkurve wird beim Austragen entlang der Längskurve korrekt rotiert und gewunden.

Hinweis: Zum Erzeugen einer gültigen Swept-Flächen aus einer teilweise planaren Längskurve muss die Schaltfläche „KEbene verwenden“ in der Optionsleiste „Fläche – Swept“, wie hier gezeigt, deaktiviert sein:

Siehe auch...

  • Swept-Fläche – „Schieben“

  • Swept-Flächen mit „2 Leitkurven“

  • Swept-Flächen „Normal zur Fläche“


Swept-Fläche – „Schieben“

Wenn Sie eine Swept-Fläche mithilfe der Option „Schieben“ erzeugen, wird die Querkurve ohne Verwindung oder Drehung entlang der Längskurve ausgetragen. Die Verschiebung erfogt relativ zur Ebene der Längskurve. Das heisst, die Ebene der Längskurve wird als Achse für das Verschiebungs-Koordinatensystem verwendet.

Siehe Beispiel unten:

  • Die erste Abbildung zeigt Geometrie, die zur Erzeugung einer Swept-Fläche verwendet wird.

  • Die mittlere Abbildung zeigt (in isometrischer Ansicht) die Swept-Fläche, die mit der Option „Schieben“ erzeugt wurde.

  • Die dritte Abbildung zeigt einige der ersten Austragungen/Rotationen zum Erzeugen dieser Swept-Fläche.

Swept-Fläche mit „Schieben“

Beachten Sie bei der Option „Schieben“, dass die Querkurve nicht um die Längskurve gedreht wird. Vergleichen Sie dieses Ergebnis mit den Abbildungen unten, in denen dieselbe Fläche mit der Option „Rotieren“ erzeugt wurde.

Swept-Fläche – Rotieren

Siehe auch...

  • Swept-Fläche – „Rotieren“

  • Swept-Flächen mit „2 Leitkurven“

  • Swept-Flächen „Normal zur Fläche“


Optionsleiste „Verlängern getrimmter Ränder“

Erzeugen Sie mithilfe dieser Optionsleiste eine neue Fläche durch Verlängern der Flächenränder einer getrimmten (oder ungetrimmten) Fläche. Klicken Sie zuerst in der Menüleiste auf Entwerfen, Flächen, Getrimmte Flächenränder verlängern, um die Optionsleiste zu öffnen. Wählen Sie anschließend im Grafikfenster eine Fläche und die Flächenränder die verlängert werden sollen. Wenn Sie den gesamten Rand erweitern wollen, drücken Sie [Enter]. Alternativ dazu können Si einen zweiten Randpunkt wählen, um dem Teil des Flächenrands zu verlängern, der zwischen den beiden gewählten Punkten liegt.

Mastercam erweitert den Rand um den im Feld Versatz angegebenen Wert. Aktivieren Sie die Schaltflächen Gehrungsecken und Rund, um die Art der Außenkontur zu wählen, die auf der neuen Fläche erzeugt wird. Benutzen Sie die Schaltfläche Umschalten, um festzulegen, welcher Teil des Randes erweitert/verlängert werden soll.

Richtung umkehren

Versatz

Gehrung

Rund

Wenn Sie mit der Funktion „Fläche: Getrimmte Flächenränder verlängern“ einen Rand verlängern, wird die Originalfläche von Mastercam nicht verändert. Stattdessen wird eine neue getrimmte Fläche für den verlängerten Bereich erzeugt.

Weitere Informationen zu...

  • Optionsleiste „Flächen verlängern“

  • Optionsleiste „Offset-Flächen“

  • Optionsleiste „Fläche splitten“


Swept-Fläche – „2 Leitkurven“

Bei der Sweptflächen-Erzeugungsmethode „2 Leitkurven“ (zwei Längskurven) bestimmen bei einer Linearfläche die Bezüge zwischen gleichen Punkten auf den Längskurven die Verwindungsbewegung der Querkurve.

  • Falls die Querkurve beide Längskurven an den Enden schneidet, bleibt sie mit den Längskurven auf deren gesamter Länge in Kontakt.

  • Falls die Querkurve beide Längskurven an den Enden nicht schneidet, ist ein durchgehender Kontakt mit beiden nicht garantiert. In diesem Fall wird die Querkurve durch die zweite Längskurve nur geführt, wobei nicht garantiert werden kann, dass sie zu einem Rand der Swept-Fläche wird.

Im folgenden Beispiel wird der grüne Kreis entlang der beiden Längskurven ausgetragen. Weil der Kreis beide Kurven an den Enden berührt, wird dessen Kontakt auf der gesamten Länge der Kurven aufrechterhalten.

Im nächsten Beispiel werden zwei Querkurven verwendet: Eine Linie und ein Bogen. Die Querkurven werden in Richtung der roten Längskurven ausgetragen. Mastercam verblendet die beiden Querkurven während sie sich einander nähern.

Im letzten Beispiel wird der grüne Kreis entlang der beiden Längskurven ausgetragen, sie schneiden sich jedoch auch nicht. Die obere Längskurve bestimmt sowohl die Richtung als auch die Skalierung der resultierenden Fläche, wird jedoch kein Teil der Fläche.

Siehe auch...

  • Swept-Fläche – „Schieben“

  • Swept-Fläche – „Rotieren“

  • Swept-Flächen „Normal zur Fläche“


Optionsleiste „Stege ändern“

Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Funktionen der Optionsleiste aufzurufen.

Bearbeiten Sie mithilfe dieser Optionsleiste einzelne Stege, die für einen Konturwerkzeugweg oder eine Stegschnittoperation erzeugt wurden. Wenn Sie eine separate Trennschnittoperation erzeugt haben, müssen Sie Änderungen separat auf den ursprünglichen Konturwerkzeugweg und auch auf die Trennschnittoperation anwenden.

Statt hier einzelne Stege zu ändern, kann es einfacher sein, den Originalwerkzeugweg zu bearbeiten und den ganzen Satz einfach neu zu erzeugen. Klicken Sie im Werkzeugweg-Manager auf das Parameter-Symbol des Originalwerkzeugwegs und dann auf die Seite Stege.

Weitere Informationen zu...

  • Bearbeiten von Stegen


Seite „Rohteil“ – Job-Setup (Job-Einstellungen)

Seite „Rohteil (Profil/Zylinder/Solid)“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Legen Sie auf dieser Seite die Parameter Ihres Rohteils fest. Stellen Sie die Parameter für ein zylindrisches Stangenmaterialteil ein, verketten Sie ein Profil oder wählen Sie ein Solid-Element aus. Ihre Selektionen und Parameter bestimmen die Größe und Form des zu bearbeitenden Materials. Die Geometrie-Optionen hängen von Ihren Einstellungen im Bereich Rohteil – Teile Handling auf der Seite „Grundeinstellungen“ ab.

Weitere Informationen zu...

  • Einrichten des Rohteils (Zylinder)


Dialogfeld „Ordner suchen“

Wählen Sie in diesem Dialogfeld ein Verzeichnis für Werkzeugwege. Dies ist das Verzeichnis, in das Mastercam Operationen einer Maschinengruppe postet (als NC-Datei ausgibt).

Die Voreinstellungen für den Werkzeugwegverzeichnispfad und die Erweiterung werden auf der Seite „Dateien“ des Steuerungsdefinitions-Managers definiert.

Didn't find what you were looking for?
Click here.

Copyright © 2015 by CNC Software, Inc.


Seite „Spannbacken“ (Linke Spindel)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie auf dieser Seite die Parameter für das Spannfutter der linken Spindelgruppe ein. Die verfügbaren Spannmethoden hängen von der Rohteilauswahl ab. Wählen Sie Ihre Spannmethode, stellen Sie die Parameter für die Spannbackengröße ein und geben Sie den Abstand vom Spannfutter bis zur Vorderseite des Rohteils ein.

Weitere Informationen zu...

  • Einstellen des Abstands für die Ausspannlänge


Seite „Spannbacken“ (Rechte Spindel)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie auf dieser Seite die Parameter für das Spannfutter der rechten Spindelgruppe ein. Die verfügbaren Spannmethoden hängen von der Rohteilauswahl auf der Seite „Grundeinstellungen“ ab. Wählen Sie Ihre Spannmethode und stellen Sie die Parameter für die Spannbackengröße ein.


Dialogfeld „Neue NC-Dateibezeichnung eingeben“

Rufen Sie dieses Dialogfeld auf, um für die am Ende erzeugte NC-Datei einen anderen Namen einzugeben, als den im Dialogfeld „Eigenschaften der Maschinengruppe“ voreingestellten. Ändern Sie dazu den aktuellen Dateinamen und klicken Sie auf „OK“.

Hinweise:

  • Sie können keine Pfade eingeben sondern nur einen Dateinamen.

  • Sie brauchen keine Dateinamenerweiterung eingeben (*.nc); sie wird automatisch angehängt. Wenn Sie am Ende der Dateibezeichnung doch „.nc“ eingeben, wird dies von Mastercam ignoriert.

  • Um den Dateinamen mehrerer Werkzeugwege zu ändern, markieren Sie die Operationen, klicken mit der rechten Maustaste auf eine Operation und ändern den Dateinamen. Wenn Sie im Dialogfeld Darstellungsoptionen eingestellt haben, dass Namen von Werkzeugwegen angezeigt werden, ändert sich der im Werkzeugweg-Manager angezeigte Name entsprechend.

  • Wenn Sie den voreingestellten Werkzeugweg-Dateinamen im Dialogfeld „Eigenschaften der Maschinengruppe“ ändern, ändert Mastercam alle NC-Dateinamen der Operationen in Ihrer Teiledatei in den neuen Dateinamen. Hierdurch werden alle Änderungen an Werkzeugweg-Dateinamen überschrieben, die Sie im Dialogfeld „Neue NC-Dateibezeichnung eingeben“ vorgenommen haben.

  • Die Gesamtlänge von NC-Dateibezeichnung und Pfad (z.B.: „c:\mcamx\nc_files\program.nc“) darf 120 Zeichen nicht überschreiten.

Weitere Informationen zu...

  • Kontextmenü des Werkzeugweg-Managers

  • Registerkarte „Dateien“ (Dialogfeld „Eigenschaften der Maschinengruppe“)

  • Maschinengruppen


Dialogfeld „Neue Programm-Nr.“

Wenn die Programmnummer geändert werden soll, die einer oder mehreren Operationen zugewiesen wurde, geben Sie in das Feld Programm-Nr. eine neue ein und klicken Sie auf OK. Der Postprozessor verwendet diesen Wert für Werkzeugmaschinen, bei denen statt eines Programmnamens eine Programmnummer erforderlich ist. Die Programm-Nummer wird neben dem NC-Dateinamen im Werkzeugweg-Manager angezeigt.

Weitere Informationen zu...

  • Kontextmenü des Werkzeugweg-Managers


Registerkarte „Dateien“ (Dialogfeld „Eigenschaften der Maschinengruppe“ (Mill-Turn))

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Auf dieser Registerkarte können Sie Bezeichnungen und Datenpfade von Dateien, die für die Operationen dieser Maschinengruppe erforderlich sind, einsehen oder angeben und andere wichtige Eigenschaften der Maschinengruppe festlegen. Klicken Sie auf ein Thema, um mehr über die einzelnen Bereiche der Registerkarte zu erfahren:

WZ-Wegverzeichnis

Zeigt den Pfad für die NC-Datei an, die beim Posten der Operation aus dieser Maschinengruppe erzeugt werden soll, oder klicken Sie auf die folgende Schaltfläche, um ein anderes Verzeichnis zu wählen:

Der voreingestellte Pfad und die Erweiterung werden auf der Seite „Dateien“ der Steuerungsdefinition eingestellt.

Arbeiten mit der Maschinendefinition

Per Voreinstellung wird auf dieser Registerkarte die Bezeichnung der Maschinendefinition angezeigt, die beim Anlegen der Maschinengruppe aktiv war. Sie können die aktuelle Maschine bearbeiten, indem Sie auf die Schaltfläche Ändern drücken.

Weitere Informationen zu Maschinendefinitionen, siehe Maschinendefinition – Übersicht.

Arbeiten mit Dateien

Im Bereich „WZ-Bibliothek“ können folgende Aktionen ausgeführt werden:

  • Wählen einer Datei, indem Sie neben dem Dateinamen auf die Schaltfläche Öffnen (WZ-Bibliothek selektieren) klicken.

  • Drücken der Schaltfläche WZ-Manager (Drehen), um den WZ-Manager (Drehen) zum Bearbeiten einer Drehen-Werkzeugbibliothek aufzurufen.

  • Drücken der Schaltfläche WZ-Manager (Fräsen), um den WZ-Manager (Fräsen) zum Bearbeiten einer Fräsen-Werkzeugbibliothek aufzurufen.
    Hinweis: Wenn Sie mit Mastercam Drehen arbeiten, müssen Sie in das richtige Verzeichnis wechseln, um Ihre Fräs-Werkzeugbibliotheken zu finden.

Im Dialogfeldbereich „Operations-Bibliothek / Voreinstellungen“ werden die Bibliothek (*.operations) und die Voreinstellungs-Datei (*.defaults) angezeigt, die mit der aktuellen Maschinendefinition assoziiert sind.

Arbeiten mit Kommentaren

Tragen Sie, falls gewünscht, im Feld Gruppenkommentar Kommentare ein, die für alle Operationen in dieser Gruppe gelten. Sie können in Mastercam auch operationsspezifische Kommentare auf der Registerkarte „Werkzeuge“ oder maschinenspezifische in der Maschinendefinition eingeben.

Weitere Informationen zu...

  • Maschinengruppen

  • Registerkarte „WZ-Einstellungen"

  • Registerkarte „Rohteileinstellungen"


Richtlinien für das Importieren von Werkzeugweg-Operationen

Im Folgenden handelt es sich um Richtlinien für das Importieren von Werkzeugweg-Operationen unter Verwendung der Rechtsklickoption Importieren des Werkzeugweg-Managers:

  • Wenn Sie WZ-Weg-Operationen importieren und die Geometrie der Operation importieren wollen, wird das Dialogfeld Werkzeugweg-Operationen importieren minimiert und Sie werden aufgefordert, einen Nullpunkt für die importierten Operationen auszuwählen. Sie können in das Grafikfenster klicken oder den AutoCursor verwenden, um den Nullpunkt festzulegen. Sie können die Operationen mehrmals importieren, indem Sie weitere Nullpunkte dafür festlegen. Drücken Sie [Esc], um das Dialogfeld „Werkzeugweg-Operationen importieren“ einzublenden, in dem Sie zusätzliche Operationen auswählen können, oder wechseln Sie in den WZ-Weg-Manager zur Anzeige der importierten Operationen in der Operationsliste.

  • Der Import muss aus einer Datei mit Operationen erfolgen, die mit dem Typ kompatibel sind, den Sie gerade erzeugen. Kompatible Operationen enthalten gleichartige Geometrie. In der folgenden Liste sind Werkzeugwegtypen angegeben, die kompatibel sind:

    • Kontur, Tasche, Planen, Linear, Rotation, 2D-Swept, 3D-Swept, Coons und Loft enthalten Geometrie aus Ketten.

    • Bohren, Punkt, Kreisfräsen, Gewindeschneiden und AutoBohren enthalten Geometrie in Form von Punkten.

    • Alle Flächen-Werkzeugwege enthalten Geometrie aus Flächen.

Importieren von Werkzeugweggeometrie durch Ziehen und Ablegen

Der Werkzeugweg-Manager von Mastercam ermöglicht außerdem das Importieren von Werkzeugweggeometrie zwischen markierten Operationen per Drag & Drop. Klicken Sie hier für weitere Informationen.

Siehe auch...

  • Dialogfeld „Werkzeugweg-Operationen importieren“

  • Werkzeugweg-Manager

  • Ziehen und Ablegen von Werkzeugweggeometrie


Maschinengruppen – Tipps und Tricks

Ersetzen der Maschinendefinition

In Mastercam kann die mit der Maschinengruppe verknüpfte Maschinendefinition geändert werden. Wenn Sie beispielsweise einen Job auf einer anderen Maschine ausführen müssen, können Sie die Maschinendefinition ersetzen, anstatt Ihre Werkzeugwege neu zu erzeugen. Mastercam prüft dann anhand der neuen Maschinendefinition automatisch die Validität der vorhandenen Operationen. Darüber hinaus werden der Postprozessor und die Steuerungsdefinitions-Einstellungen für die neue Maschine geladen. Dadurch wird gewährleistet, dass beim Posten der Operationen alle Toleranzen und andere NC-Einstellungen zur neuen Maschine passen.

Klicken Sie zum Ändern der Maschine im Werkzeugweg-Manager auf das Symbol Dateien:

Klicken Sie dann auf Ersetzen und wählen Sie die neue Maschine.

Voreinstellungen für Maschinengruppen

Beim Erzeugen einer neuen Maschinengruppe werden die voreingestellten Gruppeneigenschaften aus einer Reihe verschiedener Quellen eingelesen:

  • Der Postprozessor, die WZ-Bibliothek und die Material-Bibliothek werden aus der Maschinendefinition eingelesen.

  • Die Operationsvoreinstellungsdatei, die Operationsbibliothek und die Datenpfade für NC- und NCI-Dateien werden aus der Steuerungsdefinition eingelesen.

  • Voreinstellungswerte für andere Eigenschaften der Maschinengruppe sind in der Operationsvoreinstellungsdatei gespeichert. (Klicken Sie hier, um zu erfahren, wie diese eingestellt werden.)

Maschinengruppen und Ansichten/Ebenen

In Maschinengruppen können Ansichts- und Ebeneneinstellungen gespeichert werden. Mastercam speichert die zuletzt für jede Maschinengruppe verwendeten Ebenen-, Ansichts- und WKS-Einstellungen und stellt sie immer dann wieder her, wenn Sie die Maschinengruppe aktivieren. Wenn beispielsweise in einer Maschinengruppe Werkzeugwege auf der Vorderseite des Teils enthalten sind und in einer anderen Werkzeugwege auf der Seite des Teils, und Sie eine der Maschinengruppen aktivieren, stellt Mastercam automatisch die Ansichten und Ebenen ein, die Sie gerade verwendet haben, als die Maschinengruppe das letzte Mal aktiv war.

Verwenden von Werkzeugweggruppen

Sie können in jeder Maschinengruppe auch Werkzeugweggruppen erzeugen. In Werkzeugweggruppen werden alle Eigenschaften einer Basis-Maschinengruppe übernommen. Diese Gruppen sind nützlich, wenn Sie mehrere Werkzeugwege auf derselben Maschine erzeugen und später separat posten wollen. Sie können Werkzeugweggruppen verschachteln, um verschiedene Operationsebenen zu erzeugen. Mastercam erzeugt automatisch eine Standard-Werkzeugweggruppe, wenn Sie eine Maschinengruppe erzeugen. Rufen Sie das Kontextmenü auf, um neue Werkzeugweggruppen anzulegen:

Siehe auch…

  • Löschen aller Maschinengruppen aus dem Werkzeugweg-Manager

  • Verwenden mehrerer Maschinengruppen

  • Maschinengruppen


Seite „Teile-Geometrie“ – Job Setup (bzw. „Job-Einstellungen“)

Seite „Teile-Geometrie“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Wählen Sie auf dieser Seite Ihre Werkstück-Geometrie und erzeugen Sie hier die Geometrie der Gegenspindel und des Drehprofils. Die Option zum Erzeugen der Gegenspindelgeometrie steht nicht zur Verfügung, wenn die Option „Rohteil – Teile-Handling“ auf der Seite „Grundeinstellungen“ auf Einzelrohteil – Keine Übergabe eingestellt ist.

Weitere Informationen zu…

  • Definieren der Teile-Geometrie


Seite „Übergabe“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie auf dieser Seite die Parameter für Ihre Übergabe- und, optional, für Ihre Abstech-Operation ein. Geben Sie hier den „Abstand zur Futtervorderseite“ für die Übergabe-Spindel zum Einspannen/Übernehmen des Werkstücks ein. Das Gruppenfeld Abstechen steht auf dieser Seite zur Verfügung, wenn die Auswahl-Einstellung Rohteil – Teile Handling (auf der Seite „Grundeinstellungen“) das „Abstechen“ beinhaltet.

Weitere Informationen zu…

  • Erzeugen einer Übergabe-/Abstech-Operation


Dialogfeld „WZge umnummerieren“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Nummerieren Sie mithilfe dieses Dialogfelds im WZ-Manager die Werkzeuge für die aktuelle Mastercam-Datei neu – Zum Beispiel wenn Sie einen Job für eine andere Werkzeugmaschine umprogrammieren. Dabei müssen Sie mindestens eine Startnummer und ein Nummerninkrement eingeben.

Hinweise:

  • Markieren Sie das Kontrollkästchen Auch WZge, die in keiner OP benutzt werden, um alle Werkzeuge im WZ-Manager neu zu nummerieren. Entfernen Sie das Häkchen, um nur die in Operationen verwendeten Werkzeuge neu zu nummerieren.

  • Werkzeuge werden anhand der aktuellen Reihenfolge Ihrer Operationen neu nummeriert.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Dialogfeld „Arbeitsversätze umnummerieren“


Dialogfeld „Arbeitsversätze umnummerieren“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Nummerieren Sie mithilfe dieses Dialogfelds die Arbeitsversätze von nicht-transformierenden Operationen im Werkzeugweg-Manager neu. Dabei müssen Sie mindestens eine Startnummer und ein Nummerninkrement eingeben.

Hinweise:

  • Mit dieser Funktion werden alle Arbeitsversatzdaten, die Sie in anderen Dialogfeldern wie dem Ebenenmanager für bestimmte Operationen eingegeben haben, mit den neu eingegebenen Arbeitsversatznummern überschrieben.

  • Arbeitsversätze werden anhand der aktuellen Reihenfolge Ihrer Operationen neu nummeriert.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Dialogfeld „WZge umnummerieren“


Dialogfeld „Operationen wählen“

Wählen Sie in diesem Dialogfeld aus der Liste der im aktuellen Teil vorhandenen Operationen die gewünschten Werkzeugweg-Operationen. Die Anzeige der Elemente der Liste kann erweitert werden, um Operationsdetails und Werkzeugwegparameter einzublenden.


Seite „Grundeinstellungen“ (Job Setup / Job-Einstellungen)

Seite „Grundeinstellungen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie auf dieser Seite die Startspindel und den Rohteiltyp ein. Der Rohteiltyp bestimmt die Teile-Handling-Operationen, die Sie erzeugen können, um das Rohteil zwischen den Spindeln zu übergeben.

Weitere Informationen zu…

  • Definieren der Grundeinstellungen


Dialogfelder „Sortierungsart: WZ/Operation“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Sortieren Sie mithilfe dieses Dialogfelds die aktive Operationsliste nach Werkzeug oder Operationstyp.

Falls Sie im Dialogfeld „Sortieroptionen“ gewählt haben, die Operationen nach Werkzeugtyp zu sortieren, wird das Dialogfeld „Sortierungsart: WZ“ angezeigt. Sie können die Operationen dann nach Werkzeugtyp sortieren.

Falls Sie im Dialogfeld „Sortieroptionen“ gewählt haben, die Operationen nach Operationstyp zu sortieren, wird das Dialogfeld „Sortierungsart: Operation“ angezeigt. Sie können die Operationen dann nach Operationstyp sortieren.

Um die angezeigten Werkzeuge bzw. Operationen neu zu sortieren, markieren Sie das Kontrollkästchen für das Element, das verschoben werden soll, und klicken Sie auf die Schaltflächen rechts, um das Element nach oben oder unten zu verschieben, Kontrollkästchen zu deaktivieren oder die Liste auf ihr ursprüngliche Sortierung zurückzusetzen.

Weitere Informationen zu…

  • Werkzeugweg-Manager

  • Kontextmenü des Werkzeugweg-Managers


Seite „Z-WEbenen-Nullpunkt“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie auf dieser Seite den Z-Wert für den WEbenen-Nullpunkt Ihrer Operationen ein. Legen Sie hier fest, ob der Wert aus der Teile-Geometrie berechnet werden soll oder ob Sie den Wert manuell eingeben wollen. Sie können auf dieser Seite auch eine „Arbeits-Versatz-Nr“ einstellen.


Verwenden mehrerer Maschinengruppen

In Mastercam können Sie so viele Maschinengruppen erzeugen, wie Sie zum Organisieren Ihrer Arbeit benötigen. Wenn beispielsweise einige Werkzeugwege auf der einen, und weitere auf einer anderen Maschine ausgeführt werden sollen, können Sie einfach eine zweite Maschinengruppe anlegen. In jeder Maschinengruppe können eigene Job-Setup-Daten und Werkzeuge gespeichert und ein unterschiedlicher Satz von Operationsvoreinstellungen verwendet werden. Die Werkzeugwege aus jeder Gruppe werden in separate NC-Dateien gepostet.

In diesem Beispiel wird das Werkstück zuerst auf einer Drehmaschine bearbeitet und dann auf einem Router (Holzbearbeitungsmaschine) fertiggestellt:

Auch wenn Sie mit Werkzeugwegen aus zwei verschiedenen Mastercam Produkten arbeiten — in diesem Fall Drehen und Router — können Sie beide in derselben Mastercam-Teiledatei speichern.

Verwenden der aktiven Maschinengruppe

Die Maschinengruppe mit dem roten Pfeil ist die aktive Maschinengruppe. Im oben abgebildeten Beispiel ist der Router die aktive Gruppe:

Die aktive Maschinengruppe bestimmt, welches Mastercam-Produkt zum jeweiligen Zeitpunkt ausgeführt wird. Wenn sich der rote Pfeil zum Beispiel in einer Dreh-Maschinengruppe befindet, werden im Menü Werkzeugwege nur Drehwerkzeugwege angezeigt. Wenn Sie einen neuen Werkzeugweg erzeugen, wird er an der Position des roten Pfeils eingefügt. Wenn Sie den roten Pfeil in die Router-Maschinengruppe verschieben und erneut das Werkzeugwege-Menü aufrufen, enthält es Router-Werkzeugwege. Falls Ihr Teil keine Maschinengruppen besitzt, arbeiten Sie in Mastercam Design und das Menü Werkzeugwege nicht verfügbar.

Siehe auch…

  • Löschen aller Maschinengruppen aus dem Werkzeugweg-Manager

  • Maschinengruppen

  • Maschinengruppen – Tipps und Tricks

  • Richtlinien für die Arbeit mit dem Werkzeugweg-Manager


Verwenden der Werkzeugwerte für Zustellung und Kühlmittel

Die Voreinstellungswerte für die meisten Werkzeugwegparameter sind in einer Datei mit Operationsvoreinstellungen gespeichert, die auf der Registerkarte „Dateien“ des Dialogfelds Eigenschaften der Maschinengruppe“ angegeben ist. Bei Bedarf können Sie jedoch auch einige dieser Parameter durch Werte ersetzen, die in der Werkzeugdefinition gespeichert sind. Aktivieren Sie auf der Registerkarte „WZ-Einstellungen“ die Option Benutze Zustellung/Kühlmittel vom WZ, um die Voreinstellungen der Operation durch die der Werkzeugdefinition zu ersetzen. Sehen Sie in den nachfolgenden Tabellen nach, welche Operationsvoreinstellungen bei verschiedenen Werkzeugwegtypen durch welche voreingestellten Werkzeugwerte ersetzt werden.

Hinweis: Die Voreinstellungswerte für das Werkzeug sind auf der Registerkarte Parameter jeder WZ-Definition gespeichert.

Konturwerkzeugwege

Dieser WZ-Definitions-Parameter… | ersetzt diesen Operations-Parameter:
Schrupp XY-Zust. (%) | Schruppzustellung auf der Dialogfeldseite „Mehrfachschnitte“
Schruppzustellung Z (%): | Max. Schruppzustellung auf der Dialogfeldseite „Tiefenschnitte“
Schlichtzustellung XY (%): | Schlichtzustellung auf der Dialogfeldseite „Mehrfachschnitte“
Schlichtzustellung Z (%): | Schlichtzustellung auf der Dialogfeldseite „Tiefenschnitte“
Kühlung | Kühlung

Bohr-Werkzeugwege

Dieser WZ-Definitions-Parameter… | ersetzt diesen Operations-Parameter:
Durchlaufen | Durchlaufen
1. Zustellung | 1. Zustellung
2. Zustellung (%dm) | Folgezustellung
Rückzug (%) | Rückzug (%)
Spanbruch | Spanbruch
Verweilzeit | Verweilzeit
Kühlung | Kühlung

Taschen-Werkzeugwege

Dieser WZ-Definitions-Parameter… | ersetzt diesen Operations-Parameter:
Schrupp XY-Zust. (%) | Querzustellung in %
Schruppzustellung Z (%): | Max. Schruppzustellung auf der Dialogfeldseite „Tiefenschnitte“
Schlichtzustellung XY (%): | Zustellung (Schlichten)
Schlichtzustellung Z (%): | Schlichtzustellung auf der Dialogfeldseite „Tiefenschnitte“
Kühlung | Kühlung

Plan-Werkzeugwege

Dieser WZ-Definitions-Parameter… | ersetzt diesen Operations-Parameter:
Schrupp XY-Zust. (%) | Querzustellung in %
Schruppzustellung Z (%): | Max. Schruppzustellung im Dialogfeld „Tiefenschnitte“
Kühlung | Kühlung

Siehe auch…

  • Arbeiten mit Operationsvoreinstellungen

  • Dialogfeld „Eigenschaften der Maschinengruppe“

  • WZ-Weg-Manager

  • Werkzeugdefinitionen


Seite „WKS“ – Job-Setup (Job-Einstellungen)

Seite „WKS“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Auf dieser Seite können Sie sowohl den Namen der Maschinengruppe ändern als auch das Start-WKS für die Maschinengruppe einstellen. Ändern Sie im Feld Gruppenbezeichnung den Namen der aktuellen Maschinengruppe. Klicken Sie auf die Schaltfläche Ebenenselektion, um das Start-WKS für die Maschinengruppe zu wählen.

Weitere Informationen zu…

  • Dialogfeld „Ebenenauswahl“


Batch… (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Batch-Werkzeugwegoperationen“ zum Posten von Werkzeugweg-Operationen im Batch-Modus.


Schließen (Kontextmenü des Werkzeugweg-Managers)

Schließt die Verzeichnisstruktur einer markierten Maschinen- oder Werkzeugweggruppe und blendet so bearbeitbare Komponenten wie Parameter, Werkzeugdefinitionen und Geometrie aus.


Kopieren (Kontextmenü des Werkzeugweg-Managers)

Kopiert markierte Operationen bzw. Gruppen der Liste zum Einfügen an einer anderen Position in die Zwischenablage.


Ausschneiden (Kontextmenü des Werkzeugweg-Managers)

Entfernt markierte Operationen bzw. Gruppen aus der Liste und speichert sie zum Einfügen an einer anderen Position in der Zwischenablage. Darüber hinaus können Sie Operationen und Gruppen mit dieser Funktion auch aus der Liste löschen.


Löschen (Kontextmenü des Werkzeugweg-Managers)

Löscht die markierte Operation bzw. Gruppe aus der Liste.


Darstellungsoptionen… (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Darstellung“, über das Sie steuern können, welche Informationen zu allen Operationen im Werkzeugweg-Manager angezeigt werden.


DOC-Dateien… (Kontextmenü des Werkzeugweg-Managers)

Ermöglicht das Erstellen einer Textdatei mit den Daten markierter Operationen. Wenn Sie eine Operation markieren und auf „DOC-Dateien“ klicken, wird das Dialogfeld „Datei bestimmen“ geöffnet, in dem Sie Namen und Speicherort der Datei angeben, und die Datei per Klick auf „OK“ im Mastercam Code Editor öffnen können. Darin können Sie die Operationsdaten dann bearbeiten bzw. speichern.


Selektierte Operationen ändern (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü mit folgenden Befehlen:

Hauptparameter ändern – Öffnet die Registerkarte mit Werkzeugparametern des zur gewählten Operation gehörigen Dialogfelds.

NC-Dateibezeichnung ändern – Öffnet das Dialogfeld „Neue NC-Dateibezeichnung eingeben“, in dem Sie den voreingestellten Dateinamen der resultierenden NC-Datei mit einem neuen überschreiben können.

Programm-Nr. ändern – Öffnet das Dialogfeld „Neue Programm-Nr.“, in dem Sie markierten Operationen eine neue Programmnummer zuweisen können.

WZge nummerieren: Öffnet das Dialogfeld „WZge umnummerieren“, in dem Sie die im Werkzeugweg-Manager angezeigten Werkzeuge der aktuellen Mastercam-Datei neu nummerieren können.

Arbeitsversätze nummerieren: Öffnet das Dialogfeld „Arbeitsversätze umnummerieren“, in dem Sie die Arbeitsversätze für nicht-transformierende Operationen im Werkzeugweg-Manager neu nummerieren können.

WZ-Weg umdrehen – Dreht die Richtung der markierten Operation um.

Vorschübe/Drehzahlen neu berechnen – Berechnet die Vorschübe und Drehzahlen für die hervorgehobene Operation neu und markiert die Operation für eine Regenerierung.

Klicken Sie hier, um dieses Thema auszudrucken.


Öffnen (Kontextmenü des Werkzeugweg-Managers)

Erweitert die Verzeichnisstruktur der markierten Maschinen- oder Werkzeugweggruppe so, das bearbeitbare Komponenten wie Parameter, WZ-Definitionen und Geometrie angezeigt werden.


Export… (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Werkzeugweg-Operationen exportieren“, mit dessen Hilfe Sie Operationen mit oder ohne ihre Geometrie aus der aktuellen Mastercam-Datei in eine Operations-Bibliothek exportieren können.


Gruppen (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü mit Funktionen zum Erzeugen neuer Maschinen- und Werkzeugweggruppen und zum Umbenennen oder Löschen vorhandener Gruppen.


Import… (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Werkzeugweg-Operationen importieren“, über das Sie gespeicherte Operationen mit oder ohne ihre Geometrie in die aktuelle Mastercam-Datei importieren können.


Drehen: Rohteilvorschau (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Rohteilvorschau“, mit dessen Hilfe Sie die Begrenzungen des bearbeiteten Rohteils, der Spannvorrichtung, des Reitstocks und der Lünette als Solids oder Flächen einblenden können. Diese Option ist nur dann verfügbar, wenn sich der Einfügepfeil in einer Dreh-Maschinengruppe befindet und ein Rohteil für den Job definiert ist. Weitere Informationen zur Rohteilaktualisierung siehe unter Registerkarte „Werkzeuge“ (Drehen).


Drehen: Rohteilaktualisierung (Kontextmenü des Werkzeugweg-Managers)

Wählen Sie diese Option, um einzustellen, ob die Rohteilaktualisierung ein- oder ausgeschaltet werden soll, wenn Sie in einer Operation arbeiten. Diese Option ist nur dann verfügbar, wenn sich der Einfügepfeil in einer Dreh-Maschinengruppe befindet und ein Rohteil für den Job definiert ist. Weitere Informationen zur Rohteilaktualisierung siehe unter Registerkarte „Werkzeuge“ (Drehen).


Drehen-Werkzeugwege (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü mit Funktionen zum Erzeugen und Transformieren von Dreh-Werkzeugwegen. Unter „Zusatz“ sind weitere Optionen zum Ändern der Einstellungen für Rohteil, Spannvorrichtung, Reitstock und Lünette verfügbar.


Fräsen (Fräs-Werkzeugwege) – (Mill-Turn)

Fräsen (Fräs-Werkzeugwege)

Öffnet ein Untermenü mit Funktionen zum Erzeugen verschiedener Fräs-Werkzeugwege innerhalb eines Mill-Turn-Maschinentyps. Die verfügbaren Werkzeugwege sind eine Untergruppe der in Mastercam Fräsen zur Verfügung stehenden Werkzeugwege.

Klicken Sie hier, um dieses Thema auszudrucken.


Fräsen-Werkzeugwege (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü mit Funktionen zum Erzeugen, Transformieren, Verschachteln und Trimmen von Fräs-Werkzeugwegen.

Sie können außerdem NCI-Dateien importieren:

In diesem Untermenü sind Rohteilmodell-Funktionen verfügbar. Rufen Sie sie zu folgenden Zwecken auf:

  • Erzeugen einer neuen Rohteilmodelloperation

  • Anzeigen der Ergebnisse eines Rohteilvergleichs

  • Exportieren der Ergebnisse eines Rohteilvergleichs in eine STL-Datei

  • Umwandeln der Ergebnisse eines Rohteilvergleichs in einen Satz von Mastercam-Pmesh-Elementen


Teile-Handling

Öffnet ein Untermenü mit Funktionen zum Erzeugen verschiedener Teile-Handling-Werkzeugwege. Die zur Verfügung stehenden Werkzeugwege behandeln Übergabe-, Abstech-, Stangengreif- und Stangenvorschub-Operationen, sowie Revolverpositionierung und Spindelverhalten.


Einfügen (Kontextmenü des Werkzeugweg-Managers)

Fügt ausgeschnittene oder kopierte Operationen bzw. Gruppen in die Liste ein. Klicken Sie auf die Operation/Gruppe, vor der Sie das Element einfügen wollen.


Router-Werkzeugwege (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü mit Funktionen zum Erzeugen, Transformieren, Trimmen, Projizieren und Verschachteln von Router-Werkzeugwegen.

Sie können außerdem NCI-Dateien importieren:


Wählen… (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Selektionsoptionen“, in dem Sie Operationsparameter (d.h. WZ-Nr, Operationstyp, Maschinendefinition, usw.) definieren können, um zu bestimmen, welche Operationen zur Auswahl markiert werden sollen.


Einrichteblatt… (Kontextmenü des Werkzeugweg-Managers)

Erstellt einen Bericht, den Sie mit dem Text/Programm-Editor ändern und ausdrucken können.


Sortieren (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü mit der Option „Unsortiert“ zum Rückgängigmachen der Sortierung von Operationen, die vorher sortiert worden sind, und der Option „Sortiert…“ zum Aufrufen des Dialogfelds „Sortieroptionen“. In diesem Dialogfeld können Sie einstellen, nach welcher Methode (d.h. WZ-Nr, nach Erzeugung, Operationstyp, usw.) die markierten Operationen sortiert werden sollen.


WZ-Liste… (Kontextmenü des Werkzeugweg-Managers)

Erzeugt einen AktivReport, in dem Werkzeuge aufgelistet sind, die durch alle im Werkzeugweg-Manager gewählte Operationen verwendet werden.

Klicken Sie hier, um dieses Thema auszudrucken.


Dreh-Rohteil-Vorschau (Mill-Turn)

Mill-Turn: Rohteilvorschau (Kontextmenü des Werkzeugweg-Managers)

Öffnet das Dialogfeld „Drehen: Rohteilvorschau“, mit dessen Hilfe Sie die Konturen/Begrenzungen des bearbeiteten Rohteils, des Spannfutters, des Reitstocks und der Lünette als Solids oder Flächen einblenden können. Diese Option ist nur dann verfügbar, wenn sich der Einfügepfeil in einer Mill-Turn-Maschinengruppe befindet und ein Rohteil für den Job definiert ist.

Klicken Sie hier, um dieses Thema auszudrucken.


Dreh-Rohteil-Aktualisierung (Mill-Turn)

Mill-Turn: Rohteilaktualisierung (Kontextmenü des Werkzeugweg-Managers)

Legen Sie mit dieser Option fest, ob die Mill-Turn-Rohteilaktualisierung ein- oder ausgeschaltet werden soll, wenn Sie in einer Operation arbeiten. Diese Option ist nur dann verfügbar, wenn sich der Einfügepfeil in einer Mill-Turn-Maschinengruppe befindet und ein Rohteil für den Job definiert ist.

Klicken Sie hier, um dieses Thema auszudrucken.


Drehen (Drehwerkzeugwege)

Öffnet ein Untermenü mit Funktionen zum Erzeugen verschiedener Dreh-Werkzeugwege. Die verfügbaren Werkzeugwege sind eine Untergruppe der in Mastercam Drehen zur Verfügung stehenden Werkzeugwege.

Klicken Sie hier, um dieses Thema auszudrucken.


Wiederherstellen (Kontextmenü des Werkzeugweg-Managers)

Stellt die zuletzt aus der Liste gelöschte Operation oder Gruppe wieder her.


Undo (Kontextmenü des Werkzeugweg-Managers)

Ermöglicht das Zurücknehmen von Änderungen, die in einer Mastercam-Sitzung an einer Operation vorgenommen worden sind. Wenn Sie mit der rechten Maustaste auf eine Operation und dann auf Undo klicken, wird in einem Untermenü eine Liste mit Uhrzeiten und Datumsangaben der letzten Änderungen an der Operation angezeigt, die Sie rückgängig machen können. Klicken Sie darin auf Datum und Uhrzeit der Aktion, die Sie rückgängig machen wollen.

Hinweis: Damit die Funktion „Undo“ verfügbar ist, müssen Sie mit der rechten Maustaste auf eine markierte Operation klicken, nicht nur auf irgendeine Position im Werkzeugweg-Manager. Falls Sie auf eine andere Position im Werkzeugweg-Manager klicken, wird zwar das Menü eingeblendet, Undo ist jedoch deaktiviert.

Klicken Sie hier, um dieses Thema auszudrucken.


Drahten-Werkzeugwege (Kontextmenü des Werkzeugweg-Managers)

Öffnet ein Untermenü zum Erzeugen von Drahtwegen.


Optionsleiste „Punkt-Werkzeugweg“ (Drehen)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Erzeugen oder bearbeiten Sie mit Hilfe dieser Optionsleiste einen Punkt-Drehwerkzeugweg. Zu Beginn der Erzeugung werden Sie aufgefordert, den ersten Punkt zu wählen, auf den das Werkzeug von der WZ-Wechselposition im Eilgang verfahren soll. Fügen Sie mit Hilfe der Symbolleistenschaltflächen nachfolgende Punkte hinzu.

Wählen Sie für jeden Punkt zuerst den Bewegungsmodus:

  • G0 (interpolierte Eilgangbewegung)

  • G0 trennen (Eilgang unterbrechen)

  • G1 (Vorschub)

Klicken Sie dann auf die gewünschte Position im Grafikfenster. Klicken Sie auf die Schaltfläche „Zurück“, um Punkte zu löschen und zu einem vorherigen Punkt zurückzukehren. Klicken Sie vor der Auswahl eines Punkts auf die Schaltfläche „G0“, „G0“ (trennen) oder „Vorschub „G1“ (Vorschub)“, um im Werkzeugweg die Bewegungsart zu wechseln.

Drücken Sie nach der Auswahl der Punkte auf [Esc]. Die Registerkarte „Werkzeuge“ wird zur Auswahl von Werkzeug-, Kühlmittel-, Rohteil- und anderen Werkzeugwegoptionen eingeblendet.

Bearbeiten eines Punktwerkzeugweges

Beim Bearbeiten eines vorhandenen Werkzeugwegs werden zusätzliche Schaltflächen aktiviert. Damit können Sie Punkte hinzufügen, löschen oder verschieben oder G0-Bewegungen in Vorschubbewegungen ändern.

  • Klicken Sie oben auf „Schaltflächen“, um nähere Informationen dazu aufzurufen.

  • Drücken Sie nach dem Bearbeiten und Hinzufügen von Punkten auf [Esc], und regenerieren Sie die Operation.

Weitere Informationen zu…

  • Punkt-Werkzeugwege (Drehen)


Optionsleiste „Punkt-Werkzeugweg“

Klicken Sie oben auf die Registerkarte „Schaltflächen“, um nähere Informationen zu den einzelnen Funktionen der Optionsleiste aufzurufen.

Erzeugen oder bearbeiten Sie mit Hilfe dieser Optionsleiste einen Punktwerkzeugweg. Zu Beginn der Erzeugung werden Sie aufgefordert, den ersten Punkt zu wählen, auf den das Werkzeug von der WZ-Wechselposition im Eilgang verfahren soll.

Klicken Sie dann auf die gewünschten Positionen im Grafikfenster, um weitere Punkte hinzuzufügen. Klicken Sie vor Auswahl eines Punkts auf die Schaltfläche „G0“ oder „G1“, um zwischen Bewegungen im Eilgang und mit Vorschub umzuschalten. Klicken Sie auf die Schaltfläche Zurück, um Punkte zu löschen und zu einem vorherigen Punkt zurückzukehren.

Klicken Sie nach der Punktauswahl auf die Schaltfläche OK. Es erscheint daraufhin das Dialogfeld „2D – Punkt“. Wählen Sie auf der Seite „WZ“ ein Werkzeug aus und geben Sie dann auf den anderen Eigenschaftenseiten weitere Parameter für den Punktwerkzeugweg ein. Die Registerkarte „Werkzeuge“ wird zur Auswahl von Werkzeug-, Kühlmittel-, und anderen Werkzeugwegoptionen eingeblendet.

Hinweis: Befindet sich Mastercam beim Erzeugen des Werkzeugwegs im 2D-Modus, werden die X- und Y-Koordinaten aller gewählten Punkte auf die aktuelle Tiefe projiziert.

Bearbeiten eines Punktwerkzeugweges

Beim Bearbeiten eines vorhandenen Werkzeugwegs werden zusätzliche Schaltflächen aktiviert. Damit können Sie Punkte hinzufügen, löschen und verschieben oder Vorschubbewegungen in Eilgangbewegungen ändern.

  • Klicken Sie oben auf „Schaltflächen“, um nähere Informationen dazu aufzurufen.

  • Drücken Sie nach dem Bearbeiten und Hinzufügen von Punkten die Taste [Esc]. Regenerieren Sie anschließend die Operation.

Tastenkürzel

U – Zurück zu einem vorherigen Punkt

N – Hinzufügen eines Punktes

L – Löschen eines Punktes

V – Verschieben eines Punktes

S – Vorschub ändern [Ändern der Vorschubbewegung (G1) in eine Eilgangbewegung (G0)]

0 – G0-Bewegung (Erzeugen einer G0-Bewegung zwischen Punkten)

1 – G1 (Erzeugen einer G1-Bewegung zwischen Punkten)

O – OK (Übernehmen der Punktsätze und Öffnen des Dialogfelds „2D-Werkzeugwege – Punkt“)

Weitere Informationen zu…

  • Punkt-Werkzeugwege


Dialogfeld „Erweiterte (…) Parameter ändern“

Dialogfeld „Erweiterte (Fräsen/Router) Parameter ändern“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Stellen Sie mit Hilfe dieses Dialogfelds Werte eines oder mehrerer Werkzeugwegparameter für mehrere Operationen gleichzeitig ein. Außerdem können Sie darin ausgewählte Werte einer Operation in eine andere kopieren. Alle Operationen müssen sich in derselben Maschinengruppe befinden.

Die Informationen zu diesem Thema sind in mehrere Abschnitte unterteilt. Klicken Sie auf die einzelnen Titel, um mehr darüber zu erfahren.

Wählen der zu bearbeitenden Operationen

Wählen Sie im Werkzeugweg-Manager die Operationen, die Sie ändern wollen. Wenn Sie im Dialogfeld „Hauptparameter ändern“ Werkzeugweg-Einstellungen bearbeiten, übernimmt Mastercam diese für alle hier gewählten Operationen.

  • Halten Sie zur Auswahl mehrerer Operationen beim Klicken die [Strg]- oder [Umschalt]-Taste gedrückt.

  • Klicken Sie auf den Gruppennamen, um alle Operationen auszuwählen.

Sie können dabei nur Operationen aus der aktiven Maschinengruppe selektieren (das ist die Maschinengruppe mit dem roten Einfügepfeil im Werkzeugweg-Manager).

Wählen der zu ändernden Einstellungen

Aktivieren Sie mithilfe der Kontrollkästchen die Felder oder Einstellungen, die Sie ändern möchten. Klicken Sie für ein schnelles Umschalten der Aktivierung bzw. Deaktivierung aller Felder auf die Schaltflächen Alle Einstellungen aktivieren oder Alle Einstellungen deaktivieren:

Geben Sie dann in die einzelnen Felder die Werte ein, oder wählen Sie die Einstellungen, die für die selektierten Operationen verwendet werden sollen. Wenn Sie mit den Parametern der Bearbeitungsebenen arbeiten, können Sie neben der jeweiligen Höhe der Ebene mehrere Zustände festlegen:

  • Wählen Sie eine Einstellung aus der Dropdownliste Verwende, um die Aktivierung oder Deaktivierung der Rückzugs- und Sicherheitsebene zu simulieren. Sie können die Ebenen für alle gewählten Operationen Benutzen oder Deaktivieren. Stellen Sie Keine Änderungen ein, um den Wert nur auf die Operationen anzuwenden, in denen die Ebene verwendet wird.

  • Wählen Sie eine Einstellung aus der Dropdownliste Abs/Ink, um den Wertetyp für alle gewählten Operationen auf „Absolut“ oder „Inkremental“ zu setzen. Wählen Sie Keine Änderung, um nur den numerischen Wert zu verwenden, ohne seinen Typ zu ändern.

Klicken Sie hier, um ein Beispiel zu Anwendungs- und Kombinationsmöglichkeiten dieser unterschiedlichen Einstellungen einzublenden.

Anwenden der Änderungen

Klicken Sie auf die Schaltfläche Zuweisen, um die neuen Werte bei den selektierten Operationen anzuwenden:

Das Dialogfeld bleibt geöffnet, damit Sie einen anderen Satz von Operationen auswählen und weitere Änderungen vornehmen können. Klicken Sie nach jedem Satz Änderungen auf Zuweisen, oder klicken Sie auf OK, wenn alle Änderungen vorgenommen sind. Wenn Sie auf OK klicken, werden auch die aktuellen Einstellungen auf die gewählten Operationen angewendet, bevor das Dialogfeld geschlossen wird.

Wenn Sie die Änderungen anwenden, vergleicht Mastercam die neuen Werte automatisch mit denen aus der Maschinendefinition für die gewählte Maschinengruppe und gibt eine Meldung aus, wenn Inkompatibilitäten bestehen.

Hinweis: Beim Klicken auf Abbrechen werden bereits zugewiesene Änderungen nicht rückgängig gemacht.

Kopieren von Werten aus einer Operation in eine andere

Drücken Sie die Schaltfläche OP auslesen, um Werte aus einer Operation in eine andere zu kopieren. Dies ist sehr praktisch, wenn Sie eine Operation aus einer Bibliothek importieren und ihre Werte auf Operationen in Ihrer aktuellen Teiledatei anwenden wollen.

  1. Wählen Sie im Werkzeugweg-Manager eine oder mehrere Operationen, deren Werte Sie ändern möchten, und die Operation mit den Werten, die Sie kopieren möchten.

  2. Klicken Sie mit der rechten Maustaste in den Werkzeugweg-Manager und dann im Kontextmenü auf Selektierte Operationen ändern, Hauptparameter ändern.

  3. Klicken Sie danach auf die Ursprungsoperation, um sie zu markieren, und dann auf die Schaltfläche OP auslesen. Mastercam liest dann automatisch die Werte dieser Operation aus und lädt sie in alle Felder.

  4. Aktivieren Sie mit Hilfe der Kontrollkästchen die Felder, deren Werte kopiert werden sollen.

  5. Klicken Sie auf die Schaltfläche OK oder Zuweisen, um die Werte in die anderen Operationen zu kopieren.

Hinweise:

  • Sie können nur Werkzeugweg- und Operationsparameter ändern. Sie können keine Eigenschaften oder Einstellungen von Maschinengruppen ändern.

  • Wenn Sie wieder in den Werkzeugweg-Manager wechseln, müssen Sie normalerweise die Operationen regenerieren, deren Parameter geändert wurden.

Optionen des Kontextmenüs (WZ-Auswahlfenster)

  • Neues WZ erzeugen: Legen Sie mit dieser Funktion ein neues Werkzeug an, statt eins aus der Liste zu wählen. Die Werkzeugdefinition wird in der aktuellen Werkzeugweggruppe gespeichert, sofern Sie sie nicht in einer Bibliothek speichern.

  • WZ bearbeiten: Bearbeiten Sie mit dieser Funktion die WZ-Definition des gewählten Werkzeugs. Die vorgenommenen Änderungen werden in der Maschinengruppe gespeichert und wirken sich nicht auf zukünftige Teile aus, für die das Werkzeug verwendet wird (außer Sie speichern die Änderungen in einer Bibliothek).

  • WZ-Manager – Zeigt den Namen der aktuellen Werkzeugbibliothek an und öffnet den WZ-Manager, so dass Sie mit der Bibliothek und den Werkzeugen arbeiten können, die in der aktuellen Maschinengruppe gespeichert sind.

  • F/S-Berechnung: Berechnen Sie mit Hilfe dieser Funktion Vorschübe und Drehzahlen einschließlich der Schnittgeschwindigkeit und dem Vorschub pro Zahn.

  • Ansicht – Zeigt die Werkzeuge als Große Icons, Kleine Icons oder als detaillierte Liste an.

Weitere Informationen zu…

  • WZ-Weg-Manager

  • Arbeiten mit Operationsvoreinstellungen

  • Dialogfeld „Hauptparameter ändern“ (Drehen)


Einstellen von Bearbeitungsebenen

Einstellen von Bearbeitungsebenen mit der Funktion „Hauptparameter ändern“

Die oben abgebildeten Einstellungen bewirken folgende Änderungen in den gewählten Operationen:

Sicherheitsebene

  • Verwende: Keine Änderungen bedeutet, dass die Sicherheitsebene bei allen gewählten Operationen, in denen sie verwendet wird, auf 16,5 mm gesetzt wird.

  • Wenn: Keine Änderungen bedeutet, dass an der Einstellung Benutze Sicherheitsebene nur beim Start und Ende der OP keine Änderung vorgenommen wird.

  • Abs/Ink: Absolut bedeutet, dass der Wert für die Sicherheitsebene bei allen gewählten Operationen ein absoluter Wert ist.

Rückzug…

  • Verwende: Benutzen bedeutet, daß Sie die Rückzugsebene bei allen gewählten Operationen aktivieren – auch bei Operationen, in denen sie ursprünglich nicht aktiviert war. Sie setzen sie damit auf eine inkrementale Höhe von 0,635 mm.

Anfahrebene

  • Das Kontrollkästchen Anfahrebene ist nicht markiert; daher wird die Anfahrebene bei keiner der gewählten Operationen geändert.

Klicken Sie hier, um dieses Thema auszudrucken.


Verwenden von Darstellungen

Arbeiten Sie mit Darstellungen, um verschiedene Teile-Ansichten und -Ebenen auf jeweils eigenen Darstellungs-Registern zu erstellen.

Bei den einzelnen Darstellungen können Sie:

  • Eine spezielle Ansichten- und Ebenen-Richtung und -Skalierung definieren

  • Geänderte Layereinstellungen speichern

  • Mit einem Lesezeichen einen wiederherstellbaren Darstellungsstatus definieren

Um Darstellungen zu aktivieren, klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Aktiviert. Die Registerkarte „Hauptdarstellung“ erscheint daraufhin unten im Mastercam-Fenster (siehe unten).

Tipp: Fügen Sie zum einfachen Zugriff auf Darstellungsfunktionen die Darstellungs-Symbole in eine Symbolleiste ein. Klicken Sie dazu in der Menüleiste auf Einstellungen, Anpassen, wählen Sie in der Dropdownliste „Kategorie“ die Option Einstellungen. Ziehen Sie die Symbole dann mit der Maus aus dem Bereich „Befehle“ in eine Symbolleiste oder legen Sie ein Symbol im Grafikfenster ab, um eine neue Symbolleiste zu erzeugen.

Wenn die Darstellungen aktiviert sind, können Sie auf folgende Arten Darstellungen erzeugen:

Definieren einer neuen Darstellung

Klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Neu.

Oder,

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und im Kontextmenü auf die Option Neu.

Hinweis: Beim Erstellen einer neuen Darstellung wird immer eine Kopie der aktiven Darstellung erzeugt.

Kopieren einer Darstellung

Klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Kopieren.

Oder,

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und im Kontextmenü auf die Option kopieren.

Hinweis: Beim Kopieren wird eine Kopie der mit der rechten Maustaste angeklickten Darstellung erstellt, ganz gleich ob diese die aktive ist oder nicht.

Darüber hinaus können Sie folgende Aktion ausführen:

Umbenennen einer Darstellung

Klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Umbenennen.

Oder,

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und im Kontextmenü auf die Option Umbenennen.

Hinweis: Die Hauptdarstellung kann nicht umbenannt werden.

Speichern eines Lesezeichens für eine Darstellung

Klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Aktuelle Darstellung als Lesezeichen speichern.

Oder,

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und dann im Kontextmenü auf Als Lesezeichen speichern.

Wiederherstellen eines Lesezeichens für eine Darstellung

  • Klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Aktuelle Darstellung vom Lesezeichen wiederherstellen.

  • Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und dann im Kontextmenü auf Lesezeichen wiederherstellen.

  • Doppelklicken Sie auf den Steg.

Hinweis: Das Wiederherstellen von einem Lesezeichen stellt nur die Optionen wieder her, die momentan unter Einstellungen im Kontextmenü selektiert sind.

Löschen eines Lesezeichens für eine Darstellung

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und im Kontextmenü auf die Option Lesezeichen löschen.

Löschen einer Darstellung

Klicken Sie in der Menüleiste auf Ansicht, Darstellungen, Löschen.

Oder,

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und im Kontextmenü auf die Option Löschen.

Hinweis: Die Hauptdarstellung kann nicht gelöscht werden.

Einstellungen

Klicken Sie mit der rechten Maustaste auf eine Darstellungs-Registerkarte und dann im Kontextmenü auf Einstellungen. Wählen Sie die Optionen, die mit dieser Darstellung gespeichert werden sollen.

Hinweis: Änderungen, die anhand der Kontextmenü-Optionen vorgenommen wurden, gelten nur für die jeweilige Sitzung. Die Voreinstellungen unter Einstellungen, Konfiguration, Bildschirm, Darstellungen werden dadurch nicht geändert

Hinweis: Beim Speichern Ihrer Teile-Datei, werden die Darstellungs-Einstellungen zusammen mit dem Teil gespeichert.

Siehe auch…

  • Erzeugen einer Darstellung, die auf eine andere Ansicht eingestellt ist

  • Arbeiten mit Darstellungs-Lesezeichen


Konstruktionsebene (KEbene)

Die Ebene, in der Geometrie erzeugt wird. Sie wird meist bei der Zeichnungserstellung verwendet—Wählen Sie beim Zeichnen von Elementen eine KEbene zur räumlichen Ausrichtung der Geometrie. Beim Erzeugen von Werkzeugwegen ist die Konstruktionsebene die Ebene, auf die sich der Werkzeugversatz bezieht. Bei fast allen Werkzeugwegen sollte die Konstruktionsebene mit der Werkzeugebene (die Ebene senkrecht zu Z oder der vertikalen Werkzeugachse) identisch sein. Für einige Anwendungen auf Schweizer Maschinen oder für erweiterte Konturwerkzeugwege können jedoch unterschiedliche Ebenen gewählt werden.

Klicken Sie hier, um dieses Thema auszudrucken.


Werkzeugebene (WEbene)

Bei den meisten Werkzeugwegen ist dies die Ebene, auf der die Schnittbewegungen (G1/G2/G3) ausgeführt werden. Bei Anfahr- und Rückzugsbewegungen wird das Werkzeug normalerweise lotrecht zur Werkzeugebene in der Z-Achse zum Teil hin und davon weg verfahren. Sie können die WEbene an allen Standardebenen oder einer selbst definierten Ebene ausrichten. Eine Änderung der WEbene erzeugt beim Posten des Werkzeugwegs meist einen Rotationscode. Was genau geschieht, hängt von der Werkzeugmaschine und dem Postprozessor ab; eine Rotation der Werkzeugebene um 30 Grad um die X-Achse kann je nach Postprozessor zum Beispiel die Werkzeugachse bei einem 5-Achsen-Bearbeitungszentrum neigen, oder die Spannvorrichtung auf einem Tisch rotieren.

Klicken Sie hier, um dieses Thema auszudrucken.